About Essbase Integration Services

Related Topics

Essbase Integration Services quickly transfers data from database tables to an Essbase database. To enable the transfer, you determine which data to transfer and consolidate the selected data into a form that is useful for decision-support users. Then you identify the tables, rows, or columns that contain the required data and determine how the tables, rows, or columns map to the structure of the multidimensional database.

Integration Services provides graphical tools to help you accomplish the following tasks:

  • Use the tables, views, and columns of a relational database, or one or more flat files to create an OLAP model. The OLAP model is a logical star schema that consists of a fact table surrounded by related dimension tables.

  • Use the OLAP model to create a metaoutline, an outline template that contains the structure and the rules required to generate an Essbase outline.

  • Use the metaoutline to create and populate an Essbase database.


About Essbase Integration Services Console

Related Topics

Essbase Integration Services Console provides a suite of graphical tools that you use to create OLAP models and metaoutlines. You use the tables of a relational data source, or one or more flat files to define a logical model that represents the source data in an online analytical processing (OLAP) context. You then use the OLAP model to create a metaoutline that serves as a template for an Essbase database outline.

The console also includes a dockable Intelligent Help window, containing dynamic links to key program functions, to automate the major operations necessary for moving from a relational database to OLAP.


Working with an OLAP Model

To create a logical OLAP model, you must connect to the OLAP Metadata Catalog in which you will store the metadata for the model, and to the primary data source upon which the model is to be based. You can connect to other data sources later. After you click the OLAP Model icon, Integration Services Console displays the OLAP Model main window.

If you are accessing a relational data source, the left frame displays information about the first data source to which you connected. Data source information is displayed hierarchically by data source name and owner name. For each owner name, data is further sorted and organized by tables, views, and synonyms. You can use the listed source tables to create an OLAP model, or you can use other source tables by connecting to other data sources. Information about other data sources to which you connect is displayed in the same manner as the first connected data source; that is, by data source name, owner name, then tables, views, and synonyms.

Expand the plus [image] to display views and synonyms contained in the data source. By default, tables are displayed automatically. Although you can view tables, views, synonyms, or any combination of tables, views, and synonyms in the left frame, this help generally refers to tables for relational and flat file data sources. In the relational sense, whenever tables in the left frame are discussed, synonyms and views are implied.

If you are accessing a flat file data source, the left frame contains information about the first data source to which you are connected. Data source information is displayed hierarchically by data source name and then a generic label, "PUBLIC," because there is no specific owner of a flat file data source. Under the label, PUBLIC, data is sorted and organized by tables. Under each table name are the columns of tables.

The name of each table in the relational or flat file data source is displayed after a plus, [image], or minus, [image], symbol in the left frame.

  • The plus symbol, [image], indicates that you can expand the table or view to see the columns that it contains. For example, clicking TBC.MARKET expands the table to show POPULATION, REGION, and so on.

  • The minus symbol, [image], indicates that you can collapse the table or view. For example, clicking TBC.MARKET collapses the table to show the table name but not its columns.

OLAP Model Main Window Items

Left frame/
Relational Table

For relational data sources, the left frame displays the data source name, owner name, source tables, views, and synonyms that you can use to create the model.

For flat file data sources, the left frame displays the data source name, the generic PUBLIC owner label, then the sources tables and columns for each table.

You can view the contents of a data source table in the left frame by selecting the table and then selecting View > View Table Data.

Right frame

The right frame is where you build an OLAP model. You drag source tables from the left frame to the right frame to create a fact table, dimensions, dimension branches, and optional time and accounts dimensions.

Menu bar

Use the menu bar to execute commonly used commands.

Toolbar

Use the toolbar to perform commonly used functions. The toolbar is displayed by default. To hide the toolbar, deselect View > Toolbar. The check mark next to Toolbar in the menu disappears and the toolbar is removed from the OLAP Model main window. To redisplay the toolbar, select View > Toolbar.

The toolbar is not attached to the edge of the program window. You can move it by selecting it and dragging it to a new location. You can also change the shape and size of the toolbar.

When enabled, [image] , use the join tool in the toolbar to join tables in the OLAP model. When disabled, [image] , you can move dimension objects in the model. The default position for the Join tool is disabled.

Intelligent Help window

The Intelligent Help window is a dockable, relocatable window that you can move and resize as you prefer.

Intelligent Help provides numbered procedures, along with links to automatic-detection options and frequently used functions, to guide you through the process of creating or modifying an OLAP model.

Status bar

The status bar identifies the data source and OLAP Metadata Catalog to which you are connected and displays other status information. To hide the status bar, select View > Status Bar. In the menu, the check mark next to Status Bar disappears, and the status bar is removed. To show the status bar again, select View > Status Bar.


Working with a Metaoutline

Related Topics

To create a metaoutline, you must connect to OLAP Metadata Catalog and to the relational or flat file data source. After you connect, the OLAP Metaoutline main window of Essbase Integration Services Console is displayed.

Each OLAP model object or metaoutline object is listed after a plus symbol, [image], or a minus symbol, [image].

  • The plus symbol, [image], indicates that you can expand the branch. For example, clicking Market expands the branch to show REGION.

  • The minus symbol, [image], indicates that you can collapse the branch. For example, clicking Market collapses the dimension to show the dimension name but not the children of the dimension.

To create a metaoutline, you drag dimensions, members, or measures from the OLAP model, in the left frame of the OLAP Metaoutline main window, to the metaoutline in the right frame of the OLAP Metaoutline main window. Integration Server creates corresponding dimensions, member levels, and measures in the right frame of the OLAP Metaoutline main window. You can arrange member levels into a hierarchy.

In the right frame you can also create dimensions and member levels not based on the OLAP model. The pop-up menu that is displayed when you right-click an object enables you to perform tasks on the selected object.

Metaoutline Main Window Items

Menu Bar

You use the menu bar to perform commonly used commands.

You use the pop-up menu that is displayed when you right-click an object to perform operations on the selected object.

Tool Bar

You use the toolbar to perform commonly used functions. The toolbar is selected by default. To hide the toolbar, deselect View > Toolbar. The check mark next to Toolbar in the menu is removed and the toolbar is removed from the Metaoutline main window. To redisplay the toolbar, select View > Toolbar.

The toolbar is not attached to the edge of the program window. You can move it by dragging it to a new location. You can also change the shape and size of the toolbar.

Filters Toolbar

The filters toolbar enables you to perform actions on metaoutline filters, such as adding a filter [image], viewing a filter [image], and deleting a filter [image].

Left Frame

The left frame of the OLAP Metaoutline main window contains the OLAP model. You can use the OLAP model dimensions that are displayed in the left frame in the metaoutline that you create in the right frame.

In Integration Services Console, an OLAP model is a logical model, or star schema, that you create from the tables and columns of a relational database or flat file data source.

Right Frame

Drag a dimension, member, hierarchy, or measure from the left frame of the OLAP Metaoutline main window into the right frame to create a dimension, attribute dimension, member level, hierarchy, or measure in a metaoutline.

Intelligent Help window

The Intelligent Help window is a dockable, re-locatable window that you can move and resize as you prefer.

Intelligent Help provides numbered procedures with links to automatic-detection options and frequently used functions, to guide you through the process of creating or modifying a metaoutline.

Status Bar

The status bar displays the data source and the OLAP Metadata Catalog to which you are connected and displays other status information. To hide the status bar, deselect View > Status Bar. The checkmark next to Status Bar in the menu is removed, and the status bar disappears. To redisplay the status bar, select View > Status Bar.


Icons in Essbase Integration Services Console

In Essbase Integration Services Console, the following icons represent features and functions:

Essbase Integration Services Console startup icon. To start the console, double-click this icon.

Add a member as a child of the selected member

Add a member as a sibling of the selected member

Access the properties dialog box of the metaoutline or a selected metaoutline component (such as a dimension, member, or attribute member)

XML Import/Export for importing or exporting OLAP models or metaoutlines to or from the OLAP Metadata Catalog database

Intelligent Help for OLAP Model and OLAP Metaoutline

Create a Fact table automatically in an OLAP model

Create Dimensions automatically in an OLAP model

Create Hierarchies automatically in an OLAP model; Get Hierarchies automatically in a metaoutline

View the metaoutine filter currently in use

Add a metaoutline filter

Delete a metaoutline filter

For a relational data source, the database owner name

For a relational data source, the primary data source to which the OLAP model is connected

A secondary data source to which the OLAP model is connected

A secondary data source to which the OLAP model is not connected

The physical tables of the data source; also indicates the user-defined tables of the data source

An individual table in the data source

The logical views of the data source

An individual view in the data source

The synonyms of the data source

An individual synonym in the data source

Primary key in the OLAP model

Join tool in the OLAP Model and OLAP Metaoutline main windows

Join in the OLAP model

Hidden column in the OLAP model

Indicates that a transformation has been set for a column in the OLAP model

Indicates a column on which a hierarchy transformation is defined

Drill-through column

Join column

Dimension

Relational table in the OLAP model and a dimension table in the metaoutline

Indicates an attribute dimension in a metaoutline

Indicates an attribute member in a metaoutline

Text column

Numeric column

Measure

Time column

Relational table column in the OLAP model and a member level in the metaoutline

Hierarchy

Indicates that a filter has been set on a member level or on a measure

Indicates that a member level or a measure has been transformed

Indicates that the member level and its children are not to be built during a load operation

Indicates that Hybrid Analysis is enabled for that member level

The OLAP model

The OLAP metaoutline


About OLAP

OLAP is a decision-support computing environment for business managers who must analyze consolidated enterprise data in real time. OLAP enables users to answer complex "what if" questions and to create sales and marketing scenarios to test budgeting, sales promotion, and sales planning strategies. Essbase supports a multidimensional, multi-user database that enterprise users can access using standard retrieval tools, such as spreadsheets.

Essbase supports multiple views of data sets for users who need to analyze relationships between data categories. For example, a decision-support user might ask the following questions:

  • How did Product A sell last month? How does this figure compare to sales in the same month over the last five years? How did Product A sell by branch, by region, and by territory? How will Product A sell next month, next quarter, and next year?

  • Did Product A sell better in particular regions? Do regional trends exist?

  • Did customers return Product A last year? Were returns due to product defects? Did the company manufacture defective products in a specific plant?

  • Did commissions and pricing affect how salespeople sold Product A? Did particular salespeople do a better job of selling the product?

You can use Essbase Integration Services to create an Essbase database that enables users to answer these types of questions quickly and easily.

You can use Essbase Integration Services Console to create a logical data model that represents the data source that contains the data that you want to analyze. Thus, you take the first step in advancing from an external data source to an Essbase database.


About Multidimensional Databases

A multidimensional database (MDDB) stores consolidated data at the intersections of its members and dimensions. For example, if a company sells a total of 20 units of all products in the East region in the first quarter, Essbase stores 20 at the intersection of Product, East, Quarter1, and Unit Sales.

Dimensions represent the core components of a business plan and often relate to business functions. Product, Region, and Year are typical dimensions. In most databases, dimensions are static, rarely changing over the life of the application.

A member is an individual component of a dimension. For example, Product A, Product B, and Product C might be members of the Product dimension. Each member has a unique name. A dimension can contain an unlimited number of members. In some dimensions, members change frequently over the life of the application.

Simultaneously, members can be parents of some members and children of other members. The Essbase outline indents members below one another to indicate a consolidation relationship. For example, sales totals for the Products dimension might be totaled by product description, broken down by product code, and further broken down by product ID.


Transferring OLAP Models and Metaoutlines to Different Catalogs

Related Topics

Overview

You must be connected to an OLAP Metadata Catalog to begin this task; however, you do not need to have an OLAP model or metaoutline open.

1 Select File > XML Import/Export or click the [image] icon to display the XML Import/Export dialog box.

Note: It is not necessary to open an existing model or metaoutine to export it to an XML file.

2 Select the Export tab.

3 In the OLAP Model/Metaoutline hierarchical view, navigate to the OLAP model or metaoutline that you want to export to an XML file and select it.

4 Click the Save As XML File button.

The Save As dialog box is displayed.

5 In the File name text box, type a name for the XML file that will contain the model or metaoutline you are exporting.

If necessary, navigate to the directory location where you want to save the XML file.

6 Click Save.

A message is displayed confirming that the selected object has been successfully exported as an XML file.

7 Click OK.

8 Click Close to close the XML Import/Export dialog box.

9 Select Connections > OLAP Metadata Catalog > Disconnect to disconnect from the current catalog.

10 Select Connections > OLAP Metadata Catalog > Connect.

The Login dialog box is displayed.

11 In the OLAP Metadata Catalog drop-down list box, select the catalog to which you want to move the model or metaoutline that you are in the process of transferring, and complete the connection.

See Connecting to an Essbase Integration Server and OLAP Metadata Catalog for more information.

12 Select File > XML Import/Export.

The Import tab of the XML Import/Export dialog box is displayed.

13 Click Open XML File.

14 Navigate to the location of the XML file you just created, select it, and click Open.

15 In the XML Import/Export dialog box, click Import to Catalog.

A message is displayed confirming that the XML file has been successfully imported to the OLAP Metadata Catalog.

16 Click OK.

17 Click Close to close the XML Import/Export dialog box.

18 Select File > Open.

The Existing tab of the Welcome dialog box is displayed.

19 Locate the new OLAP model or metaoutline in the list box, select it, and click Open.

The Data Source dialog box is displayed, where you connect to the appropriate relational data source.

20 In the Data Source dialog box, type or select a data source and user name, type a password, and then click OK.

The OLAP model or metaoutline is displayed.

You are now ready to work with the newly-transferred OLAP model or metaoutline.

Optional:

You can directly edit the OLAP model or metaoutline in an XML editor.

1 Open the newly-created XML file in an editor.

Note: You must use an editor that is UTF8 compliant. Notepad is not UTF8 compliant. Use of a non-UTF8 compliant editor may result in data corruption.

2 Make the changes you want by editing the XML.

For example, you may want to change the model name or metaoutline name in the XML file.

3 Save and close the XML file.

4 Re-import the XML file, as described in steps 10 through 14 above.

5 Open the file OLAP model or metaoutline you just re-imported to view changes.


Changing Read/Write Access

At any time after you save a metaoutline, you can change the access rights that you originally assigned by selecting File > Save As.

To change read/write access to a metaoutline:

1 Select File > Save As.

The Save New Metaoutline dialog box is displayed.

2 In the Security drop-down list box, change the user access defined for the metaoutline.

3 Click OK.


Creating Metaoutline Dimensions Manually

To use an OLAP model object to create a dimension in a metaoutline:

  • Drag a dimension, hierarchy, column, or measure from the left frame of the OLAP Metaoutline main window to the right frame of the OLAP Metaoutline main window.

When you drag an object to the right frame, the object creates a new dimension at the bottom of the metaoutline. The new dimension uses the OLAP model name of the dimension in which the OLAP model object is located.

Creating Dimensions, Member Levels, and Measures describes the members and dimensions created when dragging various OLAP model objects.

For information on selecting multiple dimensions, hierarchies, columns, and measures in the left frame, see Selecting Multiple Objects in the Left Frame

After a dimension is created in the right frame, you can drag the dimension to another location within the metaoutline and rename the dimension.

You must define at least one measure in each metaoutline. If the metaoutline does not contain a measure, you cannot use the metaoutline to build an Essbase outline. See Creating a Measure Dimension.


Understanding Metaoutline Workflow

The figure below illustrates the workflow for creating a metaoutline. This workflow includes creating a metaoutline and using the metaoutline to create and load members and data into an Essbase database. This workflow includes the following procedures:

  • Creating and working with a metaoutline

  • Adding dimensions, member levels, and measures to a metaoutline

  • Setting load properties, filters, Hybrid Analysis member levels, and Essbase properties on dimensions, member levels, and measures in a metaoutline

  • Loading dimensions and member levels from a metaoutline into the Essbase outline

  • Loading data that is specified in a metaoutline into an Essbase database


Preparing to Create or Edit a Metaoutline

To create or edit a metaoutline, start Essbase Integration Services Console, and connect to Essbase Integration Server and OLAP Metadata Catalog.

The Welcome dialog box opens automatically. You use the Welcome dialog box to choose whether to create or edit a metaoutline.

You are then prompted to connect to a data source. Connect to a relational or flat file data source as appropriate.

If you have problems connecting, see Correcting Connection Problems.

If you are already running Integration Services Console and are connected to OLAP Metadata Catalog, select File > New or File > Open to open the Welcome dialog box.

To create a metaoutline:

1 In the Integration Services Console window, select File > New.

2 In the New tab of the Welcome dialog box, click the select the OLAP Metaoutline icon, [image].

3 In the drop-down list box, select an OLAP model on which to base the metaoutline.

4 Click Open.

5 If necessary, in the Data Source dialog box, log on to the appropriate data sources.

To edit a metaoutline:

1 In the Welcome dialog box, click the Existing or Recent tab.

2 Select the name of the metaoutline that you want to edit.

For more information about the metaoutline, look in the Details list box.

3 If you want to place write-lock privileges on the metaoutline, select Exclusive Access.

Exclusive Access enables you to modify and save the metaoutline. If Exclusive Access is not selectable, another user has write-lock privileges, and you have read-only privileges.

4 Click Open.

5 If necessary, log on to the appropriate data sources.


Selecting Multiple Objects in the Left Frame

Related Topics

In the left frame of the OLAP Metaoutline main window, select the name of the first object, press and hold Ctrl, and select the names of the other objects.

To select multiple, noncontiguous objects in the left frame of the OLAP Metaoutline main window, use one of the following methods:

  • Select a first object, press and hold Ctrl, and select additional objects.

  • Select a first object, press Shift, and select a final object. All objects between the two selected objects are selected.

You can perform any of the following actions to create dimensions and member levels in the right frame of the OLAP Metaoutline main window:

  • Select multiple dimensions in the left frame and drag the dimensions into the right frame to create dimensions without member levels. You can then select multiple members of one or more dimensions in the left frame and drag the members into the right frame. Each member is placed under the correct dimension automatically.

Note: You may need to organize the dimension members into a hierarchy.

  • Select multiple members in the left frame and drag the members into the right frame to create dimensions and member levels automatically.

  • Select multiple dimensions and members in the left frame and drag the dimensions and members into the right frame to create dimensions and member levels automatically.

As shown below, if you drag the ADDITIONS, COGS, FAMILY, and FAMILYID members into the right frame, the Measures and Product dimensions are created automatically.


Selecting Multiple Objects in the Right Frame

Related Topics

In the right frame of the OLAP Metaoutline main window, you can select multiple dimensions, member levels, and measures to perform the following actions:

  • Set or change Essbase properties

  • Delete objects

  • Create drill-through reports

To select multiple, noncontiguous objects in the right frame of the OLAP Metaoutline main window, select the name of the first object, press and hold Ctrl, and click the names of the additional objects.

When you select multiple dimensions, member levels, measures, and UDAs, the Edit and pop-up menu options vary, depending on your selection. The commands available for each type of multiple selection are shown in the Multiple Selection and Menu Command Availability table.

Selection | Menu Command Availability
Two or more dimensions | Delete command Properties command Drill-Through Reports command Attribute Member Names command
Two or more member levels | Delete command Properties command Drill-Through Reports command Attribute Member Names command
Some combination of dimensions, member levels, and measures | Delete command Drill-Through Reports command Attribute Member Names command
Two or more measures within the accounts dimension, including the accounts dimension | Delete command Drill-Through Reports command Attribute Member Names command
Two or more UDAs | Delete command Properties command Drill-Through Reports command Attribute Member Names command

Note: Selecting the metaoutline name along with a dimension, member level, or measure activates the Drill-Through Reports command and Attribute Member Names command on the Edit menu. The pop-up menu is not selectable.

When you select a combination of dimensions, member levels, or UDAs, only specific tabs and commands are selectable on the Dimension Properties and Member Properties dialog boxes, as indicated in the table below.

If you select two or more objects with different Essbase properties, the default option in the dialog box is not displayed. For example, if you select two dimensions, one dimension tagged as sparse and one dimension tagged as dense, the Dimension Storage option on the Dimension Properties dialog box is selectable. In this situation, you must choose what the new Dimension Storage option should be for the selected dimensions.

Selection

Tab Availability

Commands that Are Not Selectable

Two or more dimensions

Dimension Properties dialog box:

Member Info tab

UDAs tab

  • Alias command

  • Two-pass calculation is not selectable if a selected dimension is tagged as two-pass calculation and another selected dimension is not tagged as two-pass calculation

Two or more member levels

Member Properties dialog box:

  • Member Info tab

  • UDAs tab

  • Alias command

  • Two-pass calculation is not selectable if a selected member level is tagged as two-pass calculation and another selected member level is not tagged as two-pass calculation

  • Dynamic time is not selectable if two or more member levels belong to the time dimension, and a time member level is tagged as dynamic time and another time member level is not tagged as dynamic time

Two or more measures

Member Properties dialog box:

  • Member Info tab

  • Account Info tab

  • UDAs tab

  • Alias command

Two or more UDAs

Member Properties dialog box:

  • Member Info tab

  • UDAs tab

  • Alias command

  • Two-pass calculation is not selectable when a selected member level is tagged as two-pass calculation and another selected member level is not tagged as two-pass calculation

Note: Changing specific properties for dimensions or for member levels does not change the properties of other options. For example, selecting multiple dimensions and tagging them with two-pass calculation does not change the storage properties of the two-pass dimensions.


Setting OLAP Metaoutline Properties

Related Topics

Several properties are set at the metaoutline level. To modify metaoutline properties:

1 Right-click the name of the metaoutline in the right frame of the OLAP metaoutline main window and select Properties.

The General tab of the OLAP Metaoutline Properties dialog box is displayed.

2 Select the appropriate tab.

3 Select the properties that you want to apply.

4 Click OK to accept the selected properties.


Setting the Data Storage Model Property in a Metaoutline

Related Topics

Overview

To set the data storage model property of the metaoutline:

1 Right-click the name of the metaoutline in the right frame of the OLAP Metaoutline main window and select Properties.

The General tab of the OLAP Metaoutline Properties dialog box is displayed.

2 Select the Data Storage Model tab.

3 In the Data Storage Options frame, select one of the following options:

  • Automatically determined by Integration Server. Select this option and Integration Server determines whether the metaoutline meets the requirements for aggregate storage or block storage. This is the default.

  • If the metaoutline meets the requirements for aggregate storage, Integration Server returns no aggregate storage errors during validation (provided the check box described in step 4 is selected). If aggregate storage errors are returned during validation, the metaoutline qualifies for block storage.

  • Block Storage. Select this option to set the data storage property to block storage. Use the block storage option to create an Essbase database that uses complex analyses such as dynamic calc, dense and sparse settings, formulas, calc scripts, or multiple Essbase databases in an application.

  • Aggregate Storage. Select this option to set the data storage property to aggregate storage. Use the aggregate storage option to address read-only, "rack and stack" applications having large dimensionality.

4 Optional. Select the Show Aggregate Storage Option Validation Errors/Warnings check box to have Integration Server display aggregate storage option errors and warnings during metaoutline validation.

Note: Integration Server validates the metaoutline when you save it. Optionally, you can validate the metaoutline at any time by selecting File > Verify.

5 Click OK to accept the data storage model property selection.


Creating an Essbase Outline with Duplicate Member Names

Related Topics

Overview

To create a metaoutline with duplicate member names:

1 Right-click the name of the metaoutline in the right frame of the OLAP Metaoutline main window and select Properties.

The General tab of the OLAP Metaoutline Properties dialog box is displayed.

2 Select the Data Storage Model tab.

3 Clear the Create Outline with Unique Member Names check box and click OK.

For shared member support, complete steps 4 and 5.

4 Specify that duplicate member names are to be added as shared members, as described in Handling Duplicate Member Names.

5 Specify the key columns, as described in Specifying Key Columns for Duplicate Members.


Migrating Metaoutlines Containing Unique Names to Duplicate Names

Related Topics

Prior to Release 9.0, metaoutlines and the Essbase outlines created from them, contained unique member names. You can migrate pre-9.0 metaoutlines to metaoutlines that support duplicate member names following the process outlined in this topic.

To migrate a metaoutline containing unique names to duplicate names:

1 Right-click on the metaoutline name, select the Data Storage tab, and then clear the Create Outline with Unique Member Names check box.

See Creating an Essbase Outline with Duplicate Member Names for complete instructions.

For shared member support, complete steps 2, 3, and 4.

2 Specify how Integration Server processes duplicate member names, as described in Handling Duplicate Member Names.

3 Assign the member key columns, as described in Specifying Key Columns for Duplicate Members

4 If the metaoutline contains recursive hierarchies, ensure that the child column in the recursive hierarchy is included in the metaoutline.

Note: The recursive hierarchy member column is treated as a key column by default.

To specify a column that contains the member display names that you want to use in the outline or spreadsheet, see Specifying the Member Name Column for Recursive Hierarchies.

5 Verify and save the metaoutline.

6 Load the metaoutline into Essbase, and then verify and work with the resulting outline using Essbase Administration Services Console.

Refer to the Oracle Essbase Administration Services Online Help for information on outlines that support duplicate member names.


Validating Metaoutlines Manually

Each time you save a metaoutline, Essbase Integration Server automatically validates it and writes it to OLAP Metadata Catalog. If you prefer, you can validate a metaoutline at any time manually before saving it. You can save a metaoutline that does not pass validation, but you cannot use it to load member levels or data into an Essbase database.

To validate a metaoutline manually, select File > Verify. If the metaoutline is valid, a dialog box informs you that the metaoutline contains no errors.

If the metaoutline is invalid, Integration Services displays a dialog box that details the errors in the metaoutline.

If the metaoutline is invalid, check to make sure that the following conditions are met:

  • The metaoutline contains at least one dimension.

  • The metaoutline contains at least one measure.

  • The metaoutline contains only one dimension or no dimension tagged as measure.

  • The metaoutline does not contain more measures than are allowed.

  • If you do not have a dimension tagged as measure in the metaoutline, the metaoutline can contain only one measure.

  • If you have a dimension tagged as measure in the metaoutline, the metaoutline can contain a measure for each level zero (leaf level) member of the measure dimension.

  • Each dimension or user-defined dimension contains one or more member levels.

  • Each user-defined dimension has a default load member.

  • If the metaoutline data storage property is set to aggregate storage, be sure that the requirements for aggregate storage are met.

To save a metaoutline that does not pass validation, see Saving a Metaoutline Manually.


Saving a Metaoutline Manually

If the metaoutline that you want to save has been previously saved and you do not want to give the metaoutline a different name, select File > Save.

Essbase Integration Server writes the changes to the OLAP Metadata Catalog to which you are connected.

If you have not previously saved the metaoutline or if you want to save the metaoutline to a different name, you must use the Save New Metaoutline dialog box.

To use the Save New Metaoutline dialog box to save an outline manually:

1 Perform one of the following tasks:

  • If you are saving a metaoutline for the first time, select File > Save.

  • If you are saving a previously saved metaoutline to a new name, select File > Save As.

The Save New Metaoutline dialog box is displayed.

2 In the Metaoutline name text box, enter the name of the metaoutline.

3 From the Security drop-down list box, select one of the following options:

Option | Permitted Activity
Allow read/write access for other users | Other users can read and write to the metaoutline. This setting is the default.
Allow read access for other users | Other users can read the metaoutline but not write to the metaoutline; that is, another user cannot save changes to the metaoutline.
Disallow all access for other users | Other users can neither read nor write to the metaoutline. Only you can read or write to the metaoutline.

Note: To change the permissions on a metaoutline after you create it, you must use the tools provided with the database that contains the OLAP Metadata Catalog or select File > Save As to save the metaoutline to a different name. See the Essbase Integration Services System Administrator’ s Guide.

4 If you want to describe the metaoutline, in the Description text box, enter a brief description.

The description can include up to 255 characters. Integration Services displays the description in the following places:

  • The Save New Metaoutline dialog box, when you select File > Save As.

  • The OLAP Metaoutline Properties dialog box. (You can view or change the metaoutline description in this dialog box at any time.)

  • The Existing tab of the Welcome dialog box

  • The Recent tab of the Welcome dialog box.

5 Click OK.

If the metaoutline is invalid, Integration Services displays an error message. You can save the metaoutline without correcting the error, but you cannot use an invalid metaoutline to load member levels or data into an Essbase database.

Note: If you attempt to save a metaoutline that another user currently has open, a dialog box informs you that the metaoutline is currently locked or open. You must wait to save until all other users close the metaoutline.


Saving While Closing

If you try to close a metaoutline without saving it, a dialog box prompts you to save your changes.

Click Yes to save the metaoutline with changes or No to close the metaoutline without saving changes. See Saving a Metaoutline Manually.

CAUTION: If the metaoutline you are closing is a new metaoutline that has never been saved, you will lose it if you click No.


Saving a Metaoutline to a Different Name

Save a metaoutline to a different name if you want to accomplish any of the following tasks:

  • Change the name of a metaoutline. (The original metaoutline retains the original name.)

  • Change the access permissions of the metaoutline.

  • Make a copy of the metaoutline. You cannot copy a metaoutline by using the Copy function that the operating system provides because the metaoutline resides in OLAP Metadata Catalog. Instead, you need to save the metaoutline to a different name.

To save a metaoutline to a different name, select File > Save As. Essbase Integration Services displays the Save New Metaoutline dialog box. For more information, see Saving a Metaoutline Manually.


Printing Metaoutlines

You can print the metaoutline contained in the right frame of the OLAP Metaoutline main window to use as a hard-copy reference or to retain on file. The OLAP model information in the left frame of the window does not print when you print the metaoutline.

To print a metaoutline:

1 Select File > Print or click the Print toolbar button, [image], to open the standard Print dialog box.

2 Select the settings that you want.

3 Click OK.


Deleting Metaoutlines

When you delete a metaoutline, Essbase Integration Services removes the metaoutline from OLAP Metadata Catalog.

To delete one or more metaoutlines:

1 Make sure that you are connected to the OLAP Metadata Catalog where the metaoutline is stored.

If you are connected, the lower-right corner of the OLAP Metaoutline main window contains the appropriate OLAP Metadata Catalog name (for example, TBC_MD in the sample TBC database).

If you are not connected, select Connections > OLAP Metadata Catalog > Connect and log on to the correct OLAP Metadata Catalog.

2 Select File > Delete to display the Delete an OLAP Model/Metaoutline dialog box.

3 Select the metaoutline to delete, and click Delete.

Note: To select multiple metaoutlines to delete, select one metaoutline, hold the Ctrl key, and select each additional metaoutline.

Integration Services displays a dialog box that prompts you to confirm that you want to delete the metaoutline.

Note: If you delete a metaoutline that you used to build an Essbase outline, you can no longer drill through on the Essbase outline.

4 Click Yes.

Note: Use caution when deleting. You cannot undo the deletion of a metaoutline.

Essbase Integration Server deletes the selected metaoutline from OLAP Metadata Catalog.

Note: If you attempt to delete a metaoutline that you or another user currently has open, a dialog box informs you that the metaoutline is currently locked or open. If you have it open, close the metaoutline and select Connections > OLAP Metadata Catalog > Delete Locks. If other users have the metaoutline open, you must wait until they close it.


Creating Metaoutline Dimensions Automatically

Create basic metaoutline dimensions quickly and easily by using the automatic detection feature of Essbase Integration Services Console:

1 Select Tools > Get Existing Hierarchies or click the Create/Get Hierarchies toolbar button, [image] .

The Existing Hierarchies dialog box is displayed.

Note: You can also access this dialog box by using the "autodetect" link in the Intelligent Help (Dimensions and Members process button, Create Standard Dimensions Automatically task).

2 Do one of the following:

  • To select all possible detected hierarchies, click the Select All button.

  • To select only one hierarchy for hierarchy creation, click the hierarchy name.

  • To select more than one but not all hierarchies for hierarchy creation, press and hold down the Ctrl key and click your hierarchy creation choices.

3 Click the Create button to launch the dimension creation process.

A message box prompts you when all selected hierarchies have been successfully created.

4 Click OK to clear the message box.

The metaoutline dimensions are created.


Creating Member Levels Associated with an OLAP Model

To create a member level from an OLAP model object, drag a column, hierarchy, or measure from the left frame of the OLAP Metaoutline main window to the right frame of the OLAP Metaoutline main window. The result in the metaoutline depends on the object you drag.

For example, if you drag a predefined Year, Quarter, Month hierarchy into the right frame, the hierarchy creates a Year dimension with the hierarchy inserted under it

The table below describes dragging columns, hierarchies and measures to create metaoutline structures.

Location in Metaoutline to Which You Drag a Column, Hierarchy, or Measure

Metaoutline Structure that You Create

Example

Blank space

New dimension with the member level, the hierarchy of member levels, or the measure inserted directly under the new dimension.

This action creates the new dimension at the bottom of the metaoutline and gives the new dimension the name of the dimension in which the OLAP model object is located.

Dragging the ADDITIONS column onto a blank space creates a Measures dimension with an ADDITIONS member level. You can rename the Measures dimension as Accounts.

Dimension

New member level, hierarchy of new member levels, or measure directly under the selected dimension. This action creates the new member level, hierarchy of new member levels, or new measure at the bottom of the selected dimension and gives the new object or measure the name that the object had in the OLAP model.

Dragging the FAMILYID column onto the Product dimension creates a FAMILY.FAMILYID member level under the Product dimension.

Member level

New member level, hierarchy of new member levels, or new measure directly under the selected member level. This action creates the new member level, hierarchy of new member levels, or new measure at the bottom of the selected member level and gives the new object the name that the object had in the OLAP model.

Dragging the PRODUCTDIM.SKU column onto the PRODUCTDIM.FAMILY member level creates a PRODUCTDIM.SKU member level under the PRODUCTDIM.FAMILY member level.

For information on selecting multiple dimensions, hierarchies, columns, and measures in the left frame, see Selecting Multiple Objects in the Left Frame.

After a new object is created in the right frame, you can, as necessary, perform any of the following tasks:

  • Drag the newly-created member level or measure to the appropriate location in the dimension.

  • Rename the newly created member level or measure.

  • Delete unwanted member levels of a hierarchy, from the leaf level up, by selecting an unwanted member level and pressing Delete.


Creating Recursive Dimensions

Related Topics

Overview

You can create dimensions that contain member levels that are based on the contents of the two columns of a parent-child relationship. These dimensions are called recursive dimensions.

Note: A metatoutline that contains a recursive dimension cannot be used with Hybrid Analysis.

To create a recursive dimension:

1 Set up the parent-child data source for recursive dimensions.

2 Drag either the parent column or the child column (but not both) to the right frame of the OLAP Metaoutline main window.

Essbase Integration Server creates the recursive hierarchy during the member load.


Creating User-Defined Dimensions and Members

Related Topics

User-defined dimensions and members are not associated with an OLAP model. You can create a user-defined dimension as a child of the metaoutline or as a sibling of an existing dimension. Likewise, you can create a user-defined member as a child of a dimension (either a user-defined dimension or a dimension associated with an OLAP model) or as a sibling of an existing user-defined member. You cannot create a user-defined member as a child of a database-defined member level.

Note: Hybrid Analysis does not support a metaoutline that contains an accounts dimension created from a user-defined dimension.

Creating as Children

To create a user-defined dimension as a child of a metaoutline or a user-defined member as a child of a dimension:

1 In the right frame of the OLAP Metaoutline main window, select one of the following objects:

  • To create a dimension, select the metaoutline name.

  • To create a member, select a dimension name.

Note: You cannot create a user-defined member as a child of a database-defined member level.

To name the new dimension or member, select Edit > Add Member as Child, or click the Add Child button, [image] . The Enter the New Dimension's Name dialog box is displayed.

2 Enter the new dimension or member name.

3 Click OK.

If you create a dimension, it is displayed as the first dimension in the metaoutline. If you create a member, it is displayed as the first member in the dimension.

4 If necessary, drag the newly-created dimension or member to the appropriate location in the metaoutline.

Creating as Siblings

To create a user-defined dimension as a sibling of an existing dimension or a user-defined member as a sibling of a user-defined member:

1 In the right frame of the OLAP Metaoutline main window, perform one of the following tasks:

  • Select the dimension after which you want to add the new dimension.

  • Select the user-defined member after which you want to add the new member.

Note: You cannot create a user-defined member as a child of a database-defined member level.

2 Select Edit > Add Member as Sibling, or click the Add Sibling button, [image] .

The Enter the New Dimension's Name dialog box is displayed.

3 Enter the new dimension or member name.

4 Click OK.

If you create a dimension, the new dimension is placed after the selected dimension. If you create a member, the new member is placed after the selected member.

5 If necessary, drag the newly-created dimension or member to the appropriate location.


Defining the Load Member for a User-Defined Dimension

Related Topics

Overview

To set the load member in a user-defined dimension:

1 In the right frame of the OLAP Metaoutline main window, select the metaoutline name.

2 Right-click the metaoutline name and select Properties from the pop-up menu.

3 In the OLAP Metaoutline Properties dialog box, select the User Defined Dimensions tab.

4 Select the user-defined dimension for which you want the default load member defined.

5 Click Edit.

The Select Default Load Member dialog box, which lists all user-defined members of the selected dimension, is displayed.

6 Select the member to use as the default load member; for example, ExtraCaffeineCola.

Members of any level, including non-level 0 members, can be selected to be the default load member.

Note: You can also set the default load member by right-clicking a member of a user-defined dimension and selecting Default Load Member from the pop-up menu. When you select Default Load Member, a check mark is displayed next to Default Load Member in the pop-up menu.

7 Click OK.

Essbase Integration Server loads data from the data source into the default load member the next time you perform a data load.


Creating a Measure Dimension

If a metaoutline contains more than one measure (data value), you must define a measure dimension and add all measures to that dimension. All measures that you can use in the metaoutline are defined in the OLAP model.

You can create a measure dimension by using the OLAP model dimension that is tagged as accounts. Alternatively, you can either create a dimension from an existing OLAP model dimension or create a user-defined dimension, tag it as accounts, and then associate a database column with the measure.

Note: Hybrid Analysis does not support a metaoutline that contains an accounts dimension created from a user-defined dimension.

All measures must be defined at level zero (leaf level) of the metaoutline. If you want to group measures under a parent, create the parent as a user-defined member.

To create a measure dimension from the OLAP model dimension tagged as accounts:

1 In the OLAP Metaoutline main window, drag the dimension tagged as accounts from the left frame, which represents the OLAP model upon which this metaoutline is based, to the right frame.

The selected dimension creates a measure dimension tagged as accounts in the metaoutline.

2 Drag the appropriate measures, such as COGS, from the left frame of the OLAP Metaoutline main window to the dimension tagged as accounts in the right frame.

When you create a measure dimension from the OLAP model dimension tagged as accounts, one or more database columns are already associated with the measure.

To create a measure dimension without using the OLAP model dimension tagged as accounts:

1 In the metaoutline, create the dimension that you want to use as the measure dimension by performing one of the following tasks:

  • Drag a dimension, hierarchy, column, or measure from the left frame of the OLAP Metaoutline main window to the right frame, as described in Creating Metaoutline Dimensions Manually.

  • Complete the procedure Creating User-Defined Dimensions and Members to create a user-defined dimension that you will use as an accounts dimension.

When you create a measure dimension using one of the methods above, you must tag the measure dimension as accounts, and associate a database column with the measure.

2 Optional: Drag the appropriate measures, such as COGS, from the left frame of the OLAP Metaoutline main window to the measure dimension you created in step 1.

3 Right-click the dimension you created in step 1 and, from the pop-up menu, select Properties to open the Dimension Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , in the toolbar or by selecting Properties from the Edit menu.

4 Select the Member Info tab.

5 From the Dimension Type group, select Accounts as the type of dimension.

6 Click OK.

7 In the right frame of the OLAP Metaoutline main window, right-click the metaoutline name and select Properties.

The General tab of the OLAP Metaoutline Properties dialog box is displayed.

8 Select the Database Measures tab and click Add.

The General tab of the Measure Properties dialog box is displayed.

9 In the Database Properties list, click a database column name to select it.

Select the database column that you want to associate with the measure. The database column you select is displayed in the Name text box.

10 Click OK to return to the OLAP Metaoutline Properties dialog box.

The measure name and database column associated with the measure are displayed in the list box.

11 If you created the measure dimension from a user-defined dimension, you must define the default load member.

Follow the procedure in Defining the Load Member for a User-Defined Dimension to define the default load member.

12 Click OK to close the OLAP Metaoutline Properties dialog box.

Note: When the dimension is not tagged as accounts in the OLAP model, the measures that you add do not use the standard measure icon, [image] . Instead, they use the column icon, [image] . Regardless of the button, however, Essbase Integration Services treats the members as measures during member and data loads.


Enabling Advanced Relational Access

Related Topics

Overview

You enable Advanced Relational Access by configuring relational storage at the metaoutline level for all non-accounts dimensions in the metaoutline.

Caution: You cannot enable Advanced Relational Access in metaoutlines that are connected to multiple data sources.

To enable Advanced Relational Access in a metaoutline:

In the right frame of the OLAP Metaoutline main window, select the metaoutline name and then select Edit > Enable Relational Storage.

Advanced Relational Access is automatically enabled for all non-accounts dimensions in the metaoutline.

For example, after selecting the Enable Relational Access option, in the Product dimension, an icon representing relational storage is displayed next to all members of this dimension:

In the resulting cube, all members in the all non-accounts dimensions will be accessed directly from the relational database.

Note: You can enable a dimension for relational storage even if that member has already been associated with an attribute member.

Optional: Complete the procedure in Sorting Members to specify the sort order for the query results.


Enabling Hybrid Analysis

Related Topics

Overview

Example

You enable Hybrid Analysis by enabling relational storage for member levels in the metaoutline.

Note: You cannot enable Hybrid Analysis in metaoutlines that are connected to multiple data sources.

1 In the metaoutline, select the member level in the hierarchy that you want to designate as the lowest dimensional build level.

2 Select Edit > Build Multidimensional Down to Here.

A check mark is displayed next to the Build Multidimensional Down to Here menu item. In the following example, using a fictitious Product hierarchy, after selecting Build Multidimensional Down to Here on the PRODUCTDIM.Product_Category member, the red "X" icon is displayed next to the PRODUCTDIM.Product_Type and PRODUCTDIM.Product_SKU members:

3 Right-click the lowest level member name for which you want to enable Hybrid Analysis and select Enable Hybrid Analysis Down to Here from the pop-up menu.

In the Product hierarchy example, the Product_SKU member was selected. The Hybrid Analysis icon is displayed on the both the PRODUCTDIM.Product_Type and PRODUCTDIM.Product_SKU members:

Notes:

  • A member can be Hybrid Analysis-enabled even if that member has been associated with an attribute member.

  • Only the first hierarchy of a dimension with alternate hierarchies can have Hybrid Analysis-enabled members on its lowest levels.

Adding Hybrid Analysis to Pre-Release 6.5 Essbase Databases

To add Hybrid Analysis functionality to an Essbase database created prior to release 6.5, you can enable Hybrid Analysis in the metaoutline used to load data to the Essbase database, and perform an incremental load of the Hybrid Analysis data using the Outline > Update Hybrid Analysis Data command.


Setting Security Options for Hybrid Analysis

Related Topics

1 Right-click the name of the metaoutline in the right frame.

2 Select Properties to display the OLAP Metaoutline Properties dialog box.

3 Select the Hybrid Analysis tab.

4 Select one of the following security options:

  • Select the Use Essbase user name and password to connect to the data source option to use the Essbase user name and password to connect to the data source,

  • Select the Use user-defined user name and password option to use a user-defined user name and password to connect to the OLAP Metadata Catalog and data source.

5 Make changes, as appropriate, in the Catalog and Data Source frames.

The Catalog frame and the Data Source frame both display the data source names, user names, and passwords used to connect to the OLAP Metadata Catalog and data source when you first opened the metaoutline. You can make changes to this information, but must do so with care. If you change data source information, tables and columns that were used to build the OLAP model and subsequent metaoutlines must be contained in the new data source.

Note: If the Use Essbase user name and password option is selected, the User Name and Password text boxes in the Data Source frame are disabled.


Creating Attribute Dimensions from OLAP Model Dimensions

To create an attribute dimension and member level in the metaoutline, you must have an attribute-enabled column in the OLAP model.

Note: An attribute-enabled column in the left frame must be dragged to an empty space in the right frame; it cannot be placed within another dimension.

To create an attribute dimension from an OLAP model dimension:

  • Drag an attribute-enabled column (such as PRODUCT.CAFFEINATED) in the left frame to the right frame.

This action creates a dimension (for example, the Product dimension), an attribute dimension (for example, CAFFEINATED) and an attribute member (for example, PRODUCT.CAFFEINATED). If the Product dimension already exists in the metaoutline, it remains unchanged. In either case, dragging an attribute member to the right frame creates an association between the attribute dimension and the base dimension. The association is made at the dimension level. The new attribute dimension is positioned under the metaoutline icon.

Note: To associate an attribute member with a base dimension level, see Setting Base Dimension Levels for an Attribute.


Naming Attribute Dimensions

To determine the format for attribute member names in a metaoutline by using the Attribute Member Names dialog box:

1 In the right frame of the OLAP Metaoutline main window, select the metaoutline icon at the top of the frame.

2 Right click on the metaoutline icon, and select Attribute Member Names from the pop-up menu.

The Attribute Member Names dialog box is displayed. This dialog box has four tabs where you can perform the following tasks:

  • Ensure that an attribute name is unique by assigning a prefix or suffix in the Member Name Format tab

  • Change the names for attribute calculations in the Calculations tab.

  • Rename the Boolean value for Boolean attribute members and define formats for attribute date values in the Boolean and Date tab.

  • Specify the numeric boundary names for attributes in the Numeric Ranges tab.


Setting Attribute Dimension Member Names Format

You can ensure that an attribute name is unique by assigning a prefix or suffix. Note that a metaoutline does not display the full attribute member name after you have assigned a prefix or suffix identifier. You can view the full attribute names when you retrieve information; for example, full attribute names are displayed when you view a spreadsheet.

To set the format for attribute member names:

1 Right-click the metaoutline icon, and select Attribute Member Names from the pop-up menu.

The Attribute Member Names dialog box is displayed.

2 Select the Member Name Format tab.

3 Select a Value such as Parent to be used as a prefix or suffix.

4 Select a Separator to be used with the prefix or suffix.

The default separator is an underscore (_).

5 Click Prefix or Suffix to define how the selected value is to be used.

6 Click OK.

The Sample area displays an example attribute name based on the selections made in this dialog box.


Setting Attribute Calculations Name Format

An attribute calculation member name cannot be the same as a member name. For example, if another member name in the metaoutline is Sum, then you must enter a new name for the Sum member name in the Calculations tab. You can change the names for the attribute calculations in the Calculations tab of the Attribute Member Names dialog box.

Attribute calculations have the following properties:

  • System-defined: When you create an attribute dimension in a metaoutline, the resulting reports and spreadsheets have five predefined calculations available for all attribute members.

  • Dynamic Calc: All attribute calculations are calculated when a user requests the calculation, and then the calculation is discarded. You cannot store the calculated data in a database.

  • Displayed in Reports: Attribute calculation results are not displayed in the metaoutline. The calculation results are available only in spreadsheets and reports.

The following five calculations are system-defined for attribute dimensions:

  • Sum: Sum calculates a sum, but it does not always calculate a simple sum. Sum totals members based on their consolidation property or formula. For example, you can Sum the Profit% for 12-Ounce drinks, and the Sum will be based on the Profit% formula, which is profit divided by sales, with the resulting ratio multiplied by 100.

  • Count: Calculates the number of members with the specified attribute or combination of attributes. Count includes only those members that have data blocks in existence.

  • Min: Calculates the minimum data value for a specified attribute or combination of attributes.

  • Max: Calculates the maximum data value for a specified attribute or combination of attributes.

  • Average: Calculates a mechanical mean (average) of the values for a specified attribute or combination of attributes. The average includes only those members that have data blocks in existence (sum divided by count).

To rename any of the system-defined calculations:

1 Right-click the metaoutline icon, and select Attribute Member Names from the pop-up menu.

The Attribute Member Names dialog box is displayed.

2 Select the Calculations tab.

3 To rename the dimension, type the new name in the Dimension Name text box.

4 Type the new name for the calculation into the relevant text box.

Sum can be renamed Total, Min can be renamed Minimum, and so forth.

5 Click OK.

For further information about using attribute calculations, see the Oracle Essbase Database Administrator’s Guide.


Specifying Attribute Boolean Names and Date Formats

After you have defined a Boolean or date type attribute, you can rename the Boolean value for Boolean attribute members and define formats for attribute date values. Boolean names cannot be the same as the names of other members of the metaoutline. For date type attribute members, a default mm-dd-yyyy format is assigned unless you specify a different value.

To rename attribute Boolean names:

1 Right-click the metaoutline icon, and select Attribute Member Names from the pop-up menu.

The Attribute Member Names dialog box is displayed.

2 Select the Boolean and Date tab.

3 Make one of the following entries, and then click OK:

  • If the member name True is used elsewhere in the metaoutline, type Yes, Allowed, or another appropriate name in the True Member Name text box. The default member name is True.

  • If the member name False is used elsewhere in the metaoutline, type No, Not Allowed, or another appropriate name in the False Member Name text box. The default member name is False.

Note: If you have more than one Boolean attribute dimension, you must specify a prefix or suffix member name format to ensure unique member names; for example, Caffeinated_True and Caffeinated_False.

Note: Changing the Boolean member name setting does not automatically change the names of members of existing Boolean attribute dimensions. You must change the names of existing Boolean members individually.

For information on setting Boolean properties for an attribute dimension, see Setting Boolean Parameters for an Attribute.

For further information about using attribute calculations, see the Oracle Essbase Database Administrator’s Guide.

To choose a date format for attribute members:

  • In the Boolean and Date tab of the Attribute Member Names dialog box, select one of the following options, and then click OK:

  • mm-dd-yyyy displays the month before the day; for example, October 19, 2000 is displayed as 10-19-2000.

  • dd-mm-yyyy displays the day before the month; for example, October 19, 2000 is displayed as 19-10-2000.

Note: If you change the date member name format, the names of existing members may be invalid. For example, if the 10-19-2000 member exists, and you change the format to dd-mm-yyyy, outline verification will find this member invalid. If you change the date format, you must rebuild the date attribute dimensions.


Specifying Numeric Ranges for Attributes

Related Topics

For dimension member attributes that you have defined as numeric, you can set the numeric attribute name as the top (highest number) or bottom (lowest number) in a numeric range. After you have set a boundary for a numeric attribute, you can then set numeric ranges of values for the attribute members.

To specify the numeric boundary names for attributes:

1 Right-click on the metaoutline icon, and select Attribute Member Names from the pop-up menu.

The Attribute Member Names dialog box is displayed.

2 Select the Numeric Ranges tab.

3 Select one of the following options:

  • Tops of ranges: Selecting this option sets the names of numeric attributes to the value at the top of the numeric range. If the range is 3,000,001 to 6,000,000, selecting this option sets the name as 6,000,000. Tops of ranges is the default setting.

  • Bottoms of ranges: Selecting this option sets the name of numeric attributes to the value at the bottom of the numeric range. If the range is 3,000,000 to 5,999,999, selecting this option sets the name as 3,000,000.

4 Click OK.


Renaming and Selecting a Data Type for an Attribute Member

After you create a dimension member attribute, you can rename the attribute, assign a different allowable dimension type (such as string or Boolean), and define an alias to make the attribute name easier to read in spreadsheet reports.

To rename an attribute or to assign an alias and description to an attribute:

1 Right-click the attribute dimension level, for example, CAFFEINATED, and select Properties from the pop-up menu.

The Attribute Dimension Property dialog box is displayed.

2 If you want to rename the dimension, type the new name into the Name text box.

3 Select a data type from the drop-down list in the Attribute Dimension Type list box.

4 To give the dimension an alias, type an alias name in the Alias text box.

For example, for the PKGTYPE dimension, you might choose Package Type as the alias.

5 To record a description of the dimension, type it in the Description text box.

6 Click OK.


Choosing a Data Type for an Attribute Dimension

OLAP model attribute data types are based on the data type of the data source columns. Available attribute data types in the associated metaoutline are based on the Level 0 attribute member type.

For example, the CAFFEINATED column has a data type of string in the data source (identified by the ABC icon on the left side of the metaoutline window). Therefore, the available data types displayed in the Attribute Dimension Type drop-down list are Text and Boolean, with Text displayed as the default data type selection.

For each column data type in the OLAP model, only certain data types are available in the metaoutline. In the Attribute Dimension Properties dialog box, the available data types are shown in the Attribute Dimension Type list box. Data types can be chosen in the metaoutline based on the guidelines shown below.

Column Data Type/ Essbase Attribute Type | Text | Numeric | Boolean | Date
Text | X |  | X |
Numeric | X | X | X |
Date | X |  |  | X
Boolean | X |  | X |

If you assign an attribute dimension to a Numeric or Boolean data type, you can set further criteria for viewing the attribute.


Setting Base Dimension Levels for an Attribute

Attribute-enabled columns in the OLAP model must be associated with base dimensions in the metaoutline. This association is automatically created when you drag an attribute-enabled column to the right frame in the OLAP metaoutline main window to form an attribute dimension.

You can also associate attribute members with base dimensions manually in either of two ways:

  • By member level

  • By metaoutline member

Note: For aggregate storage metaoutlines, you cannot associate an attribute-enabled column with the Accounts dimension. For more information, see Aggregate Storage Guidelines .

To associate level zero attribute members with base dimension members:

1 Right-click the attribute member name (for example, POPULATION.POPULATION) and select Properties from the pop-up menu to display the General tab of the Attribute Member Properties dialog box.

2 Under Association, select one of the following options to associate an attribute member with a base dimension member:

  • Select the By Level option to associate the attribute with a base dimension level, and then type or select a level from the drop-down list.

Note: The maximum value you can type is 999.

  • Select the By Metaoutline Member option to associate the attribute with a base dimension name, and then select a name from the drop-down list.

Note: The drop-down list does not display member names that are self-joined.

  • If an attribute cannot be associated with a base dimension, accept the default setting, None. Attribute members higher than the leaf member cannot be associated with a base dimension.

3 Enter optional information describing the attribute level association in the Description text box.

4 Click OK.


Setting Boolean Parameters for an Attribute

Related Topics

You can set flexible parameters for dimension member attributes to ensure that the data you need for critical analysis is available in spreadsheet reports. For example, you might want to see a report on how bottled soft drinks were selling in a certain state. However, you may have incomplete data, with some sales listed without information on whether the soft drink was sold in a bottle or a can. In a case such as this, you can make an assumption that soft drinks sold without information on their package type were sold in bottles and define an attribute that contains this assumption. The results of this assumption are easily visible on spreadsheet reports.

To set Boolean values for an attribute member:

1 Right-click the attribute member name (for example, PRODUCT.PKGTYPE) and select Properties from the pop-up menu to display the Attribute Member Properties dialog box.

2 Select the Boolean Value tab.

Note: In this example, the attribute dimension PKGTYPE, which has a text data type in the sample application, has been changed to a Boolean data type. For information on selecting a new data type, see Renaming and Selecting a Data Type for an Attribute Member.

To set criteria for Boolean values:

1 Select either the True or False option for Apply Values As.

Selecting True means that further selections in the Boolean Value tab will show as True on spreadsheets and reports. True is the default.

2 In the Operator drop down list, select the appropriate operator; for example, you can select = (equal to).

3 In the Value drop-down list, select the appropriate choice; for example, Bottle.

4 Click the Case box to set case-sensitive criteria.

5 To add another line for another criterion, click Add.

6 Select And or Or in the And/Or drop-down list to determine how the new line will be used with existing lines.

7 Select an operator in the Operator drop-down list and a value in the Value drop-down list.

8 Click the Case box to set case-sensitive criteria.

9 Click the Delete box to delete any line you do not want.

10 Click OK.


Setting Numeric Ranges for Attribute Members

Related Topics

After you have created a numeric data type dimension member attribute and have set numeric boundaries for the attribute, you can specify a starting point and size for numeric ranges for the data that you want reported. Numeric ranges can be either integers or float variables.

To set numeric range values for an attribute member:

1 Right-click the attribute member name and select Properties from the pop-up menu to display the Attribute Member Properties dialog box.

2 Select the Numeric Range tab.

Note: Before setting the ranges in the Numeric Range tab of the Attribute Member Properties dialog box, you must set the numeric boundaries (Top of ranges or Bottom of ranges). For further information, see Specifying Numeric Boundaries for Attributes.

3 In the Start text box, enter the number to be the top value of the bottom range; for example, if you enter 2000 in the Start box, that will be the top number of the range "numbers below 2000."

4 In the Size box, choose <below> from the drop-down list.

Setting the first Size as <below> sets a range for "numbers up to 2000." It is not necessary, however, to have a <below> range. You can set Start to a number and Size to a number. In that case, numbers below the Start number will be not be in a defined range but will be listed individually.

Note: The Size box acts as a drop-down list or as a text box, depending on your choices for the range.

5 Click Add for a new line to be displayed.

6 In the new line, enter a number in the Start text box and a number in the Size text box, and click Add.

The number in the Start text box is the lowest number in the next range, and the number in the Size text box is the size of the range. However, this action defines more than one range. The ranges that are defined in this action have the same size, which is the number in the Size text box. The lowest number in the next range will be the number in the Size text box added to the number in the Start text box. The lowest number in the range after that will be two times the number in the Size text box, plus the number in the Start text box. Ranges of this size will continue to be generated up to the next number defined in the Start text box, or until the highest value is included in a range.

7 To define another set of ranges in the new line, enter a number in the Start text box for the bottom of the range, and enter a number in the Size text box for the size of the ranges.

8 To define a range for numbers above a certain value, enter the number in the Start text box, and choose <above> from the drop-down list in the Size text box.

9 Click the Delete box to delete any line.

10 Click OK.


Seeing Attribute Results in Spreadsheets

Attributes are not included in drill-through reports, but they do appear in spreadsheets. From Essbase Spreadsheet Add-in, an example from the Sample Basic application and database shows results in which the Boolean data type for CAFFEINATED equals TRUE. As shown in this example, attribute dimensions have high visibility in spreadsheet reports.


Setting Dimension or Member Level Properties

1 Right-click the name of the dimension or member in the right frame.

2 Select Properties to display the Dimension Properties or the Member Properties dialog box.

3 Select the appropriate tab.

4 Set the member properties.

5 Click OK to accept the member properties.


Specifying Key Columns for Duplicate Members

Related Topics

Overview

To specify a key column for duplicate members which have the potential to be shared members:

1 In the metaoutline, right-click an appropriate member level and, from the pop-up menu, select Properties to display the General tab of the Member Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

2 In the Member Key Column drop-down list, select the column from your data source that contains the unique identifying information for duplicate members, and click OK.

3 Repeat steps 1 and 2 for all metaoutline members whose data has the potential to be shared member.


Specifying the Member Name Column for Recursive Hierarchies

Related Topics

Overview

In a metaoutline that supports duplicate member names, to specify a member name column for the member in a recursive hierarchy:

1 In the metaoutline, right-click an appropriate member level and, from the pop-up menu, select Properties to display the General tab of the Member Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

2 In the Member Name Column drop-down list, choose the column that stores the names that you want to display in an Essbase outline or in a spreadsheet.

3 Repeat steps 1 and 2 for all recursive hierarchies in the metaoutline.


Renaming Metaoutline Objects in the Right Frame

To rename a dimension, member level, or measure in the right frame of the OLAP Metaoutline main window:

1 Select the dimension, member level, or measure name; for example, Quarter.

2 Click the dimension, member level, or measure; for example,

3 Enter the new name.

4 Perform one of the following tasks:

  • To save the new name, press Enter.

  • To rename another dimension, member level, or measure in the metaoutline, repeat steps 1 through 4.


Renaming in the Dimension Properties or Member Properties Dialog Box

To rename a dimension, member level, or measure by using the Dimension Properties or Member Properties dialog box:

1 In the right frame of the OLAP Metaoutline main window, select the dimension, member level, or measure name.

2 Right-click the dimension, member level, or measure, and, from the pop-up menu, select Properties.

The General tab of the Dimension Properties or the Member Properties dialog box is displayed.

3 In the Name text box, enter the new name.

4 Click OK.


Renaming a Single Measure

To rename a single measure by using the OLAP Metaoutline Properties dialog box:

1 In the right frame of the OLAP Metaoutline main window, select the metaoutline name; for example, TBC Metaoutline.

2 Right-click the metaoutline name, and, from the pop-up menu, select Properties.

The OLAP Metaoutline Properties dialog box is displayed.

3 Select the Database Measures tab.

4 Select a measure and click Edit.

The Measure Properties dialog box is displayed.

5 In the Name text box, enter the new name.

6 Click OK.


Deleting Dimensions, Member Levels, and Measures

When you delete a dimension, member level, or measure from a metaoutline, you delete all build and load operations associated with the dimension, member level, or measure. You also delete all member levels located below the dimension, member level, or measure. For example, if you delete the Year dimension from TBC Metaoutline, you delete all members of the Year dimension; that is, you delete Time.Quarter and Time.Month.

CAUTION: You cannot undo a delete operation.

To delete a dimension, member level, or measure from a metaoutline, choose any one of the following options:

1 Select the dimension, member level, or measure and press the Delete key.

2 Right-click the dimension, member level, or measure and select Delete from the pop-up menu.

3 Select the dimension, member level, or measure and, from the Edit menu, select Delete.


Viewing Sample Dimensions, Members, and Essbase Outlines

After you create a metaoutline, you can preview what the dimensions and members (including relationally-stored members) will look like in the Essbase outline. Before you load the Essbase outline, you can view the metaoutline in Essbase outline format to ensure that you have defined the dimensions and the member levels correctly, set filters and transformations correctly, and optimized the SQL generated by Essbase Integration Server.

Warning: Integration Server truncates sample outlines if they contain more than 32,767 members. If you perform a View > Sample at the metaoutline level and do not see all your dimensions in the sample, perform the View > Sample operation on individual dimensions in the metaoutline.

To view a dimension, member, or metaoutline in Essbase outline format:

1 Be sure there is enough RAM on the computer on which Essbase Integration Services Console is installed to view the entire sample.

If you are not sure of the available RAM, set a query governor to control the duration and the size of the query that Integration Server makes to the data source.

2 Within the right frame of the OLAP Metaoutline main window, use one of the following methods to preview a sample outline:

  • For a sample outline, select the metaoutline name—for example, TBC Metaoutline—and select View > Sample. The View Sample Summary dialog box is displayed, providing you updates as the view sample progresses.

Note: You can cancel the view sample operation at any time by clicking the Cancel button.

  • For a sample dimension or member, including relationally-stored members, right-click the dimension or member level—for example, Product—and, from the pop-up menu, select Sample.

  • For results of filtering or transformation operations on either the Edit OLAP Metaoutline Transformations dialog box or the Member Load Filtering dialog box, select Preview Results.

Integration Services Console then opens the appropriate dialog box: either the Sample Outline dialog box, Preview Filter Results dialog box, or the Preview Transformation Results dialog box.

The sample outline contains the sample dimensions. You can click dimension and member names, including relational member names, to expand dimensions and members and examine the structure of the Essbase outline; for example, you can examine the Product dimension.

The Sample Build SQL box displays the SQL statements that Integration Server generates to create the sample Essbase outline. Use the sample SQL to perform any of the following functions:

  • Make sure that the metaoutline refers to the intended data in the external data source.

  • Tune the external data source to speed the process of building and loading data into the Essbase outline.

  • Copy and paste the SQL statement to an external file to view or print.

3 When you finish viewing the sample dimensions and the sample SQL, click Close.


Viewing Defined Measures

After you complete a metaoutline, you can review the measures it contains.

To view all measures defined in a metaoutline:

1 In the right frame of the OLAP Metaoutline main window, select the metaoutline name; for example, TBC Metaoutline.

2 Right-click the metaoutline name and, from the pop-up menu, select Properties.

The OLAP Metaoutline Properties dialog box is displayed.

3 Select the Database Measures tab.

A list of the measures defined in the metaoutline is displayed in the list box.

4 When you finish viewing the measures, click OK.

You can also use the Database Measures tab of the OLAP Metaoutline Properties dialog box to edit or delete a measure. In the Database Measures tab, select the measure—for example, COGS—and click Edit or Delete.

If you edit a measure, you can change any of the following features:

  • The name of the measure. See Renaming a Single Measure .

  • The column on which the measure is based. Use the same steps as for creating a single measure. See Changing the Column Associated with a Measure.

  • Transformations to perform on the measure. See Scaling Measures and Reversing Measure Signs.

  • Filters defined on the measure. See Creating a Measure Filter Interactively .


Handling Duplicate Member Names

Related Topics

This procedures applies to metaoutlines that support outlines with either unique member names or duplicate member names.

To handle duplicate names in a metaoutline:

1 In the metaoutline, select a dimension that you expect to contain duplicate names; for example, Product.

2 Right-click the dimension and, from the pop-up menu, select Properties to open the Dimension Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Outline Build tab.

4 From the Duplicate Member Names group, select one of the following options:

  • Ignore to ignore duplicate member names during the build of the Essbase outline.

In a unique member name metaoutline, Essbase Integration Server does not load the members into the Essbase outline. In a duplicate member name metaoutline, if the member you want to add meets the criteria for duplicate member names, then duplicate members are loaded.

  • Add as shared members to create the duplicate member names as shared members in the Essbase outline.

Note: In order to have shared members in a duplicate member name metaoutline, a member key column must be specified, as described in Specifying Key Columns for Duplicate Members. Integration Server uses the assigned key to uniquely identify the base member. For recursive hierarchies in a duplicate member name metaoutline, the member column functions as the key column by default.

  • Move members to move duplicate members of recursive hierarchies. This option is selected by default when the hierarchy is recursive.

  • Select Share members/move if no parent (Gen2) to move or share members selectively, within recursive hierarchies, based on their generation number within the hierarchy as it is currently built.

If you are not sure which option to select, see About Duplicate Member Names

5 Click OK.


Handling New Members During Data Load

Related Topics

To add new members to a miscellaneous member level in a metaoutline:

1 In the metaoutline, select the dimension that you expect to contain new member levels; for example, Product.

2 Right-click the dimension and, from the pop-up menu, select Properties to open the Dimension Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Outline Build tab.

4 From the Default Miscellaneous Member group, select Enabled.

5 In the Name box, enter the name of the miscellaneous member; for example, Misc.

You may ignore the dimension name. However, it is recommended that you include the dimension name as a prefix or suffix of the miscellaneous member name. Prefixing or suffixing a member name with the name of the related dimension helps you to identify the dimension with which the member is associated.

For example, if the new member, Root_Beer, is in the Product dimension, and you prefix the miscellaneous member name with the dimension name, the Miscellaneous member looks as it does in below:

6 If you want to set a miscellaneous member on more than one dimension, return to step 1.

Note: If you set a miscellaneous member on more than one dimension, you must prefix or suffix the dimension name to the name of each additional miscellaneous member so that each miscellaneous member name is unique. If you do not prefix or suffix the names of subsequent miscellaneous members, you will have multiple members named Miscellaneous; for example, one under Product and one under Market.

7 Click OK.


Handling Outline Alternate Hierarchies in Aggregate Storage Databases

Related Topics

If the data storage model property for the metaoutline is set to Aggregate Storage and the resulting Essbase outline could contain alternate hierarchies, you must determine how Integration Server handles outline alternate hierarchies for each of the dimensions in the metaoutline.

Note: When the data storage model property for the metaoutline is set to Block Storage, you do not need to complete this procedure.

To specify outline hierarchy information for each dimension in a metaoutline:

1 In the metaoutline, select a dimension.

2 Right-click the dimension and, from the pop-up menu, select Properties to open the Dimension Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Outline Build tab.

4 From the Outline Hierarchy Information group, select one of the following options:

  • Stored at Dimension Level

Note: This is the default for regular dimensions.

  • Dynamic at Dimension Level

Note: This setting is the default and is required for the Accounts dimension. You do not need to perform this procedure on the Accounts dimension.

  • Stored for All Alternate Hierarchies

  • Specify Stored Hierarchy Names Separated with Comma

See Outline Hierarchy Information Options for a complete description of these options.

5 Click OK.

6 Repeat steps 1 through 5 for each dimension in the metaoutline.


Transforming Member Names

Related Topics

You can transform a member name so that the member name loaded into the Essbase outline differs from the member name in the data source. For example, suppose that the data source stores product stock unit numbers, like the ones shown below.

You can prefix each number with a more descriptive name, such as Cola, so that the product codes are recognizable as stock units.

Note: If you sort members, they are sorted before Essbase Integration Server applies transformations to member names. See Sorting Members .

Integration Server performs the specified transformations on member names in the following order:

1 It changes case.

See Changing the Case of Member Names .

2 It drops spaces from around a member name.

See Dropping Spaces from Around Member Names .

3 It converts spaces to underscores.

See Converting Spaces Within Member Names to Underscores .

4 It performs all replace operations in the order that you created the operations.

If you are not sure of the order of the replace operations, right-click the member level and, from the pop-up menu, select Transformation to open the Edit Transformations dialog box and view the Replace list box.

See Replacing Null Values or Parts of Member Names .

5 It applies prefix operations.

See Attaching Prefixes and Suffixes to Member Names .

6 It applies prefix separator operations.

7 It applies suffix operations.

See Attaching Prefixes and Suffixes to Member Names .

8 It applies suffix separator operations.

9 When necessary, it converts relational data, member names, and alias names to valid Essbase names.

See Converting Member Names to Valid Essbase Names.

Note: Hybrid Analysis does not support some transformations. Please see Limitations on Transformation Rules with Hybrid Analysis and Transformation Support in Hybrid Analysis .


Changing the Case of Member Names

You can direct Essbase Integration Server to change the case of member names. For example, you can change the member name JANUARY to January.

To change the case of a member name:

1 In the metaoutline, select the member level for which you want to change the case; for example, State.

Integration Server changes the case of all member names that the selected member level maps to in the Essbase outline; for example, Illinois, Ohio, and so on.

2 Right-click the member level and, from the pop-up menu, select Transformation to open the Edit Transformations dialog box.

You can also open the dialog box by selecting Edit > Transformation.

3 From the Case group, select the case to which the member name will change:

  • Original does not change the case.

  • Upper Case makes all letters of the member name uppercase; for example, Illinois to ILLINOIS or illinois to ILLINOIS.

  • Lower Case makes all letters of the member name lowercase; for example, ILLINOIS to illinois or Illinois to illinois.

  • Capitalize First Letters makes the first letter of the member name and the first letter following a space or an underscore uppercase and makes all subsequent letters lowercase; for example, central_illinois or CENTRAL_ILLINOIS to Central_Illinois

4 Click Preview Results to open the Preview Transformation Results dialog box to view your changes in a sample Essbase outline.

Also see Viewing Sample Dimensions, Members, and Essbase Outlines

5 Click Close in the Preview Transformation Results dialog box to return to the Edit Transformations dialog box.

6 Click OK.


Dropping Spaces from Around Member Names

Related Topics

Some data sources pad a field by adding spaces at the beginning or end of the field. You must direct Essbase Integration Server to remove these spaces during the build of the Essbase outline.

To remove spaces from around a member name:

1 In the metaoutline, select the member level that is surrounded by spaces; for example, Month.

2 Right-click the member level and, from the pop-up menu, select Transformation to open the Edit Transformations dialog box.

3 If the Drop Leading/Trailing option is not selected, select it.

By default, the Drop Leading/Trailing Spaces box is selected.

4 Click OK.


Converting Spaces Within Member Names to Underscores

In some data sources, the names of information categories contain spaces. You may want to direct Essbase Integration Server to change these spaces to underscores during the build of the Essbase outline.

To convert spaces within member names to underscores:

1 In the metaoutline, select the member level that contains names that include spaces; for example, PRODUCT_GROUP_DESC contains names with spaces, such as Root Beer.

2 Right-click the member level and, from the pop-up menu, select Transformation to open the Edit Transformations dialog box.

3 If the Convert Spaces to Underscores box is not selected, select it.

By default, the Convert Spaces to Underscores box is selected.

4 Click OK.


Replacing Null Values or Parts of Member Names

Related Topics

As a member is loaded into an Essbase outline, its name or a null value can be changed. For example, assume that the data source abbreviates New York as NY. You can direct Essbase Integration Server to replace each NY with New York during the build of the Essbase outline.

To change a member name or null value during loading:

1 In the metaoutline, select the member level to change; for example, REGION.REGION.

2 Right-click the member level and, from the pop-up menu, select Transformation to open the Edit Transformations dialog box.

You can also open the dialog box by selecting Edit > Transformation.

3 In the Search for drop-down list box, do one of the following:

  • Type the text string that you want to replace; for example, West.

or

  • Choose to replace null values by selecting <NULL> from the drop-down list.

4 In the Replace with text box, enter the text with which to replace the text string; for example, Southwest.

Note: Do not use double quotation marks ("") in the Replace with text box.

If you want to replace a text string with an empty string, leave the Replace with text box empty.

Note: When replacing a member name, make sure that you do not use any of the following characters at the beginning of the name:

@ (at sign) | () (parentheses)
\ (backslash) | . (period)
{} (braces) | + (plus sign)
, (comma) | ’ (single quotation mark)
- (dash, hyphen, or minus sign) | _ (underscore)
= (equal sign) | | (vertical bar)
< (less than sign) | " (double quotation mark)

5 Specify which of the following options the replacement operation should observe:

  • Be case-sensitive; that is, replace only text strings that match the capitalization of the string in the Search for text box.

  • Replace the text string only when it occurs as a whole word. For example, to replace the 10 in the string 100 10 1 with an A, select the Match Whole Word option. If you do not select the Match Whole Word option, the string is changed to A0 10 1. By default, Essbase changes only the first occurrence.

  • Replace all occurrences of the string. For example, if you replace every occurrence of 10 in the string 100 10 1 with A, the string changes to A0 A 1.

6 Click Add to List to add the replacement operation to the list.

7 If you want to change or delete an existing operation, complete the appropriate action:

  • To change an existing operation, select the operation and click Edit Details.

  • To delete an operation, select the operation and click Delete.

8 Click Preview Results to open the Preview Transformation Results dialog box to view your changes in a sample Essbase outline.

See Viewing Sample Dimensions, Members, and Essbase Outlines .

9 Click OK.


Converting Member Names to Valid Essbase Names

Related Topics

Sometimes, the data of a data source is invalid in terms of Essbase naming conventions, or you may define aliases or set transformation rules for members that result in invalid member names in Essbase. You can direct Essbase Integration Server to convert member names and aliases to valid Essbase names before any load operations and thereby avoid errors caused by invalid member or alias names.

To convert transformed member names to valid Essbase names:

1 In the metaoutline, select the member level that contains the names that you want to convert to valid Essbase names.

2 Right-click the member level and, from the pop-up menu, select Transformation.

The Edit Transformations dialog box is displayed.

3 Select the Convert to Valid Essbase Names check box.

By default, the Convert to Valid Essbase Names box is not selected.

When this option is selected, prior to performing a load operation, Integration Server checks that the data in the specified member set conforms to the guidelines described in Naming Conventions. If a name is invalid, the following rules for conversion are applied.

  • If the first character of a member name is a restricted character, replace it as follows:

    • *@*_ for @ | *(*_ for (
*\*_ for \ | *)*_ for )
*{*_ for { | *.*_ for .
*}*_ for } | *+*_ for +
*,*_ for , | *‘*_ for ‘
*-*_ for - | *_*_ for _
*=*_ for = | *|*_ for |
*<*_ for < | *dq*_ for "

    • Replace all instances of double quotation marks (") within a member name (except as a trailing character) with _dq_.

    • Replace all instances of double quotation marks (") as a trailing character with dq_

    • If a member name length exceeds 80 characters, truncate the name and add **_ to the beginning of each name changed.

    A name is truncated to accommodate the addition of two asterisks and an underscore (**_) to the name. After a load operation, in the Essbase outline, **_ at the beginning of a member name denotes that the name has been truncated.

    If a name is truncated only to accommodate extra characters added to the member name by the conversion process, the beginning of the member name in the Essbase outline will not contain the **_ notation.

    4 Click OK to close the Edit Transformations dialog box.


Attaching Prefixes and Suffixes to Member Names

You can direct Essbase Integration Server to attach a prefix or a suffix to a member name. For example, you can attach the prefix SKU_ to all member names in the Product dimension.

Note: When attaching a prefix to a member name, make sure that you do not use a space or any of the following characters at the beginning of the name:

@ (at sign) | () (parentheses)
\ (backslash) | . (period)
{} (braces) | + (plus sign)
, (comma) | ’ (single quotation mark)
- (dash, hyphen, or minus sign) | _ (underscore)
= (equal sign) | | (vertical bar)
< (less than sign) | " (double quotation mark)

To attach a prefix or suffix to a member name:

1 Select the member level to which to attach the prefix or suffix; for example, STATE.

2 Right-click the member level and, from the pop-up menu, select Transformation to open the Edit Transformations dialog box.

You can also open the dialog box by selecting Edit > Transformation.

3 Select the Prefix/Suffix tab.

4 Decide whether to use the Prefix option group or the Suffix option group.

  • Prefix attaches the selected value in front of the member name; for example, SKU_100-10.

  • Suffix attaches the selected value after the member name; for example, 100-10_SKU.

5 In the Prefix option group or the Suffix option group, as appropriate, select the source of the value that Essbase attaches to the member name in the Essbase outline.

The following example is based on transforming the member STATE of the Market dimension, as shown below in the sample TBC Metaoutline:

  • None attaches nothing.

  • Parent Name attaches the name of the immediate parent; for example, selecting Parent Name in the Prefix option group and Pipe in the Prefix Separator option group changes Colas to Product|Colas.

Essbase requires every member name to be unique. To satisfy this requirement, you can prefix the name of every member with the name of the parent value of the member. For example, if you store information for two years, you have two members named Quarter1. By prefixing the name of every member with the name of the parent of the member, you produce unique member names such as 1997Quarter1 and 1998Quarter1.

  • Grandparent Name attaches the name of the grandparent; that is, the name of the parent of the parent. Using PRODUCT_ID as an example, selecting Grandparent Name in the Suffix option group and Caret in the Suffix Separator option group changes Colas to 100-10^Colas.

  • All Ancestors’ Names attaches the names of all higher level generations. For example, selecting All Ancestors’ Names in the Prefix option group and Underscore in the Prefix Separator option group changes 100-10 to Product_Colas_100_100-10.

  • Dimension Name attaches the dimension name. For example, selecting Dimension Name in the Suffix option group and Caret in the Suffix Separator option group changes Colas to Colas^Product.

  • Custom Prefix and Custom Suffix attach, respectively, the prefix or suffix that you enter in the appropriate text box. For example, typing SKU in the Custom Prefix text box and selecting Underscore in the Prefix Separator option group changes Colas to SKU_Colas.

Note: Do not use double quotation marks (") in the Custom Prefix and Custom Suffix text box.

  • Custom Prefix and Custom Suffix combined with a Prefix option or a Suffix option attach, respectively, the prefix or suffix that you enter in the appropriate text box and the selected prefix or suffix. For example, typing SKU in the Custom Prefix text box, selecting Parent in the Prefix Separator option group, and selecting Underscore in the Prefix Separator option group changes Colas to Product_SKU_Colas.

Note: Do not use double quotation marks (") in the Custom Prefix and Custom Suffix text box.

6 In the Prefix Separator or Suffix Separator option group, select the separator character to insert between the member name and the attached value.

  • Underscore [ _ ] inserts an underscore between the affix and the member name; for example, SKU_100-10.

  • Pipe [ | ] inserts a pipe between the affix and the member name; for example, Product|100-10.

  • Caret [^] inserts a caret between the affix and the member name; for example, Product^100-10.

  • No separator does not insert a character separator; for example, Product 100-10.

7 Click Preview Results to open the Preview Transformation Results dialog box to preview your changes in a sample Essbase outline.

See Viewing Sample Dimensions, Members, and Essbase Outlines.

8 Click OK.


Sorting Members

Related Topics

You can set Essbase Integration Server to sort member names alphanumerically within a dimension. For example, you can sort all states in the Market dimension from A to Z so that a United States Market dimension starts with Alabama and ends with Wyoming.

Further, you can sort query results on Advanced Relational Access members so that they are displayed to end users in a manner more consistent with the query results from a multidimensional cube.

The source database performs the sort. Some sorts may not work the way you intend. For example, if you sort alphabetically by month, you get April, August, December, and so on. To sort months chronologically, see Replacing Parts of Member NamesIDH_Replacing_Parts_of_Member_Names>Main.

If you sort members, they are sorted before Integration Server applies any transformations to the member names.

Note: Hybrid Analysis does not support member name sorting.

To sort the members in a dimension:

1 In the metaoutline, select the member level that you want to sort; for example, MARKET.STATE.

2 Right-click the member level and, from the pop-up menu, select Filter to open the Edit Filter dialog box.

You can also open the dialog box by selecting Edit > Filter.

3 Select the Ordering tab.

4 In the Column drop-down list, select a column.

5 From the Sort Order drop-down list, select a sort order.

You can select Ascending (A to Z, 0 to 9), Descending (Z to A, 9 to 0), or None. None is the default value. Selecting Ascending or Descending, instead of None, improves member load performance.

6 Optional: If you are working with Advanced Relational Access, select the Unique Sort Order for Advanced Relational Access check box to optimize relational queries.

The resulting query will include only the current sort order for Advanced Relational Access on this generation, as opposed to the inclusion of all sort orders specified for this memberset's ancestors by default.

7 Click OK.


Loading Essbase Properties from Database Columns

Overview

1 Right-click the name of the member in the right frame of the OLAP Metaoutline main window.

2 Select Properties to display the Member Properties dialog box.

3 Select the Member Info tab.

4 Select the properties that you want to include.

Note: When working with aggregate storage metaoutlines, use care when selecting the From Database Column option for any of the member properties. Integration Server may not recognize the operators that are stored in the database column when performing loads. Integration Server will not notify you of the potential for errors during validation.

5 Click OK to accept the properties.


Scaling Measures

Related Topics

You can direct Essbase Integration Server to scale measures (data values) as it loads them into the Essbase database. For example, you may want to scale a measure if the values in the data source and the values in the database use different types of measurement, such as when the data source tracks sales in hundreds but the Essbase database tracks sales in units. In this case, you want to multiply incoming values by 100.

Note: Scaling is not supported in members that are enabled for Hybrid Analysis.

To scale an incoming measure:

1 In the metaoutline, select a measure; for example, SALES.

2 From the pop-up menu, select Transformation to open the Measure Properties dialog box.

You can also open the dialog box by selecting Edit > Transformation.

3 From the Operator drop-down list, select the operator to use for scaling the incoming measure; for example, *(Multiplication).

4 In the Value text box, enter the value to use; for example, type 10 to multiply the incoming value by 10.

5 Click OK.

Integration Server scales the measures and loads the scaled values into the Essbase database.


Reversing Measure Signs

Related Topics

You can direct Essbase Integration Server to reverse the sign of a measure (from positive to negative or vice versa). For example, the data source can track expenses as negative numbers, but you can track them as positive numbers in the Essbase database.

To flip (reverse) the sign of an incoming measure:

1 In the metaoutline, right-click the measure to flip; for example, Expenses.

2 From the pop-up menu, select Transformation to open the Transformation tab of the Measure Properties dialog box.

You can also open the tab by selecting Edit > Transformation.

3 Select the Flip Sign box.

4 Click OK.

If you later decide to load values into the measure without reversing the sign, deselect the Flip Sign box.


Changing the Column Associated with a Measure

When data is loaded into an Essbase database, every measure in the related metaoutline retrieves its data values from the source data column with which it is associated. For example, assume that you have a SALESINVACT.PRICE column in the data source. The column contains all prices for all products. The related OLAP model contains the SALESINVACT.PRICE column in its fact table. When you create a PRICE measure in the metaoutline, the PRICE measure is based on the SALESINVACT.PRICE column of the data source.

When you load data into the Essbase database, Essbase Integration Server retrieves the data values for price from the SALESINVACT.PRICE column of the data source and loads the retrieved values into the Price measure of the Essbase outline.

If the default column that is associated with a measure is not correct, you can change the column.

Note: Members in a measures dimension cannot be Hybrid Analysis-enabled.

To change the column with which a measure is associated:

1 In the metaoutline, select a measure; for example, SALES.

2 Right-click the measure and, from the pop-up menu, select Filter or Transformation to open the Measure Properties dialog box.

3 Select the General tab.

4 From the Database Properties list, select the column with which you want to associate the member.

5 Click OK.


Setting Member and Data Load Optimization

Related Topics

Overview

Example

1 Right-click the name of the metaoutline in the right frame.

2 Select Properties to display the OLAP Metaoutline Properties dialog box.

3 Select the Load Optimization tab.

4 Select Member Load Settings.

Choose one or more of the following options to optimize the member load process:

  • Use distinct clause in member load SQL check box. Integration Server adds the distinct clause to the Select statement.

  • Use outer join for member load check box. In an outer join, unmatched rows are included in the results. (This setting is recommended if there are members with no alias.)

  • Allow Duplicate Shared Members. This setting allows multiple instances of duplicate shared members if any exist in the database.

Note: This option allows duplicate shared members under the same parent. If you are working with a metaoutline that supports duplicate members, this option is ignored.

5 Select Data Load Settings.

Choose one of the following options to optimize the data load process:

  • None. Perform a normal data load.

  • Remove extra joins from data load SQL

Removes extra joins.

  • Use user-defined SQL for data load

Enables the use of an edited version of the standard SQL generated by Integration Server.

6 Click OK to accept the selected settings.


Overriding Standard Data Load SQL

Related Topics

Overview

Note: Oracle does not recommend using user-defined data load SQL for OLAP metaoutlines that support duplicate member names. Integration Server generates special tags internally to uniquely identify the duplicate members.

1 Select Outline > User Defined SQL.

2 In the User Defined SQL list, select the SQL to be overridden.

3 In the Current Selected SQL text box, edit the displayed standard SQL statements using the SQL syntax required by the data source.

Tip: User-defined members in the dimension tagged Accounts must be listed in the SELECT clause of the user-defined SQL. See Data Load SQL Override Editing Guidelines for other SQL editing guidelines.

Note: Optimization selections made in the OLAP Metaoutline Properties dialog box, Load Optimization tab, are not reflected in the SQL that is displayed in the Standard Data Load SQL text box.

4 Click Verify All to verify that the SQL statements contain no errors.

5 Select the Use user-defined SQL for data load check box.

Note: You can also use Load Optimization tab of the OLAP Metaoutline Properties dialog box to specify that Integration Server use the user-defined SQL. To do so, right-click the metaoutline name and select Properties. Select the Load Optimization tab and select the Use user-defined SQL for data load option.

6 Click OK to accept changes to SQL statements.


Creating Alias Tables

Related Topics

Overview

Example

You can create up to nine new alias tables, including the Default alias table, for a metaoutline.

Note: In Essbase, you will see a table named HISDATALOADALIASTABLE. This table is reserved for Essbase Integration Services and is required for data load optimization. Do not rename, delete, load, unload, or modify this file.

To create a new alias table for the selected metaoutline:

1 Select Outline > Alias Table to open the Alias Table dialog box.

2 In the New Alias Table text box, type the name of the new alias table.

3 Click Add to add the new table to the Existing Alias Table List box.

Note: Repeat steps 2 and 3 for each alias table that you want to create.

4 Click OK to close the Alias Table dialog box.

Note: To set an alias table as the current table, see Setting Alias Tables as Current for a Metaoutline .


Setting Alias Tables as Current for Metaoutlines

Related Topics

Overview

Example

Integration Services uses the current alias table as the source for the aliases displayed in the outline.

To set an alias table as the current alias table for the selected metaoutline:

1 Select Outline > Alias Table to open the Alias Table dialog box.

2 From the Existing Alias Table List box, select the alias table to use.

If the alias table that you want to use is not in the list box, you must create it.

3 Click Set Current.

4 Click OK to close the Alias Table dialog box.


Renaming and Deleting Alias Tables

Related Topics

Overview

Example

To rename an existing alias table:

1 Select Outline > Alias Table to open the Alias Table dialog box.

2 In the Existing Alias Table List box, select the alias table that you want to rename.

3 Click Rename Table.

The Enter the new alias table name dialog box is displayed.

4 In the text box, type the new name for the alias table.

5 Click OK.

The renamed table is displayed in the Existing Alias Table List box.

6 Click OK to accept the renamed table.

The renamed alias table is displayed in the Existing Alias Table List box.

7 Click OK to close the Alias Table dialog box.

To delete an alias table:

1 Select Outline > Alias Table to open the Alias Table dialog box.

2 In the Existing Alias Table List box, select the alias table that you want to delete.

3 Click Delete Table.

A message that asks you to confirm that you want to delete the alias table is displayed.

4 Click OK.

The deleted table is no longer displayed in the Existing Alias Table List box.

5 Click OK to accept the deletion and to close the Alias Table dialog box.

Deleting an alias table will also delete the static aliases and alias column associations, if any are defined for that alias table.

Note: In Essbase, you will see a table named HISDATALOADALIASTABLE. This table is reserved for Integration Services and is required for data load optimization. Do not rename, delete, load, unload, or modify this file.


Assigning Aliases to Dimensions and User-Defined Members

Related Topics

Overview

To assign one or more aliases to a dimension or user-defined member:

1 In the metaoutline, select the dimension or user-defined member to which you want to assign an alias.

2 Right-click the dimension or user-defined member and, from the pop-up menu, select Properties to open the Dimension Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Alias tab.

4 In the Alias Table drop-down list, select the alias table that you want to assign to the selected dimension or user-defined member.

5 In the Alias text box, type the alias name that you want to assign to the selected dimension or user-defined member.

6 Click Add.

The alias table and name that you assigned are displayed in the Existing Alias List box.

7 Repeat steps 4 through 6 for all aliases that you want to assign to the selected dimension or user-defined member.

8 Click OK to close the dialog box.


Assigning Aliases to Members

Related Topics

Overview

To assign one or more aliases to a member:

1 In the metaoutline, select the member to which you want to assign an alias.

2 Right-click the member and, from the pop-up menu, select Properties to open the Member Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Alias tab.

4 In the Alias Table drop-down list, select the alias table that you want to assign to the selected member.

5 In the Alias drop-down list box, select the column that contains the alias information that you want to assign to the selected member.

6 Click Add.

The alias table and column that you assigned are displayed in the Existing Alias List box.

7 Repeat steps 4 through 6 for all aliases that you want to assign to the selected member.

8 Click OK to close the dialog box.


Attaching Prefixes and Suffixes to Alias Names

Related Topics

You can direct Essbase Integration Server to attach a prefix or a suffix to an alias name. For example, you can attach the prefix UK_ to all alias names of members of the Product dimension.

To attach a prefix or suffix to an alias name:

1 Complete the procedure in Assigning Aliases to Members.

Notes:

  • Before you can attach prefixes and suffixes to alias names, you must first assign alias names to members.

  • You cannot assign prefixes or suffixes to alias names for dimensions or user-defined members.

2 Select the member level to which to attach the prefix or suffix; for example, STATE.

The member level that you select must have an alias name assigned to it, as described in step 1.

3 Right-click the member level and, from the pop-up menu, select Transformation to open the Edit Transformations dialog box.

You can also open the dialog box by selecting Edit > Transformation.

4 Select the Alias Prefix/Suffix tab.

5 In the Alias Table drop-down list, select the appropriate alias table that contains the alias to which the prefix or suffix will be applied.

The corresponding alias is shown in the Alias text box

6 Complete the steps described in Attaching Prefixes and Suffixes to Member Names, beginning with step 4.

Note: The remaining steps of this procedure are identical to the steps that you must complete when assigning prefixes and suffixes to member names.


Assigning Aliases to Attribute Dimensions

Related Topics

To assign one or more aliases to an attribute dimension:

1 In the metaoutline, select the attribute dimension to which you want to assign an alias.

2 Right-click the attribute dimension and, from the pop-up menu, select Properties to open the Attribute Dimension Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Alias tab.

4 In the Alias Table drop-down list box, select the alias table that you want to assign to the selected attribute dimension.

5 In the Alias text box, type the alias name that you want to assign to the selected attribute dimension.

6 Click Add.

The alias table and name that you assigned are displayed in the Existing Alias List box.

7 Repeat steps 4 through 6 for all aliases that you want to assign to the selected attribute dimension.

8 Click OK to close the dialog box.


Assigning Aliases to Attribute Members

Related Topics

To assign one or more aliases to an attribute member:

1 In the metaoutline, select the attribute member to which you want to assign an alias.

2 Right-click the attribute member and, from the pop-up menu, select Properties to open the Attribute Member Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Alias tab.

4 In the Alias Table drop-down list box, select the alias table that you want to assign to the selected attribute member.

5 In the Alias drop-down list box, select the column that contains the alias information that you want to assign to the selected attribute member.

6 Click Add.

The alias table and column that you assigned are displayed in the Existing Alias List box.

7 Repeat steps 4 through 6 for all aliases that you want to assign to the selected member.

8 Click OK to close the dialog box.


Selecting a Metaoutline Filter

Related Topics

The currently selected metaoutline filter is the metaoutline filter to which Essbase Integration Server adds new member and measure filters and the one that is used for member and data loads.

The name of the currently selected metaoutline filter is displayed at the top of the metaoutline filter drop-down list. The metaoutline filter drop-down list contains the *Default filter, plus any metaoutline filters that you have created. If you have not created any metaoutline filters, the only filter that you can select is *Default.

To select a metaoutline filter:

1 Open the metaoutline.

See Creating or Editing Metaoutlines.

2 In the OLAP Metaoutline main window, from the drop-down list, select a filter.

If no filter other than *Default is listed, you may want to define a filter. See Creating a Metaoutline Filter.


Creating a Metaoutline Filter

Related Topics

A metaoutline filter contains all member level and measure filters that are defined while it is selected.

To create a new metaoutline filter:

1 Open the metaoutline.

See Creating or Editing Metaoutlines

2 Click the Add Filter button, [image].

The Enter the New Filter's Name dialog box, in which you can name the new filter, is displayed.

3 Type the name of the new filter; for example, large_markets.

4 Click OK.

Essbase Integration Server creates a new metaoutline filter and sets it as the current filter.

Note: When you create a filter, it does not inherit conditions from the Default filter or any other filter.

5 In the metaoutline, create member and measure filters.

These filters will be added to the metaoutline filter that is currently selected in the metaoutline filter drop-down list.

See Creating a Member Filter Interactively and Creating a Measure Filter Interactively .


Viewing the Contents of a Metaoutline Filter

Related Topics

You can view all member and measure filters that are defined in the current metaoutline filter.

To view the contents of the default metaoutline filter:

1 Open the metaoutline.

See Creating or Editing Metaoutlines

2 In the drop-down list at the upper-left side of the screen, select the filter whose contents you want to view.

3 Click the View Filter button, [image] .

The View Filter dialog box is displayed. The dialog box lists all member and measure filters that are defined in the current metaoutline filter.

4 To view the conditions defined for a specific filter, select the filter.

If you have not built filters yet, there is no filter to select. After you have built a filter, you will be able to view it in the View Filter dialog box.

5 When you finish viewing the filters, click Close.


Deleting a Metaoutline Filter

Related Topics

To delete a metaoutline filter:

1 Open the metaoutline.

See Creating or Editing Metaoutlines

2 From the Filter drop-down list, select the filter to delete.

See Selecting a Metaoutline Filter.

3 Click the Delete Filter button, [image] .

A dialog box prompts you to confirm deleting the filter.

4 Click Yes.


Creating a Member Filter Interactively

You can select the parts of a member filter interactively from list boxes and dialog boxes, or you can type a member filter. This topic describes how to create a member filter interactively. To type a member filter, see Typing a Member Filter.

To create a member filter interactively:

1 In the metaoutline, select a filter, for example, *Default, in the filter drop down list.

2 In the metaoutline, select the member level to attach to the filter; for example, REGION.REGION.

Note: When you create a filter at a member level, the filter is applied at that level and above when executing a drill-through report.

3 To create a row filter, right-click the member level and, from the pop-up menu, select Filter to display the Filters tab of the Edit Filter dialog box.

4 Select the Filters tab.

5 From the Column drop-down list, select the column to which the condition applies; for example, REGION.

6 From the Operator drop-down list, select the operator to use.

7 To enter a condition in the Condition text box, type the condition; for example, West, or complete the following three steps:

  1. To open the Select Values From dialog box, click the [image] button.

The Select Values From dialog box lists all possible values for the selected column. Essbase Integration Server retrieves the listed values from the external data source. If the external data source contains many values, a dialog box is displayed. The dialog box asks if you want to view all values.

  2. Select the value you want to use (such as West).

To select multiple values, hold down the Ctrl key and select each value. You can select more than one value only if you have selected in or not in as the operator.

  3. Click OK.

8 In the Edit Filter dialog box, click Add to add the condition to the Filters list.

9 If you want to define an additional condition, perform the following steps:

  1. Repeat steps 5 through 7.

  2. Perform one of the following tasks:

  • If you want the filter to apply when any one of the listed conditions is met, in the Add Type box, select Or. Or is the default.

  • If you want the filter to apply only if all the listed conditions are met, in the Add Type box, select And.

  • If you want to define the order in which the data source executes the multiple conditions, in the Filters box, enclose the conditions in parentheses.

How you define ordering depends on the data source. Consult the documentation for the data source.


Editing and Viewing a Filter

To edit and view a filter:

1 If you want to edit a filter, complete these tasks:

  1. Use the SQL syntax required by the data source.

  2. In the Filter tab of the Edit Filter dialog box, click Verify to check the SQL syntax.

2 Click Preview Results to open the Preview Filter Results dialog box.

In the Preview Filter Results dialog box, you can view your changes in a sample Essbase outline. See Viewing Sample Dimensions, Members, and Essbase Outlines.

3 Click OK.

4 If you want to view your filter in the metaoutline filter, complete the following tasks:

  1. Select the filter name, for example, *Default, from the drop-down list in the filter toolbar.

  2. Follow the procedures in Viewing the Contents of a Metaoutline Filter .


Viewing the SQL Statement for a Filter

To view the SQL statement for the current *Default filter:

1 In the metaoutline, select a member in the right frame; for example, REGION.REGION.

2 Right-click and select Filter from the drop-down list.

The Filter tab of the Edit Filter dialog box is displayed.

3 In the Edit Filter dialog box, click Preview Results.

The Preview Filter Results dialog box is displayed.The SQL statement for the filter is displayed in the lower portion of the dialog box.

4 When you finish viewing the Preview Filter Results dialog box, click Close.

The Edit Filter dialog box is displayed.

5 When you finish viewing the Edit Filter dialog box, click OK.


Typing a Member Filter

You can type a member filter or select the parts of a member filter interactively from list boxes and dialog boxes. This topic describes how to type a member filter. To create a member filter interactively, see Creating a Member Filter Interactively. To add this filter to the default filter, be sure the default filter is selected in the filter selection drop-down list at the upper left of the metaoutline.

To type a member filter:

1 In the metaoutline, select the member level to attach to the filter; for example, REGION.REGION.

Note: When you create a filter at a member level, the filter is applied at that level and above when executing a drill-through report.

2 To create a row filter, right-click the member level and, from the pop-up menu, select Filter.

The Filters tab of the Edit Filter dialog box is displayed.

3 To enter a filter, in the Filters box, type the filter information according to the following syntax:

TableName.ColumnName Operator Condition

For example, you might type a row filter as follows:

REGION.REGION in (’West’)

For a list of valid operators, see the documentation for the data source.

4 Click Verify to check the SQL syntax.

5 If you want to define an additional condition on the filter, complete the following steps:

  1. Repeat steps 3 and 4.

  2. Review step 9b of Creating a Member Filter Interactively, and complete the steps appropriate to your situation.

6 Click Preview Results to open the Preview Filter Results dialog box.

In the Preview Filter Results dialog box, you can view your changes in a sample Essbase outline. See Viewing Sample Dimensions, Members, and Essbase Outlines.

7 Click OK.


Creating a Measure Filter Interactively

You can select the parts of a measure filter interactively from list boxes and dialog boxes, or you can type a measure filter. This topic describes how to create a measure filter interactively. To type a measure filter, see Typing a Measure Filter.

To create a measure filter interactively:

1 In the metaoutline, select the measure to apply to the filter; for example, OPENINGINVENTORY.

Note: When you create a filter at a member level in a measures dimension, the filter is applied at that level and above when executing a drill-through report.

2 Right-click the measure and, from the pop-up menu, select Filter.

The Filters tab of the Measure Properties dialog box is displayed.

3 From the Column drop-down list, select the column to which the condition applies; for example, SALES.

4 From the Operator drop-down list, select the operator to use.

5 To enter a condition, in the Condition text box, type the condition; for example, 114, or complete the following steps:

  1. Click the [image] button to open the Select Values From dialog box.

The Select Values From dialog box lists all possible values for the selected column. Essbase Integration Server retrieves the values from the external data source. If the external data source contains many values, a dialog is displayed. The dialog box asks if you want to view them all.

Note: When the database contains hundreds of thousands of records, viewing the values for these records in the Select Values from dialog box is impractical. In this case, type the value of interest directly into the Condition text box.

  1. Select the desired value (such as 114).

To select multiple values, hold down the Ctrl key as you select each value.

You can select more than one value only if you have selected in or not in as the operator.

  2. Click OK.

6 In the Measure Properties dialog box, click Add to add the condition to the Filters list.

7 To define an additional condition on the filter, complete the following steps:

  1. Repeat steps 4 through 7.

  2. Perform one of the following tasks:

  • If you want the filter to apply when any one of the listed conditions is met, in the Add Type box, select Or. Or is the default.

  • If you want the filter to apply only if all the listed conditions are met, in the Add Type box, select And.

  • If you want to define the order in which the data source executes the multiple conditions, in the Filters box, enclose the conditions in parentheses.

How you define ordering depends on the data source. Consult the documentation for the data source.

8 If you want to edit a filter, complete these tasks:

  1. Use the SQL syntax required by the data source.

  2. Click Verify to check the SQL syntax.

9 Click Preview Results to open the Preview Filter Results dialog box.

In the Preview Filter Results dialog box, you can view your changes in a sample Essbase outline. See Viewing Sample Dimensions, Members, and Essbase Outlines.

10 Click OK.

Note: If the *Default metaoutline filter is still selected, this filter is automatically added to the *Default metaoutline filter. For more information, see step 1 of Creating a Member Filter Interactively .


Typing a Measure Filter

Related Topics

You can type a measure filter or select the parts of a measure filter interactively from list boxes and dialog boxes. This topic describes how to type a measure filter. To create a measure filter interactively, see Creating a Measure Filter Interactively.

To type a measure filter:

1 Select the measure to apply to the filter.

Note: When you create a filter at a member level in a measures dimension, the filter is applied at that level and above when executing a drill-through report.

2 Right-click the measure and, from the pop-up menu, select Filter.

The Measure Properties dialog box is displayed.

3 Select the Filters tab.

4 In the Filters box, type the filter information, according to the following syntax:

TableName.ColumnName Operator Condition

For example, type the following syntax:

SALESFACT.SALES > 114

For a list of valid operators, see the documentation for the data source.

5 Click Verify to check the SQL syntax.

6 To define an additional condition on the filter, complete the following steps:

  1. Repeat steps 4 and 5.

  2. Perform one of the following tasks:

  • If you want the filter to apply when any one of the listed conditions is met, in the Add Type box, select Or. Or is the default.

  • If you want the filter to apply only if all the listed conditions are met, in the Add Type box, select And.

  • If you want to define the order in which the data source executes the multiple conditions, in the Filters box, enclose the conditions in parentheses.

How you define ordering depends on the data source. Consult the documentation for the data source.

7 Click Preview Results to open the Preview Filter Results dialog box.

In the Preview Filter Results dialog box, you can view your changes in a sample Essbase outline.

8 Click OK

Note: If the *Default metaoutline filter is still selected, the new filter is automatically added to the *Default metaoutline filter. For more information, see step 1 of Creating a Member Filter Interactively .


Creating an Attribute Filter Interactively

Related Topics

Creating an attribute filter follows the same pattern as creating a member filter. This topic describes how to create an attribute filter interactively.

To create an attribute filter:

1 Select the metaoutline filter you want to use from the filters drop-down list in the upper left corner of Essbase Integration Services Console.

2 Select the member you want to use in the attribute dimension.

Note: When you create a filter at an attribute member level, the filter is applied at that level and above when executing a drill-through report.

3 Right-click the selected member, and select Filter from the pop-up menu.

The Filters tab of the Edit Filter dialog box is displayed.

4 Select an operator from the operator drop-down menu; for example, =.

5 Click the conditions button, [image], to select the condition.

The Select Values From dialog box is displayed.

6 In the Select Values From dialog box, select the condition you want and click OK.

7 Click Add in the Edit Filter dialog box.

8 Click OK.

Note: You can create a filter on any member of the attribute dimension. For example, you can create a filter on POPULATION.POPULATION that appears below POPULATION.POPGROUP in the sample metaoutline.


Setting a Dimension Type

Related Topics

You can determine whether a dimension is tagged as standard, accounts, or time by setting its dimension type.

To set a dimension type:

1 In the metaoutline, select the dimension for which you want to set the dimension type.

2 Right-click the dimension and, from the pop-up menu, select Properties to open the Dimension Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , in the toolbar or by selecting Properties from the Edit menu.

3 Select the Member Info tab.

From the Dimension Type group, select the type of dimension.

4 Click OK.


Specifying Dimension Storage Properties

Related Topics

You can determine whether a dimension is stored as sparse or dense.

To set a dimension storage property:

1 In the metaoutline, select a dimension; for example, Measures.

2 Right-click the dimension and, from the pop-up menu, select Properties to open the Dimension Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Member Info tab.

4 From the Dimension Storage group, select Dense or Sparse.

  • Use sparse storage for a dimension in which a low percentage of available data positions is filled. For example, the sample application TBC Metaoutline includes the Product and Market dimensions. Product represents product units and Market represents geographical regions in which products are sold. Because not every product is sold in every market, Product and Market are sparse dimensions.

  • Use dense storage for a dimension in which a high percentage of available data positions are filled. For example, in the sample application TBC Metaoutline, time data exists for almost all products in all markets, so Year is a dense dimension.

For more information about dimension storage properties, see the Oracle Essbase Database Administrator’s Guide.

Note: In a metaoutline, you must tag at least one dimension as Dense and one dimension as Sparse.

5 Click OK.


Specifying Data Storage Properties for Dimensions and Members

Related Topics

You can determine how and when Essbase stores data values for a dimension and for a member.

To set a data storage property:

1 In the metaoutline, select a dimension or a member level; for example, Measures.

2 Right-click the dimension or the member level and, from the pop-up menu, select Properties to open the Dimension Properties or Member Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Member Info tab.

4 From the Data Storage group, select the kind of storage to use.

If you choose to get the data storage properties from a database column, the following table lists the codes used to assign data storage properties to members in the data source.

N | Never allow data sharing
O | Label only (store no data)
V | Create as Dynamic Calc And Store
X | Create as Dynamic Calc

Include the one-character code in your RDBMS column to set the property.

Note: When working with aggregate storage metaoutlines, use care when selecting the From Database Column data storage option. Integration Server may not recognize the data storage operators that are stored in the database column when performing loads. Integration Server will not notify you of the potential for errors during validation.

For more information about data storage properties, see the Oracle Essbase Database Administrator’s Guide.

5 Click OK.


Specifying Two-Pass Calculation on Dimensions and Members

Related Topics

To tag a dimension or member to use two-pass calculation:

1 In the metaoutline, select the dimension or member level.

2 Right-click the dimension or member level and, from the pop-up menu, select Properties to open the Dimension Properties or Member Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Member Info tab.

4 Select Two Pass Calculation.

If you choose to get the two-pass calculation property from a database column, the column must contain a T to require two-pass calculation. A NULL value indicates that two-pass calculation is not required.

Note: When working with aggregate storage metaoutlines, use care when selecting the From Database Column two-pass calculation option. Integration Server may not recognize the two-pass calculation operators that are stored in the database column when performing loads. Integration Server will not notify you of the potential for errors during validation.

For more information about two-pass calculation, see the Oracle Essbase Database Administrator’s Guide.

5 Click OK.


Specifying the Solve Order of Dynamic Hierarchies in Aggregate Storage Databases

Related Topics

Overview

In aggregate storage databases, the order in which calculations in dynamic hierarchies are evaluated is defined by Solve Order options, which you can set at the member or dimension level in the metaoutline.

To specify the solve order of dynamic hierarchies in aggregate storage databases:

1 In the metaoutline, select a dimension or a member level; for example, Measures.

2 Right-click the dimension or the member level and, from the pop-up menu, select Properties to open the Dimension Properties or Member Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Member Info tab.

4 From the Solve Order group, perform one or both of the following tasks to specify the solve order at the dimension level or the member level:

  • If you accessed the Dimension Properties dialog box, set one or both of the following:

  • In the Dimension Solve Order text box, specify a number to represent the default order by which members are evaluated in the dimension. You can specify a solve order between 1 and 127. The default value is 0.

  • Optional: In the Member Solve Order text box, specify the solve order for the dimension member itself. For example, in the Market dimension, Market is the dimension member.

For more information on these settings, see Solve Order Options for Dimensions and Members.

  • If you accessed the Member Properties dialog box, select one of the following options:

  • Select the Member Solve Order option and then, in the text box, specify a number to represent the order by which the selected member is evaluated in the dimension. You can specify a solve order between 1 and 127. The default value is 0. Members that do not have a solve order inherit the solve order of their dimension.

  • Select the From Database Column option button and then, in the drop-down list box, select the data source column that contains the appropriate solve order information.

For more information on these settings, see Solve Order Options for Dimensions and Members.

5 Click OK to close the dialog box.


Specifying the Compression Dimension

Related Topics

Overview

In metaoutlines specified for aggregate storage, you may determine that a dimension other than the default compression dimension (Accounts) is optimal for compression. You can specify any single dimension as the compression dimension.

Note: This option applies to metaoutlines specified for aggregate storage only. If the metaoutline is specified for block storage, this option is ignored.

To specify the compression dimension:

1 In the metaoutline, select the dimension that you want to specify as the compression dimension.

2 Right-click the dimension and, from the pop-up menu, select Properties to open the Dimension Properties dialog box.

3 Select the Member Info tab.

4 Select the Compression Dimension check box.

5 Optional: If you want to specify a different dimension as the compression dimension, select the dimension, select the Member Info tab, and select the Compression Dimension check box.

You do not need to clear the Compression Dimension check box from your previous selection. Only the latest selection is retained.


Specifying Member Consolidation Properties

Related Topics

To set the consolidation operator of a member:

1 In the metaoutline, select a member level; for example, PRODUCT_DESC.

2 Right-click the member level and, from the pop-up menu, select Properties to open the Member Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Member Info tab.

4 From the Consolidation group, select the appropriate consolidation operator.

If you select the From Database Column option to get the consolidation properties from a database column, the following table lists the codes used to assign consolidation properties to members in the data source.

+ | Add to the current total in a consolidation
- | Subtract from the current total in a consolidation
* | Multiply by the current total in a consolidation
/ | Divide by the current total in a consolidation
% | Express as a percentage of the current total in a consolidation
~ | Exclude from the consolidation

Include the one-character code in your RDBMS column to set the property.

Note: When working with aggregate storage metaoutlines, use care when selecting the From Database Column consolidation option. When performing loads, Integration Server may not recognize the consolidation operators that are stored in the database column. Integration Server will not notify you of the potential for errors during validation.

For more information about member consolidation, see the Oracle Essbase Database Administrator’s Guide.

5 Click OK.


Specifying Comments for Dimensions or Members

Related Topics

You can add comments to dimensions or members. In the Essbase outline, comments are displayed to the right of the dimension or member name in the Outline Editor of Essbase Administration Services Console.

To add a comment to a dimension or member:

1 In the metaoutline, select a dimension or a member level.

For example, in the TBC Metaoutline, right-click the Market dimension.

2 Right-click the dimension or the member level and, from the pop-up menu, select Properties to open the Dimension Properties or Member Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Edit > Properties.

3 Select the Member Info tab.

4 Perform one of the following tasks:

  • If you selected a dimension, in the Comments text box, type a comment.

For example, in the TBC Metaoutline, type US Markets Only as the comment for the Market dimension.

  • If you selected a member, in the Comments drop-down list, select a database column where the comment is stored.

5 Click OK.


Enabling Dynamic Time Series Members

Related Topics

Overview

To enable Dynamic Time Series members and, optionally, specify alias names for Dynamic Time Series members:

1 In the metaoutline, right-click the time dimension and select Properties.

The console displays the General tab of the Dimension Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

2 Select the Dynamic Time Series tab.

3 From the Enabled column, select the check box that corresponds to the required Dynamic Time Series member.

For example, select the check box for Q-T-D (quarter-to-date) from the Enabled column.

4 Click in the Generation column to enable the drop-down list and select the appropriate generation number.

For example, in the TBC database, select generation 2 to associate the Q-T-D member with generation 2.

Note: The number of generations displayed in the Generation list depends on the number of generations in the time dimension. You cannot associate Dynamic Time Series members with level 0 members of the Time dimension. They can, however, be associated with any other level.

5 Optional: If you want to specify alias names for Dynamic Time Series members, complete steps a and b.

You can specify alias names for predefined Dynamic Time Series members. You can then use the alias names to retrieve the Dynamic Time Series members in Essbase Spreadsheet Add-in or Smart View, or in a report.

  1. In the Alias Table drop-down list box, select the alias table in which you want to save the alias name.

  2. In the Alias column, type the alias name for the Dynamic Time Series member.

Note: You can create up to nine alias names for each Dynamic Time Series member. Integration Server saves each alias name in the Dynamic Time Series alias table that you specify.

6 Repeat steps 3, 4, and (optionally) 5 for all Dynamic Time Series members that you want to enable.

7 Click OK.

The Dynamic Time Series member or members that you specified are enabled. In the right frame of the Metaoutline main window, a label is added to the Alias/Member Properties column of the Time dimension.


Specifying Time Balance Properties

Related Topics

Overview

To set a time balance property for a member:

1 In the metaoutline, select the member level; for example, OPENINGINVENTORY.

Note: Only the dimension tagged as accounts and the members of the dimension tagged as accounts can access the built-in accounting functionality provided by Essbase.

2 Right-click the member level and, from the pop-up menu, select Properties to open the Member Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Account Info tab.

If the options in the Account Info tab are not selectable, the dimension that the member belongs to is not tagged as Accounts. To tag a dimension as Accounts, see Setting a Dimension Type.

The Account Info tab is not selectable for non-account type dimensions and members.

4 From the Time Balance group, select the property that you want to use; for example, First.

If you choose to get the time balance properties from a database column, the following table lists the codes used to assign time balance properties to members in the data source.

F | First time balance item
L | Last time balance item
A | Average time balance item

Include the one-character code in the RDBMS column to set the property.

5 If you set the time balance as First, Last, or Average, set the appropriate Skip property.

If you choose to get the skip properties from a database column, the following table lists the codes used to assign skip properties to members in the data source.

M | Exclude data values of #MISSING from the time balance
Z | Exclude data values of zero from the time balance
B | Exclude data values of zero or #MISSING in the time balance

Include the one-character code in your RDBMS column to set the property.

6 Click OK.


Specifying Variance Reporting Properties

Related Topics

To set the variance reporting property of a member:

1 In the metaoutline, select the member level; for example, MARKETING.

2 Right-click the member level and, from the pop-up menu, select Properties to open the Member Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Account Info tab.

If the options in the Account Info tab are not selectable, the dimension that the member belongs to is not tagged as Accounts. To tag a dimension as Accounts, see Setting a Dimension Type. The Account Info tab is not selectable for non-account type dimensions and members.

4 From the Variance Reporting group, select Non Expense, Expense, or From Database Column.

If you choose to get the variance reporting properties from a database column, the column must contain a NULL for a non-expense item or an E for an expense item.

For more information about variance reporting, see the Oracle Essbase Database Administrator’s Guide.

5 Click OK.


Tagging a Country Dimension

Related Topics

Overview

Example

When preparing a metaoutline for use in currency conversion, you need to tag a dimension as country in order to track business activities in multiple countries. Within a country dimension, you can specify the type of currency used for each member.

Note: This functionality does not apply to aggregate storage metaoutlines. For more information, see Aggregate Storage Guidelines .

To tag a dimension as country in a metaoutline:

1 In the metaoutline, select the dimension that you want to define as a Country dimension."

2 Right-click the dimension and, from the pop-up menu, select Properties to open the Dimension Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Edit > Properties.

3 Select the Member Info tab.

4 In the Dimension Type group, select the Country option.

5 Click OK.


Assigning Currency Names to Country Members

Related Topics

Overview

Example

To assign currency names to members of a country dimension:

1 If you have not already tagged a dimension as country, see Tagging a Country Dimension.

2 In the metaoutline, select a member of the dimension tagged as Country, right-click, and from the pop-up menu, select Properties.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Edit > Properties.

3 Select the Member Info tab.

4 In the Currency Name drop-down list box, select a database column where currency names are stored.

5 Click OK to close the dialog box.

6 Repeat this procedure to define currency names for each appropriate member of the country dimension.

Note: This functionality does not apply to aggregate storage metaoutlines. For more information, see Aggregate Storage Guidelines .


Assigning a Currency Category to the Accounts Dimension

Related Topics

Overview

Example

To set currency conversion properties for the accounts dimension in a metaoutline:

1 In the metaoutline, select the dimension tagged as Accounts.

2 Right-click the accounts dimension and, from the pop-up menu, select Properties to open the Dimension Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Edit > Properties.

3 Select the Account Info tab.

4 In the Currency Conversion group, select one of the following conversion options to define currency category:

  • None: The selected dimension has no relationship to currency conversion. This is the default setting.

  • No Conversion: The selected dimension is not converted because it is not a currency value. It can be a value such as a quantity or percentage.

  • Category: The selected dimension requires currency conversion to the category that you specify.

5 If you selected Category in step 4, enter the currency category in the Category text box.

6 Click OK to close the dialog box.

To assign currency categories to individual members in the Accounts dimension, complete the procedure in Assigning Currency Categories to Members.

Note: This functionality does not apply to aggregate storage metaoutlines. For more information, see Aggregate Storage Guidelines .


Assigning Currency Categories to Members

Related Topics

Overview

Example

To set currency conversion properties for members of the accounts dimension in a metaoutline:

1 In the metaoutline, select a member of the Accounts dimension to which you want to assign a currency category.

Notes:

  • Each member of a dimension inherits the currency category tag of its ancestor. However, a member or sub-branch of members can be assigned its own category.

  • This functionality does not apply to aggregate storage metaoutlines. For more information, see Aggregate Storage Guidelines.

2 Right-click the member and, from the pop-up menu, select Properties to open the Member Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Edit > Properties.

3 Select the Account Info tab.

4 In the Currency Conversion group, select one of the following conversion options to define a category of currency exchange rates:

  • None: The selected member has no relationship to currency conversion. This is the default setting.

  • No Conversion: The selected member is not converted because it is not a currency value. It can be a value such as a quantity or percentage.

Note: The No Conversion tag is not inherited.

  • Category: The selected member requires currency conversion to the category that you specify.

5 If you selected Category in Step 4, select a currency category from the Category drop-down list.

6 Click OK to close the dialog box.

7 Repeat this procedure to assign currency categories for each applicable member of the Accounts dimension.


Defining a UDA

To define a UDA:

1 In the metaoutline, select the member level for which to define the UDA; for example, REGION.

2 Right-click the member level and, from the pop-up menu, select Properties to open the Member Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the UDAs tab.

4 If you want to define the UDA, select Value and in the Value text box, enter the UDA.

5 If you want Essbase Integration Server to retrieve the UDA from a column in the data source, select From Database Column and, from the drop-down list, select the desired column.

If the UDA in the data source has more than 80 characters, you can use the SUBSTRING function in OLAP Model to extract the characters (a maximum of 80) that you want to use in the UDA.

6 Click Add to List to add the UDA to the Existing UDAs list.

The Existing UDAs box displays all UDAs for the selected member.

7 If you want to delete a UDA, in the Existing UDAs list, select the UDA, and click the Delete UDAs button.

8 If you want to add another UDA to the member, repeat steps 4 through 6.

9 Click OK.


Specifying Formulas

Related Topics

You can associate formulas with dimensions, user-defined members, and measures. A formula determines how Essbase Server calculates data in an Essbase database. For more information about formulas options and built-in functions, see the Oracle Essbase Database Administrator’s Guide and the functions section of the Oracle Essbase Technical Reference.

Note: If the data storage model property for the metaoutline is aggregate storage, you can only specify formulas for members within a dynamic hierarchy. Also, formulas must be expressed in MDX format. Some examples are shown in MDX Formula Examples . For more examples and detailed information on MDX syntax rules, see the Essbase Technical Reference.

To add a formula to a dimension or member:

1 In the metaoutline, select the dimension or member level to which to add the formula; for example, PROFIT%.

2 Right-click the member level and, from the pop-up menu, select Properties to open the Dimension Properties or Member Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Formula tab.

4 Perform one of the following actions:

  • In the formula edit text box, enter the formula and proceed to step 5.

When working with a block storage metaoutline, be sure to end the formula with a semicolon (;); for example, "PROFIT" % "SALES";.

Note: The % operator in calc formulas performs percentage operations.

When working with an aggregate storage metaoutline, use the appropriate MDX syntax; for example, (PROFIT*100)/SALES.

Note: The % operator is not supported in MDX formulas. Some examples are shown in MDX Formula Examples. For more examples and detailed information on MDX syntax rules, see the Essbase Technical Reference.

  • Select the From Database Column option to associate a formula stored in a database column with the selected member and click OK to close the dialog box.

This option is not available on measures or user-defined members.

5 If you entered a formula in step 4, click Verify to verify the formula syntax.

If the formula contains errors, the cursor stops at the location of the first error.

Correct the error, and then take one of the following actions.

  • Click Verify to start the verification process at the beginning of the formula.

  • Click the Next Error button to locate the next error in the formula.

  • Click Previous Error to locate the previous error in the formula. Depending on the location of the cursor when you click Previous Error, the cursor stops at the first letter of the error before the cursor.

When there are no errors returned, click OK.

Note: Integration Server sometimes returns erroneous error messages when verifying formulas. If you are confident that your formulas are correct, yet Integration Server is returning errors, ignore the errors and use the following workaround to test your formulas:

  1. Perform a member load.

Integration Services can still perform member loads, even if some of the formulas in the metaoutline appear to be invalid. Invalid formulas do not block the progress of outline building.

  2. Use Essbase Administration Services to open the outline and check the validity of the formulas.

  3. Integration Server can only verify formulas written in SQL format. If the formula is written in MDX format, you must verify the formula syntax in Essbase Administration Services Console. In Integration Services, you should perform, at a minimum, a member load. Then, use Administration Services Console to open the outline and verify it. If there are formula errors, access the member properties of the outline, where you can edit the formula.

See the Oracle Essbase Administration Services Online Help for information on verifying formulas in outlines.


Procedure 1: Preparing to Load Members

Before you start a member load, you must perform the following procedure:

1 If you want to create Unicode-enabled applications, grant Essbase Server permission to create Unicode-mode applications.

In the Oracle Essbase Administration Services Console Online Help, see "Managing the Essbase Server Permission to Create Unicode-Mode Applications" for information on granting this permission.

2 Connect to the Essbase Server computer on which you want to create or change the Essbase outline.

See Starting Essbase Integration Services Console.

3 If needed, set query governors to control the duration and the size of the queries that Essbase Integration Services makes to the data source.

4 If needed, select a metaoutline filter to use for performing the load.

See Viewing the Contents of a Metaoutline Filter.

Note: When loading members from an aggregate storage metaoutline, the Incremental Update option is not selectable.


Using Query Governors

Use query governors to controls the duration and the size of the queries that Essbase Integration Server makes to the data source.

To set a query governor:

1 In the metaoutline, select the metaoutline name, and choose one of the following options to display the OLAP Metaoutline Properties dialog box:

  • Right-click the metaoutline name, and select Properties from the pop-up menu.

  • From the toolbar, click the Edit Properties button, [image] .

2 Select the Governors tab.

3 In the Maximum time per query (in seconds) text box, enter the maximum query time.

For example, to stop a query that takes longer than 100 seconds, type 100.

4 In the Maximum rows per query text box, enter the maximum number of rows to retrieve.

For example, to stop a query that retrieves more than 200 rows, type 200.

Note: Whether or not Integration Server loads the retrieved rows before stopping the query depends on the Isolation Level setting in the Essbase database. For more information, see the Oracle Essbase Database Administrator’s Guide.

5 If you are setting a query governor to view a sample outline or dimension, perform one of the following tasks:

  • Select Stop at first level 0 member for each dimension to see the structure of an Essbase outline or the structure of a dimension without including all members. A level 0 member is a leaf level member; that is, a member with no hierarchy of members below it.

  • Select Build entire branch to view a dimension as it is displayed in the Essbase outline. If the number that you enter for the duration or the size of the query is smaller than the entire branch, Integration Server stops when it reaches the duration or size limit.

Integration Server truncates sample outlines if they contain more than 32,767 members.

Note: If there is a shared member in the dimension, set the query governor to Build entire branch.

6 Click OK.


Procedure 2: Starting a Member Load

When you have performed the appropriate preparation steps, you are ready to start the member load.

To load members:

1 Make sure that you perform the tasks described in Procedure 1: Preparing to Load Members.

2 From the menu bar, select Outline > Member Load.

The Essbase Application and Database dialog box is displayed.

3 Complete one of the following actions:

  • If you are creating a new Essbase application and database, in the Application Name and Database Name text boxes, enter the names of the application and database.

Essbase application and database names must be unique and must consist of no more than eight characters. It is recommended that database and application names start with a capital letter.

  • If you are using an existing Essbase application or database, select the names that you want from the appropriate lists.

4 If you want to delete all dimensions and members in an existing Essbase outline, select Delete all members first.

When you delete all members, Essbase Integration Server removes all members from the existing Essbase outline and then uses the member levels of the metaoutline to recreate the database. Because deleting all members is slower than creating or updating an Essbase outline without deleting all members, delete all members first only if you have a specific reason to do so. You should delete all members if, for example, you know that some members have been removed from the OLAP model and you want to build a smaller Essbase outline that contains the smaller set of members.

5 If you want to delete all members and data in the Essbase database before performing a member load or a member and data load select Delete and restore database.

This action empties the Essbase database outline before the member load occurs, significantly reducing the amount of time required for the load. This check box is not enabled when you choose to perform only a data load.

6 If the Essbase application into which you are loading members is a Unicode-enabled application, select the Unicode Application check box.

Note: This check box should be used when performing only member loads or when performing member and data loads. It is not necessary to select this check box when performing only data loads.

7 If you want to apply a filter to the member load, select a filter in the Member Load Filter drop-down list.

The default is the current filter, which is shown in the Filters toolbar of the OLAP Metaoutline main window.

8 If you want to execute an ESSCMD script after the load completes, type the name of the ESSCMD script in the text box in the Command Scripts group and click Add.

You can execute more than one ESSCMD script by typing the name of each script that you want to run and clicking Add. When executing multiple ESSCMD scripts, you must type the script names in the order in which you want them executed.

The scripts that you enter instruct Essbase to perform specified actions on the Essbase database. These actions might include changing a member tag or loading data from a worksheet into user-defined members after you load the data from the data source. The ESSCMD scripts that you enter must be stored in the ISHOME/esscript directory.

For information on creating ESSCMD scripts, consult the Oracle Essbase Database Administrator’s Guide and the Essbase Technical Reference.

9 If you want to determine which Essbase users can access the Essbase application and database into which you are loading members, complete the following steps:

  1. Select Modify Essbase users and click Next.

The Essbase Users dialog box is displayed.

  1. To give a user access, in the Available list box, select a user and click the [image] button to move the selected user to the Selected list box.

  2. To remove a user’s access, in the Selected list box, select a user and click the [image] button to move the selected user to the Available list box.

  3. When the names of all users who should access the Essbase application and database are in the Selected list box, click Next and proceed to step 10.

Tip: If you want to give access to all available users, you need only to click the [image] button.

10 If you want to select specific dimensions not to update, select Incremental Update, click Next, and complete the following tasks in the Incremental Update dialog box:

  1. To prevent Integration Server from updating a dimension or member, select the dimension or member and click Don’t Update.

A red X appears on the dimension that will not be updated.

  4. To set the parameters for restructuring the database during a member load, select one of the following Member Load Update options.

Note: If you are performing a data load only, this option group is disabled.

  • Preserve all data preserves all existing data that applies to the changed outline when restructuring occurs. This is the default.

  • Preserve input data preserves only those blocks containing data that is loaded. Many applications contain data that is entered at parent levels. Selecting this option prevents deletion of any blocks that are created by data load, whether they are non-level zero or level zero (leaf node) blocks.

  • Preserve level 0 data preserves data only for level zero members. This is the optimal restructure option if you change the source database and need to recalculate the data and if all data required for the calculation is in level zero members. Selecting this option deletes all upper-level blocks before restructuring. This reduces the disk space for restructuring and improves calculation time when the database is recalculated. The upper-level blocks are recreated when you calculate the database.

  • Discard all data clears all data from the database.

  5. If the metaoutline contains attribute dimensions, select one of the options under Attribute Dimension Restriction:

  • Delete all dimensions deletes all attribute dimensions after the update.

  • No update to existing dimensions does not change attribute dimensions while updating other areas.

  • Update existing and add new dimensions updates all changes to attributes.

By default, Integration Server updates all dimensions and members. Updating an existing Essbase outline incrementally is faster than updating all dimensions and members.

  6. When you have marked all dimensions and members that Integration Server should not update, click Next, and then proceed to step 11.

11 Proceed to Procedure 3: Loading Members Immediately or to Procedure 4: Scheduling a Member Load .

Note: You can use the LOADMEMBER command in Essbase Integration Services Shell to load members. For more information about the LOADMEMBER command, see the Essbase Integration Services System Administrator’s Guide.


Procedure 3: Loading Members Immediately

You can schedule a member load to start immediately or to start at a specific date and time. If you choose to start a member load immediately, the Member Load dialog box is displayed. The dialog box provides you with dynamic status information about the member load and specific messages for any errors or warnings that may occur. If you encounter an error during the load, you can stop the member load. Essbase Integration Services executes member loads on the computer that is running Integration Server.

To load members immediately:

1 Make sure that you perform the tasks described in Procedure 2: Starting a Member Load

After you complete the appropriate dialog boxes, as directed in Procedure 2: Starting a Member Load , and click Next, the Schedule Essbase Load dialog box is displayed.

2 If you want to save the script to a different name or change the name of the script, click Save Scripts.

The Save Script As dialog box is displayed. Complete the following steps:

  1. Enter the new script name in the format script_name.cbs.

  2. Click OK to return to the Schedule Essbase Load dialog box.

The script will be saved to the ISHOME\batch directory.

3 Select Now.

4 Click Finish.

The Member Load dialog box is displayed.

5 If you encounter an error and want to stop the member load, click Stop Load. (The Stop Load button is displayed during the load.)

To start the member load again, return to step 1 of this procedure.

If any dimension or member is not loaded into the Essbase outline, check the olapsvr.log file, as described in Identifying Errors. Also, a reject text file for the rejected dimension or member is automatically created.

If a member does not load successfully, see Problems with Loading Members or Data.

For information on starting an unscheduled data load, see Procedure 3: Loading Data Immediately.


Procedure 4: Scheduling a Member Load

You can schedule a member load to start at a specific date and time. You can also schedule a load to be run regularly; for example, once a week. Essbase Integration Services executes member loads on the computer that is running Integration Server.

To schedule a member load:

1 Make sure that you perform the tasks described in Procedure 2: Starting a Member Load.

After you complete the appropriate dialog boxes as directed in Procedure 2: Starting a Member Load, and click Next, the Schedule Essbase Load dialog box is displayed.

2 Select Schedule.

3 If Integration Server is on a computer running UNIX, proceed to step 5.

4 If Integration Server is on a computer running Windows, start the Schedule service as described in Starting the Windows Task Scheduler Service and then proceed to step 5.

5 Enter the time to run the member load:

  1. In the Date text box, enter the date. Use the mm/dd/yyyy format; for example, 01/17/2000.

  2. In the Time text box, enter the time. Use the hh:mm:ss format; for example, 23:59:00 is 11:59 p.m. To schedule a load to run at midnight, enter 00:00:00, as midnight is considered the first hour of a day, not the last hour of a day. Note that Integration Services uses a 24-hour clock.

  3. From the Frequency drop-down list, select how frequently to perform the member load. You can schedule a member load to be performed one time, every day, every week, or every month.

You cannot schedule a member load more than once on a single day. To perform a member load more than once a day, you must implement each load individually. See Procedure 3: Loading Members Immediately.

6 Click Finish.

Integration Server loads the members into the Essbase outline as scheduled.

Note: If a member does not load successfully, see Problems with Loading Members or Data.

To view a scheduled member load, see Viewing Scheduled Member and Data Loads. To delete a scheduled member load, see Deleting Scheduled Member and Data Loads.


Starting the Windows Task Scheduler Service

Essbase Integration Services uses the Task Scheduler service for the Windows 2000 and Windows XP platforms to perform scheduled member and data loads. It is recommended that you set the Task Scheduler service to start automatically.

To allow loads to be scheduled, you must ensure that both of the following are done:

  • The Task Scheduler service must be started on the computer that runs Essbase Integration Server.

  • The Task Scheduler service is enabled to automatically start each time the computer that runs Integration Server is started.

To start the Windows 2000 Task Scheduler service:

1 On the Windows desktop, click Start.

2 Select Settings > Control Panel.

3 In the Control Panel window, double-click the Administrative Tools icon, and then double-click the Services icon.

4 In the list of services, locate Task Scheduler and verify that the entry in the Status column is "Started" and the entry in the Startup type column is "Automatic."

If you must change one or both entries, this is the process:

  1. Double-click Task Scheduler.

  2. In the Task Scheduler Properties dialog box, select the General tab.

  3. Under Startup type, select Automatic.

  4. To start the service, in the Task Scheduler Properties dialog box, click Start.

To start the Windows XP Task Scheduler service:

1 On the Windows desktop, click Start.

2 Select Control Panel.

3 In the Control Panel window, click Performance and Maintenance.

4 In the Performance and Maintenance window, click Administrative Tools.

5 In the Administrative Tools window, double-click the Services icon.

6 In the list of services, locate Task Scheduler and verify that the entry in the Status column is "Started" and the entry in the Startup type column is "Automatic.".

If you must change one or both entries, this is the process:

  1. Double-click Task Scheduler.

  2. In the Task Scheduler Properties dialog box, select the General tab.

  3. Under Startup type, select Automatic.

  4. To start the service, click Start in the Task Scheduler Properties dialog box.


Viewing Scheduled Member and Data Loads

You can view member and data loads after scheduling them. For information on performing data loads, see the topics in "Loading Dimensions, Members, and Data."

Before you can view scheduled loads, start Integration Services Console and Essbase Server. See the Essbase Integration Services System Administrator's Guide for information on starting Integration Services Console. If Essbase Integration Server is on a computer running Windows, you must start the Schedule service as described in Starting the Windows Task Scheduler Service.

To view all scheduled member and data loads:

1 From the OLAP Metaoutline main window menu bar, select Tools > Scheduler.

The Scheduled Jobs dialog box is displayed.

The dialog box lists all member and data loads that are currently scheduled. The dialog box contains the following columns:

  • Job Id displays the identification number for the load.

  • Essbase Target displays the name of the Essbase application and database into which Integration Server loads members or data.

  • M stands for member load. A Y (yes) in the M column identifies a member load. D stands for data load. A Y (yes) in the D column identifies a data load. A Y (yes) in both the M and D columns indicates a combined member and data load.

  • Next Run displays the date of the next scheduled load.

  • Frequency displays how frequently Integration Server performs the load.

Note: To update the list of scheduled loads, click Refresh.

2 To view more information about a particular load, in the Job Id column, select the job number of the load and then click View.

Integration Server opens the View existing job window. The window lists all properties for the selected load.

3 When you finish viewing the load properties, click OK.

4 In the Scheduled Jobs dialog box, click Close.


Deleting Scheduled Member and Data Loads

You can delete member and data loads after you schedule them.

Before you can delete scheduled loads, you must start Essbase Integration Server and Essbase Integration Services Console. See the Essbase Integration Services System Administrator's Guide for information on starting Integration Server.

If Integration Server is on a computer running Windows NT, you must start the Scheduler service as described in Starting the Windows Task Scheduler Service.

To delete a scheduled member or data load:

1 From the OLAP Metaoutline main window menu bar, select Tools > Scheduler.

Integration Server opens the Scheduled Jobs dialog box. The dialog box lists all member and data loads that are currently scheduled:

Note: To update the list of scheduled loads, click Refresh.

2 In the Job Id column, select a job number.

3 Click Delete.

Integration Server prompts you to confirm your direction to delete the scheduled load.

4 Click Yes.


Identifying Errors

Related Topics

Overview

Example

To produce the informational files that help you to identify errors, ensure that Integration Server is started with the -L option set to zero (0) before performing a load. For information, see the Essbase Integration Services System Administrator’s Guide.

To identify errors if a member or data load fails:

1 Navigate to the ISHOME\loadinfo directory and locate the folder that contains the load information that you want to review.

Folder names in the ISHOME\loadinfo directory contain the application name, database name, date-time stamp information, and session ID number for each load process executed by Integration Server. For example, if you performed a member and data load for the MyTBC application and MyTBC_DB database at 10 P.M. on May 1, 2005, the folder is named in the following format:

MyTBC_MyTBC_DB_2005_May_1_10_00_PM_<session_ID_number>

Note: If you have problems locating the correct folder, open the olapisvr.log file in ISHOME\log\, locate the SQL SELECT statement for the load that you want to review, and note the session ID number of the load. For example:

[Thu May 01 10:00:00 2005:
/IS//0x0/1034031116/Informational/0/Build-I654B45
DSN:PROD TBC NativeSQL:
SELECT DISTINCT aa.OUNCES
FROM TBC.PRODUCT aa

In this example, the session ID number is 1034031116.

2 In the case of a data load failure, open the dataload.txt file located in the subfolder described in step 1 and review the error codes listed in the first column of each record.

The example below shows three records from the dataload.txt file with the error code 3303.

The most common error codes are:

3303 | Member not found in database.
3304 | Insufficient access to store data.
3333 | Bad data value supplied.
3335 | Record rejected because of duplicate member names.
3336 | Member/Data Unknown.
3337 | Record rejected because of dimension conflicts with Header Name.

3 In the case of a member load failure, open the olapisvr.log file located in ISHOME\log and locate the applicable SQL SELECT statement for the load.

Information on why members failed to load is listed directly under the SQL SELECT statement.

Note: You can also view the log file by following the procedures outlined in Viewing the Essbase Integration Server Log File.

Additional Information

See Problems with Loading Members or Data for information on how to proceed after you have identified errors.


Procedure 1: Preparing to Load Data

Before you start a data load, you must perform the following tasks:

1 Open the metaoutline.

See Starting Essbase Integration Services Console.

2 Connect to the Essbase Server computer on which you want to load the data.

See the Essbase Integration Services System Administrator's Guide for information on connecting to Essbase Server computers.

3 If you want to control the duration and the size of the queries that Essbase Integration Server makes to the data source, set query governors.

4 If you want to filter data, select a metaoutline filter to use for performing the load.

See Viewing the Contents of a Metaoutline Filter.

5 If the Essbase outline does not already exist, perform a member load.

Note: When loading data from an aggregate storage metaoutline, the following options are not selectable:

  • Incremental Update option

  • Time-based Incremental Load option

  • Calc Script options

Now you are ready to start the data load. For more information about the steps that Essbase Integration Server follows when performing a load, see About Loading.


Procedure 2: Starting a Data Load

To start a data load:

1 Make sure that you perform the tasks described in Procedure 1: Preparing to Load Data.

2 From the menu bar, select Outline > Data Load.

The Essbase Application and Database dialog box is displayed.

3 From the list of applications, type or select the name of the Essbase application that contains the database into which you want to load data.

4 From the list of Essbase databases, type or select the name of the Essbase database into which you want to load data.

5 If you want to replace Essbase account dimension values of zero with #MISSING, select the Replace Zeros with #MISSING check box.

The reasons that you may want to select this check box are:

  • Fewer input blocks are created during the data load.

  • The calculation time required in the Essbase database is decreased significantly.

Due to differences in calculator behavior, depending on whether a value is zero or missing, faulty data is not generated.

6 If you want to apply a filter to the data load, select a filter in the Data Load Filter drop-down list.

The default is the current filter, which is shown in the Filters toolbar of the OLAP Metaoutline main window.

7 To perform the data load using a fact table other than the default for the OLAP model on which the metaoutline is based, select the Use Alternate Fact Table check box and select a fact table from the drop-down list.

Note: For more information, see Working with Alternate Fact Tables.

8 In the Calc Scripts group, select one of the following calculation script or aggregation options to calculate the Essbase:

  • None. Integration Server does not run a calculation script on the Essbase database. If you are working with an aggregate storage metaoutline, an aggregation is not performed on the Essbase database.

  • Use default calc script. Integration Server runs the default calculation script that is specified for the Essbase database. If you have not specified a calculation script to use as the default, Essbase uses standard calculation order to calculate the database.

If you are working with an aggregate storage metaoutline, an aggregation is performed on the Essbase database.

  • Specify Calc Script. Integration Server runs the selected calculation script on the Essbase database.

Note: When working with an aggregate storage metaoutline, the specify Calc Script option is not selectable.

The calculation script that you choose is run after Integration Server loads data into the Essbase database and before any ESSCMD scripts are executed. The calculation script determines how Essbase calculates the data values in the database.

For information on calculation and on calculation scripts, consult the Oracle Essbase Database Administrator’s Guide and the Oracle Essbase Technical Reference.

9 If you want to execute an ESSCMD script after the load completes, type the name of the ESSCMD script in the text box in the Command Scripts group and click Add.

You can execute more than one ESSCMD script by typing the name of each script that you want to run and clicking Add. When executing multiple ESSCMD scripts, you must type the script names in the order in which you want them executed.

The scripts that you enter instruct Essbase to perform specified actions on the Essbase database. These actions might include changing a member tag or loading data from a worksheet into user-defined members after you load the data from the data source. The ESSCMD scripts that you enter must be stored in the ISHOME/esscript directory.

For information on creating ESSCMD scripts, consult the Oracle Essbase Database Administrator’s Guide and the Oracle Essbase Technical Reference.

10 If you want to determine which Essbase users can access the Essbase application and database into which you are loading members, complete the following steps:

  1. Select Modify Essbase Users and click Next.

The Essbase Users dialog box is displayed.

  1. To give a user access, in the Available list box, select a user and click the [image] button to move the selected user to the Selected list box.

  2. To remove a user’s access, in the Selected list box, select a user and click the [image] button to move the selected user to the Available list box.

  3. When the names of all users who should access the Essbase application and database are in the Selected list box, click Next and proceed to step 12.

Tip: If you want to give access to all available users, you need only to click the [image] button.

11 If you want to select specific dimensions not to update, select Incremental Update, click Next, and complete the following tasks in the Incremental Update dialog box:

  1. To prevent Integration Server from updating a dimension or member, select the dimension or member and click Don’t Update.

A red X appears on the dimension that will not be updated.

  4. To determine how Essbase loads values from a data source to the database, select one of the following Data Load Update options:

  • Add adds values in the data source to the existing values in the database.

  • Subtract subtracts the values in the data source from the existing values in the database.

  • Overwrite replace the values in the database with the values in the data source.

Note: For aggregate storage metaoutlines, the Incremental Update option is enabled for both member and data loads. When loading data only, the selections you make in the Incremental Update dialog box behave as they would with a block storage metaoutline.

  5. If the metaoutline contains attribute dimensions, select one of the options under Attribute Dimension Restriction:

  • Delete all dimensions deletes all attribute dimensions after the update.

  • No update to existing dimensions does not change attribute dimensions while updating other areas.

  • Update existing and add new dimensions updates all changes to attributes.

By default, Integration Server updates all dimensions and members. Updating an existing Essbase outline incrementally is faster than updating all dimensions and members.

  6. When you have marked all dimensions and members that Integration Server should not update, click Next, and then proceed to step 12.

Tip: If you want to give access to all available users, you need only to click the [image] button.

12 If you want to update dimensions incrementally based on the date that the last data load was performed, select the Time-based incremental load check box, click Next, and complete the following tasks in the Time-based incremental load dialog box:

  1. From the Time Column From Fact Table drop-down list, select a column to use to compare with the date and time shown in the Last Data Load Time Stamp text box.

  2. Click Next and proceed to step 12.

The Time-based incremental load check box is enabled only when you choose to perform a data load. When this check box is selected, all other check boxes are unselectable.

Note: If you are working with an aggregate storage metaoutline, the Time-based incremental load check box is not selectable. See Problems with Loading Aggregate Storage Metaoutlines for more information.

13 Click Next and proceed to Procedure 3: Loading Data Immediately.

Note: You can also use the LOADDATA command in Essbase Integration Services Shell to load data. For information about this command, see the Essbase Integration Services System Administrator’s Guide.


Procedure 3: Loading Data Immediately

You can schedule a data load to start immediately or to start at a specific date and time. If you choose to start a data load immediately, the Data Load dialog box is displayed. The dialog box provides you with dynamic status information about the data load and specific messages for any errors or warnings that may occur. If you encounter an error during the load, you can stop the data load. Essbase Integration Services executes data loads on the computer that is running Essbase Integration Server.

To load data immediately:

1 Make sure that you perform the tasks described in Procedure 2: Starting a Data Load .

After you complete the appropriate dialog boxes (as directed in Procedure 2: Starting a Data Load) and click Next, the Schedule Essbase Load dialog box is displayed.

2 If you want to save the script to a different name or change the name of the script, click Save Scripts.

The Save Script As dialog box is displayed.

  1. Enter the new script name in the format script_name.cbs.

  2. Click OK to return to the Schedule Essbase Load dialog box.

The script will be saved to the ISHOME\batch directory.

3 In the Schedule Essbase Load dialog box, select Now.

4 Click Finish.

The Data Load dialog box is displayed.

5 If you encounter an error and want to stop the data load, click Stop Load. (The Stop Load button is displayed during the load.)

If you want to restart the data load, return to step 1 of this procedure.

If you load only data into the Essbase outline and the load fails, rejected dimensions and members are listed in a dataload.txt file. If you load both members and data into the Essbase outline and the load fails, check the olapisvr.log file for information on why members failed to load, as described in Identifying Errors.

  • If the data does not load successfully, see Problems with Loading Members or Data .

  • For information on starting an unscheduled member load, see Procedure 3: Loading Members Immediately .


Procedure 4: Scheduling a Data Load

You can schedule a data load to start immediately or to start at a specific date and time. Essbase Integration Services executes scheduled data loads on the computer that is running Essbase Integration Server.

To schedule a data load to run at a specific time and date:

1 Make sure that you perform the tasks described in Procedure 2: Starting a Data Load.

The Schedule Essbase Load dialog box is displayed:

2 Select Schedule.

3 If Integration Services is on a computer running UNIX, proceed to step 5.

4 If Integration Services is on a computer running Windows NT, start the Schedule service as described in Starting the Windows Task Scheduler Service.

5 Enter the time to run the data load:

  1. In the Date text box, enter the date. Use the mm/dd/yyyy format; for example, 01/17/2000.

  2. In the Time text box, enter the time. Use the hh:mm:ss format; for example, 23:59:00 is 11:59 p.m. To schedule a load to run at midnight, enter 00:00:00, as midnight is considered the first hour of a day, not the last hour of a day. Note that Integration Services uses a 24-hour clock.

  3. From the Frequency drop-down list box, select how frequently to perform the data load. You can schedule data loads to be performed one time, every day, every week, or every month.

To perform a data load more than once a day, you must implement each load individually.

6 Click Finish.

Integration Server loads the data into the Essbase database as scheduled.

Note: If the data does not load successfully, see Failure of a Member or Data Load.

To delete a scheduled data load, see Deleting Scheduled Member and Data Loads. To view a scheduled data load, see Viewing Scheduled Member and Data Loads.


Examining Data Load Information

Related Topics

After a data load is performed successfully, Essbase Integration Services provides two files, dataloadrecord.txt and hisdld.rul, to assist you in verifying that loads are being performed correctly. Integration Services provides these files when the maximum logging level ( L0) is set during Integration Server startup.

To examine information files after performing a data load:

1 Start Integration Server with the logging level set to -L0.

For information on starting Integration Server with a startup switch at an MS-DOS or UNIX command line, see the Oracle Essbase Integration Services System Administrator’s Guide.

2 Navigate to the ISHOME\loadinfo directory and locate the folder that contains the load information that you want to review.

Folder names in the ISHOME\loadinfo directory contain the application name, database name, date-time stamp information, and session ID number for each load process executed by the Integration Server. For example, if you performed a member and data load for the MyTBC application and MyTBC_DB database at 10 P.M. on May 1, 2003, the folder is named in the following format:

MyTBC_MyTBC_DB_2003_May_1_10_00_PM_<session_ID_number>

Note: If you have problems locating the correct folder, open the olapisvr.log file in ISHOME\log\, locate the SQL SELECT statement for the load that you want to review, and note the session ID number of the load. For example:

[Thu May 01 10:00:00 2003:
/IS//0x0/1034031116/Informational/0/Build-I654B45
DSN:PROD TBC NativeSQL:
SELECT DISTINCT aa.OUNCES
FROM TBC.PRODUCT aa

In this example, the session ID number is 1034031116.

3 Open the dataloadrecord.txt file located in the subfolder described in step 2 and review the records.

The example below shows three records from the dataloadrecord.txt file.

4 Optional: Use Essbase Administration Services Console review the rules file (hisdld.rul).

A rules file specifies the changes Essbase should make to data and members from a data source while loading them into the Essbase database. The data source is not changed.

Refer to the topics listed under "Loading Data and Building Dimensions" in the Oracle Essbase Administration Services Online Help for information on working with the rules file.


Creating a New Drill-Through Report

The drill-through report that you create is what spreadsheet users see when they drill from a cell in the spreadsheet client through to the external data source.

Note: If you are creating drill-through reports for a metaoutline that is based on multiple data sources, the SQL used for each drill-through report cannot include a join across a data source boundary. That is, a metaoutline that is based on multiple data sources can contain drill-through reports based on the primary data source. The same metaoutline can also contain drill-through reports based on secondary data sources. Each drill-through report, however, can be based on only one data source.

To create a new report:

1 From the menu toolbar, select Edit > Drill-Through Reports to display the Drill-Through Reports dialog box.

2 Click Add to add a new report.

By default, the new report is named Reportn.

3 If you want to rename the report, see Renaming a Report in the Drill-Through Reports Dialog Box .

4 To add intersection levels and columns to the report, see Adding Intersection Levels and Adding Drill-Through Columns.

Note: If you create alternate hierarchies, you must create a separate drill-through report for each hierarchy.


Copying an Existing Drill-Through Report

If you want to base a drill-through report on an existing report and vary a few intersection levels and columns, you can save time by copying the existing report.

Note: Drill-through reports can be based on only one data source. However, a metaoutline can contain drill-through reports from different data sources.

To copy an existing report:

1 From the menu toolbar, select Edit > Drill-Through Reports.

2 In the Drill-Through Reports dialog box, select the drill-through report that you want to copy.

3 Click Add.

A dialog box opens, prompting you to confirm that you want to copy the report.

4 Click Yes.

5 If you want to rename the report, see Renaming a Report in the Drill-Through Reports Dialog Box.

6 If you want to add or change intersection levels and columns in the report, see Adding Intersection Levels and Adding Drill-Through Columns.


Rules for Intersection Levels

Related Topics

Use the following rules when setting intersection levels:

  • In a single drill-through report, you can add only one intersection level for each dimension. For example, in the Market dimension in TBC Metaoutline, you can define an intersection level for REGION or for STATE but not for both.

  • You can select only one measure for each report. To create multiple reports, each with a different measure, create the first report, make a copy of the first report, and change the measure of the copied report.

To make a report applicable to all measures, select the dimension tagged as Accounts.

  • Intersection levels are inherited. A child of a dimension or member inherits the drill-through level defined for its parent. Thus, to define a different intersection level for the child of the dimension or member, you must create a new report.

  • When defining an intersection level that contains one or more user-defined members, remember that a user-defined member is not a database column; therefore, no WHERE clause based on the user-defined member will be included in the drill-through SQL statement.


Determining Where to Set an Intersection Level

Related Topics

When you define an intersection level in a metaoutline, you determine the Essbase cells from which a spreadsheet user can drill through.

Tip: A user-defined member is not a database column, therefore, no WHERE clause based on the user-defined member is included in the drill-through SQL SELECT statement.

  • Dimension: If you set an intersection level for a metaoutline dimension, spreadsheet users can drill through from any intersection that contains the related Essbase dimension. For example, if you set an intersection level at Product, spreadsheet users can drill through from any level in the Product dimension. Thus, spreadsheet users can double-click any data value that involves a member of the Product dimension, such as Colas or 100-10.

Specifying a dimension level as an OLAP intersection level will ensure that a filter (or a WHERE clause in the SQL SELECT statement) based on that dimension and below in the hierarchy is applied to the drill-through request.

Note: The WHERE clause ignores user-defined members in the SQL SELECT statement.

To make a report applicable to all measures, select the dimension tagged as Accounts.

  • Member: If you set an intersection level for a metaoutline member level, spreadsheet users can drill through from any intersection that contains an Essbase member that is based on the designated metaoutline member level. For example, if you set an intersection level at PRODUCTDIM.SKU, spreadsheet users can double-click any data value that involves a member based on PRODUCTDIM.SKU, such as 100-10 or 100-20.

Specifying a member level as an OLAP intersection level will ensure that a filter (or a WHERE clause in the SQL SELECT statement) based on that level and below in the hierarchy is applied to the drill-through request.

Note: The WHERE clause ignores user-defined members in the SQL SELECT statement.

  • Neither a dimension nor a member: If you do not set an intersection level for a dimension or for any member of the dimension, spreadsheet users can drill through from any member of the dimension (assuming that you have defined a drill-through report on at least one intersection level for the Essbase database).

If neither a dimension nor member is specified as an OLAP intersection, no filter (or WHERE clause in the SQL SELECT statement) based on that dimension is applied to the drill-through request.


Adding Intersection Levels

Related Topics

Overview

An intersection level defines the highest point in a hierarchy in which users can get a drill through report. For members at the intersection level and below in the hierarchy in which the intersection level is defined, users should be able to see the drill-through report available in their client application.

Tip: A user-defined member is not a database column, therefore, no WHERE clause based on the user-defined member is included in the drill-through SQL SELECT statement.

To make a drill-through report available to alternate hierarchies, create a separate report for each hierarchy.

To add an intersection level to a drill-through report:

1 Access an existing drill-through report or create a new one.

To access an existing drill-through report, select Edit > Drill-Through Reports, and then click the [image] sign next to the drill-through report you want to work with to expand it.

To create a new report, see Creating a New Report and Copying an Existing Report.

Note: If you are creating drill-through reports for a metaoutline that is based on multiple data sources, the SQL used for each drill-through report cannot include a join across a data source boundary. That is, a metaoutline that is based on multiple data sources can contain drill-through reports based on the primary data source. The same metaoutline can also contain drill-through reports based on secondary data sources. Each drill-through report, however, can be based on only one data source.

2 In the Drill-Through Reports dialog box, select OLAP Intersection Levels, and click Add.

The Add New Intersection Levels dialog box is displayed. The left list box contains all dimensions and member levels defined in the metaoutline. Each member level in the metaoutline represents a set of members at the same level in the Essbase database. The right list box contains all intersection levels defined in the drill-through report.

Note: The WHERE clause ignores any user-defined members in the SQL SELECT statement.

3 Click all signs to expand dimensions and see member levels.

4 Select the dimension or member level to add and click [image] to move the dimension or member level to the right list box.

  • To remove a dimension or member level from the right list box, select it and click [image].

  • To remove all dimensions and member levels from the right list box, click [image].

  • The [image] button is not enabled in the Add New Intersection Levels dialog box.

Note: If a member that you select is recursive, the Recursive-Drill-Through Setting dialog box is displayed. Proceed to step 5 to complete the dialog box. If no members are recursive, proceed to step 6.

5 In the Recursive Drill-Through Setting dialog box, perform the following tasks:

  1. Select whether this intersection level, based on a recursive hierarchy, will be defined by Generation or Level in the Generation/Level drop-down list box.

  2. Specify the generation or level for this intersection level by typing the appropriate number of the generation or level in the Value text box. For example, in a dimension that contains a three-member hierarchy, generations and levels are designated as follows:

    3.  | Generation | Level
Member 1 | 1 | 2
Member 2 | 2 | 1
Member 3 | 3 | 0

    If you want to designate Member 2 as the intersection level that accesses the drill-through report and you are basing the hierarchy on generations, type 2 in the Value text box; if you are basing the report on levels, type 1 in the Value text box.

    1. Click OK to return to the Add New Intersection Levels dialog box.

    6 Click OK to return to the Drill-Through Reports dialog box.


Adding Drill-Through Columns

A drill-through column is the external database column that Essbase Integration Server retrieves when a spreadsheet user double-clicks an intersection level. Columns contain detail information that is not available in the Essbase database; for example, a list of store managers.

In the drill-through report, you can use any column of the OLAP model that is not marked as Hidden, including columns marked as Drill-Through.

To add columns to a drill-through report:

1 Access an existing drill-through report or create a new one.

To access an existing drill-through report, select Edit > Drill-Through Reports, and then click the [image] sign next to the drill-through report you want to work with to expand it.

To create a new report, see Creating a New Report and Copying an Existing Report.

Note: If you are creating drill-through reports for a metaoutline that is based on multiple data sources, the SQL used for each drill-through report cannot include a join across a data source boundary. That is, a metaoutline that is based on multiple data sources can contain drill-through reports based on the primary data source. The same metaoutline can also contain drill-through reports based on secondary data sources. Each drill-through report, however, can be based on only one data source.

2 Add the intersection levels.

See Adding Intersection Levels.

3 In the Drill-Through Reports dialog box, select Drill-Through Report Columns, and click Add.

The Add New Report Columns dialog box is displayed. The left list box contains all tables and columns that are not marked as Hidden in the OLAP model. The right list box contains all columns defined in the drill-through report.

4 Click the [image] signs to expand the tables.

5 Select the column to add and click [image] to move the column to the right list box.

Note: If you select a table name and click [image], all columns from the table are moved to the right list box.

  • To move all columns to the right list box, click [image].

  • To remove a column from the right list box, select it and click [image].

  • To remove all columns from the right list box, click [image].

6 Click OK to return to the Drill-Through Reports dialog box.


Setting the Size of a Query

A query governor in drill-through controls the duration and the size of the queries that Essbase Integration Server makes to the data source to retrieve columns for drill-through reports. A query governor prevents you from retrieving more data from the external data source than you want or need. For example, a column in the external data source may contain 10,000 rows, and you may not want to retrieve all rows in a drill-through report. More than 10,000 rows is difficult for spreadsheet users to view.

If you set a query governor for drill-through, Integration Server stops the query if it is taking too long or retrieving too much data. For example, if you set 200 as the maximum number of rows to be retrieved, Integration Server retrieves approximately 200 rows. If the query tries to retrieve more than 200 rows, Integration Server stops the query and displays an error message.

Note: If a query stops because it reaches the time or row limit specified in the query governor, the spreadsheet user views incomplete data.

To set a query governor:

1 In the Drill-Through Reports dialog box, select a report name.

2 Click Edit to open the Report properties dialog box.

3 In the Report properties dialog box, select the Governors tab.

4 In the Maximum time per query (in seconds) text box, enter the maximum query time.

For example, to stop a query that takes longer than 100 seconds, type 100.

5 In the Maximum rows per query text box, enter the maximum number of rows to retrieve.

For example, to stop a query that retrieves more than 200 rows, type 200.

6 Click OK.


Building Drill-Through Reports Using Template SQL

Related Topics

Overview

Example

Create a new drill-through report or edit an existing report to use Template SQL.

If you do not have a drill-through report to work with, before you begin this procedure, complete the procedures in the following topics:

  • Creating a New Drill-Through Report or Copying an Existing Drill-Through Report

  • Adding Intersection Levels

  • Adding Drill-Through Columns

Note: If you are working with drill-through reports for a metaoutline that is based on multiple data sources, the SQL used for each drill-through report cannot include a join across a data source boundary. That is, a metaoutline that is based on multiple data sources can contain drill-through reports based on the primary data source. The same metaoutline can also contain drill-through reports based on secondary data sources. Each drill-through report, however, can be based on only one data source.

To build a drill-through report using Template SQL to override the standard SQL associated with drill-through reports:

1 In the OLAP Metaoutline main window, select Edit > Drill-Through Reports.

2 In the Drill-Through Reports dialog box, select the report for which you want to define Template SQL and click Edit.

The Report Properties dialog box is displayed.

3 In the Report Properties dialog box, select the Use Template SQL option and click OK.

Selecting this option enables the Template SQL button in the Drill-Through Reports dialog box.

4 In the Drill-Through Reports dialog box, select the drill-through report for which you want to define Template SQL and click Template SQL.

The Template Drill-Through dialog box is displayed. The dialog box contains two text boxes, the Template SQL/URL text box, where you can edit the standard drill-through SQL to customize it according to your requirements and the Standard SQL text box, where the standard drill-through SQL that Integration Server generates is displayed.

5 In the Template Drill-Through dialog box, select the User-Defined SQL option button.

The User-Defined SQL option specifies to Integration Server that this report uses template SQL as opposed to a URL.

6 Edit the SQL in the Template SQL/URL text box using the SQL syntax required by the data source.

Note: When you are using multiple data sources, the user-defined SQL is limited to SQL that does not require a join between different data sources.

7 Click Verify to check the syntax of the SQL.

8 Correct any errors and click Verify until the message, "Syntax is correct," is displayed.

9 Click OK to close the Template Drill-Through dialog box.

10 Click Close to close the Drill-Through Reports dialog box.


Building a Drill-Through Report to a URL

Related Topics

Overview

Example

Create a new drill-through report or edit an existing report to drill through to a URL.

If you do not have a drill-through report to work with, before you begin this procedure, complete the procedures in the following topics:

  • Creating a New Drill-Through Report or Copying an Existing Drill-Through Report

  • Adding Intersection Levels

  • Adding Drill-Through Columns

Note: If you are working with drill-through reports for a metaoutline that is based on multiple data sources, the SQL used for each drill-through report cannot include a join across a data source boundary. That is, a metaoutline that is based on multiple data sources can contain drill-through reports based on the primary data source. The same metaoutline can also contain drill-through reports based on secondary data sources. Each drill-through report, however, can be based on only one data source.

To build a drill-through report that drills through to a URL:

1 In the OLAP Metaoutline main window, select Edit > Drill-Through Reports.

2 In the Drill-Through Reports dialog box, select the report that want to define to drill through to a URL and click Edit.

The Report Properties dialog box is displayed.

3 In the Report Properties dialog box, select the Use Template SQL option and click OK.

Selecting this option enables the Template SQL button in the Drill-Through Reports dialog box.

4 In the Drill-Through Reports dialog box, select the drill-through report that want to define to drill through to a URL and click Template SQL

The Template Drill-Through dialog box is displayed. The dialog box contains two text boxes, the Template SQL/URL text box, where you can edit the standard drill-through SQL to customize it according to your requirements and the Standard SQL text box, where the standard drill-through SQL that Integration Server generates is displayed.

5 In the Template Drill-Through dialog box, select the Drill Through to URL option button.

The Drill Through to URL option specifies to Integration Server that this report is drilling through to a URL.

6 In the Template SQL/URL text box, edit the SQL to point to a URL.

See Building a Drill-Through Report to a URL - Example for an example of the syntax.

7 Click OK to close the Report Properties dialog box.

8 Click Close to close the Drill-Through Reports dialog box.


Accessing an Alternate Data Source in a Drill-Through Report

Related Topics

Overview

You can define a drill-through report that drills through to a data source other than the primary or secondary data source that was used to build the metaoutline.

To set up a drill-through report to access an alternate data source:

1 In the metaoutline, select Edit > Drill-Through Reports.

The Drill-Through Reports dialog box is displayed.

2 Select the drill-through report that you want to configure to access an alternate data source, and then click Edit.

The General tab of the Report Properties dialog box is displayed.

The Data Source text box displays the name of the data source that is currently accessed by this drill-through report.

3 In the Report Properties dialog box, click the Alternate Data Source button.

The Data Source dialog box is displayed.

4 Specify an alternate data source to which to connect as described in Connecting to Data Sources.

After you click OK in the Data Source dialog box, the Data Source text box of the Report Properties dialog box displays the name of the data source that you selected.

5 Optional. Make any other changes that you require in the Report Properties dialog box, as described in Customizing a Report.

6 Click OK to close the Report Properties dialog box.

7 In the Drill-Through Reports dialog box, perform one of the following actions:

  • To configure other drill-through reports to access an alternate data source, repeat steps 2 through 6.

  • To exit the dialog box, click Close.


Specifying Column Ordering

Columns are displayed in a report from left to right in the order in which they are listed from top to bottom in the list box of the Drill-Through Reports dialog box. Arrange the columns in the list box in the order in which you want them to be displayed in the drill-through report.

To move a column:

1 From the menu bar, select Edit > Drill-Through Reports to open the Drill-Through Reports dialog box.

2 In the Drill-Through Reports dialog box, click the plus sign, [image], adjacent to the drill-through report you want to edit.

3 Click the plus sign, [image], adjacent to the drill-through report columns that you want to work with.

4 From the list of the columns in the report, select a column; for example, SALES.AMOUNT.

5 Click Move Up or Move Down to position the column.

6 Click Close to close the Drill-Through Reports dialog box.

Note: You can also change the sort order of the contents of the row. See Specifying Row Ordering .


Specifying Row Ordering

You can determine the order in which the spreadsheet client displays the rows and the contents of the rows it retrieves; for example, you can sort the contents of the PRODUCTDIM.SKUNAME column in descending order (from highest to lowest value). This sort presents the products in reverse alphabetical order, from Vanilla Cream to Old Fashioned to Caffeine Free Cola.

If you do not determine the sort order, spreadsheet users view data in the order determined by the external data source. SQL Server, for example, sorts members in ascending order by default.

To determine the sort order of row contents:

1 From the menu bar, select Edit > Drill-Through Reports to open the Drill-Through Reports dialog box.

2 In the Drill-Through Reports dialog box, click the plus sign, [image], adjacent to the drill-through report to sort.

3 Click Sort Order to open the Set Sort Order dialog box.

The Set Sort Order dialog box is displayed. The left list box displays the columns included in the report. The right list box displays the columns for which you want to set the row sort order.

4 In the left list box, select the column for which you want to set the sort order and click [image] to add the column to the right list box.

  • To select all columns for sorting, click [image] to add all columns to the right list box.

  • To remove a column from the right list box, select it and click [image].

  • To not sort any columns, click [image] to remove all columns from the right list box.

5 In the right list box, select a row and click Move Up or Move Down to position the row.

6 To change the sort order of the contents of one or more rows, select the appropriate rows and click Order By.

The Order By dialog box is displayed.

7 Select Descending or Ascending, as appropriate.

8 Click OK to close the Order By dialog box.

9 Click OK to close the Set Sort Order dialog box.

10 Click Close to close the Drill-Through Reports dialog box.


Customizing a Report

Related Topics

You can set certain customization options on a drill-through report. For example, to enable spreadsheet users to customize a drill-through report that they see in their worksheet, you can select the "Allow spreadsheet users to customize this report" option. Doing so enables users to choose to exclude certain columns or to change row and column ordering. If you do not enable spreadsheet users to customize a report, they see all columns that you specify and use the row and column ordering that you specify. You can also select to use customized Template SQL when spreadsheet users click on a drill-through intersection level.

To enable spreadsheet users to customize a report:

1 In the Drill-Through Reports dialog box, select the report that you want to enable spreadsheet users to customize.

2 Click Edit to open the Report Properties dialog box.

3 To rename the report, type a new name in the Name text box.

4 If you want to change the data source that this drill-through report accesses, click the Alternate Data Source button.

The Data Source dialog box is displayed, where you can select a data source to access.

Note: This functionality is available whether the current metaoutline is based on one data source or multiple data sources. For each drill-through report associated with the metaoutline, you can select the data source that the drill-through report accesses.

5 Select one of the following options:

  • Allow spreadsheet users to customize this report

Select this option to enable spreadsheet users to change the drill-through report at the worksheet level. To prevent spreadsheet users from changing the report, deselect Allow spreadsheet users to customize this report.

  • Use Template SQL

Select this option to use customized Template SQL that you defined in the Template Drill-Through dialog box (instead of standard SQL).

  • None

Select this option to prevent spreadsheet users from changing the report. They must use the standard SQL to create the drill-through report.

6 Click OK.


Specifying the Essbase Integration Server Name

Related Topics

Overview

To always prompt spreadsheet users for the name of the server running Essbase Integration Server:

1 In the OLAP Metaoutline main window, select the metaoutline name; for example, TBC Metaoutline.

2 Right-click the metaoutline name and, from the pop-up menu, select Properties.

The OLAP Metaoutline Properties dialog box is displayed.

3 Select the Drill-Through Reports tab.

4 Select Always prompt for Essbase Integration Server name.

To have spreadsheet users connect to the default Integration Server, deselect Always prompt for Essbase Integration Server name.

5 Click OK.


Specifying a Database User Name and Password

Related Topics

Overview

To require spreadsheet users to specify a username and a password when logging on to the data source to access drill-through reports:

1 In the OLAP Metaoutline main window, select the metaoutline name; for example, TBC Metaoutline.

2 Right-click the metaoutline name and, from the pop-up menu, select Properties.

The OLAP Metaoutline Properties dialog box is displayed.

3 Select the Drill-Through Reports tab.

4 Select Always prompt for database user name and password.

To enable spreadsheet users to use the database username and password of the user who created the drill-through report, deselect Always prompt for database username and password.

5 Click OK.


Specifying an Alternate Integration Server for Drill-Through Reports

Related Topics

Overview

To specify an alternate Integration Server to handle drill-through report execution:

1 In the OLAP Metaoutline main window, select the metaoutline name; for example, TBC Metaoutline.

2 Right-click the metaoutline name and, from the pop-up menu, select Properties.

The OLAP Metaoutline Properties dialog box is displayed.

3 Select the Drill-Through Reports tab.

4 In the Alternate Integration Server text box, type the computer name and port number (separated by a colon) of the Integration Server instance that will be used for executing drill-through reports.

For example,

cypress:3390

Note: If you are Integration Server on the default port, you do not need to modify the port number.

5 Click OK.


Renaming a Report in the Drill-Through Reports Dialog Box

To rename a report in the Drill-Through Reports dialog box:

1 From the menu bar, select Edit > Drill-Through Reports to open the Drill-Through Reports dialog box.

2 In the Drill-Through Reports dialog box, select the report you want to rename.

3 Click the report name you selected in step 2 to put the dialog box in edit mode, [image].

4 Type the new report name.

5 Press the Enter key, or select another object in the Drill-Through Reports dialog box. Repeat steps 2, 3, and 4.


Renaming a Report in the Report Properties Dialog Box

To rename a report in the General tab of the Report Properties dialog box:

1 From the menu bar, select Edit > Drill-Through Reports to open the Drill-Through Reports dialog box.

2 In the Drill-Through Reports dialog box, select the report you want to rename.

3 Click Edit to open the Report Properties dialog box.

4 In the Name text box, type the new name.

5 Click OK.


Deleting an Individual Report, an Intersection Level, or a Drill-Through Column

To delete a report, an intersection level, or a drill-through column:

1 From the menu bar, select Edit > Drill-Through Reports to open the Drill-Through Reports dialog box.

2 In the Drill-Through Reports dialog box, select the report, intersection level, or column to delete.

3 Click Delete.

A dialog box opens, prompting you to confirm that you want to delete the report, intersection level, or column.

4 Click Yes.


Deleting All Intersection Levels or Drill-Through Columns in a Report

To delete all intersection levels or drill-through columns:

1 From the menu bar, select Edit > Drill-Through Reports to open the Drill-Through Reports dialog box.

2 In the Drill-Through Reports dialog box, click the plus sign, [image], adjacent to OLAP Intersection Levels or Report Drill-Through Columns.

3 Click Delete.

A dialog box opens, prompting you to confirm that you want to delete all intersection levels or columns.

4 Click Yes.


Problems with Creating, Validating, Saving, or Deleting Metaoutlines

If you experience a problem while creating, validating, saving, or deleting a metaoutline, consider the following troubleshooting scenarios:

  • If no OLAP model is listed in the Existing tab of the Welcome dialog box, you cannot create a metaoutline. Make sure that you are connected to the correct OLAP Metadata Catalog. See the Essbase Integration Services System Administrator's Guide for information on connecting to OLAP Metadata Catalog.

  • If you experience a problem with validating a metaoutline, check to be sure that you are following the validation rules. (See Validating Metaoutlines Manually and Aggregate Storage Guidelines). If you are following the conditions for validating a metaoutline, view each invalid dimension separately. Be sure that the structure of each dimension looks appropriate. (See Viewing Sample Dimensions, Members, and Essbase Outlines.)

  • You cannot save or delete a metaoutline if other users are reading it; you receive a message that the metaoutline is write locked. You can perform any of the following tasks:

  • Save or delete the metaoutline later.

  • Use File > Save As to save the metaoutline to a different name. See Saving a Metaoutline to a Different Name

  • Delete the locks. See the Essbase Integration Services System Administrator’s Guide for information on working with locks.

  • Are users unable to drill through? If you delete a metaoutline that was used to build an Essbase outline, you can no longer drill through on the Essbase outline


Problems with Transformations

If member names, dimension names, or data are not being transformed correctly, consider the following troubleshooting scenarios:

  • If you set a member to use two-pass calculation and the calculation is not working, remember that, although two-pass calculation is a property that you can give to any member, two-pass calculation works only on members of the Accounts dimension, Dynamic Calc members, and Dynamic Calc and Store members. If you tag any other type of member as Two-pass Calculation, Essbase ignores the tag. See the Oracle Essbase Database Administrator’s Guide.

  • If you cannot tag a member as Dynamic Time Series, check to be sure that you have set the date-part in the OLAP model. See the online help topics on defining transformations for columns.

  • If a formula is working incorrectly, check the syntax carefully using formula validation. Essbase Integration Server validates basic formula syntax; however, you must validate each formula on an individual basis. If a formula passes validation, other problems in a formula do not display until Integration Server calculates the Essbase database. For more information about formula options and built-in functions, see the Oracle Essbase Database Administrator’s Guide.


Problems with Filters

If member names, dimension names, or data are not being filtered correctly, consider the following troubleshooting scenarios:

  • Are you connected to Essbase Integration Server? See the Essbase Integration Services System Administrator's Guide for information on installing Essbase Integration Services Console.

  • Is the correct metaoutline filter selected for both the member load and the data load? You must use the same metaoutline filter for the member load and the data load.

  • If the filter includes extra conditions, view the contents of the filter to verify that the conditions are set as you expected. See Creating a Member Filter Interactively and Creating a Measure Filter Interactively for information on setting conditions for filters.

  • If you experience a syntax error, use the Verify button in the Member Load Filtering or Measure Properties dialog box to check the syntax. View a sample of the dimension on which you defined the filter and check the generated SQL. See Viewing Sample Dimensions, Members, and Essbase Outlines.

  • Is the generated SQL correct? Use the Sample command to check the generated SQL to make sure that the filter does what you expect. See Viewing Sample Dimensions, Members, and Essbase Outlines or check the SQL statements in the Essbase Integration Server log.

Many filter errors do not show up until you perform a member load or a data load. See also Problems with Loading Members or Data.


Hybrid Analysis Guidelines

Related Topics

You should be familiar with the Hybrid Analysis guidelines covered in this topic.

Data Source Guidelines

  • A single Essbase database can be associated with only one hybrid analysis relational source.

  • A hybrid analysis relational source can consist of only one relational database.

  • Hybrid Analysis supports data that is stored using either block storage or aggregate storage.

  • Hybrid Analysis supports Unicode-enabled data sources.

Dimensions Guidelines

  • Hybrid Analysis is not supported on accounts dimensions.

  • Hybrid Analysis is not supported on user-defined dimensions.

  • You can perform operations and analyses on dimensions that have attributes attached to one or more levels in an outline that is hybrid analysis enabled. The attribute dimension should be fully loaded into Essbase.

  • Only the first hierarchy of a dimension with alternate hierarchies can have members enabled for hybrid analysis on its lowest levels.

  • When building a dimension that is enabled for hybrid analysis, you must ensure that the column in the relational table that contributes to the leaf level of the Essbase portion of the dimension is non-nullable.

Member Guidelines

  • Only the lowest level members of a dimension can be enabled for hybrid analysis.

  • A hybrid analysis-enabled member should not be renamed. If a member is renamed, the member may not be retrieved the next time you perform a drill-through operation.

  • Essbase does not support aliases for members that are enabled for hybrid analysis.

  • Hybrid Analysis supports only parent-child prefixing on member names.

  • Hybrid Analysis does not support scaling of measures dimension members using the operators + (addition), - (subtraction), * (multiplication), and / (division). If you use the scaling operators, drill-through queries into hybrid analysis data may show a mismatch between aggregated level-0 values in the Essbase database and the corresponding detail values in your relational data source.

  • Essbase ignores all member properties, such as formulas, UDAs, and aliases for members that are enabled for hybrid analysis.

  • You can associate an attribute member with a member enabled for hybrid analysis but you must make the association by metaoutline member name and not by level.

  • Essbase supports drill-through operations defined on members that are enabled for Hybrid Analysis.

Spreadsheet Guidelines

  • Hybrid Analysis does not return numeric data in a spreadsheet if the member from the Accounts dimension is part of a ragged hierarchy.

  • Hybrid Analysis is not supported with the Member Selection feature. You cannot select Hybrid Analysis members from the Member Selection dialog box.

  • If you have multiple levels of hybrid analysis members in your outline, performing a zoom out operation on the bottom level hybrid analysis member takes you directly to the Essbase parent member, bypassing all other hybrid analysis levels.

Operations Guidelines

  • Hybrid Analysis supports the Dynamic Times Series function.

  • Essbase requires the OLAP Metadata Catalog created in Integration Services in order to drill down in a hybrid analysis relational source.

  • Hybrid Analysis does not support transparent, replicated, or linked partitions.

  • Hybrid Analysis does not support recursive hierarchies.

  • You cannot apply properties of the Account Info tab to Hybrid Analysis members. Specifically, Time Balance, Skip, Variance Reporting, or Currency Conversion properties are not supported for Hybrid Analysis-enabled members.


Aggregate Storage Guidelines

Related Topics

Aggregate storage is a data storage model and calculation system that supports very sparse Essbase databases containing a large number of dimensions. You can use Integration Services Console to create a metaoutline that meets the requirements of Essbase for aggregate storage applications and databases.

The following list provides guidelines to use when creating or editing a metaoutline that meets the requirements for aggregate storage:

  • Formulas can be specified only on members within a dynamic hierarchy.

  • Attribute dimensions cannot be associated with the Accounts dimension.

  • For the dimension tagged as Accounts, the "Label Only" property for members can be used for all member levels, including the dimension level, with the exception of the level 0 member.

For all other dimensions, all levels above a member that is tagged as "Label Only," including the dimension level, must also be tagged as "Label Only." Additionally, except for the direct child of this member, all children must be tagged with the (+) consolidation property, with the exception of the level 0 member.

Note: A level 0 member cannot be tagged "Label Only."

Also, if a dimension contains alternate hierarchies and the "Label Only" property is being used in any hierarchy, the same member level in all hierarchies within the dimension must be set to "Label Only."

  • For the dimension tagged as Accounts, all consolidation operators can be used.

For all other dimensions, only the (+) consolidation operator can be used.

Additionally, if the "Label Only" property is being used for members in a dimension, the direct child of the lowest "Label Only" member can have any consolidation property; however, all children below the direct child of the lowest "Label Only" member must be tagged with the (+) consolidation property, with the exception of the level 0 member.

  • Time balance settings may be used in the metaoutline.

  • Dynamic Time Series settings may only be used with the Time dimension

  • Currency settings cannot be used in the metaoutline.

  • Shared members are allowed in the metaoutline; however, you must make the appropriate outline hierarchy information settings in the Outline Build tab of the Dimension Properties dialog box. See Handling Outline Alternate Hierarchies in Aggregate Storage Databases for information on specifying the outline hierarchy information for each dimension.

Note: Before you work with shared members in an aggregate storage metaoutline, you should understand how Essbase handles shared members in an aggregate storage application. See the Oracle Essbase Database Administrator’s Guide and Oracle Essbase Administration Services Online Help for more information about shared members in aggregate storage applications.

If any of the guidelines listed above are not followed, and the metaoutline data storage model property is set to aggregate storage, Integration Server generates errors when you verify the metaoutline, and you will not be able to use it to perform a load to an aggregate storage application and database.

Conditions that Generate Warnings

The following conditions generate warnings when you validate a metaoutline:

  • Dynamic Calc, Dynamic Calc and Store, and Two-Pass Calc settings, as they are not used in aggregate storage metaoutlines

For complete information on aggregate storage guidelines, see the Oracle Essbase Database Administrator’s Guide.


Problems with Loading Aggregate Storage Metaoutlines

If you experience problems while validating or loading a metaoutline where the data storage model property is set to aggregate storage, consider the following factors:

  • The data storage model property (aggregate storage or block storage) is set at the application level. When you specify aggregate storage or block storage in a metaoutline and perform a load, you create an application and database with the equivalent data storage properties in Essbase.

  • If an application is created with the aggregate storage model property, only one database per application is allowed.

  • The data storage model property of an application cannot be directly changed from Integration Server once an application is created. Instead, you must change the property in the metaoutline and then perform one of the following tasks:

  • Perform a load to a new application and database

  • Delete the existing application and database and perform a load to a new application and database

If you choose to delete an application and database that were previously set to block storage, verify that there is only one database under the existing application. If more than one database exists under the application and the other databases are set to block storage, and you want to retain those databases, you must load to a new application and database.

  • When an aggregate storage outline is modified (in Essbase Administration Services, for example), all data is deleted and another load must be performed from Integration Services.

  • When performing a data load of an aggregate storage metaoutline, incremental updates are allowed and the selections you make in the Incremental Update dialog box behave as they would with a block storage metaoutline. When performing a member load of an aggregate storage metaoutline, only the Preserve all data and Discard all data options apply.

  • Time-based incremental loads are not allowed.

  • An aggregate storage database cannot be named "default," "log," "metadata," or "temp."

  • Time-based Incremental Load and Incremental Update can only take place when both user preference and existing database mode are set to block storage.

  • When performing a data load, the user preference and data storage model settings of the target database should match.

  • When the aggregate storage user preference is selected, the Show Aggregate Storage Option Validation Errors/Warnings check box is automatically selected. You can access the OLAP Metaoutline Properties Dialog Box - Data Storage Model Tab if you want to clear the check box and suppress aggregate storage errors and warnings.

  • When working with an aggregate storage metaoutline, only the Calc Script options None and Default Calc Script are selectable. When Default Calc Script is selected, Essbase Server performs an aggregation on the Essbase database after it loaded by Integration Services. For more information on aggregations in Essbase, see the Oracle Essbase Administration Services Console Online Help.


Problems with Loading Members or Data

If you have problems loading members or data, check the following troubleshooting scenarios:

  • If you perform a member load and the Essbase outline contains no members, check to see if you used an invalid member name, such as #MISSING. See Naming Conventions.

  • Did you perform the load correctly, but some members or data are missing? Check the following troubleshooting scenarios:

  • Did you set the build level incorrectly? See Setting the Member and Data Load Build Level.

  • Is the filter filtering out more than you want it to? View the dimensions that contain the incorrect member levels. See Viewing Sample Dimensions, Members, and Essbase Outlines.

  • Did you specify that Integration Server should create duplicate members as shared? See Handling Duplicate Member Names.

  • Did you give an attribute Boolean property or calculation property the same name as a member. See Setting the Calculations Name Format and Specifying Attribute Boolean Names and Date Formats.

  • Is any name in the data source longer than 80 characters? Alias names and UDAs must be fewer than 80 characters. You can use the SUBSTRING function in the OLAP model to extract the 80 or fewer characters that you want to use in a member name. See Defining Transformations that Use Substrings to Create String Columns for more information.

  • Is there data in the external data source that is invalid in terms of Essbase naming conventions? Did you define aliases or set transformation rules for members that resulted in invalid member names in Essbase? See Converting Member Names to Valid Essbase Names.

  • Did you get a shared member error during loading and are some shared members not loaded? Make sure that all load properties and filters defined on real members are also defined on shared members. See the topics under "Setting Load Properties," "Working with Filters," and "Setting Essbase Properties."

  • In order to support shared members in a duplicate member name metaoutline, the member key column must be specified as described in Specifying Key Columns for Duplicate Members. Integration Server uses the assigned key to uniquely identify the base member.

  • While building an outline with duplicate members, did you encounter error number 1060225? If you encounter this error, stating that a unique identifier exceeds the maximum length, try assigning key columns to one or more levels in your hierarchy. This helps Integration Server reduce the length of internal unique identifier.

  • Did you perform the load correctly, but there is no data in the Essbase database? Check the filters. If a filter filters out all data, a value of #MISSING is displayed in the Essbase database. See Creating a Member Filter Interactively.

  • Are you attempting to use two or more metaoutlines for the same application and database? It is recommended that you use only one metaoutline per application and database.

  • If you are working with an aggregate storage metaoutline, does the metaoutline meet the requirements for aggregate storage or does it load with warnings? See Aggregate Storage Guidelines and Problems with Loading Aggregate Storage Metaoutlines.

  • Did you remember to calculate the data before viewing it in the spreadsheet client? See the Essbase Database Administrator’s Guide.

  • Does the load run for a long time and stop? Set query governors to control the duration and the size of the queries that Integration Server makes to the external data source. See Using Query Governors.

  • If the load stops after loading some members or data, check the reject text file that is automatically created. The reject text file lists all dimensions and members that were not loaded into the Essbase outline. See Procedure 3: Loading Data Immediately. You can also check the Isolation Level setting in the Essbase database. See the Essbase Database Administrator’s Guide.

  • View the Integration Services log file for information about the load. For information on the log file, see the Essbase Integration Services System Administrator’s Guide.

  • View the Essbase error log file for information about the load. For information on the log file, see the Essbase Database Administrator’s Guide.

See also Failure of a Member or Data Load.

Report any problem to the appropriate database administrator (DBA)—the DBA for the external data source, the DBA for OLAP Metadata Catalog, the DBA for Integration Services, or the DBA for Essbase. After the problem is fixed, restart the load.


Failure of a Member or Data Load

If a member load or data load is failing, consider the following troubleshooting scenarios:

  • Is the metaoutline valid? See Validating Metaoutlines Manually.

  • If the metaoutline data storage model property is set to aggregate storage, are the rules and guidelines for aggregate storage being followed? See Aggregate Storage Guidelines and Aggregate Storage Restrictions.

  • Are the external data source, OLAP Metadata Catalog, Essbase Integration Server, and Essbase Server all running correctly? See the Essbase Integration Services System Administrator's Guide.

  • Can you connect to the external data source, OLAP Metadata Catalog, Integration Server, and the Essbase Server without using Essbase Integration Services Console? See the Essbase Integration Services System Administrator's Guide.

  • Are you experiencing a problem viewing a sample outline? Check to be sure that you set the query governors appropriately, especially if you have shared members in the sample outline.

  • Is the Essbase outline into which you are loading members or data in use? See the Oracle Essbase Database Administrator’s Guide.

  • Did you attempt to perform a transformation on members to which you assigned aliases? You cannot perform transformations on members to which you assign aliases. Use OLAP Model to perform needed transformations. See the online help topics on defining transformations for more information.

  • Did you receive a time-out error? See the Essbase Integration Services System Administrator’s Guide.

  • Does the load run for a long time and then stop? Set query governors to control the duration and size of the queries that Integration Server makes to the external data source. See Using Query Governors.

  • If you perform a member load and the Essbase outline contains no members, check to see if you used an invalid member name, such as #MISSING. See Naming Conventions.

  • If a load stops after loading some members or some data, check the reject text file that is automatically created. The reject text file lists all dimensions and members that were not loaded into the Essbase outline. See Procedure 3: Loading Data Immediately. You can also check the Isolation Level setting in the Essbase database. See the Oracle Essbase Database Administrator’s Guide.

  • Is a scheduled load not displayed in the Scheduled Jobs dialog box? Make sure that you started the Schedule service on Windows. See Starting the Windows Task Scheduler Service.

  • Do you receive an operating system error when you try to schedule a load? Make sure that at.exe is correctly identified in the operating system path. (This program schedules programs to run at a certain time.) If at.exe is not correctly identified, correct the problem, restart Integration Server, and reschedule the load.

  • Do some error messages contain error code numbers but no text? If so, check the message.txt file in the ISHOME\bin directory. The file contains a column of error code numbers and a column containing the text of error messages.

  • View the Integration Server log file for information about why a load failed. See Viewing the Essbase Integration Server Log File.

  • View the Essbase error log file for information about why a load failed. See the Essbase Database Administrator’s Guide.

  • View the ODBC log of the data source that is experiencing a problem. If you do not know how to view the ODBC log, see the ODBC documentation.

  • Did you try to schedule a member load or data load after someone deleted the Batch directory? You must have a Batch directory in the AIS directory to schedule loads.

See also Problems with Loading Members or Data.

If you experience a problem with the external data source, OLAP Metadata Catalog, Integration Services, or Essbase, contact the appropriate database administrator. After the problem is fixed, restart the load.


Viewing the Essbase Integration Server Log File

Related Topics

Overview

To analyze and debug member and data loads, you can access the server log file using any of the following methods:

  • Select Tools > View Log File. This method is available at any time except during a member or data load.

  • Click the View Log File button on the dialog box appropriate to the load you are performing. This button is enabled after completion or termination of a member or data load.

  • Open the olapisvr.log file using any text editor. This method is available at any time; however, if the log file was opened in a text editor during a member or data load, you must close the log file without saving and reopen it to view the data from that load.

In all cases, Essbase Integration Server retrieves the log data and displays it in the Server Log File window or the text editor with a date and time stamp for each activity that has occurred during the load. For very large member or data loads, the server retrieves only the last 1MB of the log file. You can copy the log file and paste it to any text editor, such as Notepad, to print it out for review and analysis.


Importing an XML File to an OLAP Model or Metaoutline

Related Topics

Overview

To import an XML file to an OLAP model or metaoutline within the same OLAP Metadata Catalog:

1 Select File > XML Import/Export or click the [image] icon to display the Import tab of the XML Import/Export dialog box.

2 Click the Open XML File button to navigate to the location where the XML file that you want to import is stored.

3 Select the file to import and click OK.

The path and file name of the file you selected is displayed in the XML File Path text box.

  • If you are importing an OLAP model, the name of the OLAP model associated with the XML file is displayed in the OLAP Model Name text box. An "N/A" is displayed in the Based on OLAP Model text box.

  • If you are importing a metaoutline, the name of the metaoutline associated with the XML file is displayed in the OLAP Metaoutline Name text box, and the name of the OLAP model upon which this metaoutline is based is displayed in the Based on OLAP Model text box.

4 Click Import to Catalog to import the selected XML file into an OLAP model or metaoutline, depending on the XML file you selected.

A message is displayed confirming that the XML file has been successfully imported to the OLAP Metadata Catalog.

5 Click OK.

6 Click Close to close the XML Import/Export dialog box.

To view the OLAP model or metaoutline you just imported:

1 Select File > Open.

The Existing tab of the Welcome dialog box is displayed.

2 In the list box, locate the OLAP model or metaoutline that you just imported, select it, and click Open.

The Data Source dialog box is displayed, where you connect to the appropriate relational data source.

3 In the Data Source dialog box, type or select a data source and user name, type a password, and then click OK.

The OLAP model or metaoutline is displayed.

You are now ready to work with the newly-imported OLAP model or metaoutline.


Exporting an OLAP Model or Metaoutline to an XML File

Related Topics

Overview

To export an OLAP model or metaoutline to an XML file within the same OLAP Metadata Catalog:

1 Select File > XML Import/Export or click the [image] icon to display the XML Import/Export dialog box.

Note: It is not necessary to open an existing model or metaoutine to export it to an XML file.

2 Select the Export tab.

3 In the OLAP Model/Metaoutline hierarchical view, navigate to the OLAP model or metaoutline that you want to export to an XML file and select it.

4 Click the Save As XML File button.

The Save As dialog box is displayed.

5 In the File name text box, type a name for the XML file that will contain the model or metaoutline you are exporting.

If necessary, navigate to the directory location where you want to save the XML file.

6 Click Save to save the file.

A message is displayed confirming that the selected object has been successfully exported as an XML file.

7 Click OK.

8 Click Close to close the XML Import/Export dialog box.

Optional:

You can directly edit the OLAP model or metaoutline in an XML editor.

1 Open the newly-created XML file in an editor.

Note: You must use an editor that is UTF8 compliant. Notepad is not UTF8 compliant. Use of a non-UTF8 compliant editor may result in data corruption.

2 Make the changes you want by editing the XML.

For example, you may want to change the model name or metaoutline name in the XML file.

3 Save and close the XML file.

4 Re-import the XML file, as described in steps 1 through 8 above.

5 Open the file OLAP model or metaoutline you just re-imported to view changes.


Connections > OLAP Metadata Catalog > Delete Locks Command

Related Topics

Use the Connections > OLAP Metadata Catalog > Delete Locks command to clear locks on OLAP models and metaoutlines. The Delete Catalog Locks dialog box is displayed. Use this dialog box to delete your locks; you cannot delete locks held by other users.


File > New Command

Related Topics

Use the New command to create a new metaoutline. The New tab of the Welcome dialog box is displayed.


File > Open Command

Related Topics

Use the Open command to open an existing metaoutline. The Existing tab of the Welcome dialog box is displayed. The tab lists all metaoutlines that are stored in the OLAP Metadata Catalog to which you are connected.

Note: Make sure that you are connected to the OLAP Metadata Catalog where the metaoutline is stored.


File > Delete Command

Related Topics

Use the Delete command to delete an existing metaoutline. The Delete an OLAP Model/Metaoutline dialog box is displayed. When you delete an existing metaoutline, Essbase Integration Server removes the metaoutline from OLAP Metadata Catalog.

You cannot delete a metaoutline if it is in use, either by other users or by yourself. All users reading or writing to the metaoutline must close the metaoutline before you can delete it. A dialog box prompts you to confirm that you want to delete the metaoutline.

Warning Use caution when deleting. You cannot undo the deletion of a metaoutline.


File > Close Command

Related Topics

Use the Close command to close the active metaoutline. If you try to close a metaoutline without saving it, a dialog box prompts you to save your changes.

If the metaoutline you are closing is a new metaoutline that you have never before saved, the metaoutline is lost if you click No. Click Yes to save the metaoutline or No to close the metaoutline without saving your changes.


File > Save Command

Related Topics

When you save a metaoutline, Essbase Integration Server automatically validates it and writes it to OLAP Metadata Catalog. You must store the metaoutline in the OLAP Metadata Catalog that stores the OLAP model on which the metaoutline is based.

You can save a metaoutline even if it does not pass validation, but you cannot use an invalid metaoutline to load member levels or data into an Essbase database.

You can save a metaoutline even if multiple users are reading it by selecting Exclusive Access on the Welcome dialog box. Opening an existing metaoutline with Exclusive Access guarantees that no other user can modify the metaoutline.

If you want to modify and save a metaoutline, but have read-only privileges, use File > Save As to save the metaoutline to a different name. The Save New Metaoutline dialog box is displayed.

See the Essbase Integration Services System Administrator’s Guide for information on unlocking metaoutlines.


File > Save As Command

Related Topics

Save a metaoutline to a different name if you want to accomplish any of the following tasks:

  • Change the name of a metaoutline. (The original metaoutline retains the original name.)

  • Change the access permissions of the metaoutline.

  • Make a copy of the metaoutline. You cannot copy a metaoutline by using the Copy function that the operating system provides because the metaoutline resides in OLAP Metadata Catalog. Instead, you need to save the metaoutline to a different name.

To save a metaoutline to a different name, select File > Save As. The Save New Metaoutline dialog box is displayed.


File > XML Import/Export Command

Related Topics

The XML Import/Export command access the XML Import/Export dialog box where you can perform tasks related to OLAP model and metaoutline import and export, including:

  • Import data from an XML file to an OLAP model or metaoutline.

  • Export data from an OLAP model or metaoutline to an XML file.

  • Move an OLAP model or metaoutline from one catalog to another catalog.

  • Rename a current model and all its associated metatoutlines.

Use the Import or Export tab for basic XML import and export functionality

When you select File > XML Import/Export, the XML Import/Export Dialog Box - Import Tab dialog box is displayed.


File > Verify Command

Related Topics

When you save a metaoutline, Essbase Integration Server automatically verifies it and writes it to OLAP Metadata Catalog. You can save a metaoutline that does not pass verification, but you cannot use it to load members or data into an Essbase database.

To validate a metaoutline manually, select File > Verify.

If the metaoutline is valid, a dialog box informs you that the metaoutline contains no errors.

If the metaoutline is invalid, the OLAP Metaoutline Validation Errors dialog box is displayed.


File > Print Command

Related Topics

You can print the metaoutline contained in the right frame of the OLAP Metaoutline main window to use as a hard-copy reference or to retain on file. The OLAP model information in the left frame of the window does not print when you print the metaoutline.


File > Exit Command

Related Topics

Use the Exit command to exit from Essbase Integration Services Console. If you try to close a metaoutline without saving it, you will be prompted to save your changes. Click Yes to save the metaoutline and No to close the metaoutline without saving your changes.

If the metaoutline you are closing is a new metaoutline that you have never before saved, the metaoutline is lost if you click No.


Edit > Delete Command

Related Topics

Use the Delete command to delete a dimension, member level, or measure from the metaoutline. Deleting a dimension, member level, or measure from the metaoutline deletes all build and load operations associated with it. You also delete all member levels below it in the hierarchy. For example, if you delete the Year dimension in TBC Metaoutline, you delete all member levels in that dimension, that is, Time.Quarter and Time.Month.


Edit > Add Member as Child Command

Related Topics

Use the Add Member as Child command to create a user-defined dimension or member when you want to add more dimensions or members to the metaoutline than are provided in the OLAP model. The Enter the New Dimension's Name or Enter the New Member's Name dialog box is displayed.


Edit > Add Member as Sibling Command

Related Topics

Use the Add Member as Sibling command to create a user-defined dimension or member when you want to add more dimensions or members to the metaoutline than are provided in the OLAP model. The Enter the New Dimension's Name or Enter the New Member's Name dialog box is displayed.


Edit > Drill-Through Reports Command

Related Topics

Use the Drill-Through Reports command to create or edit a report and then add or edit OLAP intersection levels and report drill-through columns. The Drill-Through Reports dialog box is displayed.

The drill-through report is what spreadsheet users see when they drill from a cell in Essbase Spreadsheet Add-in or Smart View through to the relational data source.


Edit > Enable Relational Storage Command

Related Topics

To use Advanced Relational Access, select the metaoutline name and then select the Edit > Enable Relational Storage command to automatically enable all members of all non-accounts dimensions for relational storage. You can also access this command by right-clicking the metaoutline name and selecting Enable Relational Storage from the pop-up menu.

When a dimension is enabled for relational storage, Integration Server builds only to the dimension level. All members of the dimension are accessed directly from the relational data source.


Edit > Disable Relational Storage Command

Related Topics

If you do not want to use Advanced Relational Access, select the metaoutline name, and then select Edit > Disable Relational Storage. This removes the Advanced Relational Access feature from all non-accounts dimensions in the metaoutline. (Advanced Relational Access does not apply to the accounts dimension.) You can also access this command by right-clicking the metaoutline name and selecting Disable Relational Storage from the pop-up menu.


Edit > Build Multidimensional Down to Here Command

Related Topics

Example

By default, when Essbase Integration Server creates an Essbase outline, it loads all member levels specified in the metaoutline into a multidimensional database. You can, however, set Integration Server to build only to the dimension level (Advanced Relational Access) or to a specified member level (Hybrid Analysis). Building down to a specified level produces a smaller multidimensional database and a smaller Essbase outline that contains less data. Smaller outlines can be useful for users with limited disk space who do not need to see the lowest level of detail.

With Hybrid Analysis or Advanced Relational Access, you can work with almost no limitation of outline size and still have rapid access to lower level data.

If Build Multidimensional Down to Here is active, in the pop-up menu, next to Build Multidimensional Down to Here, a check is displayed. In the metaoutline, for all member levels that lie below the specified level, a red X, [image], is displayed. During member and data loads, Integration Server sets the specified member level (the member level with a check) as the level 0 member (that is, as the leaf member).

Note: Setting the Build Multidimensional Down to Here function on a level 0 member level has no effect. Integration Server builds down to level 0 by default.


Edit > Enable Hybrid Analysis Down to Here Command

Related Topics

By default, when Essbase Integration Server creates an Essbase outline, it loads all member levels specified in the metaoutline into an Essbase multidimensional database. You can, however, use the Enable Hybrid Analysis Down to Here command to select the member levels to be defined for Hybrid Analysis.

The lower level members and their associated data remain in the relational database and are mapped to the Hybrid Analysis-defined outline residing in the Essbase database.

Note: If the metaoutline you are working with is connected to multiple data sources, the Enable Hybrid Analysis Down to Here command is disabled.


Edit > Default Load Member Command

Related Topics

The Default Load Member command enables you to set the default load member. A check mark is displayed next to Default Load Member in the pop-up menu. Essbase Integration Server loads the data from the data source into the default load member the next time you perform a data load. To load data into the other user-defined members in that dimension, use Essbase Administration Services Console.

Note: The Default Load Member command is enabled only when a user-defined dimension containing a user-defined member is selected.


Edit > Filter Command

Related Topics

Use the Filter command to create a row filter for member levels and a measure filter for measures. You can apply a filter to data values in a measure when loading data into the Essbase database.

A filter determines what members or data values Essbase Integration Server loads from the external data source into the Essbase database. Thus, you can use a filter to control exactly which members and data are loaded into each Essbase database.

The Edit Filter dialog box for the selected member level or the Measure Properties dialog box for the selected measure is displayed.


Edit > Sort Order Command

Related Topics

Use the Sort Order command to sort based on columns within a dimension, as well as columns in the data source that are not used as part of the OLAP model or metaoutline.

You can set Essbase Integration Server to sort member names alphanumerically within a dimension. For example, you can sort all states in the Market dimension from A to Z so that a United States Market dimension starts with Alabama and ends with Wyoming.

When you select Edit > Sort Order, the Edit Filter Dialog Box - Ordering Tab dialog box is displayed.

Note: Hybrid Analysis does not support member name sorting.


Edit > Transformation Command

Related Topics

Use the Transformation command to transform a member name. The Replace tab of the Edit Transformations dialog box is displayed. You use the dialog box to modify the member name so that the name loaded into the Essbase outline differs from the name in the data source.

Use the Transformation command to manipulate incoming measures or reverse the sign of the incoming measure. The Measure Properties dialog box is displayed.

You can also use the Transformation command to direct Essbase Integration Server to attach a prefix or a suffix to a member name.


Edit > Properties Command

Related Topics

To define properties at the metaoutline level, select the metaoutline, such as TBC Metaoutline, and select Edit > Properties. The OLAP Metaoutline Properties dialog box is displayed. You can also specify the actions that spreadsheet users can perform after they open a drill-through report.

To define properties for a dimension, member level, or measure, select the object, and select Edit > Properties. The Dimension Properties or the Member Properties dialog box is displayed. These dialog boxes provide general information about member levels or dimensions and what actions Essbase Integration Server should perform. You can also set general Essbase properties for member levels and dimensions.


Edit > Attribute Member Names Command

Related Topics

Use the Attribute Member Names command to define names and properties for attributes. You can set calculations, numeric ranges, dates, and Boolean values.

When you select Edit > Attribute Member Names, the Attribute Member Names Dialog Box dialog box is displayed.


View > Display Essbase Properties Command

Related Topics

Use the Display Essbase Properties command to customize the view of the OLAP Metaoutline main window in order to display Essbase properties in either columnar or condensed format. Columnar format places Essbase properties under column headings, and condensed format places Essbase properties in parentheses and to the right of the dimension or member name. Default Essbase settings are not displayed.


View > Toolbar Command

Related Topics

Use the toolbar to perform commonly used functions. The toolbar is displayed by default. To hide the toolbar, deselect View > Toolbar. The check mark next to Toolbar in the menu disappears, and the toolbar is removed. To redisplay the toolbar, select View > Toolbar.

Note: The Filters toolbar is always displayed and cannot be hidden. The View > Toolbar command does not affect the Filters toolbar.


View > Status Bar Command

Related Topics

The status bar displays the name of the data source, the name of the OLAP Metadata Catalog to which you are connected, and other status information. The status bar is displayed by default. To hide the status bar, deselect View > Status Bar. The check mark next to Status Bar in the menu disappears, and the status bar is removed. To redisplay the status bar, select View > Status Bar.


View > Metaoutline Icons Command

Related Topics

Use the Metaoutline Icons command to view the following filter and transformation icons in the OLAP Metaoutline main window:

  • The filter icon [image] indicates that a filter has been set on a member level or measure.

  • The transformation icon [image] indicates that a member level or measure has been transformed.

To hide the icons, deselect View > Metaoutline Icons.


View > Expand All

Use the Expand All command to expand all the dimensions or selected dimensions of a metaoutline.

Alternatively, you can right-click and select Expand All from the context menu.


View > Collapse All

Use the View > Collapse All command to collapse all the expanded dimensions or selected expanded dimensions of a metaoutline.

Alternatively, you can right-click and select Collapse All from the context menu.


View > Sample Command

Related Topics

After you create a metaoutline, use the Sample command to see what the dimensions and members, including relationally-stored members, will look like in the Essbase outline before you build the entire outline. The Sample command also enables you to ensure that you have defined the dimensions and the member levels correctly, set filters and transformations correctly, and optimized the SQL generated by Essbase Integration Server.

The View Sample Summary dialog box is displayed first, providing you updates as the view sample progresses.

Note: You can cancel the view sample at any time by clicking the Cancel button in the View Sample Summary dialog box.

The Sample Outline dialog box is then displayed.

Caution: Integration Server does not display sample outlines that contain more than 32,767 members.


Connections > OLAP Metadata Catalog > Connect Command

Related Topics

The Connections > OLAP Metadata Catalog > Connect command connects you to OLAP Metadata Catalog. OLAP Metadata Catalog is a single relational database containing the following elements:

  • Metadata describing the nature, source, location, and type of data to be retrieved from the data source

  • Metadata describing the information required to generate an Essbase outline

  • OLAP models and metaoutlines

OLAP Metadata Catalog must be a data source that is configured for open database connectivity (ODBC). If you do not know how to create an ODBC data source, see the Essbase Integration Services System Administrator’s Guide or the ODBC user documentation.


Connections > Essbase > Login Info Command

Related Topics

Use the Connections > Essbase > Login Info command to connect you to a server running Essbase so you can load dimensions and members from the metaoutline into the Essbase outline. The Login dialog box is displayed.


Outline > Member Load Command

Related Topics

To start a member load, select the Member Load command. A member load is the process of adding new dimensions or members (without data) to an Essbase outline. The Essbase Application and Database dialog box is displayed.


Outline > Data Load Command

Related Topics

To start a data load, select the Data Load command. A data load is the process of populating an Essbase database with data. Loading data establishes actual values for the cells defined by the structural outline of the database. The Essbase Application and Database dialog box is displayed.


Outline > Member and Data Load Command

Related Topics

To start a member and data load, select the Member and Data Load command.

A member load adds new dimensions or members without data to an Essbase outline. A data load populates an Essbase database with data.

Loading data establishes actual values for the cells defined by the structural outline of the database. The Essbase Application and Database dialog box is displayed.


Outline > Update Drill-Through Data Command

Related Topics

Use the Update Drill-Through Data command to add drill-through information only to the Essbase outline.

Notes:

  • This command is disabled if there are no drill-through reports defined for the metaoutline.

  • The Update Drill-Through Data command is not supported if the outline supports duplicate members.

  • If you are updating drill-through data in an aggregate storage metaoutline, all data is preserved.


Outline > Update Hybrid Analysis Data Command

Related Topics

Use the Update Hybrid Analysis Data command to add Hybrid Analysis data only to the Essbase database.

You can also use the Update Hybrid Analysis Data command to add Hybrid Analysis functionality to existing Essbase databases created prior to release 6.5. You must first enable Hybrid Analysis in the metaoutline used to load data to the existing Essbase database, then add the Hybrid Analysis data incrementally using the Outline > Update Hybrid Analysis Data command.

Note: If the metaoutline you are working with is connected to multiple data sources, the Update Hybrid Analysis Data command is disabled.


Outline > User Defined SQL Command

Related Topics

Use the User Defined SQL command to edit the standard SQL generated by Essbase Integration Server and used during the data load process. The SQL Override dialog box is displayed.

After you have completed editing standard SQL statements, you can choose that the edited version be used for a data load by checking the Use User-defined SQL for Data Load option in the OLAP Metaoutline Properties dialog box, Load Optimization tab.


Outline > Alias Table Command

Use the Outline > Alias Table command to access the Alias Table dialog box where you can add, delete, or rename alias tables or set an alias table as current for the metaoutline.


Outline > Verify Command

Related Topics

When you save a metaoutline, Essbase Integration Server automatically verifies it and writes it to OLAP Metadata Catalog. You can save a metaoutline that does not pass verification, but you cannot use it to load members or data into an Essbase database.

To validate a metaoutline manually, select Outline > Verify.

If the metaoutline is valid, a dialog box informs you that the metaoutline contains no errors.

If the metaoutline is invalid, the OLAP Metaoutline Validation Errors dialog box is displayed.


Tools > Scheduler Command

Related Topics

Use the Scheduler command to view all scheduled member and data loads. The Scheduled Jobs dialog box is displayed.


Tools > Create Catalog Command

If you are installing Essbase Integration Services for the first time, use the Create Catalog command to automatically create a new OLAP Metadata Catalog.

If you are upgrading from a previous version of Integration Services, use this command to automatically update your existing catalog to the current version.


Tools > Create Sample Command

After you have completed OLAP Metadata Catalog creation as part of the Essbase Integration Services installation process, use the Create Sample command to create the sample TBC (The Beverage Company) application automatically.

If you are upgrading from a previous version of Integration Services, use this command to automatically update your existing sample application to the current version.


Tools > Get Existing Hierarchies Command

Related Topics

Use the Get Existing Hierarchies command to automate hierarchy creation when creating or editing a metaoutline. The Existing Hierarchies Dialog Box is displayed.


Tools > Intelligent Help Command

Use the Tools > Intelligent Help command to display the Intelligent Help when you are working in an OLAP model or metaoutline. When displayed, a check mark appears next to the Intelligent Help menu item.

To hide the Intelligent Help while working in an OLAP model or metaoutline, select Tools > Intelligent Help. When hidden, a check mark does not appear next to the Intelligent Help menu item.

Note: You can also display or hide the Intelligent Help by clicking the Intelligent Help toolbar button, [image] .


Tools > View Log File Command

Related Topics

Use the View Log File command to see the contents of the log file after a member or data load has finished, has terminated with errors, or has been stopped.


Help Topics Command

Related Topics

You can locate a topic in Help using any of three methods:

  • Select the Contents tab. Double-click a book icon [image] to view the topics in a category. To open a topic, double-click the topic icon [image].

  • Select the Index tab. Either enter the word that you are looking for or scroll through the list of index entries.

  • Select the Find tab. Perform a full-text search for words or phrases that may be in the Help file.


Additional Support

Oracle provides telephone and Web-based support for all Oracle Essbase products when you have a current maintenance agreement.

For answers to technical questions on product, performance, and platform specifics, go the Support for Hyperion Products page on the Oracle support site at http://www.oracle.com/hyperion/support.html.


Readme File

The Readme file contains the latest information regarding the product release. You can access the Readme two ways:

  • With the Integration Services software on the Oracle eDelivery site at http://edelivery.oracle.com.

  • With the Integration Services documentation on the Oracle Technology Network site at http://www.oracle.com/technology/index.html.


Alpha list

Glossary

Symbols

#MISSING (see missing data)

A

accounts dimension

Add Joins mode

Advanced Relational Access

aggregate cell

aggregate storage database

aggregate view

aggregation

aggregation level (see consolidation level)

alias

alias column

alias table

alternate name (see alias)

ancestor

application

ARBORPATH

Architect (see Essbase Integration Services Console)

attribute

B

base dimension

block

block storage database

branch

Builder (see Essbase Integration Services Console)

C

catalog (see OLAP Metadata Catalog)

cell

child

code page (see also encoding)

column

Command Interface (see Essbase Integration Services Shell)

concatenation

condition

consolidation

consolidation level

currency conversion

D

data cleansing

data file

data load rules

data value (see cell)

database outline (see outline)

DateTime transformation

denormalization (contrast with normalization)

dense dimension

detail member (see leaf member)

dimension

dimension branch

dimension build rules

dimension table

dimension type

drill-through report

duplicate member (see also shared member)

duplicate member name

duplicate member outline

Dynamic Calc and Store members

Dynamic Calc members

dynamic calculation

Dynamic Time Series

E

encoding (see also code page, locale)

Essbase Integration Server

Essbase Integration Services Console

Essbase Integration Services Shell

Essbase OLAP Server (see Essbase Server)

Essbase outline (see outline)

Essbase Server

Essbase Server log

Essbase database (see also application)

essbase.cfg

ESSLANG (see also encoding)

F

fact table

field

file delimiter

filter

foreign key (see also key column, primary key)

formula

G

generation

generation name

H

Hybrid Analysis

Hyperion Integration Server Desktop (see Essbase Integration Services Console)

I

index

index cache

index entry

index file

index page

input block

input data

integrity constraint

Intelligent Help

intersection level

J

join

join columns

K

key column

L

left frame

level

level 0 block

level 0 member

load member

load properties

locale (see also encoding, ESSLANG)

logical column (see also column) (contrast with physical column)

logical table (see also view) (contrast with physical table)

M

mathematical operator

MDDB (see multidimensional database)

measures

measures dimension

member

member combination

member level

member load

metadata

metaoutline

missing data

Move mode

multidimensional

multidimensional database

N

normalization (contrast with denormalization)

numeric transformation

O

ODBC

OLAP Architect (see Essbase Integration Services Console)

OLAP Builder (see Essbase Integration Services Console)

OLAP Catalog (see OLAP Metadata Catalog)

OLAP Command Interface (see Essbase Integration Services Shell)

OLAP Integration Server (see Essbase Integration Server)

OLAP Metadata Catalog

OLAP model

OLTP (see online transaction processing)

online analytical processing (OLAP)

online transaction processing

Open Database Connectivity

outline

P

pass-through transformations

permission

physical column (see also column) (contrast with logical column)

physical table (contrast with logical table)

pointer

primary dimension table

primary key

Q

query governor

R

record

recursive table

relational database (contrast with multidimensional database)

restructure

right frame

roll-up (see consolidation)

S

schema

shared member

sibling

sparse dimension

SQL (see Structured Query Language)

SQL Override

staging area

standard dimension

star schema

string

Structured Query Language

synonym

T

table

transformation rules

two-pass calculation

U

UDA

unary operator

Unicode-mode application

union

user-defined attribute (see UDA)

user-defined dimension

user-defined member

user-defined tables

V

validation

view

virtual tables (see user-defined tables)

virtual views (see user-defined tables)

W

write-back

X

XML Import/Export

Y

This Glossary contains no terms starting with the letter Y.

Z

This Glossary contains no terms starting with the letter Z.


Copyright Information

Oracle Essbase® Integration Services

Copyright 1991, 2011, Oracle and / or its affiliates. All rights reserved.

This software and related documentation are provided under a license agreement containing restrictions on use and disclosure and are protected by intellectual property laws. Except as expressly permitted in your license agreement or allowed by law, you may not use, copy, reproduce, translate, broadcast, modify, license, transmit, distribute, exhibit, perform, publish, or display any part, in any form, or by any means. Reverse engineering, disassembly, or decompilation of this software, unless required by law for interoperability, is prohibited. The information contained herein is subject to change without notice and is not warranted to be error-free. If you find any errors, please report them to us in writing.

If this software or related documentation is delivered to the U.S. Government or anyone licensing it on behalf of the U.S. Government, the following notice is applicable:

U.S. GOVERNMENT RIGHTS:

Programs, software, databases, and related documentation and technical data delivered to U.S. Government customers are "commercial computer software" or "commercial technical data" pursuant to the applicable Federal Acquisition Regulation and agency-specific supplemental regulations. As such, the use, duplication, disclosure, modification, and adaptation shall be subject to the restrictions and license terms set forth in the applicable Government contract, and, to the extent applicable by the terms of the Government contract, the additional rights set forth in FAR 52.227-19, Commercial Computer Software License (December 2007). Oracle USA, Inc., 500 Oracle Parkway, Redwood City, CA 94065.

This software is developed for general use in a variety of information management applications. It is not developed or intended for use in any inherently dangerous applications, including applications which may create a risk of personal injury. If you use this software in dangerous applications, then you shall be responsible to take all appropriate fail-safe, backup, redundancy, and other measures to ensure the safe use of this software. Oracle Corporation and its affiliates disclaim any liability for any damages caused by use of this software in dangerous applications.

Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.

This software and documentation may provide access to or information on content, products, and services from third parties. Oracle Corporation and its affiliates are not responsible for and expressly disclaim all warranties of any kind with respect to third-party content, products, and services. Oracle Corporation and its affiliates will not be responsible for any loss, costs, or damages incurred due to your access to or use of third-party content, products, or services.


accounts dimension

accounts dimension. A dimension type that makes accounting intelligence available. Only one dimension can be defined as Accounts.


Add Joins mode

Add Joins mode. In Essbase Integration Services, a state in which you can draw lines to define joins between objects in the OLAP model.


Advanced Relational Access

Advanced Relational Access. Advanced Relational Access is the integration of a relational database with an Essbase multidimensional database. However, with Advanced Relational Access, you can build entire dimensions, with the exception of the Account dimension, so that all data remains in the relational database and is mapped to summary-level data residing in the Essbase database. Advanced Relational Access uses MDX extensively and only works with aggregate storage outlines. Hybrid Analysis will continue to use SQL as the data access mechanism and work with both aggregate storage and block storage outlines.


aggregate cell

aggregate cell. A cell comprising several cells. For example, a data cell that uses Children(Year) expands to four cells containing Quarter 1, Quarter 2, Quarter 3, and Quarter 4 data.


aggregate storage database

aggregate storage database. The database storage model designed to support large-scale, sparsely distributed data which is categorized into many, potentially large dimensions. Upper level members and formulas are dynamically calculated, and selected data values are aggregated and stored, typically with improvements in overall aggregation time.


aggregate view

aggregate view. An aggregation point based on the levels of the members within each dimension. To reduce calculation time, values are pre-aggregated and stored as aggregate views. Retrievals start from aggregate view totals and add up from there.


aggregation

aggregation. The process of rolling up and storing values in an aggregate storage database; the stored result of the aggregation process.


alias column

alias column. In Essbase Integration Services, a column in the data source that contains the aliases for a member level in the metaoutline.


alias table

alias table. A table that contains alternate names for members.


ancestor

ancestor. A branch member that has members below it. For example, in a dimension that includes years, quarters, and months, the members Qtr2 and 2006 are ancestors of the member April.


application

application. (1) A software program designed to run a specific task or group of tasks such as a spreadsheet program or database management system. (2) A related set of dimensions and dimension members that are used to meet a specific set of analytical and/or reporting requirements.


ARBORPATH

ARBORPATH. An environment variable that specifies the Essbase root directory.


attribute

attribute. Characteristics of a dimension member. For example, an Employee Number dimension member may have attributes of Name, Age, or Address or a product dimension can have several attributes, such as a size and flavor.


base dimension

base dimension. A standard dimension that is associated with one or more attribute dimensions. For example, assuming products have flavors, the Product dimension is the base dimension for the Flavors attribute dimension.


block

block. The primary storage unit which is a multidimensional array representing the cells of all dense dimensions.


block storage database

block storage database. The Essbase database storage model categorizing and storing data based on the sparsity of data values defined in sparse dimensions. Data values are stored in blocks, which exist only for sparse dimension members for which there are values.


branch

branch. A member of a hierarchy that may or may not contain leaf members.


cell

cell. (1) The data value at the intersection of dimensions in a multidimensional database; the intersection of a row and a column in a worksheet. (2) A logical group of nodes belonging to one administrative domain.


child

child. A member with a parent above it in the database outline.


code page

code page. A mapping of bit combinations to a set of text characters. Different code pages support different sets of characters. Each computer contains a code page setting for the character set requirements of the language of the computer user. In the context of this document, code pages map characters to bit combinations for non-Unicode encodings.


column

column. A vertical display of information in a grid or table. A column can contain data from one field, derived data from a calculation, or textual information.


concatenation

concatenation. An operation that joins two characters or strings in the order specified, forming one string whose length is equal to the sum of the lengths of the two characters or strings. For example, the strings "New York " and "Library", when concatenated, become "New York Library".


condition

condition. In relational databases, a data extraction criterion. For example, you can apply a condition to extract only the data that begins with the letter A.


consolidation

consolidation. The process of gathering data from dependent entities and aggregating the data to parent entities. For example, if the dimension Year consists of the members Qtr1, Qtr2, Qtr3, and Qtr4, its consolidation is Year.


consolidation level

consolidation level. The top of an aggregation hierarchy or any branch or sub-branch below the top, including the input (leaf) portion of the hierarchy.


currency conversion

currency conversion. A process that converts currency values in a database from one currency into another currency. For example, to convert one U. S. dollar into the European euro, the exchange rate (for example, 0.923702) is multiplied with the dollar (1* 0.923702). After conversion, the European euro amount is .92.


data cleansing

data cleansing. The process of making inconsistent data consistent. Examples of inconsistent data are data in which some values are incorrect or not of the correct data type.


data file

data file. A file containing data; Essbase generates data files during data loads and adds additional data files during aggregations.


data load rules

data load rules. A set of criteria or rules that determines how to load data from a text-based file, a spreadsheet, or a relational data set into a database.


DateTime transformation

DateTime transformation. A set of instructions that defines how to change or reformat a relational database DateTime data type to your choice of date format.


denormalization

denormalization. The process of adding redundancy to data in a database, typically by joining tables to form more complete sets of data in the individual tables. This process is performed for the purpose of increasing data retrieval performance.


dense dimension

dense dimension. In block storage databases, a dimension likely to contain data for every combination of dimension members. For example, a time dimension is typically a dense dimension because it contains all combinations of all members. Contrast with sparse dimension.


dimension

dimension. A data category used to organize business data for retrieval and preservation of values. Each dimension usually contains a hierarchy of related members grouped within it. For example, a Year dimension often includes members for each time period, such as quarters and months.


dimension branch

dimension branch. A collection of dimension tables organized in a hierarchical structure, with one of the dimension tables joined directly to the fact table. A dimension branch defines a single, potential dimension in an Essbase Integration Services metaoutline.


dimension build rules

dimension build rules. In Essbase, a set of operations similar to data load rules. Instead of loading data, the dimension build rules modify the outline based on data in the external data source file.


dimension table

dimension table. (1) A table that includes numerous attributes about a specific business process. (2) In Enterprise Metrics, a table in a star schema with one part primary key. (3) In Essbase Integration Services, a container in the OLAP model for one or more relational tables that define a potential dimension in Essbase.


dimension type

dimension type. A dimension property that enables the use of predefined functionality. Dimensions that are tagged as Time have a predefined calendar functionality.


drill-through report

drill-through report. Direct access by Spreadsheet Add-in users to data stored in the relational data source. Defined in Essbase Integration Services, a drill-through report is based on intersection levels (member sets) that Spreadsheet Add-in users double-click to view detail information that is not stored in the Essbase database.


duplicate member

duplicate member. The second occurrence of a member name in a data source. Users can determine whether Essbase Integration Server supports duplicate members, ignores duplicate members, or adds them as shared members.


duplicate member name

duplicate member name. The multiple occurrence of a member name in a database. Each occurrence of the name represents a different member in the database. For example, two members named "New York" exist in the same database. One member represents New York state and the other member represents New York city.


duplicate member outline

duplicate member outline. A database outline that contains duplicate member names.


Dynamic Calc and Store members

Dynamic Calc and Store members. A member in a block storage outline that Essbase Server calculates only upon the first retrieval of the value. Essbase Server then stores the calculated value in the database. Subsequent retrievals of a Dynamic Calc and Store member do not require calculating.


Dynamic Calc members

Dynamic Calc members. A member in a block storage outline that Essbase Server calculates only at retrieval time. Essbase Server discards calculated values after the retrieval request is complete.


dynamic calculation

dynamic calculation. In Essbase, a calculation that occurs only when you retrieve data on a member that has been tagged as Dynamic Calc or Dynamic Calc and Store. The member's values are calculated at retrieval time instead of being precalculated during batch calculation.


Dynamic Time Series

Dynamic Time Series. A process that performs period-to-date reporting


encoding

encoding. A method for mapping bit combinations to text characters for creating, storing, and displaying character text. Each encoding has a name; for example, UTF-8. Within a specific encoding, each character maps to a specific bit combination; for example, in UTF-8, uppercase A maps to HEX41.


essbase.cfg

essbase.cfg. The name of an optional configuration file for Essbase. Administrators may enter parameters and values in this file to customize Essbase Server functionality. Some of the configuration settings may also be used with Essbase clients to override the Essbase Server settings.


Essbase Integration Server

Essbase Integration Server. The server component of the Essbase Integration Services product family. Essbase Integration Services uses the information stored in the OLAP Metadata Catalog to extract the dimension names and members names needed to build an Essbase outline from the data source. When the Essbase outline is complete, Integration Server extracts data from the data source, performs the operations specificed in the metaoutline, and loads the data into the Essbase database.


Essbase Integration Services Console

Essbase Integration Services Console. The client component of the Essbase Integration Services product family. This graphic interface tool is used to create OLAP models and metaoutlines, and to load data into an Essbase database.


Essbase Integration Services Shell

Essbase Integration Services Shell. In Essbase Integration Services, a command-line tool that you can use to perform common operations on the Essbase outline and the data in the Essbase database. For example, you can use the LOADDATA command to load data.


Essbase Server

Essbase Server. The server component of Essbase.


Essbase Server log

Essbase Server log. A record of actions performed by the Essbase Server (agent).


Essbase database

Essbase database. A repository of data within Essbase that contains a multidimensional data storage array. Each database consists of a defined storage structure (a database outline), data, security definitions, and other associated files, such as calc scripts or data load rules.


ESSLANG

ESSLANG. The Essbase environment variable that defines the encoding that Essbase Server uses to interpret text characters.


fact table

fact table. A container for one or more relational tables that define the data values for each dimension intersection in the OLAP model. For example, if the OLAP model contains Products, Region, and Year dimensions, the fact table might include data values for the number of units of Product A sold in New York in January.


field

field. (1) In Essbase, a value or item in a data source file that is retrieved from an Essbase database. (2) In relational databases, a space allocated for a particular item of information. Fields are the smallest units of information you can access. Most fields have certain characteristics associated with them. For example, some fields are numeric, whereas others are textual. Every field has a name.


file delimiter

file delimiter. One or more characters, such as commas or tabs, that separate fields in a data source.


filter

filter. A constraint placed on data sets to restrict values to specific criteria. For example, to exclude certain tables, metadata, data values, or to control access.


foreign key

foreign key. In relational databases, a column whose data values correspond to the values of a key column in another relational table.


formula

formula. In Essbase, a combination of operators and functions as well as dimension names, member names, and numeric constants. Formulas are used to calculate relationships between members of an Essbase database. @VAR(Actual, Budget) is an example of a formula.


generation

generation. A layer in a hierarchical tree structure that defines member relationships in a database. Generations are ordered incrementally from the top member of the dimension (generation 1) down to the child members.


generation name

generation name. A unique name that describes a generation.


Hybrid Analysis

Hybrid Analysis. The integration of a relational database with an Essbase multidimensional database so that lower-level data remains in the relational database and is mapped to summary-level data residing in the Essbase database. Hybrid Analysis enables Essbase to take advantage of the mass scalability of a relational database while maintaining a multidimensional view of the data in a live environment.


index

index. (1) In Essbase, a method of retrieving data based on sparse dimensions. Also refers to the index files, collectively. (2) In relational databases, pointers that are logically arranged by the values of a key. Indexes optimize access to relational data.


index cache

index cache. In Essbase, a buffer in memory that holds index pages.


index entry

index entry. In Essbase, a pointer to an intersection of sparse dimensions. Each index entry points to a block on disk and locates a particular cell within the block by means of an offset.


index file

index file. In Essbase, a file used to store data retrieval information. It resides on disk and contains index pages.


index page

index page. In Essbase, a subdivision of an index file containing entries that point to data blocks.


input block

input block. A type of data block that has at least one loaded data value.


input data

input data. Any data that is loaded from a data source and is not generated by calculation.


integrity constraint

integrity constraint. In relational databases, a rule stating that each row should have an entry for each required key column.


Intelligent Help

Intelligent Help. In Essbase Integration Services, procedural help displayed in a dockable window that accompanies the OLAP Model and OLAP Metaoutline main windows. Intelligent Help provides numbered procedures and links to new automatic-detection options and frequently used functions.


intersection level

intersection level. In Essbase Spreadsheet Add-in, an Essbase member combination that defines a specific value. For example, the member combination Actual, Root Beer, Sales, Jan, East represents the actual January sales value for root beer in the Eastern region.


join

join. A link between two relational database tables based on common content in a column or record or a relational database concept indicating a link between two topics. A join typically occurs between identical or similar items within different topics. For example, a row record in the Customer table is joined to a related record in the Orders table when the Customer ID value for the record is the same in each table.


join columns

join columns. In Essbase Integration Services, two relational table columns that are joined from one table to another.


key column

key column. In relational databases, a column or columns that form a unique identifier for each row. For example, EMPLOYEE_ID might be a key column.


left frame

left frame. (1) In the Essbase Integration Services Console OLAP Metaoutline main window, the area on the left that enables you to view a list of dimensions previously defined in the OLAP model. (2) In the OLAP Model main window, the area on the left that displays a list of the tables and views available in a source relational database.


level

level. A layer of a hierarchical tree structure that defines database member relationships. Levels are ordered incrementally from the bottom member of the dimension (level 0) up through the parent members.


level 0 block

level 0 block. A data block that is created for sparse member combinations when all of the members of the sparse combination are level 0 members.


level 0 member

level 0 member. A member that has no children.


load member

load member. In Essbase Integration Services, a member in a user-defined dimension into which data is loaded. Only user-defined dimensions require load members. For all non user-defined dimensions, Essbase Integration Server knows how to load members and data into the Essbase database.


load properties

load properties. In Essbase Integration Services, a set of rules that determine what actions the product performs on member level names and data as they are loaded.


locale

locale. A computer setting that identifies the local language and cultural conventions such as the formatting of currency and dates, sort order of the data, and the character set encoding to be used on the computer. Essbase uses only the encoding portion of the locale.


logical column

logical column. In Essbase Integration Services, a column created by manipulating the data in one or more physical columns.


logical table

logical table. In relational databases, a table created by manipulating columns from one or more physical tables. The logical table is only a view of the data; the columns remain stored in the original tables and are not physically duplicated in the logical table.


mathematical operator

mathematical operator. A symbol that defines how data is calculated. A mathematical operator can be any of the standard mathematical or Boolean operators; for example, +, -, *, /, and %. Mathematical operators are used in formulas and outlines.


measures

measures. Data values that a user wants to track, such as Unit_Price and Discount. By default, measures values map to the accounts dimension in the OLAP model, which maps to the measure dimension in the OLAP metaoutline, which in turn maps to the accounts dimension in the Essbase outline.


measures dimension

measures dimension. In Essbase Integration Services, a dimension that, by default, maps to the accounts dimension in the Essbase outline.


member

member. A discrete component within a dimension. A member identifies and differentiates the organization of similar units. For example, a time dimension might include such members as Jan, Feb, and Qtr1.


member combination

member combination. In Essbase, a list of member names used to specify a set of data at the intersection of two or more dimensions. A member combination is specified by using the cross-dimensional operator -> (a hyphen followed by a right-angle bracket). For example, the actual sales data for the month of January in Sample Basic is Sales->Jan->Actual.


member level

member level. A hierarchical level of detail within a dimension. For example, in a dimension that defines geographic areas by nation, which are then subdivided into provinces, the nation and province categories each represent a member level. A member level corresponds to a level in an Essbase outline. The measures dimension contains actual members that are also member levels.


metadata

metadata. A set of data that defines and describes the properties and attributes of the data stored in a database or used by an application. Examples of metadata are dimension names, member names, properties, time periods, and security.


metaoutline

metaoutline. In Essbase Integration Services, a template containing the structure and rules for creating an Essbase outline from an OLAP model.


missing data

missing data (#MISSING). A marker indicating that data in the labeled location does not exist, contains no value, or was never entered or loaded. For example, missing data exists when an account contains data for a previous or future period but not for the current period.


Move mode

Move mode. In Essbase Integration Services, a state in which you can pick up, move, and drop objects in the OLAP Model main window.


multidimensional

multidimensional. Describes a method of referencing data through three or more dimensions. An individual data value is the intersection of one member from each dimension.


multidimensional database

multidimensional database. A method of organizing, storing, and referencing data through three or more dimensions. An individual value is the intersection point for a set of dimensions.


normalization

normalization. The process of grouping and removing redundancy from data so that each entity is in its appropriate place in the database and only in its appropriate place.


numeric transformation

numeric transformation. In Essbase Integration Services, a set of instructions that define how to change or reformat a relational database numeric field type. For example, you may choose to divide numeric data by 100.


ODBC

ODBC. Open Database Connectivity. A database access method used from any application without regard to how the database management system (DBMS) processes the information.


OLAP Metadata Catalog

OLAP Metadata Catalog. In Essbase Integration Services, a relational database containing metadata describing the nature, source, location, and type of data that is pulled from the relational data source.


OLAP model

OLAP model. In Essbase Integration Services, a logical model (star schema) that is created from tables and columns in a relational database. The OLAP model is then used to generate the structure of a multidimensional database.


online analytical processing (OLAP)

online analytical processing (OLAP). A multidimensional, multiuser, client-server computing environment for users who analyze consolidated enterprise data in real time. OLAP systems feature drill-down, data pivoting, complex calculations, trend analysis, and modeling.


online transaction processing

online transaction processing (OLTP). OLTP applications are commonly referred to as data capture, data entry, or data collection applications. OLTP applications enable an organization to capture the large amounts of data resulting from its daily activities but provide limited capability for reporting on the data.


Open Database Connectivity

Open Database Connectivity (ODBC). Standardized application programming interface (API) technology that allows applications to access multiple third-party databases.


outline

outline. The database structure of a multidimensional database, including all dimensions, members, tags, types, consolidations, and mathematical relationships. Data is stored in the database according to the structure defined in the outline.


pass-through transformations

pass-through transformations. In Essbase Integration Services, a feature that allows you to use functions specific to your relational database management system (RDBMS) to extract data values for columns. You can provide a statement that Essbase Integration Server passes through to your RDBMS as a part of the SQL SELECT statement. You provide the statement as a property of a column and the pass-through feature returns a value for the column.


permission

permission. A special privilege that must be assigned to users or groups to enable them to access or modify secure data. Permissions include Read, Read/Write and None.


physical column

physical column. A column that is stored in a relational database.


physical table

physical table. A combination of rows and columns stored in a relational database.


pointer

pointer. In relational databases, a data element that indicates the location of data in storage.


primary dimension table

primary dimension table. A dimension table that joins directly to the fact table. Additional dimension tables may join to the primary dimension table to create a dimension branch.


primary key

primary key. In relational databases, a column (key) that uniquely identifies a row. For example, Employee_ID.


query governor

query governor. An Essbase Integration Server parameter or Essbase Server configuration setting that controls the duration and size of the queries made to the data source.


record

record. A set of information in a data source. Records are composed of fields, each of which contains one item of information. A set of records constitutes a table. A single record constitutes a row in the table. For example, a table containing personnel information might contain records (rows) that have three fields: a NAME field, an ADDRESS field, and a PHONE_NUMBER field.


recursive table

recursive table. A relational source table that contains information in one row that is a parent or child of information in another row. For example, in a relational source table containing the columns EMPLOYEE_ID, NAME, and MANAGER_ID, the columns EMPLOYEE_ID and MANAGER_ID are recursive because MANAGER_ID refers back to the EMPLOYEE_ID. Using Essbase Integration Services, you can build an Essbase outline hierarchy from a recursive source table.


relational database

relational database. A type of database that stores data in the form of related two-dimensional tables.


restructure

restructure. In Essbase, an operation to regenerate or rebuild the database index and, in some cases, the data files.


right frame

right frame. In the Essbase Integration Services Console OLAP Metaoutline main window, the area on the right, in which you build a metaoutline. In the OLAP Model main window, the area on the right, in which you build an OLAP model.


schema

schema. In relational databases, a logical model that represents the data and the relationships between the data.


shared member

shared member. A member that shares storage space with another member of the same name. A storage property designates members as shared. The use of shared members prevents duplicate calculation of members that occur more than once in an Essbase outline.


sibling

sibling. A child member at the same generation as another child member and having the same immediate parent. For example, the members Florida and New York are children of East and siblings of each other.


sparse dimension

sparse dimension. In block storage databases, a dimension unlikely to contain data for all combinations of dimension members when compared to other dimensions. For example, not all customers have data for all products.


SQL Override

SQL Override. In Essbase Integration Services, a function that enables editing of the standard SQL statements generated by Integration Server for drill-through reports. ODBC SQL, Native SQL, and stored procedures can be used when editing the standard SQL. The edited, user-defined SQL can be selected to improve data load performance when loading data into an Essbase database.


staging area

staging area. A database that you create to meet the needs of a specific application. A staging area is a snapshot or restructured version of one or more RDBMSs.


standard dimension

standard dimension. A dimension that is not an attribute dimension.


star schema

star schema. A logical model that represents your relational data in a form that mirrors that of OLAP data. A star schema contains a fact table and one or more dimension tables.


string

string. A sequence of characters treated as a unit.


Structured Query Language

Structured Query Language (SQL). A computer language used to access data in relational databases.


synonym

synonym. An alternate name for an object, such as a table or a view, in a relational database management system (RDBMS). Some RDBMSs use the term "alias" to refer to a synonym. Not all RDBMSs support synonyms.


table

table. In relational databases, a form of data storage in which data is stored in records comprised of fields. Each record is defined by a unique, or primary, key.


transformation rules

transformation rules. In Essbase Integration Services, a set of instructions that define how to change or reformat the member names and data you extract from the source relational database.


two-pass calculation

two-pass calculation. An Essbase property that is used to recalculate members that are dependent on the calculated values of other members. Two-pass members are calculated during a second pass through the database outline.


UDA

UDA. User-defined attribute, associated with members of an outline to describe a characteristic of the members. Users can specify UDAs within calculation scripts and reports so that they return lists of members that have the specified UDA associated with them. UDAs can be applied to dense as well as sparse dimensions.


unary operator

unary operator. A group of mathematical indicators (+, -, *, /, %) that define how roll-ups take place on the database outline.


Unicode-mode application

Unicode-mode application. An Essbase application wherein character text is encoded in UTF-8, enabling users with their computers set up for different languages to share the application data. A Unicode-mode application can be created only on a Unicode-mode server.


union

union. An SQL command that is a type of join that combines the results of two SELECT statements. A union is often used to merge lists of values contained in two tables.


user-defined dimension

user-defined dimension. Dimensions that you explicitly create in Essbase Integration Services, rather than dimensions obtained or built from the relational data source.


user-defined member

user-defined member. Members that you explicitly create in Essbase Integration Services, rather than obtaining and building them from the relational data source.


user-defined tables

user-defined tables. Logical tables that you create in Essbase Integration Services, rather than in the RDBMS. These virtual tables, which behave as standard RDBMS views, can be used anywhere regular RDBMS tables or views are used. User-defined tables enable you to create and to edit OLAP models without altering your relational schema or modifying the SQL generated by Integration Services.


validation

validation. (1) In Essbase, a process of checking a rules file against the outline to make sure the rules file is valid. (2) In Essbase Integration Services, a process of checking the OLAP model and metaoutline.


view

view. In relational databases, a logical table created by combining columns from one or more tables. A view can contain metadata and formatting information used to query an OLAP data source.


write-back

write-back. The ability for a retrieval client, such as a spreadsheet, to update a database value.


XML Import/Export

XML Import/Export. In Essbase Integration Services, a function that enables importing data into and exporting data from an OLAP Metadata Catalog in Extended Markup Language (XML) file format. Both OLAP models and metaoutlines can be saved as XML files and imported into other OLAP Metadata Catalogs.


Aliases

alias. An alternative name. For example, for a more easily identifiable column descriptor you can display the alias instead of the member name.


Validating Formulas in Administration Services

Integration Server sometimes returns erroneous error messages when verifying formulas.

Also, Integration Server can only verify formulas written in SQL format. If the formula is written in MDX format, you must verify the formula syntax in Essbase Administration Services Console.

If Integration Server is returning errors, ignore the errors and use the following workaround to test your formulas:

1 Perform a member load.

Integration Services can still perform member loads, even if some of the formulas in the metaoutline appear to be invalid. Invalid formulas do not block the progress of outline building.

2 Use Essbase Administration Services to open the outline and check the validity of the formulas.

3 If there are formula errors, access the member properties of the outline, where you can edit the formula.

See the Oracle Essbase Administration Services Online Help for information on verifying formulas in outlines.


Alias Tables - Example

Alias Tables – Example

You can use different aliases for different kinds of reports—some users, such as data analysts, may be familiar with 100-10 as Cola, but other users, such as advertisers and executives, may be familiar with 100-10 as The Best Cola. The following list shows some products in the Sample Basic database that have two descriptive alias names:

SKU Default Long Names

100-10 Cola The Best Cola

100-20 Diet Cola Diet Cola with Honey

100-30 Caffeine All the Cola, none
Free Cola of the Caffeine

The first alias table is named Default, and the second alias table is named Long Names. When users retrieve data, they see the aliases in the table that they set as current. For instructions on creating and selecting alias tables, see Creating Alias Tables and Setting Alias Tables as Current.

You can create up to nine alias tables for each metaoutline.

Note: In Essbase, you will see a table named HISDATALOADALIASTABLE. This table is reserved for Integration Services and is required for data load optimization. Do not rename, delete, load, unload, or modify this file.


Alias Tables - Overview

Alias Tables – Overview

Aliases are stored in one or more tables as part of an outline. When you create a metaoutline, Essbase Integration Services tags an empty alias table called Default. If you do not create additional alias tables, all aliases that you create are stored in the Default alias table.

If you want to create more than one alias for a dimension, member, attribute dimension or member, or user-defined member, create the alias tables that you require, then create one or more new aliases. The new aliases are stored in the new alias table(s) that you specify.

You can create up to nine alias tables, including the Default alias table, for each metaoutline.

Note: In Essbase, you will see a table named HISDATALOADALIASTABLE. This table is reserved for Integration Services and is required for data load optimization. Do not rename, delete, load, unload, or modify this file.


Assigning an Alias to a Member - Overview

Assigning an Alias to a Member – Overview

If you are assigning an alias, select the appropriate one. You must observe the following rules when assigning an alias:

  • You cannot perform transformations on members to which you assign aliases.

  • If the column in the data source that contains the alias names has any value with more than 80 characters (the maximum allowed in Essbase naming rules), you can use the SUBSTRING function on a member in the OLAP model to extract the 80 or fewer characters that you want to use in the alias name.

  • You must create the alias column in the external data source in advance. See the Essbase Integration Services Data Preparation Guide and the documentation for the external data source.

  • If you want to assign aliases to recursive members, the alias column and the recursive members must be in the same physical table.


Consolidation of Children Members - Overview

Consolidation of Children Members – Overview

Member consolidation operators determine how children roll up into their parents. By default, new members are given the addition (+) operator, meaning that Essbase adds the members. For example, Essbase adds January, February, and March figures and stores the result in their parent, Qtr1.

Important: When working with an aggregate storage metaoutline, the following consolidation property guidelines apply:

  • For the dimension tagged as accounts, all consolidation operators can be used.

  • For all other dimensions, only the (+) consolidation operator can be used.

Additionally, if the "Label Only" property is being used for members in a dimension, the direct child of the lowest "Label Only" member can have any consolidation operator; however, all indirect children of the lowest "Label Only" member must be tagged with the (+) consolidation property.

To determine how children members roll up into their parents, select one of the following consolidation operators:

  • + [addition]: Adds the member to the result of calculations performed on other members. This operator is the default operator if no other valid value is found.

  • - [subtraction]: Multiplies the member by -1 and then adds the result to the sum of calculations performed on other members.

  • * [multiplication]: Multiplies the member by the result of calculations performed on other members.

  • / [division]: Divides the member by the result of previous calculations performed on other members.

  • % [percent]: Divides the member by the sum of previous calculations performed on other members and multiplies the result by 100 to yield a percentage value.

  • ~ [ignore]: Does not use the member in the consolidation to its parent.

  • From Database Column drop-down list box: Select a column from the database where the consolidation operator is stored. Integration Server uses the consolidation value (+, -, *, /, %, ~) of the selected column of the data source. The type of consolidation operation defined in the column is performed.

Notes:

  • When working with aggregate storage metaoutlines, use care when selecting the From Database Column consolidation option. When performing loads, Integration Server may not recognize the consolidation operators that are stored in the database column. Integration Server will not notify you of the potential for errors during validation.

  • For members of the Measures dimension, the From Database Column drop-down list box is not displayed when the Measures dimension was created from the fact table.


Data Load SQL Override Editing Guidelines

Related Topics

Overview

When you edit the standard SQL generated by Essbase Integration Server, use the following guidelines:

  • The order of columns in the SELECT clause of the edited SQL should match the order of columns in the SELECT clause of the standard SQL.

  • If the Accounts dimension is coming from the fact table, and you edit the metaoutline to reorder the measures in the Accounts dimension, when you launch the SQL Override dialog box, the standard SQL displayed may not have the measures in the correct order. After changing the order of measures in the Accounts dimension, you must save the metaoutline, close it, and reopen it. Then, the standard SQL will have the measures in the correct order and this SQL can be used as a starting point for your user-defined SQL.

  • User-defined members in the dimension tagged Accounts must be listed in the SELECT clause of the user-defined SQL.

  • The number of edited SQL statements does not have to match the number of standard SQL statements.

  • The default number of columns created as a result of a data load is one column per dimension plus all additional data columns. If a member is prefixed with previous members of its dimension (for example, parent or all ancestors), more columns are returned.

  • If some columns in the data load SQL statements are NULL, you can add SQL statements to load the data at the next level in the outline. This is known as NULL Promotions.

  • Because data load SQL statements are tied to filter sets, you can write multiple sets of SQL statements, one for each filter set.

  • Data load SQL statements are associated with a metaoutline.

Note: The SQL table alias generation process skips reserved keywords for SQL. Be sure to verify that your user-defined SQL is not using reserved keywords. See SQL Table Alias Generation for a list of keywords.


Data Storage Properties Table

You can determine how and when Essbase stores data values for a dimension. For example, you can tell Essbase to calculate the value for a dimension only when a user requests it and then to discard the value.

Note: When the Dynamic Calc setting or the Dynamic Calc and Store setting is used with an aggregate storage metaoutline, warnings are generated during metaoutline validation and when performing loads.

Property

Description

Store

Stores the data value with the member. This property is the default.

Dynamic Calc And Store

Calculates the data value when a user requests it and then stores the data value.

Dynamic Calc

Calculates the data value when a user requests it and then discards the data value.

Never Share

Does not allow members to be shared implicitly.

Label Only

Creates a member that is used for navigation. A label only member contains no data value.

For aggregate storage metaoutlines, the following guidelines apply:

  • For the dimension tagged as Accounts, the "Label Only" property for members can be used for all member levels, including the dimension level, with the exception of the level 0 member.

  • For dimensions other than the Accounts dimension, all levels above a member that is tagged as "Label Only," including the dimension level, must also be tagged as "Label Only." Additionally, except for the immediate child of this member, all indirect children must be tagged with the (+) consolidation property, with the exception of the level 0 member.

Note: A level 0 member cannot be tagged "Label Only."

  • If a dimension contains alternate hierarchies and the "Label Only" property is being used in any of the hierarchies, the same member level in all hierarchies within the dimension must be set to "Label Only."

For information on dynamic calculation and label only members, see the Oracle Essbase Database Administrator’s Guide.


Data Storage Properties of Members - Overview

Data Storage Properties of Members – Overview

You can determine how and when Essbase stores data values for a dimension and for a member. For example, you can tell Essbase to calculate the value for a member only when a user requests it and then to discard the value.

The data storage property options for a member are as follows:

  • Store Data: The member stores data. This is the default storage property.

  • Dynamic Calc And Store: The data associated with the member is not calculated until a calculation is requested by a user. The calculated data is then stored.

  • Dynamic Calc: The data associated with the member is not calculated until requested by a user. The calculated data is not stored; it is discarded after the request is completed.

  • Never Share: The data associated with the member is duplicated with its parent or child only if an implied shared relationship exists.

  • Label Only: Although the member has no data associated with it, it can still display a value.

For aggregate storage metaoutlines, the following guidelines apply:

  • For the dimension tagged as Accounts, the "Label Only" property for members can be used for all member levels, including the dimension level, with the exception of the level 0 member.

  • For all other dimensions, all levels above a member that is tagged as "Label Only," including the dimension level, must also be tagged as "Label Only." Additionally, except for the immediate child of this member, all indirect children must be tagged with the (+) consolidation property, with the exception of the level 0 member.

Note: A level 0 member cannot be tagged "Label Only."

  • If a dimension contains alternate hierarchies and the "Label Only" property is being used in any of the hierarchies, the same member level in all hierarchies within the dimension must be set to "Label Only."

  • From Database Column drop-down list box: Select the data storage property of a specified column in the data source.

Notes:

  • When working with aggregate storage metaoutlines, use care when selecting the From Database Column data storage option. When performing loads, Integration Server may not recognize the data storage operators that are stored in the database column. Integration Server will not notify you of the potential for errors during validation.

  • For members of the Measures dimension, the From Database Column drop-down list box is not displayed when the Measures dimension was created from the fact table.


Defining Filters on Duplicate Member Names

Related Topics

Defining a filter on an actual member or on a shared member can affect the data load process. During data load, Essbase Integration Server loads only the filtered data into the actual member and all the shared members, even if you have defined a filter on only the actual member or only a shared member. To prevent this problem, use any of the following methods:

  • Make sure that the actual member and all its shared members use the same filters.

  • If you must filter one member differently, put an empty filter on the other members.

  • Tag the shared members explicitly.


Dense

Use dense storage for a dimension in which a high percentage of available data positions are filled. For example, in the sample application TBC Metaoutline, time data exists for almost all products in all markets, so Year is a dense dimension.

In a metaoutline, you must tag at least one dimension as dense and one dimension as sparse.


Dimension Properties Dialog Box - Account Info Tab

Dimension Properties Dialog Box – Account Info Tab

Select the Account Info tab to set time balance and variance reporting properties for a member.

Only the dimension tagged as accounts and the members of the dimension tagged as accounts can access the built-in accounting functionality provided by Essbase.

To display this dialog box, right-click a dimension in the metaoutline and select Properties, and then select the Account Info tab.

Select one of the following tabs for more help:

Dialog Box Items

Time Balance options

Select one of the following time balance options:

None. This property is the default value. When you set the time balance property as none, Essbase rolls up parents in the time dimension in the usual way—the value of a parent is based on the formulas and consolidation properties of the children of the parent.

First. Set the time balance as first when you want the parent value to represent the value of the first member in the branch (often at the beginning of a time period).

Last. Set the time balance as last when you want the parent value to represent the value of the last member in the branch (often at the end of a time period).

Average. Set the time balance as average when you want the parent value to represent the average of the children values.

If you set the time balance as first, last, or average, you must set the skip property to tell Essbase what to do when it encounters missing values or values of 0. See the Skip Properties Table.

Skip Properties options

If you set the time balance as first, last, or average, you must set the skip property to tell Essbase what to do when it encounters missing values or values of 0. Select one of the following properties:

None. Does not skip data when calculating the parent value. This property is the default value.

However, if Essbase encounters #MISSING data when calculating an average, it does not divide by the total number of members. It divides by the number of members with actual values. Therefore, setting the skip property to none or #MISSING does not affect average (but does affect first and last).

Missing. Skips #MISSING data when calculating the parent value.

Zeros. Skips data that equals zero when calculating the parent value.

Missing and Zeros. Skips both #MISSING data and data that equals zero when calculating the parent value.

Variance Reporting options

Variance reporting properties determine how Essbase calculates the difference between actual and budget data for a member whose formula includes a @VAR or @VARPER function. Any member that represents an expense to the company requires an expense property. The following options describe variance reporting properties.

Select one of the following options:

Expense. For expense items, actual expenses should be lower than budgeted expenses. When actual expenses are greater than budgeted expenses, variance is negative. The @VAR function calculates BUDGET - ACTUAL. For example, if budgeted expenses are $100 and actual expenses are $110, the variance is 10.

Non-Expense. For non-expense items, such as sales, actual should be higher than budget. When actual is less than budget, variance is negative. The @VAR function calculates ACTUAL - BUDGET. For example, if budgeted sales are $100 and actual sales are $110, the variance is 10.

By default, members are non-expense.

Currency Conversion options

If the current member is a member of the accounts dimension and within a currency application, select one of the following currency conversion options to define categories of currency exchange rates.

None (use ancestor). The member has no relationship to currency conversion. This is the default setting.

No Conversion. The member is not converted because it is not a currency value. It can be a value such as a quantity or percentage.

Category. If the current member is a member of the accounts dimension and the member requires currency conversion, enter the type of currency conversion required in the text box.

Currency category types are the names of members of the accounts dimension of the currency database.

Note: These options do not apply to aggregate storage metaoutlines.

Related Topics


Time Balance Properties - Overview

Time Balance Properties – Overview

By default, Essbase bases the calculation of a parent of the dimension tagged as time on the consolidation properties and formulas of the children of the parent. For example, in the Year dimension, the Qtr1 member is, by default, the sum of the children January, February, and March.

If, instead of a sum, you need a beginning, an ending, or an average value for a time period, you can select the appropriate time balance property for the appropriate member of the accounts dimension. When you set a time balance property on a member of the accounts dimension, the property affects how Essbase calculates the accounts member across the time dimension.

For example, if you want Opening Inventory for Qtr1 to reflect the beginning inventory value for Qtr1, set a time balance property of first on the accounts member Opening Inventory. When Opening Inventory is calculated across the Year dimension, Qtr1 becomes equal to Jan (the first child in the Qtr1 hierarchy).

If you set the time balance as first, last, or average, you must set the skip property to tell Essbase what to do when it encounters missing values or values of 0. See the Skip Properties Table.


Variance Reporting Attributes

Variance Reporting Properties – Overview

Variance reporting properties determine how Essbase calculates the difference between actual and budget data for a member whose formula includes a @VAR or @VARPER function. Any member that represents an expense to the company requires an expense property. The following table describes variance reporting properties.

Property | Description
Expense | For expense items, actual expenses should be lower than budgeted expenses. When actual expenses are greater than budgeted expenses, variance is negative. The @VAR function calculates BUDGET - ACTUAL. For example, if budgeted expenses are $100 and actual expenses are $110, the variance is -10.
Non-Expense | For non-expense items, such as sales, actual should be higher than budget. When actual is less than budget, variance is negative. The @VAR function calculates ACTUAL - BUDGET. For example, if budgeted sales are $100 and actual sales are $110, the variance is 10. By default, members are non-expense.


Dimension Properties Dialog Box - Formula Tab

Dimension Properties Dialog Box – Formula Tab

Select the Formula tab to add a formula to a dimension.

You can associate formulas with dimensions, user-defined members, and measures. A formula determines how Essbase Server calculates the data in an Essbase database. For more information about formulas, see the Oracle Essbase Database Administrator’s Guide.

Note: If the data storage model property for the metaoutline is aggregate storage, you can specify only formulas for members within a dynamic hierarchy. Also, formulas must be expressed in MDX format. Some examples are shown in MDX Formula Examples . For more examples and detailed information on MDX syntax rules, see the Essbase Technical Reference.

To display this dialog box, right-click a dimension in the metaoutline and select Properties, and then select the Formula tab.

Related Procedures

Specifying Formulas

About Formula Validation

Select one of the following tabs for more help:

Dialog Box Items

Formula option button

Select the Formula option button to associate a formula with a dimension, user-defined member, or measure.

Formula text box

Type a formula in the Formula text box.

In calc formulas, member names used in the formula must be enclosed in quotation marks ( " " ). Also, be sure to end the formula with a semicolon (;); for example:

"PROFIT" % "SALES";

Note: The length of the formula cannot exceed 8,000 characters.

Errors in the formula are not displayed in the log file until Integration Server calculates the Essbase database.

When working with an aggregate storage metaoutline, use the appropriate MDX syntax; for example,

(PROFIT*100)/SALES

Note: The % operator is not supported in MDX formulas. For more information on MDX syntax rules, see Essbase Technical Reference.

Verify button

Click to verify a formula typed into the Formula text box. If the formula contains errors, the cursor stops at the location of the first error. Correct the error and click Verify to start the verification process at the beginning of the formula or click the Next Error button to locate the next error in the formula.

Note: Integration Server can only verify formulas written in SQL format. If the formula is written in MDX format, you must verify the formula syntax in Essbase Administration Services Console. See the procedures outlined in Validating Formulas in Administration Services for more information.

Next Error button

Click to locate the next error in a formula.

Previous Error button

Click to locate the previous error in the formula. Depending on the location of the cursor when you click Previous Error, the cursor stops at the first letter of the error before the cursor.


Dimension Properties Dialog Box - Member Info Tab

Dimension Properties Dialog Box – Member Info Tab

Select the Member Info tab to set any of the following properties:

  • Dimension type

  • Dimension storage property

  • Data storage type

You can also assign tag a dimension or member to use Two-Pass Calculation, set dimension and member solve order properties, or specify a compression dimension.

To display this dialog box, right-click a dimension in the metaoutline and select Properties, and then select the Member Info tab.

Select one of the following tabs for more help:

Dialog Box Items

Dimension Type options

Select the type of dimension in the Dimension Type group. For more information, see Dimension Types.

Dimension Storage options

Select Dense or Sparse in the Dimension Storage group.

For more information on dense and sparse dimensions, see the Oracle Essbase Database Administrator’s Guide.

Solve Order options

Dimension Solve Order text box. Specify a number between 1 and 127 to represent the order in which all members of the dimension are calculated. The default is 0.

Member Solve Order text box. Specify a number between 1 and 127 to represent the order in which the dimension level is calculated. The default is 0.

For more information on these settings, see Solve Order Options for Dimensions and Members.

Two Pass Calculation options

Select to tag a dimension or member to use two-pass calculation.

Note: When the two-pass calculation setting is used with an aggregate storage metaoutline, warnings are generated during metaoutline validation and when performing loads.

Data Storage options

Select the type of storage to use in the Data Storage group. For more information, see the Data Storage Properties Table.

Compression Dimension check box

Select to specify a dimension as the compression dimension. By default, the Accounts dimension is the compression dimension. For more information, see Specifying the Compression Dimension.

Note: In the Dimension Properties dialog box, Outline Build tab, if you tag a compression dimension with an Outline Hierarchy Information option other than Dynamic at Dimension Level, that dimension will be tagged as a dynamic dimension when it is loaded into Essbase.

Currency Name text box

Type the currency name. This text box is displayed only if you select Country as the dimension type.

Note: This functionality does not apply to aggregate storage metaoutlines.

Comment text box

Type a comment for a dimension; for example, a comment for the Market dimension might be: US Markets Only.

In the Outline Editor in Administration Services Console, comments are displayed to the right of the dimension name.

A comment can be up to 255 characters long.

Related Topics


Assigning an Alias - Overview

Assigning an Alias – Overview

You must observe the following rules when creating an alias:

  • You cannot perform transformations on aliases. Use OLAP Model to perform needed transformations.

  • If the column in the data source that contains the alias names has any value with more than 80 characters (the maximum allowed in Essbase naming rules), you can use the SUBSTRING function in OLAP Model to extract the 80 or fewer characters that you want to use in the alias name.

  • You must create the alias column in the external data source in advance. See the Essbase Integration Services Data Preparation Guide and the documentation for the external data source.

  • If you want to assign aliases to recursive members, the alias column and the recursive members must be in the same physical table.

If you are assigning an alias to a metaoutline member level, from the Alias drop-down list box, select the column that contains the alias.

If you are assigning an alias to a dimension or a user-defined member, in the Alias text box, enter the alias name.

When you assign an alias to a dimension or a user-defined member, the Alias drop-down list box changes to a text box.

See Naming Conventions. For more information on aliases, see Alias.


Dimension Properties Dialog Box - UDAs Tab

Dimension Properties Dialog Box – UDAs Tab

Select the UDAs tab to create a UDA (user-defined attribute).

To display this dialog box, right-click a dimension in the metaoutline and select Properties, and then select the UDAs tab.

Select one of the following tabs for more help:

Dialog Box Items

Value text box | Select Value to enter the UDA.
Add to List button | After typing a UDA in the Value text box, click Add to List to add the UDA to the Existing UDAs list box.
Existing UDAs list box | The Existing UDAs list box lists all UDAs defined for the selected dimension.
Delete UDAs button | To delete a UDA, select it in the Existing UDAs list box and then click the Delete UDAs button.

Related Topics


Dimension Types

Related Topics

When you tag a dimension as a specific type in Essbase Integration Services, the dimension can access built-in functionality designed for that type. For example, if you define a dimension as type accounts, you can specify accounting operations for the member levels of the dimension. By default, Integration Server tags dimensions tagged as time or accounts in the OLAP model as time or accounts in the metaoutline. Integration Server tags all other dimensions as standard.

Note: Naming a dimension "time" or "accounts" does not automatically tag the dimension as type time or accounts. Measures values map to the Accounts dimension of the OLAP model, the Measure dimension of the metaoutline, and the Accounts dimension of the Essbase outline.

This table lists all the dimension types in Integration Services and Essbase.

Type

Description

standard

Has no special type.

time

Describes how often you collect and update data. The dimension tagged as time enables several accounts dimension functions, such as first time balance and last time balance.

Follow these rules when tagging a time dimension in the metaoutline:

  • You can tag only one dimension in a metaoutline as time.

  • When you tag a dimension as time, all members in the dimension inherit the time property.

  • You can create multiple hierarchies inside the dimension tagged as time; for example, you can specify a Year, Quarter, Month hierarchy and a Year, Season hierarchy in the same time dimension.

  • You can create a metaoutline that does not have a dimension tagged as time.

  • You can add time members to a dimension that is not tagged as time.

  • Essbase calculates the dimension tagged as time and the dimension tagged as accounts before it calculates other dimensions in the database. For more information on calculation, see the Oracle Essbase Database Administrator’s Guide.

  • To calculate members of the dimension tagged as time on the second pass through the Essbase outline, see Specifying Two-Pass Calculation on Dimensions and Members.

accounts

Contains items that you want to measure, such as profit or inventory. The dimension tagged as measure in a metaoutline corresponds to the dimension tagged as accounts in the related Essbase database.

Follow these rules when tagging a measure (accounts) dimension in a metaoutline:

  • You can tag only one dimension in a metaoutline as measure (accounts).

  • When you tag a dimension as measure (accounts), all members in the dimension inherit the accounts property.

  • You can create a metaoutline that does not have a dimension tagged as measure (accounts). In this scenario, you are limited to a single measure.

  • Essbase calculates the dimension tagged as time and the dimension tagged as accounts before it calculates other dimensions in the database. For more information on calculation, see the Oracle Essbase Database Administrator’s Guide.

  • To calculate members of the dimension tagged as accounts on the second pass through the Essbase outline, see Two-Pass Calculation.

country

Used for currency conversion applications. Select the country dimension type to use the dimension to track business activities in multiple countries. The country dimension contains data for different business regions. If you track business activity in the United States and Canada, your country dimension should contain members for the states, provinces, and countries. In a country dimension, you specify the type of currency used by each member. For example, Canada has three members for three markets: Vancouver, Toronto, and Montreal. They all use Canadian dollars.


Edit Transformations Dialog Box - Alias Prefix/Suffix Tab

You can direct Essbase Integration Server to attach a prefix or a suffix to an alias name for a member. When attaching a prefix to an alias, remember that some characters cannot be used at the beginning of the name. See Forbidden Characters for Prefixes.

To select a prefix or suffix separator, you must select a prefix or suffix. When the option None is chosen for the prefix or suffix, separator options are not enabled.

To display this dialog box, right-click a dimension member in a metaoutline, select Transformations, and then select the Alias Prefix/Suffix tab. This tab is enabled only when an alias is defined for this member.

Related Procedures

Attaching Prefixes and Suffixes to Alias Names

Select one of the following tabs for more help:

Dialog Box Items

Alias Table drop-down list box

Select the appropriate alias table that contains the alias to which the prefix or suffix will be applied.

Alias text box

Displays the alias that corresponds to the alias table selected in the Alias Table drop-down list box.

Prefix and Suffix option group

For Prefix and Suffix, select from the following options:

  • None attaches nothing.

  • Parent Name attaches the name of the immediate parent; for example, selecting Parent Name in the Prefix option group and Pipe in the Prefix Separator option group changes Colas to Product|Colas.

Essbase requires every member name to be unique. To satisfy this requirement, you can prefix the name of every member with the name of the parent value of the member. For example, if you store information for two years, you have two members named Quarter1. By prefixing the name of every member with the name of the parent of the member, you produce unique member names such as 1999Quarter1 and 2000Quarter1.

  • Grandparent Name attaches the name of the grandparent, that is, the name of the parent of the parent. Using PRODUCTDIM as an example, selecting Grandparent Name in the Suffix option group and Caret in the Suffix Separator option group changes 100 to
    100-10^100.

  • All Ancestors’ Names attaches the names of all higher level generations. For example, selecting All Ancestors’ Names in the Prefix option group and Underscore in the Prefix Separator option group changes 100 to Product_100.

  • Dimension Name attaches the dimension name. For example, selecting Dimension Name in the Suffix option group and Caret in the Suffix Separator option group changes 100 to 100^Product.

  • Custom Prefix and Custom Suffix attach, respectively, the prefix or suffix that you enter in the appropriate text box. For example, typing SKU in the Custom Prefix text box and selecting Underscore in the Prefix Separator option group changes 100 to SKU_100.

  • Custom Prefix and Custom Suffix combined with a Prefix option or a Suffix option attach, respectively, the prefix or suffix that you enter in the appropriate text box and the selected prefix or suffix. For example, typing SKU in the Custom Prefix text box, selecting Parent in the Prefix option group, and selecting Underscore in the Prefix Separator option group changes Colas to Product_SKU_100.

Note: Do not use double quotation marks (") in the Custom Prefix and Custom Suffix text box.

Prefix and Suffix Separator option group

Select the separator character to insert between the member name and the attached value. Options are as follows:

  • Underscore [ _ ] inserts an underscore between the prefix or suffix and the member name; for example, PRODUCT_100-10.

  • Pipe [ | ] inserts a pipe between the affix and the member name; for example, Product|100-10.

  • Caret [^] inserts a caret between the affix and the member name; for example, Product^100-10.

  • No separator does not insert a character separator; for example, Product100-10.

Preview Results button

Click to open the Preview Transformation Results dialog box to view the effect of the prefix and suffix changes.


Editing XML Files

Related Topics

Overview

Example

Caution Changing any XML tags not listed here may cause data corruption. You must use an editor that is UTF8 compliant. Notepad is not UTF8 compliant.

To rename a model:

1 Export the model that you want to rename.

2 Change the <Model name> tag in the XML document.

3 Import the modified model XML file.

To rename a metaoutline:

1 Export the metaoutline that you want to rename.

2 Change the <MetaOtl name> tag in the XML document.

3 Import the modified metaoutline XML file.

To change the model on which a metaoutline is based:

1 Export the metaoutline for which you want to change the base model.

2 Change the <MetaOtl name> tag in the XML document (if you want to rename the metaoutline).

3 Change the <modelName> tag in the XML document to match what the new model name should be.

4 Import the modified metaoutline XML file.

Note: You may want to export and rename the original base model to complete this operation.

To change the owner of a model or metaoutline:

1 Export a model or metaoutline.

2 Change the <owner> tag in the XML document.

3 Import the modified model or metaoutline XML file.

To change the data source of a model or metaoutline:

1 Export a model or metaoutline.

2 Change the <datasource> tag in the XML document.

3 Import the modified model or metaoutline XML file.


Editing XML Files - Example

Editing XML Files – Example

Top of an OLAP Model XML export file

<?xml version="1.0" encoding="UTF-8"?>

<!ELEMENT Model (FactView?, ModelDim*, ModelUnreferencedView*, ModelLogicalJoin*)>

<!--Values for AccessCode 0 - No access for non-owners, 1 - Read access for non-owners, 2 - Read Write access for non owners.

-->

<!ATTLIST Model

 name CDATA #REQUIRED

 desc CDATA #IMPLIED

 accessCode (0 | 1 | 2) "2"

 owner CDATA #IMPLIED

 dataSource CDATA #IMPLIED

 version (1.9.0.0.0 | 2.0.0.0.0 | 6.1.0.0.0) #REQUIRED

Top of a Metaoutline export file

<?xml version="1.0" encoding="UTF-8"?>

<!ELEMENT MetaOtl (MetaOtlDim*, MetaOtlAttributeDim*, MetaOtlMeasure*, MetaOtlFilter+, MetaOtlProperty*, MetaOtlDTReport*, MetaOtlMemberPredicate*)>

<!--Values for accessCode - 0 No access for non-owner, 1 Read access for non-owners, 2 Read Write access for non-owners-->

<!--Values for dtPromptDatasource(Prompt datasource during customization of DT reports by end user) - 0 No, 1 Yes.-->

<!--Values for dtPromptEISServer - 0 No, 1 Yes-->

<!ATTLIST MetaOtl

 name CDATA #REQUIRED

 desc CDATA #IMPLIED

 accessCode (0 | 1 | 2) "2"

 owner NMTOKEN #IMPLIED

 datasource NMTOKEN #IMPLIED

 modelName CDATA #REQUIRED

 lastChangeTimestamp CDATA #IMPLIED

 dTPromptDatasource (0 | 1) "1"

 dTPromptEISServer (0 | 1) "1"

 version (1.9.0.0.0 | 2.0.0.0.0 | 6.1.0.0.0) #REQUIRED

>


Editing XML Files - Overview

Editing XML Files – Overview

When using the XML import/export functionality, you create a plain text file that you can edit using an editor that is UTF8 compliant.

Note: Notepad is not UTF8 compliant. Use of a non-UTF8 compliant editor may result in data corruption.

The plain text file can, however, be viewed in an XML browser, a regular internet browser (this will provide less functionality), or a text editor such as Notepad.

If you are using any editor other than a plain text editor, you may need to copy the data type definition (DTD) files (model.dtd and metaoutline.dtd, which are located in the ISHOME\bin directory) to the directory containing the editor’s home directory.

Caution Changing any XML tags listed in model.dtd and metaoutline.dtd may cause data corruption.

Both the model and metaoutline XML files contain tags which should not be changed. The files also contain tags that, if changed, enable you to accomplish tasks, such as renaming a model or metaoutline or changing the data source on which a particular model or metaoutline name is based.


Effects of Metaoutline Editing After Using SQL Override

When you edit a metaoutline after editing the standard SQL, the editing affects the SQL override. This table lists edits and their effects on the data load SQL.

Edit | State of Data Load SQL
Add a new dimension | INVALID DATA
Remove a dimension | INVALID DATA
Add a user-defined member to the Accounts dimension | Error is generated
Reorder the measures in the Accounts dimension | Data is loaded into wrong intersections
Change the number of leaf members in any dimension | Possibly invalid data
Add a static Alias/UDA/Consolidation to any member | Valid
Add a parent/grandparent transformation | INVALID DATA
Change build down to here option | Build down to here option is ignored
Change in incremental load option | Possibly invalid data
Add ancestor | Valid
Add child | Possibly invalid data
Add sibling | Possibly invalid data


Enter the New Filter's Name Dialog Box

A metaoutline filter contains all member level and measure filters that are defined while it is selected. When you create a new metaoutline filter, it inherits the member and measure filters defined in the *Default metaoutline filter.

To display this dialog box, open a metaoutline and click the [image] icon in the Filters toolbar. The Enter the new filter’s name dialog box is displayed.

Enter the name of the new filter, in accordance with the guidelines listed in Naming Conventions; for example, openinvent.

Essbase Integration Server creates a new metaoutline filter and sets it as the current filter.

Related Topics


Existing Hierarchies Dialog Box

Use this dialog box to automate hierarchy creation when creating or editing a metaoutline.

To display this dialog box, open a metaoutline and select Tools > Get Existing Hierarchies.

Related Procedures

Creating Hierarchies Automatically

Dialog Box Items

Existing Hierarchies hierarchical view | Contains the detected hierarchies in a hierarchical format that includes the dimension names, the hierarchy names, and the associated member names. Hierarchy names are depicted by the Hierarchy icon, [image] .
Select All button | Click to select all detected hierarchies for hierarchy creation. Tip: To select only one hierarchy for hierarchy creation, click the hierarchy name. To select more than one hierarchy, but not all hierarchies, for hierarchy creation, press and hold down the Ctrl key and click your hierarchy creation choices.
Create button | Click to complete the hierarchy creation process.
Close button | Click to close this dialog box without creating hierarchies.


Filter Operators Table

Related Topics

From the Operator drop-down list box, select an operator.

Operator | Description
in | Setting one or more conditions. For example, Region in United States and Europe selects both the United States and Europe regions.
not in | Opposite of in. For example, Region not in United States selects all regions except regions that are part of the United States.
is | Not null or null.
like | Looking for similar characters. For example, if you want to select all products that begin with P and do not want to specify other characters of the product names, you can set the condition like "P" (Different RDBMSs may use different wildcards).
not like | Opposite of like. Selecting conditions that exclude similar characters.
= | Equal to.
< > | Not equal to.
< | Less than.
<= | Less than or equal to.
> | Greater than.
> = | Greater than or equal to.

Tip: You can use SQL statements as provided by the relational database management system (RDBMS). For example, you can use the like operator.


About Handling New Members During a Data Load

Related Topics

Between the build and the data load of an Essbase outline, the information on which the outline structure is based can change. For example, someone may add a new member to the fact table or to a reference table.

Assume that the Essbase outline build produces an outline that looks like the following example:

What if someone adds Root_Beer to the fact table or to a reference table of the data source? When you perform a data load, the new member is available.

If the Essbase outline includes miscellaneous members, Essbase Integration Server adds the new member to the miscellaneous member of the appropriate dimension. With the addition of the Root_Beer member, for example, the Essbase outline looks like the following example:

After the data load is complete, you can view the members of Miscellaneous. You can then use Essbase Administration Services Console either to move the new member to another location within the Essbase outline or to delete the member.

During data load, Essbase Integration Server ignores any new member whose Essbase dimension does not include a miscellaneous member. However, Integration Server records that the new member exists and that it was ignored. For more information on viewing the log file in which this information is recorded, see Viewing the Essbase Integration Server Log File.


Importing and Exporting an OLAP Model or Metaoutline - Overview

XML Import/Export enables you to import data into and export data from the OLAP Metadata Catalog. You can modify your models and metaoutlines using an XML-based editor, and then import the data into the OLAP Metadata Catalog.

Note: The Import/Export feature is available only on Windows platforms.

Extended Markup Language (XML) consists of two parts:

Data Type Definition (DTD): This part describes the allowable structure of XML documents. A DTD defines the elements within a document. It can constrain the pieces of data that can occur in a document, the hierarchy of the data it includes, and the number of times each piece of data can occur. Essbase Integration Services provides a predefined DTD to ensure that you use the same data format when you create XML documents.

XML documents: This part specifies how to use the tagged markup to indicate the meaning of data, somewhat like a card catalog. In Integration Services, the data in an XML document describes the dimensions, members, hierarchies, and settings in OLAP models and metaoutlines. This information is stored in tables in the OLAP Metadata Catalog.


Load Member

A user-defined dimension is not connected to the related OLAP model. Because the dimension is not connected to the OLAP model, Integration Server does not know into which member data is to be loaded. Therefore, you must select a member in the user-defined dimension into which Integration Server loads data. The selected member is called the load member. You must select one load member for each user-defined dimension. The load member can be a level 0 member or a non-level 0 member.


Loading Essbase Properties from Database Columns - Overview

The following Essbase properties can be loaded from database columns in the same way that Consolidation Attributes and UDAs are loaded from Essbase Integration Services into Essbase:

  • Member Consolidation

  • Two-Pass calculation

  • Data storage attribute

  • Time balance

  • Skip type

  • Variance reporting

  • Formulas

Define these member settings using the metaoutline Member Properties dialog box, Member Info tab. When property values are combined in one database column, they can be separated by a comma or a space. When a word is used to define a property, only the first letter is used during a data load; for example, (O)nly or (E)xpense or (T)wo-Pass Calc.

Note: When working with aggregate storage metaoutlines, use care when selecting the From Database Column option. When performing loads, Integration Server may not recognize the operators that are stored in the database column. Integration Server will not notify you of the potential for errors during validation.

The following table defines the legal values for properties that Essbase Integration Services recognizes when loading these properties from a database column.

Allowable Properties:

Code | Description
% | Express as a percentage of the current total in a consolidation.
* | Multiply by the current total in a consolidation
/ | Divide by the current total in a consolidation
+ | Add to the current total in a consolidation
- | Subtract from the current total in a consolidation
~ | Exclude from the consolidation
A or AVERAGE | Average time balance item (applies to accounts dimensions only)
B or Both | Exclude data values of zero or #MISSING in the time balance (applies to accounts dimensions only)
E or Expense | Expense item (applies to accounts dimensions only)
F or First | First time balance item (applies to accounts dimensions only)
L or Last | Last time balance item (applies to accounts dimensions only)
M or Missing | Exclude data values of #MISSING from the time balance (applies to accounts dimensions only)
N or Never | Never allow data sharing
O or Only | Label only (store no data)
T or Two Pass Calc | Require a two-pass calculation (applies to accounts dimensions only)
V | Create as Dynamic Calc and Store
X | Create as Dynamic Calc
Z or Zero | Exclude data values of zero from the time balance (applies to accounts dimensions only)


Measure Filters

A measure filter is applied to data values as the data values are loaded from the external data source to the Essbase database. For example, if you specify a filter to load only SALES measures that have an aggregate value greater than 1000, Essbase Integration Server does not load into the Sales member of the Essbase database any data values that have an aggregate value equal to or less than 1000. If no data value meets the filtering condition, Integration Server loads a value of #MISSING into the Essbase database.

When creating a measure filter, keep the following guidelines in mind:

  • You cannot use substitution variables in a filter.

  • When you type the filter syntax, you can use the pattern-matching characters supported by the relational database management system (RDBMS).


Measure Properties Dialog Box - Filters Tab

Measure Properties Dialog Box – Filters Tab

Select the Filters tab to create a measure filter. A measure filter is like an SQL HAVING clause.

A measure filter is applied to data values as the data values are loaded from the external data source to the Essbase database. For example, if you specify a filter to load only SALES measures that have an aggregate value greater than 1000, Integration Server does not load into the Sales member of the Essbase database any data values that have an aggregate value equal to or less than 1000. If no data value meets the filtering condition, Integration Server loads a value of #MISSING into the Essbase database.

This dialog box is displayed when the measure dimension for a metaoutline is created without using the OLAP model dimension tagged as accounts.

To display this dialog box, right-click the metaoutline name in the right frame of the OLAP Metaoutline main window. In the OLAP Metaoutline Properties dialog box, select the Database Measures tab, select the database measure name in the measures list box, and click Edit. In the Measure Properties dialog box, select the Filters tab.

Select one of the following tabs for more help:

Dialog Box Items

Column drop-down list box

From the Column drop-down list box, select the column to which the condition applies; for example, SALES.

To define more than one condition on a filter, see the Multiple Filter Conditions Table.

Operator Drop-down list box

Select an operator:

in Setting one or more condition. For example, Region in United States and Europe selects both the United States and Europe regions.

not in Opposite of in. For example, Region not in United States selects all regions except regions that are part of the United States.

is Not null or null.

= Equal to.

< > Not equal to.

< Less than.

<= Less than or equal to.

> Greater than.

> = Greater than or equal to.

Condition text box

Type the condition (for example, 1999) or click the Browse button, [image], to open the Select Values From dialog box. The dialog box lists all possible values for the selected column.

Integration Server retrieves the values directly from the external data source. If the external data source contains many values, a dialog box is displayed. The dialog box asks if you want to view all values.

Browse button

Click [image] to open the Select Values From dialog box, which lists all possible values for the selected column.

Integration Server retrieves the values directly from the external data source. If the external data source contains many values, a dialog box is displayed. The dialog box asks if you want to view all values.

Add button

Click to add the condition to the Filters list.

Add Type options

Select And or Or in the Add Type box, or type AND or OR in the Filters list box to define another condition on a filter, using the following guideline to determine how Integration Server combines multiple conditions:

The default value is Or. If Or is selected, Integration Server applies the filter if any of the conditions that you specify are met. If you select And, Integration Server applies the filter only if all the conditions are met.

Verify button

Click to check the SQL syntax.

Filters list box

To create a filter, use one of the following methods:

  • In the Filters box, enter the filter directly. Use the SQL syntax supported by the external data source; for example, REGION.REGION in ('West'). This option creates a filter manually.

  • Build the filter interactively by selecting an operator from the Operator drop-down list box and entering a condition in the Condition text box.

To determine the order in which the data source executes multiple conditions, type parentheses, as appropriate, around the conditions in the Filters list box. How you define ordering depends on the data source. If you are using a relational data source, consult the documentation for the relational database.

Related Topics


Measure Properties Dialog Box - General Tab

Measure Properties Dialog Box – General Tab

Select the General tab to change the column for a measure. You can also create a single measure in the metaoutline without creating a measure dimension. Use a single measure in the metaoutline if you want to track only one measure, such as SALES. The single measure that you create for the metaoutline must exist in the OLAP model. If you have more than one measure, you must place the measures in the dimension tagged as accounts.

When data is loaded into an Essbase database, every measure in the related metaoutline retrieves its data values from the data source column with which it is associated.

For example, assume that you have a SALESINVACT.PRICE column in the data source. The column contains all prices for all products. The related OLAP model contains the SALESINVACT.PRICE column in its fact table. When you create a PRICE measure in the metaoutline, the Price measure is based on the SALESINVACT.PRICE column of the data source. When you load data into the Essbase database, Integration Server retrieves the data values for price from the SALESINVACT.PRICE column of the data source and loads the retrieved values into the Price measure of the Essbase outline.

If the default column that is associated with a measure is not correct, you can change the column.

This dialog box is used when the measure dimension for a metaoutline is created without using the OLAP model dimension tagged as accounts.

To display this dialog box, right-click the metaoutline name in the right frame of the OLAP Metaoutline main window. In the OLAP Metaoutline Properties dialog box, select the Database Measures tab, select the database measure name in the measures list box, and click Edit. The General tab of the Measure Properties dialog box is displayed by default.

Select one of the following tabs for more help:

Dialog Box Items

Name text box

The Name text box automatically displays the measure that you selected; for example, SALES.

Database Properties list box

Select the new column from the Database Properties list box.

Member list box

Lists the user-defined measures.

Related Topics


Measure Properties Dialog Box - Transformations Tab

Measure Properties Dialog Box – Transformations Tab

Select the Transformations tab to manipulate incoming measures or reverse the sign of an incoming measure.

If your metaoutline is enabled for Hybrid Analysis, transformations on measures are not supported and some limitations apply. See Transformation Support in Hybrid Analysis and Limitations on Transformation Rules with Hybrid Analysis.

This dialog box is displayed when the measure dimension for a metaoutline is created without using the OLAP model dimension tagged as accounts.

To display this dialog box, right-click the metaoutline name in the right frame of the OLAP Metaoutline main window. In the OLAP Metaoutline Properties dialog box, select the Database Measures tab, select the database measure name in the measures list box, and click Edit. In the Measure Properties dialog box, select the Transformations tab.

Select one of the following tabs for more help:

Dialog Box Items

Operator list box

From the Operator drop-down list box, select an operator for scaling the incoming measure; for example, *(Multiplication). Options are as follows:

  • <None >

  • + (Addition)

  • - (Subtraction)

  • * (Multiplication)

  • / (Division)

For a description of all operators, see the Filter Operators Table.

Value text box

Enter the value to use; for example, type 10 to multiply the incoming value by 10.

You can direct Integration Server to scale measures (data values) as it loads them into the Essbase database. For example, you may want to scale a measure if the values in the data source and the values in the database use different types of measurement, such as when the data source tracks sales in hundreds but the Essbase database tracks sales in units. In this case, you want to multiply incoming values by 100.

Flip Sign option

You can direct Integration Server to reverse the sign of a measure from positive to negative or negative to positive. For example, the data source can track expenses as negative numbers, but you can track them as positive numbers in the Essbase database.

Select the Flip Sign box to reverse the sign of an incoming measure.

Related Topics


Member Properties Dialog Box - Account Info Tab

Member Properties Dialog Box – Account Info Tab

Select the Account Info tab to set time balance and variance reporting properties for a member.

Only the dimension tagged as accounts and the members of the dimension tagged as accounts can access the built-in accounting functionality provided by Essbase.

Note: You cannot apply properties of the Account Info tab to Hybrid Analysis members. Specifically, Time Balance, Skip, Variance Reporting, or Currency Conversion properties are not supported for Hybrid Analysis-enabled members.

To display this dialog box, open a metaoutline. Right-click a member name in a measures dimension and select Properties and then select the Account Info tab.

Select one of the following tabs for more help:

Note: The Dynamic Time Series tab is not accessible from the Member Properties dialog box. Access the Dynamic Time Series tab on the Dimension Properties dialog box.

Related Procedures

Specifying Time Balance Properties

Specifying Variance Reporting Properties

Dialog Box Items

Time Balance Properties Table options

Select one of the following options from the Time Balance Properties table:

None. This property is the default value. When you set the time balance property as none, Essbase rolls up parents in the time dimension in the usual way—the value of a parent is based on the formulas and consolidation properties of the children of the parent.

First. Set the time balance as first when you want the parent value to represent the value of the first member in the branch (often at the beginning of a time period).

Last. Set the time balance as last when you want the parent value to represent the value of the last member in the branch (often at the end of a time period).

Average. Set the time balance as average when you want the parent value to represent the average of the children values.

If you set the time balance as first, last, or average, you must set the skip property on this dialog box to tell Essbase what to do when it encounters missing values or values
of zero.

From Database Column. Select a time balance property from a column of the database. The time balance property defined in the column is used.

Note: For members of the Measures dimension, the From Database Column drop-down list box is not displayed when the Measures dimension was created from the fact table.

Skip Properties Table options

If you set a time balance as first, last, or average, you must set a skip property to tell Essbase what to do when it encounters missing values or values of 0. Select one of the following options:

None. Does not skip data when calculating the parent value. This property is the default value.

However, if Essbase encounters #MISSING data when calculating an average, it does not divide by the total number of members. It divides by the number of members with actual values. Therefore, setting the skip property to none or #MISSING does not affect average (but does affect first and last).

Missing. Skips #MISSING data when calculating the parent value.

Zeros. Skips data that equals zero when calculating the parent value.

Missing and Zeros. Skips both #MISSING data and data that equals zero when calculating the parent value.

From Database Column. Select a skip property from a column of the database. The skip property defined in the column is used.

Note: For members of the Measures dimension, the From Database Column drop-down list box is not displayed when the Measures dimension was created from the fact table.

Variance Reporting Properties Table

Variance reporting properties determine how Essbase calculates the difference between actual and budget data for a member whose formula includes a @VAR or @VARPER function. Any member that represents an expense to the company requires an expense property. The following items describe variance reporting properties:

Expense. For expense items, actual expenses should be lower than budgeted expenses. When actual expenses are greater than budgeted expenses, variance is negative. The @VAR function calculates BUDGET - ACTUAL. For example, if budgeted expenses are $100 and actual expenses are $110, the variance is -10.

Non-Expense. For non-expense items, such as sales, actual expenses should be higher than budgeted expenses. When actual expenses are less than budget, variance is negative. The @VAR function calculates ACTUAL - BUDGET. For example, if budgeted sales are $100 and actual sales are $110, the variance is 10.

By default, members are non-expense.

From Database Column. Select a variance reporting property from a column of the database. The variance reporting property defined in the column is used.

If you choose to get the variance reporting properties from a database column, the column must contain a NULL for a non-expense item or an E for an expense item.

Note: For members of the Measures dimension, the From Database Column drop-down list box is not displayed when the Measures dimension was created from the fact table.

Currency Conversion options

Select one of the following conversion options to define currency category:

  • None: The selected dimension has no relationship to currency conversion. This is the default setting.

  • No Conversion: The selected dimension is not converted because it is not a currency value. It can be a value such as a quantity or percentage.

  • Category: The selected dimension requires currency conversion to the category that you specify in the drop-down list box.

Note: For members of the Measures dimension, the From Database Column drop-down list box is not displayed when the Measures dimension was created from the fact table. You must type a currency conversion category directly into the text box.


Member Properties Dialog Box - Formula Tab

Member Properties Dialog Box – Formula Tab

Select the Formula tab to add a formula to a member. Essbase Integration Server validates the formula syntax.

You can associate formulas with dimensions, user-defined members, and measures. A formula determines how Essbase Server calculates the data in an Essbase database. For more information about formulas, see the Oracle Essbase Database Administrator’s Guide.

Note: If the data storage model property for the metaoutline is aggregate storage, you can specify only formulas for members of the Accounts dimension. Also, formulas must be expressed in MDX format. Some examples are shown in MDX Formula Examples . For more examples and detailed information on MDX syntax rules, see the Essbase Technical Reference.

To display this dialog box, open a metaoutline. Right-click a member name and select Properties and then select the Formula tab.

Related Procedures

Specifying Formulas

Select one of the following tabs for more help:

Note: The Dynamic Time Series tab is not accessible from the Member Properties dialog box. Access the Dynamic Time Series tab on the Dimension Properties dialog box.

Dialog Box Items

Formula option button

Select the Formula option button to associate a formula with a dimension, user-defined member, or measure.

Formula text box

Type a formula in the Formula text box.

In calc formulas, member names used in the formula must be enclosed in quotation marks ( " " ). Also, be sure to end the formula with a semicolon (;); for example:

"PROFIT" % "SALES";

Note: The length of the formula cannot exceed 8,000 characters.

Errors in the formula are not displayed in the log file until Integration Server calculates the Essbase database.

When working with an aggregate storage metaoutline, use the appropriate MDX syntax; for example,

(PROFIT*100)/SALES

Note: The % operator is not supported in MDX formulas. For more information on MDX syntax rules, see Oracle Essbase Technical Reference.

Verify button

Click to verify a formula typed into the Formula text box. If the formula contains errors, the cursor stops at the location of the first error. Correct the error and click Verify to start the verification process at the beginning of the formula or click the Next Error button to locate the next error in the formula.

Note: Integration Server can only verify formulas written in SQL format. If the formula is written in MDX format, you must verify the formula syntax in Essbase Administration Services Console. In Integration Services, you should perform, at a minimum, a member load. Then, use Administration Services Console to open the outline and verify it. If there are formula errors, access the member properties of the outline, where you can edit the formula. See the Oracle Essbase Administration Services Online Help for information on verifying formulas.

Next Error button

Click to locate the next error in a formula.

Previous Error button

Click to locate the previous error in the formula. Depending on the location of the cursor when you click Previous Error, the cursor stops at the first letter of the error before the cursor.

From Database Column option button

Select the From Database Column option button to associate a formula stored in a database column with a dimension, user-defined member, or measure, and from the drop-down list box, choose a column from the database. The type of calculation defined in the column is performed.

This option is not available on measures or user-defined members.


Member Properties Dialog Box - Member Info Tab

Member Properties Dialog Box – Member Info Tab

Select the Member Info tab to set a consolidation operator for a member, specify storage properties for a dimension or member, or tag a member or dimension to use two-pass calculation.

To display this dialog box, open a metaoutline. Right-click a member name and select Properties and then select the Member Info tab.

Related Procedures

Loading Essbase Properties from Database Columns

Setting Member Properties

Select one of the following tabs for more help:

Note: The Dynamic Time Series tab is not accessible from the Member Properties dialog box. Access the Dynamic Time Series tab on the Dimension Properties dialog box.

Dialog Box Items

Consolidation

To determine how children members roll up into their parents, select a consolidation operator.

Important: When working with an aggregate storage metaoutline, the following consolidation property guidelines apply:

  • For the dimension tagged as accounts, all consolidation operators can be used.

  • For all other dimensions, only the (+) consolidation operator can be used.

Additionally, if the "Label Only" property is being used for members in a dimension, the direct child of the lowest "Label Only" member can have any consolidation symbol, however, all indirect children of the lowest "Label Only" member must be tagged with the (+) consolidation property.

Solve Order options

Member Solve Order option. Select the option button and, in the text box, specify a number between 1 and 127 to represent the order in which the dynamic hierarchy is evaluated. The default is 0.

From Database Column option. Select the option button, and, from the drop-down list, select the column in the database that contains orders in which members are evaluated. The default is 0.

For more information on these settings, see Solve Order Options for Dimensions and Members.

Note: The From Database Column drop-down list box is not available for members of user-defined dimensions or Accounts dimensions which come from the fact table.

Two Pass Calculation

Select the appropriate two-pass calculation option.

Note: When the two-pass calculation setting is used with an aggregate storage metaoutline, warnings are generated during metaoutline validation and when performing loads.

Data Storage

Select the data storage propertyIDH_Data_Storage_Properties_of_Members_Overview>Overview for the member.

Currency Name drop-down list box

Select the currency name for this member. This drop-down list box is displayed only if you select Country as the dimension type.

Note: This functionality does not apply to aggregate storage metaoutlines.

Comment drop-down box

Select a comment from a database column or type a comment for a member; for example, a comment for the Region member might be: Continental US, AK and HI.

In the Outline Editor in Administration Services Console, comments are displayed to the right of the dimension name.

A comment can be up to 255 characters long.

Note: For members of the Measures dimension, the drop-down list box is not available when the Measures dimension was created from the fact table. You must type comments directly into the text box.

OK button

Click to accept the selected data storage properties.


Member Properties Dialog Box - UDAs Tab

Member Properties Dialog Box – UDAs Tab

Select the UDAs tab to create a user-defined attribute.

To display this dialog box, open a metaoutline. Right-click a member name and select Properties and then select the UDAs tab.

Select one of the following tabs for more help:

Note: The Dynamic Time Series tab is not accessible from the Member Properties dialog box. Access the Dynamic Time Series tab on the Dimension Properties dialog box.

Related Procedures

Defining a UDA

Dialog Box Items

Value text box | Select Value to enter the UDA and click Add to List.
From Database Column drop-down list box | To retrieve the UDA from a column in the data source, select From Database Column and select a column from the drop-down list box.
Existing UDAs list box | Displays all UDAs defined for the selected dimension.
Add to List button | After typing a UDA in the Value text box, click Add to List to add the UDA to the Existing UDAs list box.
Delete UDAs button | To delete a UDA, select it in the Existing UDAs list box and click the Delete UDAs button.


Edit Filter Dialog Box - Filters Tab

Edit Filter Dialog Box – Filters Tab

Select the Filters tab to set a filter on a member or a measure.

A filter is similar to an SQL WHERE clause and determines which members or which data Essbase Integration Server loads from the external data source into the Essbase database. When you use a filter, you can control exactly which members and data are loaded into each Essbase database.

Notes:

  • A change that you make to a filter for a member or measure does not affect the Essbase database until you perform a member or data load.

  • When you create a filter at a member level in a measures dimension, the filter is applied at that level and above when executing a drill-through report.

To display this dialog box from the metaoutline, right-click a dimension member or attribute dimension member and select Filter. The Filters tab is displayed by default.

Related Procedures

Creating a Metaoutline Filter

Creating a Member Filter Interactively

Creating a Measure Filter Interactively

Creating an Attribute Filter Interactively

Select one of the following tabs for more help:

Dialog Box Items

Column drop-down list box

Select one column from the list of all logical columns from the model or metaoutline, including columns in the data source that are not used as part of the OLAP model or metaoutline.

Operator drop-down list box

Select one of the following filter operators:

in: Use to select one or more values; for example, Region in United States or Europe selects regions in both the United States and Europe.

not in: Use to eliminate one or more values; not in is the opposite of in; for example Region not in United States selects all regions except for the regions that are part of the United States.

is Not null or null.

like: Use to select values with similar characters. For example, to select all products that begin with P without specifying all characters in the name, set the condition Like "P%" (the wildcard character may vary with the RDBMS).

not like: Use to select values without similar characters; not like is the opposite of like.

=: Equal to.

<>: Not equal to.

<: Less than.

<=: Less than or equal to.

>: Greater than.

>=: Greater than or equal to.

Condition text box

Type the condition (value) or click the [image] button to open the Select Values From dialog box that displays all the current values for the selected column.

Integration Server retrieves these values directly from the external data source. If the external data source contains many values, Integration Services confirms that you want to view them all.

Add button

Click to add the condition and operator to the Filters list.

Add Type options

If you define more than one condition on a filter, use the following guidelines:

To determine how to combine multiple conditions, select And or Or in the Add Type box or enter AND or OR in the Filters box. The default value is Or, which means that the filter is applied if any condition is met. If you select And, the filter is applied only if all conditions are met.

To determine the order in which the data source executes multiple conditions, type parentheses around the conditions in the Filters box. The manner in which you define ordering depends on the data source. For relational data sources, consult the documentation for the relational database you are using.

Verify button

Click to verify that the SQL syntax in the Filters list box is correct.

Filters list box

Displays the conditions defined on the filter. You can enter conditions into the Filters list box. If you do, you must use the SQL syntax supported by the data source you are using.

Preview Results button

Click to view the data that will be returned by the filter.

Related Topics


Edit Filter Dialog Box - Ordering Tab

Edit Filter Dialog Box – Ordering Tab

Select the Ordering tab to sort based on columns within a dimension.

You can set Essbase Integration Server to sort member names alphanumerically within a dimension. For example, you can sort all states in the Market dimension from A to Z so that a United States Market dimension starts with Alabama and ends with Wyoming.

You can also define more than one sort to create a hierarchy of sort criteria and further refine the criteria to sort member names alphanumerically within a column. For example, you can sort all states in the GEOGRAPHY column from A to Z so that a United States GEOGRAPHY column starts with Alabama and ends with Wyoming, and then sort within the STATE column by ZIP code from 00000 to 99999.

The source database performs the sort. Some sorts may not work the way you intend. For example, if you sort alphabetically by month, you get April, August, December, and so on. To sort months chronologically, see the Replace Dialog tab of the Edit Transformations dialog box.

To display this dialog box from the metaoutline, right-click a dimension member or attribute dimension member and select Filter, and then select the Ordering tab.

Related Procedures

Sorting Members

Select one of the following tabs for more help:

Dialog Box Items

Column drop-down list box

Select one column from the list of all logical columns from the OLAP model or metaoutline. Columns previously used for a sort will not be displayed in the list.

Sort Order drop-down list box

Select one of the following options to apply to the selection made in the Column drop-down list box:

  • Ascending (0 to 9, A to Z)

  • Descending (9 to 0, Z to A)

Unique Sort Order check box

Optional: If you are working with Advanced Relational Access, select to optimize relational queries.

The resulting query will include only the current sort order for Advanced Relational Access on this generation, as opposed to the inclusion of all sort orders specified for this memberset's ancestors by default.

Add button

Click to add sort condition to the Column and Sort Order list box.

Column and Sort Order list box

Displays all sorts added in this session. Also displays any previously created sorts.

Delete button

Click to delete the selected row or rows from the Column and Sort Order list box.

Up button

Click to move the selected row up in sequence in the Column and Sort Order list box.

Down button

Click to move the selected row down in sequence in the Column and Sort Order list box.

OK button

Click to validate changes made in this session.

Cancel button

Click to ignore all changes. Sort conditions revert to previous state.

Related Topics


Prefix and Suffix

Beneath Prefix and Suffix you will see the following options:

  • None uses the metaoutline name as the Essbase outline name. Nothing is attached.

  • Parent Name attaches the name of the immediate parent; for example, selecting Parent Name in the Prefix option group and Pipe in the Prefix Separator option group changes Colas to Product|Colas.

Essbase requires every member name to be unique. To satisfy this requirement, you can prefix the name of every member with the name of the parent value of the member. For example, if you store information for two years, you have two members named Quarter1. By prefixing the name of every member with the name of the parent of the member, you produce unique member names such as 1999Quarter1 and 2000Quarter1.

  • Grandparent Name attaches the name of the grandparent, that is, the name of the parent of the parent. Using PRODUCTDIM as an example, selecting Grandparent Name in the Suffix option group and Caret in the Suffix Separator option group changes 100 to
    100-10^100.

  • All Ancestors’ Names attaches the names of all higher level generations. For example, selecting All Ancestors’ Names in the Prefix option group and Underscore in the Prefix Separator option group changes 100 to Product_100.

  • Dimension Name attaches the dimension name. For example, selecting Dimension Name in the Suffix option group and Caret in the Suffix Separator option group changes 100 to 100^Product.

  • Custom Prefix and Custom Suffix attach, respectively, the prefix or suffix that you enter in the appropriate text box. For example, typing SKU in the Custom Prefix text box and selecting Underscore in the Prefix Separator option group changes 100 to SKU_100.

  • Custom Prefix and Custom Suffix combined with a Prefix option or a Suffix option attach, respectively, the prefix or suffix that you enter in the appropriate text box and the selected prefix or suffix. For example, typing SKU in the Custom Prefix text box, selecting Parent in the Prefix Separator option group, and selecting Underscore in the Prefix Separator option group changes Colas to ProductSKU_100.

Note: Do not use double quotation marks (") in the Custom Prefix and Custom Suffix text box.


Replacing Member Names

As a member is loaded into an Essbase outline, its name can be changed. For example, assume that the data source abbreviates New York to NY. You can direct Integration Server to replace each NY with New York during the build of the Essbase outline.


Replace Options

Specify which of the following options the replacement operation should observe:

  • Be case-sensitive, that is, replace only text strings that match the capitalization of the string in the Search for text box.

  • Replace the text string only when it occurs as a whole word. For example, to replace the 10 in the string 100 10 1 with A, select the Match Whole Word option to change the string to 100 A 1. If you do not select the Match Whole Word option, the string is changed to A0 10 1. By default, Integration Server changes only the first occurrence.

  • Replace all occurrences of the string. For example, if you replace every occurrence of 10 in the string 100 10 1 with A, the string changes to A0 A 1. By default, Integration Server changes only the first occurrence.

For information about the order in which Integration Server performs the specified transformations on member names, see Transforming Member Names .


Edit Transformations Dialog Box - Replace Tab

Edit Transformations Dialog Box – Replace Tab

You can use the Replace tab Edit Transformations dialog box to transform a member name so that the member name loaded into the Essbase outline differs, in whole or in part, from the member name in the data source. In addition, you can perform any of the following actions:

  • Remove spaces before and after a member name

  • Convert spaces to underscores

  • Change the case of a member name

  • Replace parts of a member name

  • Convert data, aliases, and transformed member names to valid Essbase names

To display this dialog box, right-click a metaoutline dimension member and select Transformations. The Replace tab is displayed by default.

Related Procedures

Select one of the following tabs for more help:

Dialog Box Items

Search for drop-down list box

You can do one of the following:

  • Type the text string that you want to replace; for example, New York.

  • Choose to replace null values by selecting <NULL> from the drop-down list.

Replace with text box

Type the text with which to replace the text string; for example, NY. Leave the Replace with text box empty if you want to replace a text string with an empty string.

Note: Do not use double quotation marks (") in the Replace with text box.

Replace options

Specify which of the following options the replacement operation should observe:

  • Case-sensitive. Replace only text strings that match the capitalization of the string in the Search for text box.

  • Match Whole Word. Replace the text string only when it occurs as a whole word. For example, to replace the 10 in the string 100 10 1 with A, select the Match Whole Word option to change the string to 100 A 1. If you do not select the Match Whole Word option, the string is changed to A0 10 1. By default, Essbase changes only the first occurrence.

  • Replace All Occurrences of the string. For example, if you replace every occurrence of 10 in the string 100 10 1 with A, the string changes to A0 A 1. If you do not select this check box, Essbase changes only the first occurrence.

For information about the order in which Integration Server performs the specified transformations on member names, see Transforming Member Names.

Case options

You can direct Integration Server to change the case of member names. For example, you can change the member name JANUARY to January.

In the Case options group, select one of the following options:

  • Original does not change the case.

  • Upper Case makes all letters of the member name uppercase; for example, january to JANUARY or January to JANUARY.

  • Lower Case makes all letters of the member name lowercase; for example, JANUARY to january or January to january.

  • Capitalize First Letters makes the first letter of the member name and the first letter following a space or an underscore to uppercase and makes all subsequent letters lowercase; for example, qtr1_january or QTR1_JANUARY to Qtr1_January.

Drop Leading/ Trailing Spaces check box

Some data sources pad a field by adding spaces at the beginning or end of the field. You must direct Integration Server to remove these spaces during the build of the outline.

Select this check box to remove spaces from before and after member names.

Convert Spaces to Underscores check box

In some data sources, the names of information categories contain spaces.

Select this check box to direct Integration Server to change these spaces to underscores during the build of the Essbase outline.

Convert to Valid Essbase names check box

Sometimes, source data or aliases may be invalid in terms of Essbase naming conventions or you may set transformation rules that result in invalid Essbase member names.

Select this check box to convert, when necessary, member and alias names to valid Essbase names.

Add to List button

Click to add the replacement operation that you have created to the Replace list box.

Edit Details button

After selecting a specific transformation in the Replace list box, and entering changes in the Search for or Replace with text box or changing any replacement options, click Edit Details. Any changes you make to the transformation criteria are reflected in the Replace list box.

Delete button

To delete an operation, select the operation and click Delete.

Replace list box

Corresponds with the replacement operations you have created by listing the text strings that you want to change. Select a text string in the Search column to revise or delete the transformation criteria.

Preview Results button

Click to open the Preview Transformation Results dialog box to view the changes in a sample Essbase outline.


Multiple Filter Conditions Table

Related Topics

Refer to the Multiple Filter Conditions Table if you have more than one condition on a filter.

Condition to Set | Selection in the Edit Filter Dialog Box
How Integration Server combines multiple conditions | Select And or Or in the Add Type box or type AND or OR in the Filters box. The default value is Or. If Or is selected, Integration Server applies the filter if any of the conditions that you specify are met. If you select And, Integration Server applies the filter only if all the conditions are met.
The order in which the data source executes multiple conditions | Type parentheses, as appropriate, around the conditions in the Filters box. How you define ordering depends on the data source. If you are using a relational data source, consult the documentation for the relational database.

Tip: To remove a filter, delete it by using standard keyboard or mouse operations.


Forbidden Characters for Prefixes

When attaching a prefix to a member name, do not use the following characters at the beginning of the name.

@ (at sign) | ( ) (parentheses)
\ (backslash) | . (period)
{ } (braces) | + (plus sign)
, (comma) | ' (single quotation mark)
- (dash, hyphen, or minus sign) | _ (underscore)
= (equal sign) | | (vertical bar or pipe)
< (less than sign) | " (double quotation mark)

When attaching a suffix to a member name, the suffix may begin with the above characters.


Prefix and Suffix Separator Option Group

In the Prefix Separator or Suffix Separator option group, select the separator character to insert between the member name and the attached value.

  • · Underscore [ _ ] inserts an underscore between the affix and the member name; for example, PRODUCT_100-10.

  • · Pipe [ | ] inserts a pipe between the affix and the member name; for example, Product|100-10.

  • · Caret [^] inserts a caret between the affix and the member name; for example, Product^100-10.

  • · No separator does not insert a character separator.


Preview Transformation Results Dialog Box

Use the Preview Transformation Results dialog box to view the results of transformation operations.

To display this dialog box, open a metaoutline and right-click a member name in the right frame of the OLAP Metaoutline main window and then select Transformation. In the Replace tab of the Edit Transformation dialog box, select an existing transformation (or create one, if none exist, and select it) in the Replace list box, and then click the Preview Results button. Or, click the Prefix/Suffix tab and select transformation criteria and click Preview Results.

Refer to the procedure topics listed in the online help table of contents under Procedures > OLAP Metaoutline Tasks > Setting Load Properties for information on creating transformations.

Dialog Box Items

Preview Transformation Results list box

The sample outline contains sample dimensions. You can click member names to expand members and examine the structure of the Essbase outline; for example, the Product dimension.

Sample Build SQL list box

Displays the SQL statements that Integration Server generated to create the sample Essbase outline. Use the sample SQL to perform any of the following tasks:

  • Make sure that the metaoutline refers to the intended data in the external data source.

  • Tune the external data source to speed the process of building and loading data into an Essbase outline.

  • Cut and paste the SQL statement to an external file to view or print.

When you finish viewing the sample dimensions and the sample SQL, click Close.


Rules for Shared Members

Related Topics

Essbase follows these rules for shared members:

  • Shared members must be in the same dimension. For example, both 100-20 members are in the Product dimension.

  • A dimension can contain both shared and non-shared members.

  • Shared members cannot have children.

  • An unlimited number of shared members can have the same name.

  • User-defined attributes (UDAs), formulas, consolidation properties, and account properties cannot be assigned to shared members.

  • Shared members can be assigned aliases.

  • Shared members can be created in an Accounts dimension provided that the second occurrence is always tagged as "shared" during a member load.

  • Duplicate members must have unique parents. Shared and actual members cannot have the same parent.

  • In an Essbase outline, a shared member should not be located before its real member. For example, the 300-30 shared member (under Diet) must be located after the 300-30 actual member (under 300) in the Essbase outline.

  • User-defined members can be designated as shared members.

  • Shared members are permitted in an aggregate storage metaoutline. However, before you work with shared members in an aggregate storage metaoutline, you should understand how Essbase handles shared members in an aggregate storage application. See the Oracle Essbase Database Administrator’s Guide and Oracle Essbase Administration Services Online Help for more information about shared members in aggregate storage applications.

  • In order to have shared members in a duplicate member name metaoutline, the member key column must be specified, as described in Specifying Key Columns for Duplicate Members. Integration Server uses the assigned key to uniquely identify the base member. For recursive hierarchies in a duplicate member name metaoutline, the member column acts as the key column by default.


Select Default Load Member Dialog Box

The Select Default Load Member dialog box lists all user-defined members of the selected user-defined dimension.

A user-defined dimension is not connected to the related OLAP model. Because the dimension is not connected to the OLAP model, Essbase Integration Server does not know into which member data is to be loaded. Therefore, you must select a member in the user-defined dimension into which Integration Server loads data. The selected member is called the load member. You must select one load member for each user-defined dimension. The load member can be a level 0 member or a non-level 0 member.

To display this dialog box, right-click the metaoutline name in the OLAP Metaoutline main window and select Properties, and then click the User-Defined Dimensions tab. Select the appropriate user-defined dimension in the Dimension and Load Member list box and click Edit.

Related Topics


Select Values From Dialog Box

The Select Values From dialog box lists all possible values for the selected column. Essbase Integration Server retrieves the listed values from the external data source. If the external data source contains many values, a dialog box is displayed. The dialog box asks if you want to view all values.

To display this dialog box from the metaoutline, right-click a dimension member or attribute dimension member and select Filter. The Filters tab is displayed by default. Select a column in the Column drop-down list box, an operator in the Operator drop-down list box, and then click [image] to display the Select Values From dialog box.

Dialog Box Items

Value list box

Displays all possible values for the column specified in the Column drop-down list box. See the Filter tab of the Edit Filter dialog box.

Select a value (such as West) and click OK. To select multiple values, hold down the Ctrl key and click each value, or hold down the Shift key and select a consecutive range of values. You can select more than one value only if you have selected in or not in as the operator.

Related Topics


Skip Properties Table

Related Topics

If you set a time balance as first, last, or average, you must set a skip property to tell Essbase what to do when it encounters missing values or values of 0. The following table describes the skip properties:

Property | Description
None | Does not skip data when calculating the parent value. This property is the default value. If, however, Essbase encounters #MISSING data when calculating an average, it does not divide by the total number of members. It divides by the number of members with actual values. Therefore, setting the skip property to none or #MISSING does not affect average (but does affect first and last).
Missing | Skips #MISSING data when calculating the parent value.
Zeros | Skips data that equals zero when calculating the parent value.
Missing and Zeros | Skips both #MISSING data and data that equals zero when calculating the parent value.


Sparse

Use sparse storage for a dimension in which a low percentage of available data positions is filled. For example, the sample application TBC Metaoutline includes the Product and Market dimensions. Product represents product units, and Market represents geographical regions in which products are sold. Because not every product is sold in every market, Product and Market are sparse dimensions.

In a metaoutline, you must tag at least one dimension as dense and one dimension as sparse.


Specifying the Compression Dimension - Overview

Specifying the Compression Dimension – Overview

In aggregate storage databases, the size of the compressed database changes depending on which dimension is specified as the compression dimension, and can affect retrieval performance.

When the data model property is set to aggregate storage, the Accounts dimension is specified as the compression dimension by default. However, you may determine that another dimension is the optimal choice for compression. Using the Compression Dimension check box, you can specify any single dimension as the compression dimension.

After performing a data load, use Administration Services Console or MaxL to view detailed compression and query statistics for your database.

Guidelines

  • The compression dimension option is ignored if the outline is being built with Essbase versions less than 9.3. In versions less than 9.3, the Accounts dimension is tagged as the compression dimension internally.

  • The following dimensions cannot be specified as the compression dimension:

  • Attribute dimensions

  • A base dimension with an attribute association

  • In the Dimension Properties dialog box, Outline Build tab, if you tag a compression dimension with an Outline Hierarchy Information option other than "Dynamic at Dimension Level," that dimension will be tagged as a dynamic dimension when it is loaded into Essbase.

  • The compressions dimension option applies to metaoutlines specified for aggregate storage only. To facilitate switching between aggregate and block data storage models, the option is always available, whether the metaoutline is specified for block storage or aggregate storage. If the metaoutline is specified for block storage, this option is ignored.


UDAs

Related Topics

You can create your own UDAs (user-defined attributes) for members. A UDA is a word or phrase about a member. For example, you might create a UDA called Big Market to identify any market that sells more than a certain amount. Use UDAs in calculation scripts and report scripts. For more information, see the Oracle Essbase Database Administrator’s Guide.

When creating UDAs, keep the following guidelines in mind:

  • You can define multiple UDAs on a single member.

  • You cannot define the same UDA twice on the same member.

  • You can define the same UDA on different members.

  • A UDA can use the same name as a member, alias, level, or generation. When you name UDAs, follow the naming rules in Naming Conventions.

  • If you are using DB2 OLAP server, you can specify an anchor dimension by setting a UDA of RELANCHOR on the appropriate dimension.

  • You cannot create a UDA on Essbase shared members.

  • A UDA applies to only a specified member. Descendants and ancestors of the member do not automatically receive the UDA.

Related Topics


SQL Override Dialog Box

Use this dialog box to edit the standard SQL generated by Essbase Integration Server and used during the data load process. Review the rules and guidelines related to editing the standard data load SQL before proceeding with SQL editing. If you edit the metaoutline after editing the standard SQL, review the effects of metaoutline editing on SQL override.

To display this dialog box, select Outline > User-Defined SQL.

Note: This dialog box is resizable. Integration Services windows and dialog boxes that contain the symbol, [image] , in the lower right corner are resizable.

Related Procedures

Overriding Standard SQL

Dialog Box Items

Filter drop-down list box | Select the appropriate filter.
Metaoutline list box | Displays the OLAP metaoutline selected for the data load.
Current Selected SQL text box | Displays the SQL for the statement you select in the User Defined SQL list box. Edit the displayed standard SQL statement using the SQL syntax required by the data source to create the SQL that you want.
User Defined SQL | Displays a list of SQL statements from which you select a statement to edit using the SQL syntax required by the data source.
Standard Data Load SQL | Displays the standard data load SQL generated by Integration Server. Note: Optimization selections made in the OLAP Metaoutline Properties dialog box, Load Optimization tab, are not reflected in the SQL that is displayed.
Update button | Click to replace the current SQL statements with the edited SQL statements.
Verify All button | Click to verify the edited SQL statements.
Clear button | Clears the Current Selected SQL and User Defined SQL.
Use user-defined SQL for data load | Select to enable the use of an edited version of the standard SQL generated by Integration Server.
OK button | Click to accept changes to SQL statements.
Cancel | Click to ignore all changes to SQL statements and revert to previous SQL statements.


Time Balance Properties Table

By default, Essbase bases the calculation of a parent of the dimension tagged as time on the consolidation properties and formulas of the children of the parent. For example, in the Year dimension, the Qtr1 member is, by default, the sum of the children January, February, and March.

If, instead of a sum, you need a beginning, an ending, or an average value for a time period, you can select the appropriate time balance property for the appropriate member of the accounts dimension. When you set a time balance property on a member of the accounts dimension, the property affects how Essbase Server calculates the accounts member across the time dimension.

For example, if you want Opening Inventory for Qtr1 to reflect the beginning inventory value for Qtr1, set a time balance property of first on the accounts member Opening Inventory. When Opening Inventory is calculated across the Year dimension, Qtr1 becomes equal to Jan (the first child in the Qtr1 hierarchy).

The following table describes each time balance property.

Property | Description
None | This property is the default value. When you set the time balance property as none, Essbase rolls up parents in the time dimension in the usual way—the value of a parent is based on the formulas and consolidation properties of the children of the parent.
First | Set the time balance as first when you want the parent value to represent the value of the first member in the branch (often at the beginning of a time period).
Last | Set the time balance as last when you want the parent value to represent the value of the last member in the branch (often at the end of a time period).
Average | Set the time balance as average when you want the parent value to represent the average of the children values.

If you set the time balance as first, last, or average, you must set the skip property to tell Essbase what to do when it encounters missing values or values of 0. See the Skip Properties Table.

Related Topics


Edit Transformations Dialog Box - Prefix/Suffix Tab

Edit Transformations Dialog Box – Prefix/Suffix Tab

You can direct Essbase Integration Server to attach a prefix or a suffix to a member name. When attaching a prefix to a member name, remember that some characters cannot be used at the beginning of the name. See Forbidden Characters for Prefixes.

To select a prefix or suffix separator, you must select a prefix or suffix. When the option None is chosen for the prefix or suffix, the separator options are not enabled.

To display this dialog box, right-click a dimension member in a metaoutline and select Transformations, and then select Prefix/Suffix tab.

Related Procedures

Attaching Prefixes and Suffixes to Member Names

Select one of the following tabs for more help:

Dialog Box Items

Prefix and Suffix option group

For Prefix and Suffix, select from the following options:

  • None uses the metaoutline name as the Essbase outline name. Nothing is attached.

  • Parent Name attaches the name of the immediate parent; for example, selecting Parent Name in the Prefix option group and Pipe in the Prefix Separator option group changes Colas to Product|Colas.

Essbase requires every member name to be unique. To satisfy this requirement, you can prefix the name of every member with the name of the parent value of the member. For example, if you store information for two years, you have two members named Quarter1. By prefixing the name of every member with the name of the parent of the member, you produce unique member names such as 1999Quarter1 and 2000Quarter1.

  • Grandparent Name attaches the name of the grandparent, that is, the name of the parent of the parent. Using PRODUCTDIM as an example, selecting Grandparent Name in the Suffix option group and Caret in the Suffix Separator option group changes 100 to
    100-10^100.

  • All Ancestors’ Names attaches the names of all higher level generations. For example, selecting All Ancestors’ Names in the Prefix option group and Underscore in the Prefix Separator option group changes 100 to Product_100.

  • Dimension Name attaches the dimension name. For example, selecting Dimension Name in the Suffix option group and Caret in the Suffix Separator option group changes 100 to 100^Product.

  • Custom Prefix and Custom Suffix attach, respectively, the prefix or suffix that you enter in the appropriate text box. For example, typing SKU in the Custom Prefix text box and selecting Underscore in the Prefix Separator option group changes 100 to SKU_100.

  • Custom Prefix and Custom Suffix combined with a Prefix option or a Suffix option attach, respectively, the prefix or suffix that you enter in the appropriate text box and the selected prefix or suffix. For example, typing SKU in the Custom Prefix text box, selecting Parent in the Prefix option group, and selecting Underscore in the Prefix Separator option group changes Colas to Product_SKU_100.

Note: Do not use double quotation marks (") in the Custom Prefix and Custom Suffix text box.

Prefix and Suffix Separator option group

Select the separator character to insert between the member name and the attached value. Options are as follows:

  • Underscore [ _ ] inserts an underscore between the affix and the member name; for example, PRODUCT_100-10.

  • Pipe [ | ] inserts a pipe between the affix and the member name; for example, Product|100-10.

  • Caret [^] inserts a caret between the affix and the member name; for example, Product^100-10.

  • No separator does not insert a character separator; for example, Product100-10.

Preview Results button

Click to open the Preview Transformation Results dialog box to view the changes in a sample Essbase outline.


Transferring OLAP Models and Metaoutlines to Different Catalogs - Overview

You can use the XML Export command to move an OLAP model and a metaoutline from one catalog to a different catalog. You can also rename a current OLAP model and all its associated metaoutlines. This is a convenient method of migrating from one environment to another; for example, migrating from development to production.


Two-Pass Calculation Overview

By default, Essbase calculates outlines from the bottom up—calculating first the values for the children and second the value for the parent. Sometimes, however, the value of a child depends upon the value of the parent or the value of another member in the Essbase outline. To obtain the correct values for dependent dimensions and members, Essbase must calculate the outline and then recalculate the dimensions and members that are dependent on the calculated values of other dimensions and members. Dimensions and members that are calculated on the second pass through the Essbase outline are called two-pass calculations.

For example, to calculate the ratio between Sales and Margin, Essbase needs to calculate Margin (a parent member based on its children, including Sales). To ensure that the ratio calculation is based on a newly calculated Margin figure, tag the Margin % ratio member as a two-pass calculation. Essbase calculates the database and then recalculates the
Margin % member. The second calculation produces the correct result.

Note: Although two-pass calculation is a property that you can give to any member, it works only on members of accounts dimensions, dynamic calculation members, and dynamic calculation and store members. If you assign two-pass calculation to other members, Essbase ignores it. See the Member Properties or Dimension Properties dialog box.


Two Pass Calculation of Members - Overview

Two Pass Calculation of Members – Overview

Three two-pass calculation options can be used on a member:

  • None: A two-pass calculation will not be used on the member.

  • Two Pass Calculation: A two-pass calculation will be used on the member.

  • From Database Column drop-down list box: Select a column from the database. The type of calculation defined in the column is performed.

Notes

  • When working with aggregate storage metaoutlines, use care when selecting the From Database Column two-pass calculation option. When performing loads, Integration Server may not recognize the two-pass calculation operators that are stored in the database column. Integration Server will not notify you of the potential for errors during validation.

  • For members of the Measures dimension, the From Database Column drop-down list box is not displayed when the Measures dimension was created from the fact table.


About Duplicate Member Names

Related Topics

A data source or metaoutline may contain duplicate member names. For example, the TBC.PRODUCT data source contains member 300-30 twice, once under member 300 and once under Diet.

In an Essbase outline that supports duplicate member names, duplicates are not allowed under the same parent level. In Integration Services Console, you can specify a metaoutline that, when loaded into an Essbase database, creates an Essbase outline that supports duplicate member names.

In order to support shared members in a duplicate member Essbase outline, the member column in the metaoutline must be associated with a member key column from the data source. Integration Server makes use of the assigned key to uniquely identify the base member.

Internally, Integration Server generates its own unique identifier to differentiate between duplicate members.

When Integration Services performs a member load, Integration Server applies a unique identifier to duplicate names. In the outline, the member names are both displayed as 300-30. From Essbase clients, the member names can be retrieved using a qualified format, for example:

[Product].[300].[300-30]
[Diet].[300-30]

You may choose to specify a metaoutline that, when loaded into Essbase, does not create an outline that supports duplicate member names. In this case, when Integration Server performs a member load, it performs one of the following actions when it encounters the members under Diet:

  • It ignores the duplicate members. Integration Server does not load the members into the Essbase outline.

  • It creates the members under Diet as shared members. The data associated with a shared member is stored in the real member. For example, the data for the second 300-30 member (under Diet) is stored in the member which appears under 300.

Warning You should not create duplicate members as shared if the actual member or any shared member at the first leaf level has a filter. Instead, individually tag such a member as shared.

You can prevent the creation of duplicate member names by transforming data when you create an OLAP model. See Rules for Shared Members.


Variance Reporting Properties Table

Related Topics

Variance reporting properties determine how Essbase calculates the difference between actual and budget data for a member whose formula includes an @VAR or @VARPER function. Any member that represents an expense to the company requires an expense property. The following table describes variance reporting properties.

Property | Description
Non-Expense | For non-expense items, such as sales, actual should be higher than budget. When actual is less than budget, variance is negative. The @VAR function calculates ACTUAL - BUDGET. For example, if budgeted sales are $100 and actual sales are $110, the variance is 10. By default, members are non-expense.
Expense | For expense items, actual expenses should be lower than budgeted expenses. When actual expenses are greater than budgeted expenses, variance is negative. The @VAR function calculates BUDGET - ACTUAL. For example, if budgeted expenses are $100 and actual expenses are $110, the variance is -10.


View Filter Dialog Box

The View Filter dialog box enables you to view all member and measure filters that are defined in the current metaoutline filter.

To display this dialog box, open a metaoutline and click the [image] icon in the Filters toolbar.

Dialog Box Items

View Filter list box | To view the conditions defined for a specific filter, select the filter; for example, Time.Quarter. All member and measure filters defined in the metaoutline filter are listed in the top list box of the View Filter dialog box. The Item column displays the members on which the filters are defined. The Predicate column displays the conditions of the filters. If the Predicate is too long, it is displayed in the bottom list box.
Filter Conditions list box | The filter conditions of the selected metaoutline filter are displayed in the bottom box. When you finish viewing the filters, click Close.

Related Topics


XML Import/Export Dialog Box - Export Tab

XML Import/Export Dialog Box – Export Tab

Use this dialog box to export data from an OLAP metaoutline to an XML file.

To display this dialog box, select File > XML Import/Export and then click Export. You do not need to have an OLAP model or metaoutline open to access this dialog box.

Select one of the following tabs for more help:

Related Procedures

Exporting an OLAP Metaoutline to an XML File

Importing an XML File to an OLAP Metaoutline

Dialog Box Items

OLAP Model/Metaoutline hierarchical view | Navigate to and select the OLAP metaoutline you want to export to an XML file.
Save As XML File button | Click to save the selected OLAP metaoutline as an XML file.


XML Import/Export Dialog Box - Import Tab

XML Import/Export Dialog Box – Import Tab

Use this dialog box to import data from an XML file to an OLAP metaoutline.

To display this dialog box, select File > XML Import/Export. The Import tab is displayed by default. You do not need to have an OLAP model or metaoutline open to access this dialog box.

Select one of the following tabs for more help:

Related Procedures

Importing an XML File to an OLAP Metaoutline

Exporting an OLAP Metaoutline to an XML File

Dialog Box Items

XML File Path text box | Displays the path and file name of the XML file selected after you click the Open XML File button.
OLAP Model/ Metaoutline Name text box | Displays the name of the metaoutline associated with the selected XML file.
Based on OLAP Model | Displays the name of the OLAP model on which the metaoutline is based.
Open XML File button | Click to open the Open dialog box. When you have located the file that you want to import, click OK.
Import to Catalog button | Click to import the selected XML file into the OLAP metaoutline.


Load Properties

Load properties determine what actions Essbase Integration Server performs on dimensions, member levels, and measures as it builds an Essbase outline or loads data into an Essbase outline. For example, Integration Server can transform member level names as it loads them from the data source to the related Essbase outline.

Note: Before setting load properties, you should perform the following transformations in the OLAP model: splitting one column into two or more columns; creating new columns that are based on existing columns; and fixing data inconsistencies, such as making sure that California is used as either a region or a state, but not as both.


Member Filters

A member filter is applied to member names as the member names are loaded from the external data source into the Essbase database.

You can create a row filter on a member name.

Essbase Integration Server applies the row filter to each row. The filter is based on a member name. For example, if you filter out all years that are not 1999, Integration Server loads the 1999 values but not the values from other years, such as 2000.

When creating a member filter, keep the following guidelines in mind:

  • You cannot use substitution variables in a filter.

  • When you type the filter syntax, you can use the pattern-matching characters that are supported by the relational database management system (RDBMS) that you are using.

  • If you define a filter on a member that you expect to be shared, you must define the same filter on each shared member.

  • If you define a filter on a recursive dimension, see Recursive Dimensions.

  • When you create a filter at a member level in a measures dimension, the filter is applied at that level and above when executing a drill-through report.


Data Load

A data load is the process of populating an Essbase database with data. Loading data establishes actual values for the cells defined by the structural outline of the database.


Add New Intersection Levels Dialog Box

Use the Add New Intersection Levels dialog box to add an intersection level to a drill-through report.

Note: Drill-through reports can be based on only one data source. However, a metaoutline can contain drill-through reports from different data sources.

To display this dialog box, from the OLAP Metaoutline main window, select Edit > Drill-Through Reports and then choose one of the following options:

  • Select an existing drill-through report and click the [image] sign next to it.

  • Create a new drill-through report.

  • Copy an existing drill-through report.

Select OLAP Intersection Levels and click Add.

Note: This dialog box is resizable. Essbase Integration Services windows and dialog boxes that contain the symbol, [image] , in the lower right corner are resizable.

Related Procedures

Adding Intersection Levels

Adding Drill-Through Columns

Dialog Box Items

Left list box

Contains all dimensions and member levels defined in the selected metaoutline, including attribute dimensions and members and Hybrid Analysis-enabled members. Each member level in the metaoutline represents a set of members at the same level in the Essbase database.

Note: A user-defined member is not a database column, therefore, no WHERE clause based on the user-defined member will be included in the drill-through SQL statement.

Right list box, Intersection column

Contains all intersection levels defined in the selected drill-through report.

Right list box, Generation/Level column

For intersection levels defined in a recursive hierarchy, shows whether this intersection level is based on generation or level, and shows the appropriate member level of the generation or level, as you specified in the Recursive Drill-Through Setting dialog box.

Right arrow

Select the member level you want to add in the left list box, and click [image] to move the member level to the right list box.

Left arrow

To remove a member level from the right list box, select the member level and click [image].

Double-right arrow

Disabled for this dialog box.

Double-left arrow

To move all member levels to the left list box, click [image].

Related Topics


Add New Report Columns Dialog Box

A drill-through column is the relational database column that Essbase Integration Server retrieves when a spreadsheet user double-clicks an intersection level. Columns contain detail information that is not available in the Essbase database; for example, a list of store managers.

In a drill-through report, you can use any column of the related OLAP model that is not marked as Hidden, including columns marked as drill-through.

Note: Drill-through reports can be based on only one data source. However, a metaoutline can contain drill-through reports from different data sources.

To display this dialog box, from the OLAP Metaoutline main window, select Edit > Drill-Through Reports and then choose one of the following options:

  • Select an existing drill-through report and click the [image] sign next to it.

  • Create a new drill-through report.

  • Copy an existing drill-through report.

Select Drill-Through Report Columns and click Add.

Note: This dialog box is resizable. Essbase Integration Services windows and dialog boxes that contain the symbol, [image] , in the lower right corner are resizable.

Related Procedures

Adding Drill-Through Columns

Adding Intersection Levels

Dialog Box Items

Left list box | Contains all tables and columns that are not marked as Hidden in the OLAP model.
Right list box | Contains all columns defined in the drill-through report.
Right arrow | Select the column to add and click [image] to move the column to the right list box.
Left arrow | To remove a column from the right list box, click [image] .
Double-right arrow | To add all columns to the right list box, click [image] .
Double-left arrow | To remove all columns from the right list box, click [image] .

Related Topics


Build Multidimensional Down to Here Example

For example, if the Market dimension in the metaoutline contains three levels—REGION, STATE, and CITY, the Market dimension of the default Essbase outline contains three levels, as shown in the following figure:

If you set Essbase Integration Server to build only to the STATE member level, none of the CITY members are loaded in the Essbase outline, as shown in the following figure:

Likewise, when you load data into the Essbase outline, Integration Server loads the measures only down to the specified build level.


Data Load Dialog Box

The Data Load dialog box opens automatically when you start an unscheduled data load. This read-only dialog box provides you with dynamic status information about the data load and specific messages for any errors or warnings that may occur. If you encounter an error during the load, you can stop the data load.

Use the Tools > View Log File command or click the View Log File button to see the contents of the log file after a member or data load has finished, has terminated with errors, or has been stopped.

If any dimension or member is not loaded into the Essbase outline, a reject text file for the rejected dimension or member is created automatically.

Dialog Box Items

Information text box

Displays the following information for a member load, data load, or member and data load:

  • OLAP Model displays the name of the OLAP model on which the metaoutline is based on; for example, TBC Model.

  • Metaoutline displays the name of the current metaoutline; for example, TBC Metaoutline.

  • Application displays the name of the application defined on the selected Essbase server or client; for example, Demo.

  • Database displays the name of the database defined within the application; for example, Basic.

  • Time Started displays the date and time the load started. Time is displayed in 24-hour format.

Status List Box

Displays dynamic status information for the following columns:

  • Load Type displays the type of load being performed: member load, data load, member and data load, or running the selected calc script.

  • Records Loaded dynamically displays the number of records being loaded into the Essbase outline. Calculation records are not displayed for this column.

  • Records Rejected dynamically displays the number of records rejected from loading into the Essbase outline. Calculation records are not displayed for this column.

  • Time Elapsed displays the load time in hours, minutes, and seconds.

  • Status dynamically displays status messages about the load, such as Load stopped by user; 3 warnings and 3 errors found.

Message Summary list box

Displays specific warning and error messages for a member, data, or member and data load:

  • ID displays the message ID associated with the warning or error.

  • Message displays specific information for all errors and warnings encountered during the load.

  • Dimension displays the name of the dimension being built when the error occurred.

  • OLAP Metaoutline Member displays the name of the member being built when the error occurred.

  • Relational Database displays the name of the source table from which the data originates for the error that occurred.

Stop Load button

Click Stop Load to stop a member, data, or member and data load. To start a load again, return to the Essbase Application and Database dialog box.

View Log File button

Select this button after a member load to view the server log file displayed in the Server Log File window. The log file data contains a date and time stamp for each activity that has occurred during the load. For very large member or data loads, the server retrieves only the last 1MB of the log file. You can copy the log file and paste it to any text editor, such as Notepad, to print it out for review and analysis.

This button is enabled only after completion or termination of a member or data load.

Related Topics


Delete Catalog Locks Dialog Box

Use the Delete Catalog Locks dialog box to clear locks on OLAP models and metaoutlines. This dialog box deletes your locks; it does not delete locks held by other users.

To display this dialog box, select Connections > OLAP Metadata Catalog > Delete Locks. It is not necessary to have an OLAP model or metaoutline open to access this dialog box.

Dialog Box Items

Model Name Drop-Down list box | To deselect either Read Locks or Write Locks, select the name of the OLAP model from the Name drop-down list box.
Model Read Locks option | Select the Read Locks option to delete read locks on the OLAP model. With this option selected, you can read the OLAP model.
Model Write Locks option | Select the Write Locks option to delete write locks on the OLAP model. With this option selected, you can write to the OLAP model.
Metaoutline Name Drop-Down list box | To deselect either Read Locks or Write Locks, select the name of the metaoutline from the Name drop-down list box.
Metaoutline Read Locks option | Select the Read Locks option to delete read locks on the metaoutline. With this option selected, you can read the OLAP model.
Metaoutline Write Locks option | Select the Write Locks option to delete write locks on the metaoutline. With this option selected, you can write to the metaoutline.

Related Topics


Drill-Through Reports Dialog Box

Use the Drill-Through Reports dialog box to create a drill-through report. You can create a blank report and add intersection levels and columns, or you can copy an existing report and edit intersection levels and columns.

Note: Making certain changes to the Essbase outline after the drill-through report is created in Essbase Integration Services will impact the behavior of the drill-through report. For example, if a dimension used in an intersection level is deleted in the Essbase outline, all members are displayed when the user drills through on that intersection level. In another example, if a member is added to a dimension in the Essbase outline and the user drills through on the corresponding member, all members of that dimension are displayed instead of the specific member.

To display this dialog box, open a metaoutline and select Edit > Drill-Through Reports.

Dialog Box Items

Drill-Through Reports list box

The Drill-Through Reports list box contains a list of existing reports. If you want to create a new, blank report, click Add. The new, empty report (by default named Report1) is added to the report list.

To view the intersection levels and columns of a report, click the plus sign located to the left of the report name.

To rename a report, select the report name to put the dialog box in edit mode or see the Report Properties dialog box.

Edit button

To rename a report, to enable a report to use Template SQL or drill through to a URL, or to set a query governor, select the report and click Edit.

Add button

To create a blank report, click Add. To copy an existing report, select the name of the report and click Add. In either case, by default, the new report (blank or copy) is named Report1.

To add report drill-through columns, select a column, [image], and click Add. The Add New Report Columns dialog box is displayed.

Delete button

To delete a report, select the report and click Delete. You cannot undo a delete operation.

Template SQL button

Click to open the Template Drill-through dialog box where you define drill-through SQL that incorporates tables and columns from any data sources defined for a particular OLAP model.

Move Up button

Columns are displayed in a report from left to right in the order in which they are listed from top to bottom in the list box of the Drill-Through Reports dialog box. Arrange the columns in the list box in the order in which they should be displayed in the drill-through report. For example, STATE is the first column, SKUNAME the second, and TRANSDATE the third.

To move a column up, select the column; for example, SUPPLIER.STATE, and click
Move Up.

Move Down button

To move a column down, select the column; for example, SUPPLIER.STATE and click Move Down.

Sort Order button

You can determine the order in which the spreadsheet client displays the rows it retrieves. For example, you can sort the contents of the SKUNAME column in ascending order.

To specify row ordering, select the column to sort and click Sort Order to display the Set Sort Order dialog box.

Related Topics


Multiple Selection and Menu Command Availability

Related Topics

Multiple Objects Selected

Commands Activated on the Edit and pop-up Menus

Dimensions

  • Delete command

  • Properties command

  • Drill-Through command

Member levels

  • Delete command

  • Properties command

  • Drill-Through command

Some combination of dimensions, member levels, and measures

  • Delete command

  • Drill-Through command

Measures within the accounts dimension, including the accounts dimension

  • Delete command

  • Drill-Through command

UDAs

  • Delete command

  • Properties command

  • Drill-Through command

Note: Selecting the metaoutline name along with a dimension, member level, or measure activates the Drill-Through command on the Edit menu. The pop-up menu is not selectable.


Essbase Application and Database Dialog Box

Use the Essbase Application and Database dialog box to load members and data into an Essbase outline.

To display this dialog box, open a metaoutline and select Outline > Member Load, Outline > Data Load, or Outline > Member and Data Load.

Dialog Box Items

Application Name drop-down list box

Type the name of the new Essbase application. If you are using an existing Essbase application, select the name.

Essbase application names must be unique and must consist of no more than eight characters. It is recommended that application names start with a capital letter.

Database Name drop-down list box

Type the name of the new Essbase database. If you are using an existing Essbase database, select the name.

Essbase database names must be unique and must consist of no more than eight characters. It is recommended that database names start with a capital letter.

Server text box

View the name of the instance of Essbase Server to which you are connected. This information is read-only.

Server Connection button

Click to display the Login dialog box to change the connection information for Essbase Server.

Delete All Members First check box

Select to delete all dimensions and members in an existing Essbase outline.

If you are updating drill-through data or updating Hybrid Analysis data, this check box is not selectable.

Modify Essbase Users check box

Select to determine which users can access the Essbase application and database into which you are loading members. If you choose to modify Essbase users, click Next to display the Essbase Users dialog box to edit user information.

If you are updating drill-through data or updating Hybrid Analysis data, this check box is not selectable.

Incremental Update check box

Select to update dimensions incrementally in the Essbase outline.

Incremental Update applies to both block storage and aggregate storage metaoutlines.

By default, Integration Server updates all dimensions and members. Updating an existing Essbase outline incrementally is faster than updating all dimensions and members.

If you choose to update the Essbase outline incrementally, click Next to display the Incremental Update dialog box.

Note: For aggregate storage metaoutlines, the Incremental Update option is enabled for both member and data loads.

If you are updating drill-through data or Hybrid Analysis data, this check box is disabled.

Note: You must update at least one member from each dimension when performing a data load. If more than one hierarchy exists in the Essbase outline, you can perform an incremental update.

Delete and Restore Database check box

Select to delete all members and data in the Essbase database before performing a member load or a member and data load. This action empties the Essbase database outline before the member load occurs, significantly reducing the amount of time required for the load.

This check box is not enabled when you choose to perform only a data load.

Replaces Zeros with #MISSING

Select to replace Essbase account dimension values of zero with #MISSING.

There are three reasons that you may want to select this check box:

  • Fewer input blocks are created during the data load.

  • The calculation time required in the Essbase database is decreased significantly.

  • Due to differences in calculator behavior, depending on whether a value is zero or missing, faulty data is not generated.

Time-based incremental load check box

Select to load data into the Essbase database incrementally based on the time that the last data load was performed.

If you select this check box, the Time-based Incremental Load dialog box is displayed after you click the Next button.

This check box is enabled only when you choose to perform a data load.

Note: If you are working with an aggregate storage metaoutline, this check box is not selectable. See Problems with Loading Aggregate Storage Metaoutlines for more information.

Use Alternate Fact Table check box

Select to perform the data load using a fact table other than the default for the OLAP model on which the metaoutline is based, and then select a fact table from the drop-down list.

See Working with Alternate Fact Tables for more information.

Calc Script options

The calculation script or aggregation option that you choose is run after Integration Server loads data into the Essbase database. The calculation script or aggregation determines how Essbase calculates the data values in the database. Select an option:

  • None does not run a calculation script or aggregation on the Essbase database.

  • Use Default Calc Script runs the default calculation script (for block storage databases) or aggregation (for aggregate storage databases) that is specified for the Essbase database. For block storage databases, if you have not specified a calculation script to use as the default, Essbase uses standard calculation order to calculate the database. For aggregate storage databases, Essbase Server detemines the aggregation.

  • Specify Calc Script runs the selected calculation script on the Essbase database.

Note: If you are working with an aggregate storage metaoutline, the Specify Calc Script option is not selectable. See Problems with Loading Aggregate Storage Metaoutlines for more information.

Calculation script objects associated with an application are saved in the \ARBORPATH\APP\appname directory on the Essbase computer. Calculation script objects associated with a database are saved in the \ARBORPATH\APP\appname\dbname directory on the Essbase computer. ARBORPATH is the Essbase install directory, and appname and dbname are the application and database with which you have associated the calculation script.

For information on creating calculation scripts, consult the Oracle Essbase Database Administrator’s Guide and the Essbase Technical Reference.

Unicode Application check box

Select to specify that the Essbase application into which you are loading members is Unicode-enabled.

Note: This check box should be used when performing only member loads or when performing member and data loads. It is not necessary to select this check box when performing only data loads.

Apply Filter options

Select from the list of available filters to apply a filter to a member load, a data load, or a member and data load. These are the options:

  • Member Load Filter drop-down list. Select a filter from the list of available filters to apply to a member load. The default is the current filter, which is shown in the Filters toolbar. When performing a member load only, the Data Load Filter drop-down list is disabled. When performing a member and data load, the Member Load Filter and Data Load Filter drop-down lists are enabled and you can select a filter from both.

  • Data Load Filter drop-down list. Select a filter from the list of available filters to apply to a data load. The default is the current filter, which is shown in the Filters toolbar. When performing a data load only, the Member Load Filter drop-down list is disabled. When performing a member and data load, the Member Load Filter and Data Load Filter drop-down lists are enabled and you can select a filter from both.

Subsequent loads do not retain the filter settings from the last load. The filter in use reverts to the current filter, which is shown in the Filters toolbar. If you want to apply the same or different filters on a subsequent load, you must reselect filters.

Command Scripts options

In the text box, type the name of an ESSCMD script to be executed after a load has been completed, and then click Add.

You can execute more than one ESSCMD script by typing the name of each script that you want to run and clicking Add. When executing multiple ESSCMD scripts, you must type the script names in the order in which you want them to be run.

If you want to delete a script from the list of scripts that you just entered, select the script to delete in the drop-down list box and click Delete to remove it.

Note: Information on ESSCMD scripts is not saved between loads. For each load that you perform, you must type the script names that you want to execute.

ESSCMD scripts must be located in the ISHOME/Esscript directory.

For information on creating ESSCMD scripts, consult the Oracle Essbase Database Administrator’s Guide and the Oracle Essbase Technical Reference.

Next button

Depending on the option that you select from the Essbase Application and Database dialog box, the Next button displays a specific dialog box.

If you select Modify Essbase users, the Essbase Users dialog box is displayed.

If you select Incremental Update, the Incremental Update dialog box is displayed.

If you make no selection, the Schedule Essbase Load dialog box is displayed.

Related Topics


Login Dialog Box

After you start Integration Services Console, use the Login dialog box to connect to a computer running Essbase Integration Server and to connect to an OLAP Metadata Catalog. You also select the code page of the language you want to use while running the console. Optionally, you can connect to a computer running Essbase Server and create default connection settings for both types of servers.

Note: You must create and configure an OLAP Metadata Catalog database before you can connect to it.

This dialog box is displayed when you first start Integration Services Console; for example, when you select Oracle EPM System > Essbase > Integration Services > Console from the Windows Start menu.

Related Procedures

Connecting to an Essbase Integration Server and OLAP Metadata Catalog

Connecting to an Essbase Server

Essbase Integration Server frame

Server drop-down list box

Type or select the name of an Integration Server in the Server drop-down list box; for example, cypress.

If the port number on which Integration Server communicates with the console has been set to a value other than the default, you must type the server name or IP address and type the nonstandard port number, separated by a colon; for example,

cypress:3390

If you do not know this information, see the Integration Services system administrator.

OLAP Metadata Catalog drop-down list box

Enter or select the name of an OLAP Metadata Catalog database; for example, TBC_MD for the sample TBC catalog. If you do not know this information, contact the system administrator for Integration Services.

If you are using the Oracle Call Interface (OCI) direct connection, be sure to prefix the Net Service Name, found in the tnsnames.ora file, or the Schema Name if you are using onames, with Oracle by typing Oracle: and then the Net Service Name or Schema Name. For example:

Oracle:TBC

Code page drop-down list box

Select the code page of the language you want to use during the current Integration Services Console session.

The code page is a portion of the locale, which identifies the local language and cultural conventions such as the formatting of currency and dates and the sort order of data.

User Name text box

Enter your user name. If you do not know this information, contact the Integration Services system administrator.

You may want to use the same user name and password that you use to connect directly to the database server and to access the database that contains OLAP Metadata Catalog. The console defaults to that user name and password.

Password text box

Enter your password. If you do not know this information, contact the Integration Services system administrator.

You may want to use the same user name and password that you use to connect directly to the database server and to access the database that contains OLAP Metadata Catalog. The console defaults to that user name and password.

Set Login Defaults button

Click if you typically use a specific server for Integration Server and for OLAP Metadata Catalog, and you want to save your login settings and set a single server and OLAP Metadata Catalog relationship as your default. After you set default connection information, you can use the settings without reentering the information. The Set Login Defaults dialog box is displayed.

If you use multiple servers for Integration Server and OLAP Metadata Catalog, you can set multiple relationships and select an appropriate relationship so that you do not need to re-enter the information.

Essbase frame

Hide Login Options button

Click to hide Essbase Server login information.

Server drop-down list box

In the Server drop-down list box, select the name of the Essbase Server to which you want to connect.

User Name text box

Enter your user name. If you do not know this information, contact the Integration Services system administrator.

You should use the same user name and password that you use to connect directly to the database server and to access the OLAP Metadata Catalog database.

Password text box

Enter your password. If you do not know this information, contact the Integration Services system administrator.

You should use the same user name and password that you use to connect directly to the database server and to access the OLAP Metadata Catalog database.

Note: If no password is specified, a connection attempt is made using the Integration Server password.

Related Topics


Essbase Users Dialog Box

Use the Essbase Users dialog box to determine which Essbase users can access the Essbase application and database into which you are loading members or data.

Essbase Integration Server retrieves the list of available users from the following places:

Essbase Objects | Location from which Integration Server retrieves User Information
New application | The Essbase Server. All of the users can create new applications and databases on Essbase Server, for example, sys.
Existing application | The Essbase application
New database | The Essbase application
Existing database | The Essbase database

To display this dialog box, open a metaoutline and select Outline > Member Load, Outline > Data Load, or Outline > Member and Data Load. In the Essbase Application and Database dialog box, select the Modify Essbase users check box, and click Next.

Dialog Box Items

Available list box

To enable a user to access the Essbase application and database, in the Available list box, select the user. Click the [image] button to move the user to the Selected list box.

To move all users from the Available list box to the Selected list box, click the [image] button.

Selected list box

Displays all users that can access the Essbase application and database. To deny a user access to the Essbase application and database, select the user from the Selected list box. Click the [image] button to move the user to the Available list box. To deny all users access to the Essbase application and database, click the [image] button.

Right arrow button

To enable a user to access the Essbase application and database, in the Available list box, select the user. Click the [image] button to move the user to the Selected list box.

Left arrow button

To deny a user access to the Essbase application and database, select the user from the Selected list box. Click the [image] button to move the user to the Available list box.

Right double-arrow button

To move all users from the Available list box to the Selected list box, click the [image] button.

Left double-arrow button

To deny all users access to the Essbase application and database, click the [image] button.

Back button

Click to return to the Essbase Application and Database dialog box.

Next button

Click to display the Incremental Update dialog box.

Related Topics


Exclusive Access

When you open an existing metaoutline from the Welcome dialog box, select Exclusive Access to open the selected OLAP model or metaoutline with an exclusive Read/Write access lock. When you select this option, other users can neither read nor write to the OLAP model or metaoutline that you open until you save and close it. At the time you save an OLAP model or metaoutline, you can assign user access privileges.

If Exclusive Access is not selectable, another user has write-lock privileges and you have read-only privileges.

If you want to modify and save an OLAP model or a metaoutline but have read-only privileges, use File > Save As to save the metaoutline to a different name. The Save New Metaoutline dialog box is displayed.


Expanding or Collapsing Dimension Branches in a Metaoutline

Related Topics

You can expand or collapse selected dimension branches or all dimension branches in a metaoutline using the Expand All and Collapse commands. This command can be accessed from the View menu or from a context menu.

To expand all dimensions in a metaoutline:

1 In the right frame of the OLAP Metaoutline main window, select the metaoutline name.

2 Select View > Expand All.

Alternatively, right-click and select Expand All from the context menu.

All dimensions in the metaoutline are displayed in their expanded form.

To expand one or more selected dimensions in a metaoutline:

1 Hold down the Ctrl key and, in the right frame of the OLAP Metaoutline main window, select the dimensions that you want to expand.

2 Select View > Expand All.

Alternatively, right-click and select Expand All from the context menu.

The selected dimensions in the metaoutline are displayed in their expanded form.

To collapse all dimensions in a metaoutline:

1 In the right frame of the OLAP Metaoutline main window, select the metaoutline name.

2 Select View > Collapse All.

Alternatively, right-click and select Collapse All from the context menu.

All dimensions in the metaoutline are displayed in their collapsed form.

To collapse one or more selected dimensions in a metaoutline:

1 Hold down the Ctrl key and, in the right frame of the OLAP Metaoutline main window, select the dimensions that you want to collapse.

2 Select View > Collapse All.

Alternatively, right-click and select Collapse All from the context menu.

The selected dimensions in the metaoutline are displayed in their collapsed form.


Getting Existing Hierarchies

Related Topics

1 Select Tools > Get Existing Hierarchies.

Note: You can also access this function by using the "autodetect" link in the Intelligent Help (Dimension and Members process button, Create Standard Dimensions Automatically task).

2 Click the Select All button to select all possible detected hierarchies.

Alternatively, to select only one hierarchy for hierarchy creation, click the hierarchy name. To select more than one but not all hierarchies for hierarchy creation, press and hold down the Ctrl key and click your hierarchy creation choices.

3 Click the Create button to launch the hierarchy creation process.

When all selected hierarchies have been successfully created, the Existing Hierarchies dialog box closes automatically.


Incremental Update Dialog Box

Use the Incremental Update dialog box to select specific dimensions not to update in the Essbase outline.

By default, Essbase Integration Server updates all dimensions and members. Updating an existing Essbase outline incrementally is faster than updating all dimensions and members.

Note: You must update at least one member from each dimension when performing a data load. If more than one hierarchy exists in the Essbase outline, you can perform an incremental update.

To display this dialog box, open a metaoutline and select Outline > Member Load, Outline > Data Load, or Outline > Member and Data Load. In the Essbase Application and Database dialog box, select the Incremental update check box, and click Next.

Dialog Box Items

Incremental Update list box

The Incremental Update list box displays the Essbase outline.

To prevent Integration Server from updating a dimension or member, select the dimension or member and click Don’t Update.

Don't Update button

After selecting a dimension or member you do not want to be updated in the current load, click Don’t Update. A red "X", [image], is displayed next to the dimension or member. To undo this operation, select the dimension or member with the red "X", [image], and click Update.

Data Load Update options

Select a Data Load Update option to determine how Essbase loads values from a data source to the database. Options are:

  • Add. Select to add values in the data source to the existing values in the database.

  • Subtract. Select to subtract the values in the data source from the existing values in the database.

  • Overwrite. Select to replace the values in the database with the values in the data source.

For aggregate storage metaoutlines, when loading data only, the selections you make in the Incremental Update dialog box behave as they would with a block storage metaoutline. When loading both members and data, all data will be discarded and overwritten, regardless of the options you selected in the Data Load Update and Member Load Update groups.

Note: If you are performing a member load only, this option group is disabled.

Member Load Update options

Select an option to set the parameters for restructuring the database during a member load. The option you select will affect any subsequent data loads. Options are:

  • Preserve all data. Select to preserve all existing data that applies to the changed outline when restructuring occurs. This is the default.

  • Preserve input data. Select to preserve only those blocks containing data that is loaded. Many applications contain data that is entered at parent levels. Selecting this option prevents deletion of any blocks that are created by data load, whether they are non-level zero or level zero (leaf node) blocks.

  • Preserve level 0 data. Select to preserve data only for level zero members.

This is the optimal restructure option if you change the source database and need to recalculate the data and if all data required for the calculation is in level zero members.

Selecting this option deletes all upper-level blocks before restructuring. This reduces the disk space for restructuring and improves calculation time when the database is recalculated. The upper-level blocks are recreated when you calculate the database.

  • Discard all data. Select to clear all data from the database.

For aggregate storage metaoutlines, only the Preserve all data and Discard all data options apply.

Note: If you are performing a data load only, this option group is disabled.

Attribute Dimension Restriction options

Select an option for updating attribute dimensions:

  • Delete all dimensions. Select to delete all attribute dimensions associated with any base dimension selected for an incremental update. (This option is applicable to incremental updates only.)

  • No update to existing dimensions. Select to keep attribute dimensions unchanged while updating other areas.

  • Update existing and add new dimensions. Select to update all changes to attributes.

Note: If you are performing a data load only, this option group is disabled.

Related Topics


Essbase Integration Server

A server that uses the information stored in OLAP Metadata Catalog to extract from a data source the dimension and member names needed to build an associated Essbase outline. When the Essbase outline is complete, Integration Server extracts data from the data source, performs the operations specified in the associated metaoutline, and loads the data into the Essbase database.

For more information about Integration Server, see the Essbase Integration Services System Administrator’s Guide.


Intersection Levels and Columns in Drill-Through Reports - Overview

Intersection Levels and Columns in Drill-Through Reports – Overview

A drill-through report is made up of intersection levels and columns. An intersection level defines the highest point in a hierarchy in which users can get a drill through report. For members at the intersection level and below in the hierarchy in which the intersection level is defined, users should be able to see the drill-through report available in their client application. A drill-through report can be defined on one or more intersection levels .

For example, you can define a report for the intersections of the Quarter, REGION, and SKU member levels of the TBC Metaoutline.

When a spreadsheet user double-clicks a data cell that corresponds to a drill-through intersection level, Essbase Integration Server retrieves from the relational data source the detail data that is specified in a drill-through report. For example, to view a report defined on the intersection level described in the previous paragraph, a spreadsheet user can select any of various intersections, such as the intersection of Qtr1, West, 100-20 or the intersection of Jan, California, 100-30.

To make a drill-through report available to alternate hierarchies, create a separate report for each hierarchy.

Tip: When defining an intersection level that contains one or more user-defined members, remember that a user-defined member is not a database column, therefore, no WHERE clause based on the user-defined member will be included in the drill-through SQL statement.


Schedule Essbase Load Dialog Box

Use the Schedule Essbase Load dialog box to schedule a member or data load to start immediately or to start at a specific date and time. If you choose to start a member or data load immediately, depending on the type of load, the Member Load dialog box, Data Load dialog box, or Member and Data Load dialog box is displayed.

Essbase Integration Services executes scheduled member and data loads on the computer running Essbase Integration Server.

To display this dialog box, open a metaoutline and select Outline > Member Load, Outline > Data Load, or Outline > Member and Data Load. In the Essbase Application and Database dialog box, click Next.

Dialog Box Items

Now option

Select to run the member or data load immediately, and click Finish. Integration Server loads the members or data into an Essbase outline immediately.

To view or delete a scheduled member load, see the Scheduled Job dialog box.

Only Save Load Script option

Select to save a load script.
The load script is saved with an identification number in the \products\Essbase\eis\
server\batch directory in your EPM System installation. To save a script with a name other than the name generated, click the Save Scripts button.

Schedule option

To schedule a member or data load
to run at a specified time, select
Schedule. Enter the time to run the member or data load:

  • In the Date text box, enter the date. Use the mm/dd/yyyy format; for example, 01/17/2000.

  • In the Time text box, enter the time. Use the hh:mm format; for example, 23:59. To schedule a load to run at midnight, enter 00:00, as midnight is considered the first hour of a day, not the last hour of a day. Note that Integration Services uses a 24-hour clock.

  • From the Frequency drop-down list box, select how frequently to perform the data load. You can schedule data loads to be performed one time, every day, every week, or every month.

To perform a data load more than once a day, you must schedule each load individually. Integration Server loads the data into the Essbase database as scheduled.

To view or delete a scheduled member load, see the Scheduled Job dialog box.

Save Scripts button

Click to save the script or save the script to a different name. The Save Script As dialog box is displayed.

Note: Be sure to save the script in the format script_name.cbs. The script will be saved to the ISHOME/batch directory.

Related Topics


Member and Data Load Dialog Box

The Member and Data Load dialog box opens automatically when you start an unscheduled member and data load. This read-only dialog box provides you with dynamic status information about the member and data load and specific messages for any errors or warnings that may occur. If you encounter any errors during the load, you can stop the member and data load.

Use the Tools > View Log File command or click the View Log File button to see the contents of the log file after a member or data load has finished, has terminated with errors, or has been stopped.

If a dimension or member is not loaded into the Essbase outline, a reject text file for the rejected dimension or member is created automatically.

Note: This dialog box is resizable. Essbase Integration Services windows and dialog boxes that contain the symbol, [image] , in the lower right corner are resizable.

Dialog Box Items

Information text box

Displays the following information for a member load, data load, or member and data load:

  • OLAP Model displays the name of the OLAP model on which the metaoutline is based on; for example, TBC Model.

  • Metaoutline displays the name of the current metaoutline; for example, TBC Metaoutline.

  • Application displays the name of the application defined on the selected Essbase server or client; for example, Demo.

  • Database displays the name of the database defined within the application; for example, Basic.

  • Time Started displays the date and time the load started. Time is displayed in 24-hour format.

Status List Box

Displays dynamic status information for the following columns:

  • Load Type displays the type of load being performed: member load,data load, member and data load, or running the selected calculation script.

  • Records Loaded dynamically displays the number of records being loaded into the Essbase outline. Calculation records are not displayed for this column.

  • Records Rejected dynamically displays the number of records rejected from loading into the Essbase outline. Calculation records are not displayed for this column.

  • Time Elapsed displays the load time in hours, minutes, and seconds.

  • Status dynamically displays status messages about the load, such as Load stopped by user; 3 warnings and 3 errors found.

Message Summary list box

Displays specific warning and error messages for a member, data, or member and data load:

  • ID displays the message ID associated with the warning or error.

  • Message displays specific information for all errors and warnings encountered during the load.

  • Dimension displays the name of the dimension being built when the error occurred.

  • OLAP Metaoutline Member displays the name of the member being built when the error occurred.

  • Relational Database displays the name of the source table from where the data originates when the error occurred.

Stop Load button

Click Stop Load to stop a member, data, or member and data load. To start a load again, return to the Essbase Application and Database dialog box.

View Log File button

Select this button after a member load to view the server log file displayed in the Server Log File window. The log file data lists activities that occurred during the load along with a date and time stamp for each. For very large member or data loads, the server retrieves only the last 1MB of the log file. You can copy the log file and paste it to any text editor, such as Notepad, to print it out for review and analysis.

This button is enabled only after completion or termination of a member or data load.

Related Topics


Member Load Dialog Box

The Member Load dialog box opens automatically when you start an unscheduled member load. This read-only dialog box provides you with dynamic status information about the member load and specific messages for any errors or warnings that may occur. If you encounter an error during the load, you can stop the member load.

Use the Tools > View Log File command or click the View Log File button to see the contents of the log file after a member or data load has finished, has terminated with errors, or has been stopped.

If a dimension or member is not loaded into the Essbase outline, a reject text file for the rejected dimension or member is created automatically.

Dialog Box Items

Information text box

Displays the following information for a member load, data load, or member and data load:

  • OLAP Model displays the name of the OLAP model that the metaoutline is based on; for example, TBC Model.

  • Metaoutline displays the name of the current metaoutline; for example, TBC Metaoutline.

  • Application displays the name of the application defined on the selected Essbase Server or client; for example, Demo.

  • Database displays the name of the database defined within the application; for example, Basic.

  • Time Started displays the date and time the load started. Time is displayed in 24-hour format.

Status List Box

Displays dynamic status information for the following columns:

  • Load Type displays the type of load being performed: member load,data load, member and data load, or running the selected calculation script.

  • Records Loaded dynamically displays the number of records being loaded into the Essbase outline. Calculation records are not displayed for this column.

  • Records Rejected dynamically displays the number of records rejected from loading into the Essbase outline. Calculation records are not displayed for this column.

  • Time Elapsed displays the load time in hours, minutes, and seconds.

  • Status dynamically displays status messages about the load, such as Load stopped by user; 3 warnings and 3 errors found.

Message Summary list box

Displays specific warning and error messages for a member, data, or member and data load:

  • ID displays the message ID associated with the warning or error.

  • Message displays specific information for all errors and warnings encountered during the load.

  • Dimension displays the name of the dimension being built when the error occurred.

  • OLAP Metaoutline Member displays the name of the member being built when the error occurred.

  • Relational Database displays the name of the source table from which the data originates when the error occurred.

Stop Load button

Click Stop Load to stop a member, data, or member and data load. To start a load again, return to the Essbase Application and Database dialog box.

View Log File button

Select this button after a member load to view the server log file displayed in the Server Log File window. The log file data contains a date and time stamp for each activity that has occurred during the load. For very large member or data loads, the server retrieves only the last 1MB of the log file. You can copy the log file and paste it to any text editor, such as Notepad, to print it out for review and analysis.

This button is enabled only after completion or termination of a member or data load.

Related Topics


Status List Box

The status list box displays dynamic status information for the following columns:

  • Load Type displays the type of load being performed: member load, data load, member and data load, or running the selected calc script.

  • Loaded dynamically displays the number of records being loaded into the Essbase outline. Calculation records are not displayed for this column.

  • Rejected dynamically displays the number of records rejected from loading into the Essbase outline. Calculation records are not displayed for this column.

  • Time Elapsed displays the load time in hours, minutes, and seconds.

  • Status dynamically displays status messages about the load, such as Load stopped by user; 3 warnings and 3 errors found.


Delete All Members First Option - Overview

Delete All Members First Option – Overview

When you delete all members, Essbase Integration Server removes all members from the existing Essbase outline and then uses the member levels of the metaoutline to re-create the database. Because deleting all members is slower than creating or updating an outline without deleting all members, delete all members first only if you have a specific reason to do so. You should delete all members if, for example, you know that some members have been removed from the OLAP model and you want to build a smaller outline that contains the smaller set of members.


Order by Dialog Box

Related Topics

For drill-through reports, you can set Essbase Integration Server to sort member names alphanumerically within a dimension. For example, you can sort all states in the Market dimension from A to Z so that a United States Market dimension starts with Alabama and ends with Wyoming.

To display this dialog box, from the OLAP Metaoutline main window, select Edit > Drill-Through Reports and then select a drill-through report to sort. Click the Sort Order button, select one or more columns in the left list box to sort and click [image]. Then select a column in the right list box and click the Order By button.

The relational database performs the sort. Some sorts may not work the way that you intend. For example, if you sort alphabetically by month, you get April, August, December, and so on. To sort months chronologically, see the Edit Transformations dialog box, Replace tab.

Dialog Box Items

List box

Select the sort order:
Ascending (A to Z, 0 to 9)
Descending (Z to A, 9 to 0).


Preview Filter Results Dialog Box

After attaching a member or measure filter, such as to MARKET.REGION, use the Preview Filter Results dialog box to view the changes in a sample Essbase outline.

To display this dialog box, open a metaoutline and right-click a member name in the right frame of the OLAP Metaoutline main window and then select Filter. In the Filters tab of the Edit Filter dialog box, select an existing filter in the Filters list box (or create a new one and select it, if none exist) and then click the Preview Results button.

Dialog Box Items

Preview Filter Results list box

The sample outline contains sample dimensions. You can click member names to expand members and examine the structure of the Essbase outline.

Sample Build SQL list box

Displays the SQL statements that Integration Server generated to create the sample Essbase outline. Use the sample SQL to perform any of the following tasks:

  • Make sure that the metaoutline refers to the intended data in the external data source.

  • Tune the external data source to speed the process of building and loading data into an Essbase outline.

  • Cut and paste the SQL statement to an external file to view or print.

When you finish viewing the sample dimensions and the sample SQL, click Close.

Related Topics


Printing a Help Topic

Related Topics

To print a help topic:

To print a help topic, click the Print button located in the toolbar above the help topic. You can also right-click inside the Help window to display a pop-up menu that includes the Print Topic command.

To print the information inside a pop-up window:

1 Right-click inside the pop-up window to display a second pop-up menu.

2 Select the Print Topic command.


Query Governors

A query governor controls the duration and the size of the queries that Essbase Integration Server makes to the data source. Query governors are set for member and data load queries and drill-through queries. A query governor prevents you from retrieving more data from the external data source than you want or need. If you set a query governor, Integration Server stops the query if it is taking too long or retrieving too much data.

For example, if you set the maximum rows to retrieve to 200, Integration Server retrieves approximately 200 rows. If the query calls for more than 200 rows, Integration Server stops the query and displays an error message. Remember that viewing more than 10,000 rows is difficult for spreadsheet users.

Warning Whether Integration Server loads the retrieved rows before stopping the query depends on the Isolation Level setting in the Essbase database. For more information, see the Oracle Essbase Database Administrator’s Guide.


Recursive Drill-Through Setting Dialog Box

Use the Recursive Drill-Through Setting dialog box to specify at which level or generation you want a drill-through report to be available when adding intersection levels from a recursive hierarchy.

To display this dialog box, from the OLAP Metaoutline main window, select Edit > Drill-Through Reports and then choose one of the following options:

  • Select an existing drill-through report and click the [image] sign next to it.

  • Create a new drill-through report.

  • Copy an existing drill-through report.

Select OLAP Intersection Levels and click Add or Edit. Select members in the left frame to add as intersection levels in the drill-through report. If you select a recursive member to add, the Recursive Drill-Through Setting dialog box is displayed.

Related Procedures

Adding Intersection Levels

Dialog Box Items

Generation/Level drop-down list box

Select to specify whether the intersection level for this drill-through report will be based on Generation or Level.

Value text box

Type a value that corresponds to the generation or level within the recursive hierarchy at which you want the intersection level to be defined.

For example, if you select Generation in the Generation/Level drop-down list box, type 2 to specify that this drill-through report is available from Generation 2.


Reject Text File - Overview

Reject Text File – Overview

If any dimension or member is not loaded into the Essbase outline, a reject text file for the rejected dimension or member is automatically created. The name of a reject text file consists of the name of the relevant dimension followed by the leaf node number of the dimension or member that did not load.

For example, if the two member levels of the Product dimension do not load, two .txt files are created: PRODUCTDIM_0.txt (PRODUCTDIM.SKU), PRODUCTDIM_1.txt (PRODUCTDIM.SKUNAME).

Note: If you load only data into the Essbase outline and the load fails, rejected dimensions and members are listed in a dataload.txt file, as described in Identifying Errors .

For each reject file, a corresponding rules file is created. The rules file created for the rejected member levels are PRODUCTDIM_0.rul (PRODUCTDIM.SKU), and PRODUCTDIM_1.rul (PRODUCTDIM.SKUNAME). Both .txt and .rul files are placed in the ISHOME\loadinfo directory by default. To place the files in a directory other than the default directory, update the environment variable ISLOADINFO.


Report Properties Dialog Box - General Tab

Report Properties Dialog Box – General Tab

Use the General tab of the Report Properties dialog box to rename or customize a drill-through report.

To display this dialog box, from the OLAP Metaoutline main window, select Edit > Drill-Through Reports and then choose one of the following options:

  • Select an existing drill-through report.

  • Create a new drill-through report and select it.

  • Copy an existing drill-through report and select it.

Click the Edit button.

Related Procedures

Customizing a Report

Accessing an Alternate Data Source in a Drill-Through Report

Select one of the following tabs for more help:

Dialog Box Items

Name text box | Enter the name of the report that you want to rename or customize. See Naming Conventions.
Data Source text box | Displays the data source that is accessed by this drill-through report.
Default Data Source button | This button is enabled when the report is accessing an alternate data source. Click to access the default data source, that is, the data source (primary or secondary) that was accessed when you created the drill-through report.
Alternate Data Source button | Click to access an alternate data source for this drill-through report. Clicking this button launches the Data Source dialog box, where you can specify a data source other than primary or secondary data sources that were used to create the metaoutline.
Allow Spreadsheet Users to Customize this Report option | Select this option to allow spreadsheet users to customize the drill-through report that they see in their spreadsheets. For example, they can choose to exclude certain columns or to change row and column ordering. If you do not allow spreadsheet users to customize a report, they see all columns that you specify and use the row and column ordering that you specify.
Use Template SQL option | Select this option to customize the report using the SQL that you defined in the Template Drill-Through dialog box.
None option | Select this option to prevent spreadsheet users from changing the report or using the standard SQL to create the drill-through report.

Related Topics


Report Properties Dialog Box - Governors Tab

Report Properties Dialog Box – Governors Tab

Select the Governors tab of the Report Properties dialog box to set a query governor for a drill-through report.

To display this dialog box, from the OLAP Metaoutline main window, select Edit > Drill-Through Reports and then choose one of the following options:

  • Select an existing drill-through report.

  • Create a new drill-through report and select it.

  • Copy an existing drill-through report and select it.

Click the Edit button and then select the Governors tab.

Select one of the following tabs for more help:

Dialog Box Items

Maximum Time per Query (in Seconds) text box | Type the maximum query time in seconds. For example, to stop a query that takes longer than 100 seconds, type 100.
Maximum Rows per Query text box | Type the maximum number of rows for the query to retrieve. For example, to stop a query that retrieves more than 200 rows, type 200.

Related Topics


Save Script As Dialog Box

Use the Save Script As dialog box to name the script you are in the process of saving.

To display this dialog box, select any of the load commands on the Outline menu, complete the information in the Essbase Application and Database dialog box and click Next, select the Only Save Load Script option button in the Schedule Essbase Load dialog box, and then click the Save Scripts button.

Related Procedures

Procedure 3: Loading Members Immediately

Procedure 3: Loading Data Immediately

Dialog Box Items

Enter Script Name text box

Type a name for the script in the format:

script_name.cbs.

The script will be saved to the ISHOME/batch directory.


Scheduled Jobs Dialog Box

Use the Scheduled Jobs dialog box to view all scheduled member and data loads after you schedule them in Essbase Integration Services.

To display this dialog box, in the OLAP Metaoutline main window, select Tools > Scheduler.

Related Procedures

Viewing Scheduled Member and Data Loads

Dialog Box Items

Currently Scheduled Jobs list box

Displays all member and data loads currently scheduled. The dialog box contains the following columns:

Job Id. Displays the identification for the load.

Essbase Target. Displays the name of the Essbase application and database into which Integration Server loads members or data.

M. Stands for member loads. A Y (yes) in the M column identifies a member load. A Y (yes) in each column, M and
D, indicates a combined member and data load.

D. Stands for data load. A Y (yes) in the D column identifies a data load. A Y (yes) in each column, M and D, indicates a combined member and data load.

Next Run. Displays the date and time of the next scheduled load.

Frequency. Displays how frequently Integration Server performs the load.

View button

To view more information about a particular load, in the Job Id column, select the job number of the load and then click View. Integration Server opens the read-only View existing job dialog box. The dialog box lists all properties for the selected load.

Delete button

To delete a scheduled member or data load, in the Job Id column, select a job number, and click Delete. Integration Server prompts you to confirm your direction to delete the scheduled load.

Refresh button

Click to update the list of scheduled loads.

Related Topics


Selecting Multiple Objects

Related Topics

To select multiple, noncontiguous objects in the OLAP Metaoutline main window:

1 Select the name of the first object.

2 Press and hold the Ctrl key and select the names of the other objects.

To select multiple contiguous objects, use one of the following methods:

  • Select the first object, press Ctrl, and select the additional objects.

  • Select the first object, press Shift, and select the second object. All objects between the two selected objects are selected.


Set Login Defaults Dialog Box

If you typically use a specific Essbase Integration Server, OLAP Metadata Catalog, and Essbase Server, you can save the settings as the default in the Set Login Defaults dialog box. After you set default connection information, you can reuse these settings without needing to re-enter the information.

If you use multiple Integration Servers and OLAP Metadata Catalogs, you can also set multiple relationships and select the appropriate relationship so that you do not need to reenter the information.

To display this dialog box, when you first log in to Essbase Integration Services Console, click the Set Login Defaults button in the Login dialog box.

Dialog Box Items

Essbase Integration Services frame

Server drop-down list box

Enter or select the name of an Essbase Integration Server in the Server drop-down list box; for example, cypress. If you do not know this information, contact the Integration Services system administrator.

OLAP Metadata Catalog drop-down list box

Type or select the name of an OLAP Metadata Catalog; for example, TBC_MD for the sample TBC database. If you do not know this information, contact the Integration Services system administrator.

Code page drop-down list box

Select the code page of the language you want to use during the current Integration Services Console session.

The code page is a portion of the locale, which identifies the local language and cultural conventions such as the formatting of currency and dates and the sort order of data.

User Name drop-down list box

Type or select your user name. If you do not know this information, contact the Integration Services system administrator.

You should use the same user name and password that you use to connect directly to the database server and to access the database that contains the OLAP Metadata Catalog.

Set Default button

Click to set the connection defaults.

Add to List button

Click to save the connection information to the Connection Settings List. You can then set default settings for multiple servers running Essbase Integration Server and for multiple OLAP Metadata Catalogs.

Connection Settings list

Lists the default settings. Use this list to set default settings for multiple servers running Integration Server and for multiple OLAP Metadata Catalogs. To delete a setting, select the setting and click the delete button, [image].

Essbase Server frame

Default Server drop-down list box

Type or select the name of the Essbase Server.

Default User Name drop-down list box

Type or select a user name for accessing Essbase Server.


Set Sort Order Dialog Box

You can determine the order in which the spreadsheet client displays the rows it retrieves; for example, you can sort the contents of the SUPPPLIER.CITY column in descending order (from highest to lowest value). This sort order presents the cities in reverse alphabetical order.

If you do not determine the sort order in the Set Sort Order dialog box, spreadsheet users view data in the order determined by the relational data source. SQL Server, for example, sorts members in ascending order by default.

To display this dialog box, from the OLAP Metaoutline main window, select Edit > Drill-Through Reports. Select a drill-through report to sort and click the Sort Order button.

Dialog Box Items

Left list box | Displays the columns included in the drill-through report.
Right list box | Displays the columns for which you want to set the row sort order.
Right arrow | Select the column for which you want to set the sort order and click [image] to add the column to the right list box.
Left arrow | To remove a column from the right list box, click [image] .
Double-right arrow | To move all columns to the right list box, click [image] .
Double-left arrow | To not sort any columns, click [image] to remove all columns from the right list box.
Move Up button | To move a column up, select the column in the right list box. Click Move Up to position the column.
Move Down button | To move a column down, select the column in the right list box. Click Move Down to position the column.
Order By button | To sort the rows of a column in ascending or descending order, select the column in the right list box and click Order By.

Related Topics


Selecting Multiple Objects and Tab/Command Availability

Related Topics

When you select a combination of dimensions, member levels, or UDAs, only specific tabs and commands are selectable on the Dimension Properties and Member Properties dialog boxes, as indicated in the following table.

If you select two or more objects with different Essbase properties, the default option in the dialog box is not displayed. For example, if you select two dimensions, one dimension tagged as sparse and one dimension tagged as dense, the Dimension Storage option on the Dimension Properties dialog box is selectable. In this situation, you must choose what the new Dimension Storage option should be for the selected dimensions.

Multiple Objects Selected

Available Tabs

Non-selectable Commands

Dimensions

Dimension Properties dialog box:

  • Member Info tab

  • UDAs

  • Alias command

  • Two-pass calculation is not selectable if a selected dimension is tagged as two-pass calculation and another selected dimension is not tagged as two-pass calculation

Member levels

Member Properties dialog box:

  • Member Info tab

  • UDAs

  • Alias command

  • Two-pass calculation is not selectable if a selected dimension is tagged as two-pass calculation and another selected dimension is not tagged as two-pass calculation

  • Dynamic time is not selectable if the member level belongs to a time dimension and one member level is tagged as dynamic time and the other member level is not tagged as dynamic time

Measures

Member Properties dialog box:

  • Member Info tab

  • Account Info tab

  • UDAs

  • Alias command

UDAs

Member Properties dialog box:

  • Member Info tab

  • UDAs

  • Alias command

  • Two-pass calculation is not selectable if a selected dimension is tagged as two-pass calculation and another selected dimension is not tagged as two-pass calculation

Note: Changing specific properties for dimensions or for member levels does not change the properties of other options. For example, selecting multiple dimensions and tagging them with two-pass calculation does not change the storage properties of the two-pass dimensions.


Template Drill-Through Dialog Box

Use the Template Drill-Through dialog box to define a template for drill-through SQL that specifies which parameters from the current reporting context need to be passed to the drill-through report as parameters.

Template SQL can incorporate tables and columns from any defined connection in a particular model, whether or not it is used or joined in the model.

Essbase Integration Services template SQL uses the "$$" syntax as the variable delimiter. All text contained within the "$$" syntax is replaced with actual column or data values during drill-through execution.

To display this dialog box, from the OLAP Metaoutline main window, select Edit > Drill-Through Reports and then choose one of the following options:

  • Select an existing drill-through report.

  • Create a new drill-through report and, after adding intersection levels and report columns, select it.

  • Copy an existing drill-through report and, after adding intersection levels and report columns, select it.

Click the Template SQL button.

Note: This dialog box is resizable. Integration Services windows and dialog boxes that contain the symbol, [image] , in the lower right corner are resizable.

Related Procedures

Building Drill-Through Reports Using Template SQL

Building a Drill-Through Report to a URL

Dialog Box Items

Standard SQL text box | View the standard SQL upon which you are defining your template SQL.
User-Defined SQL option button | Select this option when you want to utilize your own user-defined SQL to generate a drill-through report.
Drill Through to URL option button | Select this option when you want to customize the user-defined SQL to drill through to a URL.
Template SQL/URL text box | Edit the SQL as required for your drill-through reports. This text box is initially populated with the standard SQL for the drill-through report, which you use as a template for defining template SQL. Text contained within the "$$" syntax is replaced with actual column or data values when the drill-through report is executed.
Verify button | Click to verify that the edited SQL can be executed properly when running a drill-through report. If there are errors in the template SQL, you are prompted with a message describing the nature of the error and the location within the SQL statement. Correct errors and click Verify again until the "Syntax is correct" message is displayed.
OK button | Click to close the Template Drill-Through dialog box.


Template SQL for Drill-Through Reports Examples

Related Topics

Drill-through template SQL for drill-through report with intersections at PRODUCT.SKU, MARKET.CITY, TIME.MONTH

select a.state, a.city, b.sku, b.introdate
from TBC.MARKET a, TBC.PRODUCT b, TBC.SALESFACT c
where c.cityid = a.cityit
and b.productid = c.productid
and $$PRODUCT-COLUMN$$ = $$PRODUCT-VALUE$$
and $$MARKET-COLUMN$$ = $$MARKET-VALUE$$
and $$TIME-COLUMN$$ = $$TIME-COLUMN$$

Drill-through template SQL for drill-through report with intersections at PRODUCT.SKU, MARKET.CITY, TIME

select a.state, a.city, b.sku, b.introdate
from TBC.MARKET a, TBC.PRODUCT b, TBC.SALESFACT c
where c.cityid = a.cityit AND b.productid = c.productid
and $$PRODUCT-COLUMN$$ = $$PRODUCT-VALUE$$
and $$MARKET-COLUMN$$ = $$MARKET-VALUE$$
and $$TIME-COLUMN$$ = $$TIME-COLUMN$$

Drill-through template SQL for drill-through report with intersections at PRODUCT.SKU, MARKET.CITY

select a.state, a.city, b.sku, b.introdate
from TBC.MARKET a, TBC.PRODUCT b, TBC.SALESFACT c
where c.cityid = a.cityit AND b.productid = c.productid
and $$PRODUCT-COLUMN$$ = $$PRODUCT-VALUE$$
and $$MARKET-COLUMN$$ = $$MARKET-VALUE$$


View Existing Job Dialog Box

The View Existing Job dialog box lists all properties for the selected load, such as connection strings, Essbase connection information, code page information, and database source data. This information is read-only.

To display this dialog box, in the OLAP Metaoutline main window, select Tools > Scheduler. In the Scheduled Jobs dialog box, select a job from the Currently Scheduled Jobs list box and click View.


View Sample Summary Dialog Box

The View Sample Summary dialog box provides you with dynamic status information about the member and data load and specific messages for any errors or warnings that may occur before you perform the actual load.

Note: You can cancel the view sample operation at any time by clicking the Cancel button during the sample generation process.

When the sample is finished loading, the Sample Outline dialog box is then displayed over the View Sample Summary dialog box.

Warning: Integration Server truncates sample outlines if they contain more than 32,767 members. If you perform a View > Sample at the metaoutline level and do not see all your dimensions in the sample, perform the View > Sample operation on individual dimensions in the metaoutline.

To display this dialog box, select the metaoutline name in the right frame of the OLAP Metaoutline main window, and then select View > Sample.

Note: This dialog box is resizable. Essbase Integration Services windows and dialog boxes that contain the symbol, [image] , in the lower right corner are resizable.

Dialog Box Items

Information text box

Displays the following information for a member load, data load, or member and data load:

  • OLAP Model displays the name of the OLAP model on which the metaoutline is based on; for example, TBC Model.

  • Metaoutline displays the name of the current metaoutline; for example, TBC Metaoutline.

  • Application displays the name of the application defined on the selected Essbase server or client; for example, Demo.

  • Database displays the name of the database defined within the application; for example, Basic.

  • Time Started displays the date and time the load started.

Status List Box

Displays dynamic status information for the following columns:

  • Load Type displays the type of load being performed: member load,data load, member and data load, or running the selected calculation script.

  • Records Loaded dynamically displays the number of records being loaded into the Essbase outline. Calculation records are not displayed for this column.

  • Records Rejected dynamically displays the number of records rejected from loading into the Essbase outline. Calculation records are not displayed for this column.

  • Time Elapsed displays the load time in hours, minutes, and seconds.

  • Status dynamically displays status messages about the load, such as Load stopped by user; 3 warnings and 3 errors found.

Message Summary list box

Displays specific warning and error messages for a member, data, or member and data load:

  • ID displays the message ID associated with the warning or error.

  • Message displays specific information for all errors and warnings encountered during the load.

  • Dimension displays the name of the dimension being built when the error occurred.

  • OLAP Metaoutline Member displays the name of the member being built when the error occurred.

  • Relational Database displays the name of the source table from where the data originates when the error occurred.

Cancel button

Click Cancel to stop generating sample members and data. To start the sample load again, click Close, select the metaoutline name, and then select View > Sample.

This button is active until the sample generation process is completed and the View Sample Summary dialog box is displayed.

View Log File button

Select this button after a member load to view the server log file displayed in the Server Log File window. The log file data lists activities that occurred during the load along with a date and time stamp for each. For very large member or data loads, the server retrieves only the last 1MB of the log file. You can copy the log file and paste it to any text editor, such as Notepad, to print it out for review and analysis.

This button is enabled only after completion or termination of a member or data load.

Close button

Click Close to close the dialog box. This button is enabled if you click Cancel during the sample generation process or after a view sample operation is completed.


The Essbase Integration Server Log File - Overview

The following items are displayed in the Essbase Integration Server log file:

  • All error messages

  • The SQL that Integration Server generates to access the data source

  • The Essbase Integration Services Shell commands used to perform an action, if applicable

  • Connection information

  • Notification of the success or failure of a load

  • The name of the metaoutline being run

  • Other information messages

By default, the Essbase Integration Server log file is in the ISHOME\log directory and is named olapisvr.log.

For more information on the log file, see the Oracle Essbase Integration Services System Administrator's Guide.


Member and Data Load

A member and data load is the process of adding new dimensions or members with data to an Essbase outline.


Member Load

member load. In Essbase Integration Services, the process of adding new dimensions and members (without data) to an Essbase outline.


Running a Calc Script

The selected calc script is run after Essbase Integration Server loads data into the Essbase database. The calc script determines how Essbase calculates the data values in the database.


Drill-Through Template SQL for OLAP Metaoutlines that Support Duplicate Member Names

Related Topics

In general, Oracle does not recommend using drill-through Template SQL for OLAP metaoutlines that support duplicate member names.

If you still choose to use drill-through Template SQL for OLAP metaoutlines that support duplicate member names, Oracle suggests you take the following actions in order for drill-through Template SQL to function correctly:

  • Associate database keys for the drill-through-enabled members.

To do this, perform the following tasks in the General tab of the Member Properties dialog box for each drill-through-enabled member:

  • In the Member Key Column drop-down list, select the appropriate database key columns for the drill-through-enabled members.

  • Select the Unique Key Column check box.

These actions are valid for drill-through reports defined on any member level, including level zero members.

  • For drill-through defined on level zero members (leaf nodes), you can also fully identify a duplicate member by specifying all the ancestors for that member in Template SQL.

In the following example of Template SQL using the TBC sample, for a drill-through intersection defined on Product.SKU, a WHERE clause was added (see bolded text) for the ancestor of SKU in order to fully define the member:

SELECT DISTINCT ac."SKU", ac."SKU_ALIAS", ac."CAFFEINATED", ac."OUNCES", ac."PKGTYPE", ac."INTRODATE", aa."SUPPLIERID", ad."SUPPLIER_ALIAS", ad."ADDRESS", ad."CITY", ad."STATE", ad."ZIP", ad."COUNTRY"

FROM TBC.SALES aa, TBC.PRODUCTDIM ab, TBC.PRODUCT ac, TBC.SUPPLIER ad

WHERE aa."PRODUCTID" = ac."PRODUCTID"

AND aa."SUPPLIERID" = ad."SUPPLIERID"

AND ac."SKU" = ab."SKU"

AND ((($$Year-COLUMN$$ IN ( $$Year-VALUE$$))))

AND (ab."FAMILY" in ('100'))

AND (((ab."FAMILY" in ('100','200','300','400','Diet')) AND ($$Product-COLUMN$$ IN ( $$Product-VALUE$$))))

The caveat to this solution is that the member is fully defined only for children of Product 100; it is not practical to define Template SQL for every possible ancestor value.


About Recursive Dimensions

You can create dimensions that contain member levels that are based on the contents of the two columns of a parent-child relationship. These dimensions are called recursive dimensions. For example, consider the following parent-child data source:

CHILD PARENT
Murphy Ave. Sunnyvale
Crossman Ave. Sunnyvale
Fremont Drive Mountain View
Java Drive Sunnyvale

You can use the data source to create the Essbase outline shown below:

When creating a recursive dimension, follow these rules:

  • Do not set transformations on member levels in recursive dimensions.

  • If you want to assign aliases or UDAs to recursive member levels, you drag from the left frame to the right frame the column to which the alias or UDA column applies. For example, if the alias column applies to the child column, use the child column in the metaoutline. If you are not sure to which column (parent or child) the alias or UDA column applies, see the information on creating aliases in the Essbase Integration Services Data Preparation Guide.

  • If you create a filter on the parent member level of a recursive dimension, Essbase Integration Server applies the filter only to values of the parent member level column. The server returns both the parent member level that satisfies the requirements of the filter and the immediate child of that parent.

For example, if you apply a filter to retrieve only East on the MARKET.PARENT column of TBC Metaoutline, the server retrieves only the rows that have East in the parent column, such as the rows that contain East, Florida and East, New York.

  • If you create a filter on the child member level of a recursive dimension, Integration Services applies the filter only to values in the child column. The server returns both the child value that satisfies the filter condition and the immediate parent of that child. If a child member level is shared by multiple parents, the server returns all immediate parents of the child.

For example, if you apply a filter to retrieve only East on the MARKET_CHILD column of TBC Metaoutline, the server retrieves only the rows that have East in the child column, such as the row that contains USA, East. If East is shared by multiple parents, the server also returns all parents; for example, England, East or Canada, East.

  • A metaoutline with a recursive dimension cannot be used with Hybrid Analysis.

  • If you are working with a metaoutline that supports duplicate member names, the child column in a recursive hierarchy is treated as the key column by default. For generational hierarchies, you must provide a member key on the columns that could generate shared members as described in Specifying Key Columns for Duplicate Members.


Building a Drill-Through Report to a URL - Example

Building a Drill-Through Report to a URL – Example

The typical drill-through SQL syntax for building a drill through to a URL has the following form:

http://www.<xyz>.com/$$<dimension-VALUE$$>.html

Using the TBC sample, to drill through from the Market dimension to the Oracle Web site:

http://www.oracle.com/$$Market-VALUE$$.html


Building a Drill-Through Report to a URL - Overview

Building a Drill-Through Report to a URL – Overview

Essbase Integration Server expands your options for drill-through reports by providing the capability of specifying a URL in addition to using standard drill-through SQL or defining customized drill-through SQL. When you specify a URL in the Template SQL dialog box, drill-through client users are able to drill through directly to a URL from a drill-through intersection in a spreadsheet.


Building Drill-Through Reports Using Template SQL - Overview

Building Drill-Through Reports Using Template SQL—Overview

Essbase Integration Server automatically generates the drill-through SQL that is used to create a report. The SQL statement identifies the OLAP intersection levels of the drill-through report and the columns being returned. You can override the SQL generated by Integration Server with your own SQL, including ODBC SQL, Native SQL, and stored procedures.

Note: If you are creating drill-through reports for a metaoutline that is based on multiple data sources, the SQL used for each drill-through report cannot include a join across a data source boundary. That is, a metaoutline that is based on multiple data sources can contain drill-through reports based on the primary data source. The same metaoutline can also contain drill-through reports based on secondary data sources. Each drill-through report, however, can be based on only one data source.

Using the Template Drill-Through dialog box, you define a template for drill-through SQL, referred to as "template SQL," that specifies which parameters from the current reporting context need to be passed to the drill-through report as parameters.

Template SQL can incorporate tables and columns from any defined connection in a particular model, whether or not it is used or joined in the model.

Integration Services template SQL uses the "$$" syntax as the variable delimiter. All text contained within the "$$" syntax is replaced with actual column or data values during drill-through execution. However, you cannot use the $$ substitution variables in template SQL when the intersection level of the dimension is defined at Generation 1 and the dimension is built from a parent/child table.

Note: The SQL table alias generation process skips reserved keywords for SQL. Be sure to verify that your user-defined SQL is not using reserved keywords. See SQL Table Alias Generation for a list of keywords.


Comparison of UDAs and Attributes

Attributes and UDAs both enable analysis based on characteristics of the data. Attributes provide more capability than UDAs. However, attributes can only be associated with sparse dimensions, whereas UDAs can be used on both sparse and dense dimensions.

Both attributes and UDAs can retrieve consolidated totals. In attributes, the built-in calculation function makes this ability simple to implement. To retrieve totals in UDAs, you must build a calculation script or special-purpose commands.

Similarly, it is easy to categorize attributes in a hierarchy and retrieve totals by higher levels in the hierarchy.

You can use Boolean operators, AND and OR, with attribute and UDA values to refine a query. For example, you can select decaffeinated drinks from the 100 product group. Because attributes can have date, text, Boolean, or numeric data types, you can use appropriate operators and functions to work with and display attribute data.

You can group numeric attributes into ranges of values (population size, for example) and enable the dimension building process to associate the base member with the appropriate range automatically. For example, you can group sales in various regions based on ranges of their populations: less than 3 million, between 3 and 6 million, and so on.

For more information on User-Defined Attributes (UDAs), see Specifying UDAs and the Oracle Essbase Database Administrator’s Guide. For more information on using attributes in calculations, see Setting the Calculations Name Format and the Oracle Essbase Database Administrator’s Guide.


Defining the Load Member for a User-Defined Dimension - Overview

Defining the Load Member for a User-Defined Dimension – Overview

A user-defined dimension is not connected to the related OLAP model. Because the dimension is not connected to the OLAP model, Essbase Integration Server does not know into which member data is to be loaded. Therefore, you must select a member in the user-defined dimension into which Integration Server loads data. The selected member is called the load member.

You must select one load member for each user-defined dimension. The load member can be a level 0 member or a non-level 0 member.


Building Drill-Through Reports Using Template SQL-Example

Building Drill-Through Reports Using Template SQL—Example

Related Topics

In the standard SQL window, you see pairs of variables that have the following form:

  • $$dimension-COLUMN$$ & $$dimension-VALUE$$

  • $$dimension-MEMBERCOLUMN$$ & $$dimension-MEMBERVALUE$$

In the above example, dimension represents one of the dimensions in the metaoutline, VALUE is the untransformed value for the point of view in the spreadsheet client, and COLUMN is the column name in the RDBMS where the member from the spreadsheet context comes from.

In the TBC sample, to drill through on Market East and Month to Jan, the standard SQL might be as follows:

SELECT DISTINCT b.STATE, c.POPULATION_ALIAS
FROM TBC.SALES a, TBC.MARKET b, TBC.POPULATION c
WHERE a.STATEID = b.STATEID
AND b.POPULATIONID = c.POPULATIONID
AND ((($$Year-COLUMN$$ IN ( $$Year-VALUE$$))))
AND ((($$Market-COLUMN$$ IN ( $$Market-VALUE$$))))
GROUP BY b.STATE , c.POPULATION_ALIAS

In the SQL above

$$Market-COLUMN$$ = b.STATE
$$Market-VALUE$$ = ‘East’
$$Year-COLUMN$$ = {fn SUBSTRING({fn MONTHNAME(a.TRANSDATE)}, 1, 3)}
$$Year-VALUE$$ = ‘Jan’

The final SQL resolves to the following:

SELECT DISTINCT b.STATE, c.POPULATION_ALIAS
FROM TBC.SALES a, TBC.MARKET b, TBC.POPULATION c
WHERE a.STATEID = b.STATEID
AND b.POPULATIONID = c.POPULATIONID
AND {(fn SUBSTRING({fn MONTHNAME(a.TRANSDATE)}, 1, 3)} IN ( ‘Jan’))))
AND (((b.STATE IN ( ‘East’))))
GROUP BY b.STATE , c.POPULATION_ALIAS

It is important to note that the $$dimension-COLUMN$$ resolves to a column name with an appropriate table identifier that is based on the standard SQL. However, the table identifiers in the generated Template SQL may not match one-to-one with the table identifiers in the standard SQL.

In the above example, this identifier is b. When using the above variables it is important to take this into account. As an example, the drill-through Template SQL might be as follows:

SELECT b.STATENAME, b.SALESMAN, b.SALESREGION
FROM TBC.SALESREP b
WHERE $$MARKET-COLUMN$$ = $$MARKET-VALUE$$

The above resolves to the following:

SELECT b.STATENAME, b.SALESMAN, b.SALESREGION
FROM TBC.SALESREP b
WHERE b.MARKET = ‘East’

Note that nothing prevents you from using some, all, or none of the variables that Integration Services drill-through tracks. Template SQL can contain the following combinations:

$$dimension-COLUMN$$ = $$dimension-VALUE$$
column_name = $$dimension-COLUMN$$
$$dimension-COLUMN$$ = value
column_name = value

$$dimension-MEMBERCOLUMN$$ = $$dimension-MEMBERVALUE$$
column_name = $$dimension-MEMBERCOLUMN$$
$$dimension-MEMBERCOLUMN$$ = value
column_name = value


Saving Metaoutlines - Overview

When you save a metaoutline, Essbase Integration Server automatically validates it and writes it to OLAP Metadata Catalog. You must store the metaoutline in the OLAP Metadata Catalog that stores the OLAP model on which the metaoutline is based.

You can save a metaoutline even if it does not pass validation, but you cannot use an invalid metaoutline to load member levels or data into an Essbase database.

You can save a metaoutline, even if multiple users are reading it, by selecting Exclusive Access in the Welcome dialog box. Opening an existing metaoutline with Exclusive Access guarantees that no other user can modify the metaoutline.


Setting the Member and Data Load Build Level

Related Topics

Example

By default, when Essbase Integration Server creates an Essbase outline, it loads all member levels specified in the metaoutline. You can, however, set Integration Server to build only to a specified multidimensional level. Building down to a specified level produces a smaller Essbase outline that contains less data. Smaller outlines can be useful for users with limited disk space who do not need to see the lowest level of detail.

To specify a build level:

1 In the metaoutline, select the member level that you want to use as the lowest level member (leaf member).

2 Right-click the member level and, from the pop-up menu, select Build Multidimensional Down to Here.

In the pop-up menu, next to Build Multidimensional Down to Here, a check is displayed. In the metaoutline, for all member levels that lie below the specified level, a red X is displayed. During member and data loads, Integration Server sets the specified member level (the member level with a check) as the level zero member (that is, as the leaf member).

Note: Setting the Build Multidimensional Down to Here function on a level 0 member has no effect. Integration Server builds down to level 0 by default.


Understanding Exclusive Access

You can save a metaoutline even if multiple users are reading it by selecting Exclusive Access in the Welcome dialog box. Opening an existing metaoutline with Exclusive Access guarantees that no other user can modify the metaoutline.

When opening an existing metaoutline, select Exclusive Access to place write-lock privileges on the metaoutline. This option allows you to perform both of the following tasks:

  • Save an existing metaoutline.

  • Modify and save an existing metaoutline. If you open a read-only metaoutline and no other user has Exclusive Access, you can save the metaoutline to the same name.

If Exclusive Access is not selectable, another user has write-lock privileges, and you have read-only privileges.

If you want to modify and save a metaoutline but have read-only privileges, select File > Save As to save the metaoutline to a different name. Also see the Essbase Integration Services System Administrator’ s Guide for information on unlocking metaoutlines.

Note: Unless you selected Exclusive Access when you opened the metaoutline, you cannot save the metaoutline if other users are reading it. Save it later or use File > Save As to save the metaoutline to a different name .


About Drill-Through

Related Topics

When you create an Essbase database, you do not use all of the data of the associated external data source. Instead, you choose the data that spreadsheet users are most likely to want and summarize it in a way that is useful to them. For example, you might summarize the amount of root beer sold in each state. The summaries enable spreadsheet users to compare sales across states and regions. They can answer questions such as "Which state sold the most root beer in January?" and "Which state sold the most root beer in July?"

Some spreadsheet users may need more detailed information to create a strategy to increase root beer sales. They need to answer the following types of questions:

  • What are the ten lowest performing stores in California?

  • What are the addresses of the stores?

  • What are the names of the store managers?

This information is not stored in the Essbase database, but it is stored in the external data source.

To view the relevant data, spreadsheet users must drill through to the external data source and view the data in the context of the data in the Essbase database.

Essbase Integration Services enables you to define drill-through reports. A drill-through report can be based on any intersection level (member combination) defined in the selected metaoutline, including intersection levels defined for attribute dimensions and members and for Hybrid Analysis-enabled members. In Oracle Essbase Spreadsheet Add-in, users double-click intersections to start the drill-through process; in Oracle Hyperion Smart View for Office, Fusion Edition, users access drill-through from the Ad Hoc Analysis menu item. Then spreadsheet users view or customize pre-defined drill-through reports that retrieve the relevant detail columns from the data source. Because Essbase Integration Server captures the metadata necessary to create the Essbase outline, it returns the drill-through report in the context of the data that spreadsheet users are viewing.

For more information on the Spreadsheet Add-in and drill-through reports, see the Oracle Essbase Spreadsheet Add-in User’s Guide and Oracle Essbase Spreadsheet Add-in Online Help. For information on using drill-through with Smart View, see the Oracle Hyperion Smart View for Office, Fusion Edition User Guide and Oracle Hyperion Smart View for Office, Fusion Edition Online Help.


About Loading

When you perform a load, Essbase Integration Server performs the following tasks:

  • It retrieves information from OLAP Metadata Catalog and uses the information to generate SQL statements that specify how and what to retrieve from the external data source.

  • It retrieves data from the external data source.

  • It performs on the retrieved data the transformations specified in the OLAP model and the metaoutline.

  • It loads the transformed data into the specified Essbase application and database. If no Essbase application and database exist for a member load, Integration Server creates an application and database.


Working with Alternate Fact Tables

Related Topics

You may choose to load data using an alternate fact table. If your data is spread across multiple fact tables and these fact tables have the same structure in terms of column names, you may take advantage of loading data using an alternate fact table. Integration Server can load data from another fact table that has same column names as the primary fact table.

You may use an alternate fact table at data load time either by selecting a different fact table in the Essbase Application and Database dialog box, or by specifying an alternate fact table in a data load script.

Note: If different fact tables correspond to different time periods, ensure that the Time dimension in Essbase contains all corresponding Time members. Otherwise, the data load rejects all records due to the absence of valid intersections.

At data load time, when choosing an alternate source table for the fact table, consider the following:

  • The alternate fact table option is available for data loads only.

  • The fact table must be based on only one table, whether it is a physical table, a user-defined table, or a view.

  • The alternate physical table must be from the same data source as the original physical table and with the same column names.

  • If the Time dimension is built directly from the fact table, and you select an alternate fact table, the data load may reject those records for which time members are not found in Essbase. In such cases, be sure that the Time dimension is built to span the time periods of all fact tables.


Assigning a Currency Name to a Country Dimension

Related Topics

Overview

Example

To assign a currency name to a dimension tagged as country in a metaoutline:

1 Select the dimension that is tagged as Country.

2 Right-click the dimension and from the pop-up menu, select Properties to open the Dimension Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Member Info tab.

4 In the Currency Name text box, type the currency name.

5 Click OK.

Note: This functionality does not apply to aggregate storage metaoutlines. For more information, see Aggregate Storage Guidelines .


Assigning Currency Categories to Accounts Dimensions and Members - Example

Assigning Currency Categories to Accounts Dimensions and Members – Example

Consider an organization that analyzes profitability data from the United Kingdom, reported in pounds, and from Japan, reported in yen. Comparing local currency profitability figures side-by-side in a spreadsheet is meaningless. You need to convert pounds into yen, yen into pounds, or both figures into another currency.


Assigning Currency Categories to Accounts Dimensions and Members - Overview

Assigning Currency Categories to Accounts Dimensions and Members – Overview

You can use the Essbase currency conversion feature to translate financial data from many different countries into a single base currency. Such a conversion facilitates data comparisons among countries that use different currencies. You can also use currency conversion to consolidate financial data that is reported in more than one currency.

Essbase Integration Services assists in the currency conversion process by enabling you to define a category of currency exchange.

Note: This functionality does not apply to aggregate storage metaoutlines. For more information, see Aggregate Storage Guidelines .


Identifying Errors - Example

Identifying Errors – Example

When you load both members and data into an Essbase outline and the load fails, the rejected records for the data load are listed in the dataload.txt file; for the member load, a reject text file and a rules file for each rejected dimension and member is created. Additionally, information on errors that occur during member load is stored in the olapisvr.log file in the ISHOME\log directory.

The dataload.txt file and both the .txt and .rul files are located by default in the ISHOME\loadinfo\ directory in a subfolder named in the following format:

<application_database_timestamp_sessionnumber>

Note: To enable this logging level, ensure that Integration Server is started with the -L option set to zero (0). For information, see the Essbase Integration Services System Administrator’s Guide.

For example, if you performed a member and data load for the MyTBC application and MyTBC_DB database at 10 P.M. on May 1, 2005, the folder is named:

MyTBC_MyTBC_DB_2005_May_1_10_00_PM_1049155175

A dataload.txt file is written to the folder. Also, the .txt and .rul file pairs corresponding to the dimensions that contain rejected members are written to this folder in the following format:

<dimension_name>_<incremental_number>.rul
<dimension_name>_<incremental_number>.rul

For example, if the dimensions that contained rejected members were PRODUCT and MYPRODUCT, you may see the following listing of files:

PRODUCT_0.txt
MYPRODUCT_0.rul
MYPRODUCT_0.txt
MYPRODUCT_1.rul
MYPRODUCT_1.rul
PRODUCT_0.rul
dataload.txt

When a load is successful, you will see the following list of files:

dataloadrecord.txt
DL.txt
hisdld.rul

To place the files in a directory other than the default directory, set the ISLOADINFO environment variable to point to a different directory.


Identifying Errors - Overview

Identifying Errors – Overview

When you start Integration Server with the -L option set to zero (0), and errors occur during a member or data load, Essbase Integration Server creates a subfolder for that load in the loadinfo directory. This subfolder contains several objects that help you to identify the cause of errors:

  • If you load only data into an Essbase outline and the load fails, rejected records are listed in the dataload.txt file. The dataload.txt file contains error message codes that help you to identify the problems that occurred during the data load.

  • Information on why rejected members failed to load is written to the olapisvr.log file (located in the ISHOME\log directory). The rejected member information is listed under the applicable SQL SELECT statement for the load.

Additionally, if you load only members into an Essbase outline and the load fails, a reject text file (*.txt) and a rules file (*.rul) for each rejected dimension and member is created. The name of each reject text file and rules file consists of the name of the relevant dimension followed by the leaf node number of the dimension or member that did not load. The *.txt and *.rul files can be used in Essbase to diagnose problems.

  • If you load both members and data into an Essbase outline and the load fails, rejected records for the data load are listed in the dataload.txt file, as described above. Rejected members for the member load are stored in olapisvr.log, and the appropriate reject text files and rules files are generated in the corresponding subfolder in loadinfo.

  • If members and data are loaded successfully, two text files, dataloadrecord.txt and DL.txt, are written to the subfolder for that load in the loadinfo directory. These files contain records of the first 1,000 successfully loaded members. A copy of the rules file, hisdld.rul is also written to this folder.

Note: For information on enabling this logging level, see the Essbase Integration Services System Administrator’s Guide.


MDX Formula Examples

Related Topics

The following examples are from the Essbase Technical Reference. Results shown are from the sample application and database, Sample Basic.

For more examples and detailed information on MDX syntax rules, see the Essbase Technical Reference.

Example 1: FirstSibling

Returns the first child of the input member's parent.

Syntax

member.FirstSibling

OR

FirstSibling ( member )

Parameters

member: A member specification.

Description

If member is the top member of a dimension, then member itself is returned

Example

For every month, the following query displays the change in inventory level since the beginning of the quarter.

WITH MEMBER

[Measures].[Inventory Level since beginning of Quarter]

AS

'[Ending Inventory] - ([Opening Inventory], [Year].CurrentMember.FirstSibling)'

SELECT

{[Measures].[Inventory Level since beginning of Quarter]}

ON COLUMNS,

Year.Levels(0).Members ON ROWS

FROM Sample.Basic

This query returns the grid:

 | Inventory Level since Beginning of Quarter
Jan | -971
Feb | -1847
Mar | 1738
Apr | 6740
May | 17002
Jun | 24315
Jul | -871
Aug | -1243
Sep | -1608
Oct | 2000
Nov | 5308
Dec | 4474

Example 2: LastPeriods

Returns a set of members ending either at the specified member or at the current member in the time dimension.

Syntax

LastPeriods ( numeric value expression [, member ] )

Parameters

numeric value expression: The number of members to return. If negative, member is treated as the starting point.

member: Optional. A member expression.

Example

Lastperiods(3, Apr) returns the set {Feb, Mar, Apr}.

Lastperiods(-3, Apr) returns the set {Apr, May, Jun}.

Lastperiods(1, Apr) returns a set of one member: {Apr}.

Lastperiods(0, Apr) returns an empty set.

Lastperiods(5, Apr) returns the set {Jan, Feb, Mar, Apr}. Note that the output set has only four members.

The following query:

WITH MEMBER

[Measures].[Rolling Sales] AS

'Avg (

LastPeriods

(3, [Year].Currentmember

),

[Measures].[Sales]

)'

SELECT

{[Measures].[Sales], [Measures].[Rolling Sales]}

ON COLUMNS,

Descendants ([Year].[Qtr2])

ON ROWS

FROM Sample.Basic

WHERE [Product].[Root Beer]

returns the grid:

 | Sales | Rolling Sales
Qtr2 | 27401 | 27014
Apr | 8969 | 8960
May | 9071 | 8997
Jun | 9361 | 9133.667


Setting Members as Dynamic Time Series

You can calculate period-to-date values dynamically in an Essbase database by tagging specific members as Dynamic Time Series. For example, you can enable dynamic calculation of Essbase quarter-to-date values by setting the Quarter member of the Year dimension of the related metaoutline as Dynamic Time Series. Dynamic Time Series members cannot be Hybrid Analysis-enabled. For more information about Dynamic Time Series members, see the Oracle Essbase Database Administrator’s Guide.

Note: To tag values in a metaoutline as Dynamic Time Series, you must set the date-part of the column that contains the time data of the related OLAP model when you define a transformation.

To tag a member as Dynamic Time Series:

1 In the metaoutline, select the member level; for example, Quarter.

Note: Dynamic Time Series members cannot be at level zero (leaf level) of the metaoutline.

2 Right-click the member level and, from the pop-up menu, select Properties to open the Member Properties dialog box.

You can also open the dialog box by clicking the Edit Properties button, [image] , from the toolbar or by selecting Properties from the Edit menu.

3 Select the Member Info tab.

4 Select the Dynamic Time check box.

5 Click OK.


Specifying an Alternate Integration Server for Drill-Through Reports - Overview

Specifying an Alternate Integration Server for Drill-Through Reports – Overview

An Integration Services administrator may set up a specific Integration Server instance that is dedicated solely to the execution of drill-through reports. This is especially useful in an environment where hundreds of drill-through reports are executed concurrently at any given time. By setting up an alternate Integration Server, one server can be designated to handle drill-through reports, and the other server can handle other Integration Services work, such as member and data loads.

The alternate Integration Server instance can reside either on the same computer or a different computer, and it accesses the same OLAP Metadata Catalog and data source as specified in the metaoutline.


The Country Dimension and Its Members - Overview

The Country Dimension and Its Members – Overview

When preparing a main database outline for currency conversion, you need to assign currency names to the country dimension and its members (for example, assigning Dollars to the United States, Euros to Germany, and so forth). Because many members can have the same currency name, the number of currency names is typically less than the total number of members in the dimension.

Assigning currency names to country members creates a currency name in the currency database for each individual currency. The top-level dimension member name in the country dimension should be given the currency name of the base currency (for example, USD for United States Dollar) to ensure that the base currency is inherited down the country dimension hierarchy. When the children of a given member share a single currency, you only need to define a currency name for the parent member.


The Country Dimension and Its Members - Example

The Country Dimension and Its Members – Example

Use country dimensions to track business activities in multiple countries. If you track business activity in the United States and Canada, for example, your country dimension could contain states, provinces, and countries. If a dimension is tagged as country, you can set the currency name property. The currency name property defines what type of currency a market region uses.

In a country dimension, you can specify the type of currency used in each member. For example, in the Interntl application and database shipped with Essbase, Canada has three markets: Vancouver, Toronto, and Montreal. They use the same currency, Canadian dollars.


Viewing Essbase Properties

You can customize the view of the OLAP Metaoutline main window to display Essbase properties in either columnar or condensed format. Columnar format places Essbase properties under column headings, and condensed format places properties in parentheses and to the right of the dimension or member name. Default Essbase settings are not displayed.

To display Essbase properties in columnar format:

1 In the metaoutline, select a dimension, member level, or outline; for example TBC Metaoutline.

2 Select View > Display Essbase Properties.

3 If Display as Columns is not selected, select it.

The columnar format view is the default.

4 To determine which properties to display, from the submenu, select any of the following items:

  • Consolidation Objects: Displays consolidation properties, such as +, -, and %.

  • Formula Objects: Displays the assigned formula.

  • Dimension Type: Displays the dimension type: time or accounts.

  • Aliases: Displays aliases.

  • Member Properties: Displays member properties, such as storage type, two-pass calculation, dynamic time, time balance and variance reporting properties, and UDAs.

The metaoutline is displayed in columnar format and the properties that you selected are displayed.

5 If you want to display all Essbase properties, select All.

When the Display as Columns command is deselected, the columnar format view is replaced by the condensed format view. To return to the columnar format view, select Display as Columns.

To display Essbase properties in condensed format:

1 Select a dimension, member level, or outline; for example TBC Metaoutline.

2 Select View > Display Essbase Properties.

3 If Display as Columns is selected, deselect it.

4 To determine which properties to display, from the submenu, select any of the following items:

  • Consolidation Objects: Displays consolidation properties, such as +, -, and %.

  • Formula Objects: Displays the assigned formula.

  • Dimension Type: Displays the dimension type: Time or Accounts.

  • Aliases: Displays aliases.

  • Member Properties: Displays member properties, such as storage type, two-pass calculation, dynamic time, time balance and variance reporting properties, or UDAs.

The metaoutline is displayed in condensed format and the properties that you selected are displayed.

5 If you want to display all Essbase properties, select All.

To return to the columnar format view, select Display as Columns.


About Unicode

Related Topics

Sharing data across national and language boundaries is a challenge for multi-national businesses Traditionally, each computer stores and renders text based on its locale specification. A locale identifies the local language and cultural conventions such as the formatting of currency and dates, sort order of the data, and the character set encoding to be used on the computer. The encoding of a character set refers to the specific set of bit combinations used to store the character text as data, as defined by a code page or an encoding format. In Essbase, code pages map characters to bit combinations for non-Unicode encodings.

Because different encodings can map the same bit combination to different characters, a file created on one computer can be misinterpreted by another computer that has a different locale.

The Unicode Standard was developed to enable computers with different locales to share character data. Unicode provides encoding forms with thousands of bit combinations, enough to support the character sets of multiple languages simultaneously. By combining all character mappings into a single encoding form, Unicode enables users to correctly view character data created on computers with different locale settings.

Users whose computers are set up in different languages can work with the same database. For example, using alias tables in their respective languages, users in Taiwan can view database reports displaying Chinese characters while users in France can view the same reports in French characters.

User-defined character sets (UDC) are not supported and the Chinese National Standard GB 18030-2000 is not supported. Unicode-mode applications do not support the hybrid analysis, outline paging, query logging, triggers, and data mining features. Unicode-mode applications also do not support the MaxL Data Manipulation Language (MaxL DML). SQL Interface does not work with Unicode-mode applications.

Note: For additional information on using Unicode in Essbase, see the Oracle Essbase Database Administrator’s Guide.

For additional information about the Unicode Standard, see www.unicode.org.


Accessing an Alternate Data Source in a Drill-Through Report - Overview

Accessing an Alternate Data Source in a Drill-Through Report – Overview

You can define a drill-through report that drills through to an alternate data source. An alternate data source is a data source other than the primary or secondary data sources (if applicable) that were used to create the metaoutline. If you have a similar data schema in another data source that was not part of the metaoutline, you can define the drill-through report to access this other data source.

The alternate data source must contain the same data structure, including column names and data types, as the primary and secondary data sources that were originally used to create the report.


Advanced Relational Access Guidelines

Related Topics

Integration Services uses Advanced Relational Access to give Essbase end users direct access to data from relational databases or data warehouses. This feature enables users to perform online analytical processing (OLAP) on very large data sets.

In Integration Services Console, Advanced Relational Storage is configured at the metaoutline level for all non-accounts dimensions in the metaoutline. When a metaoutline is enabled for Advanced Relational Access, end users are able to query directly on relationally-stored members. Queries to the database or data warehouse are made using multi-dimensional expressions (MDX) which are translated into SQL statements. All members of the dimension are accessed directly from the relational data source.

When users construct Advanced Relational Access queries, the points outlined in the following sections should be noted.

General Guidelines

Here are general guidelines to keep in mind when using Advanced Relational Access:

  • Only outlines that are valid for aggregate storage can be Advanced Relational Access outlines. Block storage is not supported.

  • Dynamic Time Series members are not supported.

  • Advanced Relational Access requires MDX formulas.

  • Members enabled for Advanced Relational Access are shown in Administration Services Console Outline Viewer but are not shown in the Outline Editor.

  • A Time dimension from the Fact table is not supported. Oracle strongly recommends that you create a separate Time dimension table with time data only.

  • When there are multiple measures defined in a metaoutline, consolidation at the highest level is based on the first measure only.

Data Source Guidelines

Here are guidelines to keep in mind when considering your data source for Advanced Relational Access:

  • Advanced Relational Access cannot be enabled in metaoutlines that are connected to multiple data sources.

  • Star and snowflake schemas are supported.

  • Teradata RDBMS provides different types of SQL date types, but Advanced Relational Access only supports the ‘DATE’ SQL date type.

Dimension Guidelines

Here are guidelines to keep in mind when working with dimensions in Advanced Relational Access:

  • Advanced Relational Access does not support recursive dimensions/hierarchies.

  • Alternate hierarchies in standard dimensions are not allowed.

  • Attribute dimensions are ignored.

  • User-defined dimensions are not supported.

  • When a dimension is enabled for relational storage, Integration Server builds only to the dimension level. All members of the dimension are accessed directly from the relational data source.

  • Accounts dimension must be created from the fact table.

  • For the accounts dimension, no hierarchy is supported. All members should be of generation 2.

  • Aliases are not supported.

Member Guidelines

Here are guidelines to keep in mind when working with members in Advanced Relational Access:

  • The first member of the accounts dimension must be a base or stored measure. It cannot be a user-defined member.

  • Aliases are not supported.

  • Duplicate members are not supported.

  • Shared members are not supported.

  • Relational members are not automatically expanded when part of an outline is expanded. To view the relational members, you must manually click the member node containing the relational members.

  • Relational members are not automatically collapsed when part of an outline is collapsed. To collapse the relational members, you must manually click the member node containing the relational members.

  • In Integration Services Console, users can specify multiple sort order columns for each generation, selecting ascending or descending order.

  • In Integration Services Console, users can associate a key column with each generation name and tag the key column as unique.

Different Values Loaded in Ragged Hierarchies

There is a significant difference in the way Advanced Relational Access and Essbase perform data loads in ragged hierarchies. Because of this difference, separate queries made against a ragged hierarchy can display different consolidation totals.

Essbase loads values in the upper-level members of a ragged hierarchy only when the level 0 members are non-null. Advanced Relational Access, however, loads values in the upper level members of the ragged hierarchy regardless of the value in the level 0 member.

Essbase Databases and Advanced Relational Access

When you use Advanced Relational Access, your Essbase database has the following characteristics:

  • The accounts dimension completely resides in Essbase.

  • For all non-accounts dimension, only the root members (the dimension level) reside in the Essbase database. All other non-accounts members are accessed directly from the relational database.

Unsupported Data Types

The following data types are not supported in Advanced Relational Access:

  • DB2: REAL

  • Oracle: NCHAR and NVARCHAR2

  • SQL Server: TINYINT and SMALLINT

Note: The data types TINYINT and SMALLINT cannot be used as a measure; however they can be used as members.

  • Teradata: FLOAT

Note: Your member set column names should not be based on columns of FLOAT data types.


Alias Table Dialog Box

Use the Alias Table dialog box to add, delete, or rename alias tables or to set an alias table as current for a metaoutline.

To display this dialog box, open a metaoutline and select Outline > Alias Table.

Related Procedures

Creating Alias Tables

Setting Alias Tables as Current for a Metaoutline

Renaming and Deleting Alias Tables

Dialog Box Items

Current Alias Table text box | Displays the currently selected alias table.
New Alias Table text box | Type a name for the alias table that you want to add.
Add button | Click to add a new alias table to the Existing Alias Table List. The table that you add is given the table name that you typed in the New Alias Table text box. Note: You can add up to nine alias tables, including the Default alias table, for each metaoutline.
Existing Alias Table List | Displays the list of alias table names that can be set as current, renamed, or deleted.
Set Current button | After selecting an alias table from the Existing Alias Table List, click Set Current to set the table as the current alias table for the metaoutline.
Rename Table button | After selecting an alias table to rename from the Existing Alias Table List, click the Rename Table button. When the Enter the New Alias Table Name dialog box is displayed, type a new name for the alias table.
Delete Table button | After selecting an alias table to delete from the Existing Alias Table List, click Delete Table.
OK button | Click to confirm the operations that you performed in the Alias Table dialog box, such as adding an alias table or renaming an alias table.
Cancel button | Click to cancel any operations that you performed in the Alias Table dialog box.


Attribute Dimension Properties Dialog Box - Alias Tab

Attribute Dimension Properties Dialog Box – Alias Tab

Use the Alias tab of the Attribute Dimension Properties dialog box to assign aliases to attribute dimensions.

To display this dialog box, right-click an attribute dimension, select Properties, and then select the Alias tab.

Related Procedures

Assigning Aliases to Attribute Dimensions

Select one of the following tabs for more help:

Dialog Box Items

Alias Table drop-down list box | Select the alias table that you want to assign to the selected attribute dimension.
Alias text box | Type the alias name that you want to assign to the selected attribute dimension.
Add button | Click to store an alias table and name combination for the selected attribute dimension to the Existing Alias List box.
Existing Alias List box | Displays the alias table and alias name combinations that are stored for the selected attribute dimension.
Delete button | Click to delete the alias table and name combination that you selected in the Existing Alias List box.
OK button | Click to accept any alias table and name combinations that you stored or deleted
Cancel button | Click to cancel the addition or deletion of alias tables.


Attribute Member Properties Dialog Box - Alias Tab

Attribute Member Properties Dialog Box – Alias Tab

Use the Alias tab of the Attribute Member Properties dialog box to assign aliases to attribute members.

To display this dialog box, right-click an attribute member, select Properties, and then select the Alias tab.

Select one of the following tabs for more help:

Related Procedures

Assigning Aliases to Attribute Members

Dialog Box Items

Alias Table drop-down list box | Select the alias table that you want to assign to the selected attribute member.
Alias drop-down list box | Select the alias name that you want to assign to the selected attribute member.
Add button | Click to store an alias table and name combination for the selected attribute member to the Existing Alias List box.
Existing Alias List box | Displays the alias table and name combinations that are stored for this attribute member.
Delete button | Click to delete the alias table and name combination that you selected in the Existing Alias List box.
OK button | Click to accept any alias table and name combinations that you stored or deleted.
Cancel button | Click to cancel the addition or deletion of alias tables.


Creating an Essbase Outline with Duplicate Member Names - Overview

In an Essbase outline that supports duplicate member names, duplicates are allowed in different dimensions and under different parent levels. This greatly enhances ease-of-use in creating analytic applications where members (such as cities in a customer dimension and a supplier dimension) may have names duplicated.

You can specify a metaoutline that, when loaded into an Essbase database, creates an Essbase outline that supports duplicate member names. To do this, right-click on the metaoutline name, select the Data Storage tab, and then clear the "Create Outline with Unique Member Names" check box.

When you create a new metaoutline, the "Create Outline with Unique Member Names" check box is selected by default, meaning that an Essbase outline will be created with unique member names.

Important: When you open a metaoutline that was created prior to Release 9.0, the "Create Outline with Unique Member Names" check box is automatically selected. See Migrating Metaoutlines Containing Unique Names to Duplicate Names for information on migrating metaoutlines created prior to Release 9.0 to metaoutlines that support duplicate member names.


Dimension Properties Dialog Box - Alias Tab

Dimension Properties Dialog Box – Alias Tab

Use the Alias tab of the Dimension Properties dialog box to assign aliases to dimensions or user-defined members.

To display this dialog box, right-click a dimension in the metaoutline and select Properties, and then select the Alias tab.

Related Procedures

Assigning Aliases to Dimensions and User-Defined Members

Select one of the following tabs for more help:

Dialog Box Items

Alias Table drop-down list box | Select the alias table that you want to assign to the selected dimension or user-defined member.
Alias text box | Type the alias name that you want to give to the selected dimension or user-defined member.
Add button | Click to assign an alias table and name combination to the selected dimension or user-defined member.
Existing Alias List box | Displays the alias table and name combinations that are assigned to the selected dimension or user-defined member.
Delete button | Click to delete the alias table and name combination that you selected in the Existing Alias List box.
OK button | Click to accept any alias tables that have been added or deleted.
Cancel button | Click to cancel the addition or deletion of alias tables.


Dimension Properties Dialog Box - Dynamic Time Series Tab

Dimension Properties Dialog Box – Dynamic Time Series Tab

Use the Dynamic Time Series tab of the Dimension Properties dialog box to enable and disable Dynamic Time Series members and to associate them with an appropriate generation. Integration Services provides eight predefined Dynamic Time Series members that you can use to calculate dynamically period-to-date values. You can also specify alias names for Dynamic Time Series members.

To display this dialog box, right-click the time dimension in the metaoutline and select Properties, and then select the Dynamic Time Series tab.

Related Procedures

Enabling Dynamic Time Series Members

Select one of the following tabs for more help:

Dialog Box Items

Alias Table drop-down list box | Select the name of the alias table in which you want to save the alias name that you specify in the Alias column.
Series column | Contains the following pre-defined Dynamic Time Series members: H-T-D history to date Y-T-D year-to-date S-T-D season-to-date P-T-D period-to-date Q-T-D quarter-to-date M-T-D month-to-date W-T-D week-to-date D-T-D day-to-date
Enabled check box | Select the Enabled check box that corresponds to the Dynamic Time Series member that you want to use.
Generation column drop-down list box | On the row of the Dynamic Time Series member that you want to use, select the appropriate generation level.
Alias column text box | Type the alias name for the Dynamic Time Series member.
OK button | Click to enable the Dynamic Time Series members that you specified.


Enabling Dynamic Time Series Members - Overview

Enabling Dynamic Time Series Members – Overview

You can calculate period-to-date values dynamically in an Essbase database by tagging specific members of the Time dimension as Dynamic Time Series. For example, you can enable dynamic calculation of Essbase quarter-to-date values by setting the Quarter member of the Year dimension of the related metaoutline as Dynamic Time Series. Dynamic Time Series members cannot be Hybrid Analysis-enabled. For more information about Dynamic Time Series members, see the Oracle Essbase Database Administrator’s Guide.

Note: You cannot associate Dynamic Time Series members with level 0 members of the Time dimension. They can, however, be associated with any other level.


Enabling Advanced Relational Access - Overview

Enabling Advanced Relational Access – Overview

By default, when Integration Server creates an Essbase outline, it loads, or builds, all members specified in the metaoutline into a multidimensional database. You can, however, set Integration Server to build to a specified member level (Hybrid Analysis) or to build only to the dimension level (Advanced Relational Access). Building down to a specified level produces a smaller Essbase outline and a smaller. Smaller databases can be useful for users with limited disk space who do not need to see the lowest level of detail.

To use Advanced Relational Access, you first build a metaoutline in Integration Services Console. Set the Enable Relational Access property at the metaoutline level, and all non-accounts dimensions are automatically enabled. You can also choose to set the Enable Relational Access property at the dimension level for selected non-accounts dimensions.

Finally, perform a member load. If you have enabled Advanced Relational Access at the metaoutline level, no data load is necessary. If you have enabled Advanced Relational Access on specific dimensions, perform a member load and determine whether you need to perform a data load.

When Advanced Relational Access is specified at the metaoutline level, the resulting Essbase database has the following characteristics:

  • The accounts dimension completely resides in Essbase, allowing outline formulas,

  • For all non-accounts dimensions, only the root members (the dimension level) reside in the Essbase database. All other non-accounts members are accessed directly from the relational database.

Some advantages to using Advanced Relational Access include scalability and the power to process very large data sets.


Enter the New Alias Table Name Dialog Box

Use the Enter the new alias table name dialog box to rename an existing alias table.

To access this dialog box, open a metaoutline and select Outline > Alias Table. Select an alias table to rename from the Existing Alias Table List box and click Rename Table.

In the text box, type a new name for the alias table.


Duplicate Member Name Guidelines

Related Topics

When a metaoutline is loaded into Essbase Server, an Essbase outline is created with each member name being unique by default. You can change this default and specify a metaoutline that, when loaded into an Essbase database, creates an Essbase outline with duplicate member names, as shown in the following example:

US-->Massachusetts-->Springfield

US-->Missouri-->Springfield

Integration Services generates a unique internal identifier to differentiate between duplicate members. This enables support for duplicate member names during member loads, data loads, and drill-through operations.

When using duplicate member names, keep in mind the following guidelines:

Dimensions in Duplicate Member Name Metaoutlines

  • Dimension names must be unique.

  • In the accounts dimension, a user-defined member cannot have the same name as a measure.

Members in Duplicate Member Name Metaoutlines

  • Duplicate member names are not allowed under the same parent.

  • Duplicate members may be shared or non-shared members If shared members are used in an outline, a key column must be associated with a member column in Integration Services.

  • Duplicate members are supported in both aggregate storage and block storage.

  • Duplicate member names are not supported if the metaoutline is based on multiple data sources.

  • The use of duplicate member names does not affect the use of aliases.

Other Guidelines for Duplicate Member Name Metaoutlines

  • Most drill-through operations are supported with duplicate member names.

  • The Update Drill-Through Data option cannot be used if the metaoutline supports duplicate member names.

  • Exercise caution if you choose to override SQL (use Template SQL) for data loads or drill-through. It is especially recommended that you not change column names in SQL.

In general, Oracle does not recommend using drill-through Template SQL for OLAP metaoutlines that support duplicate member names.

  • Duplicate outlines support MDX commands. Existing unique Essbase outlines cannot be converted to duplicate outlines.

  • You can easily determine if a member name is unique or duplicate in both outline edit and query modes.


Member Properties Dialog Box - Alias Tab

Member Properties Dialog Box – Alias Tab

Use the Alias tab of the Member Properties dialog box to assign aliases to members.

To display this dialog box, right-click a member in a metaoutline, select Properties, and then select the Alias tab.

Select one of the following tabs for more help:

Note: The Dynamic Time Series tab is not accessible from the Member Properties dialog box. Access the Dynamic Time Series tab on the Dimension Properties dialog box.

Related Procedures

Assigning Aliases to Members

Dialog Box Items

Alias Table drop-down list box | Select the alias table that you want to assign to the selected member.
Alias drop-down list box | Select the alias name that you want to assign to the selected member.
Add button | Click to assign an alias table and name combination to the selected member.
Existing Alias List box | Displays the alias table and name combinations that are assigned to the selected member.
Delete button | Click to delete the alias table and name combination that you selected in the Existing Alias List box.
OK button | Click to accept any alias tables that have been added or deleted.
Cancel button | Click to cancel the addition or deletion of alias tables.


Solve Order Options for Dimensions and Members

Dimension Solve Order Options

  • Dimension Solve Order text box. Specify a number to represent the default order by which all members of the dimension are evaluated. You can specify a solve order between 1 and 127.

The default value is 0.

  • Member Solve Order text box. Specify a number between 1 and 127 to represent the solve order of the dimension member itself.

The default is 0. When this setting is 0, it inherits the setting in the Dimension Solve Order text box.

For complete information about solve order, see Calculation Order in the Oracle Essbase Database Administrator's Guide.

Member Solve Order Options

  • Member Solve Order option. Select the option button and, in the text box, specify a number between 1 and 127 to represent the order in which the dynamic hierarchy is evaluated. The member with the highest solve order is evaluated first (for example, a formula with a solve order of 20 is evaluated before a formula with a solve order of 5). You can specify a solve order between 1 and 127. The default value is 0.

Members that have a solve order of 0 inherit the solve order of their dimension. Members with the same solve order are evaluated in the order in which their dimensions appear in the database outline. Members with no solve order are evaluated after members with a solve order.

For complete information about solve order, see Calculation Order in the Oracle Essbase Database Administrator's Guide.

  • From Database Column option. Select the option button, and, from the drop-down list, select the column in the database that contains numbers that represent the order in which the members are evaluated.

Note: The From Database Column drop-down list box is not available for members of user-defined dimensions or Accounts dimensions which come from the fact table.


Specifying the Solve Order of Dynamic Hierarchies in Aggregate Storage Databases - Overview

Specifying the Solve Order of Dynamic Hierarchies in Aggregate Storage Databases – Overview

In aggregate storage databases, the order in which dynamic hierarchies are calculated is defined by Solve Order options, which you can set for each member or dimension in the metaoutline. Solve Order options can be applied to all dynamic hierarchies, whether or not they contain formulas. The Solve Order options cannot be applied to attribute dimensions or members.

The member in the hierarchy with the highest solve order is evaluated first (for example, a formula with a solve order of 20 is evaluated before a formula with a solve order of 5). You can specify a solve order between 1 and 127.

You can specify the solve order at the member level or at the dimension level. Members that have a solve order of 0 (the default value) inherit the solve order of their dimension. Members with the same solve order are evaluated in the order in which their dimensions appear in the database outline. Members with no solve order are evaluated after members with a solve order.


Specifying Key Columns for Duplicate Members - Overview

Specifying Key Columns for Duplicate Members – Overview

In a metaoutline that supports duplicate members, if you want to support shared members, you must specify a key column in order to support shared members.

Integration Server makes use of the assigned key column to uniquely identify the base member.

Note that, by default, the recursive hierarchy child column is treated as a key column. For generational hierarchies, you must provide the key column to support shared members.

See Duplicate Member Name Guidelines for other rules and conditions for specifying key columns for duplicate members in a metaouline.


Specifying the Member Name Column for Recursive Hierarchies - Overview

Specifying the Member Name Column for Recursive Hierarchies – Overview

In a metaoutline that supports duplicate members, when you drag a child column from a recursive hierarchy into a metaoutline, Integration Server designates the child column as the member key column by default. You cannot change this.

In some cases, however, the child column may not contain member names that you want to display in the Essbase outline or on a spreadsheet. You can specify a data source column that contains the display names that you want your end users to see. Select the column to use in the Member Name Column drop-down list box located on the General tab of the Member Properties dialog box.

This option is not applicable to unique name metaoutlines.


SQL Table Alias Generation

Related Topics

When Essbase Integration Server generates SQL, it may be necessary to substitute table names with an alias. This can occur, for example, when multiple tables contain the same column name.

Integration Server avoids assigning SQL reserved keywords to table aliases by replacing selected reserved keywords. The table below shows the substitutions in the format:

{"original table_name","alias_table_name"}

{"AS", "YA"}, | {"EQ", "YK"}, | {"LT", "YU"},
{"AT", "YB"}, | {"ET", "YL"}, | {"NE", "YV"},
{"BT", "YC"}, | {"GE", "YM"}, | {"NO", "YW"},
{"BY", "YD"}, | {"GO", "YN"}, | {"OF", "YX"},
{"CD", "YE"}, | {"GT", "YO"}, | {"ON", "YY"},
{"CM", "YF"}, | {"IF", "YP"}, | {"OR", "YZ"},
{"CS", "YG"}, | {"IN", "YQ"}, | {"SS", "ZA"},
{"CT", "YH"}, | {"IS", "YR"}, | {"TO", "ZB"},
{"CV", "YI"}, | {"LE", "YS"}, | {"UC", "ZC"},
{"DO", "YJ"}, | {"LN", "YT"}, | {"UP", "ZD"},

Note: The total number of tables in an SQL statement cannot exceed 624 tables (26*24).


Time-based Incremental Load Dialog Box

Use this dialog box to perform a data load that is based on the date the last data load was performed.

Note: You cannot use the time-based incremental load feature with an aggregate storage metaoutline.

Time-based incremental loads can be used only if the fact table on which a metaoutline is based has a datetime column that contains each record's creation date or modified date.

When there have been changes or additions to data source contents, users can choose to load only additional data, such as data that might have been modified since the last data load.

Note: By default, Integration Server performs a member load to add any new members that were added to existing dimension tables since the time that the last data load was performed.

To display this dialog box, open a metaoutline and select Outline > Data Load. In the Essbase Application and Database dialog box, select the Time-based incremental load check box, and click Next.

Related Procedures

Procedure 2: Starting a Data Load

Dialog Box Items

Last Essbase Server Name text box | Displays the name of the Essbase Server instance used the last time data was loaded.
Last Application Name text box | Displays the name of the application used the last time data was loaded.
Last Database Name text box | Displays the name of the database used the last time data was loaded. Note: To perform a time-based incremental data load, the names that are displayed in the Last Essbase Server Name, Last Application Name, and Last Database Name text boxes must be the same as those that were used the last time a data load was performed; otherwise, an error message is displayed.
Last Data Load Time Stamp text box | Displays the date and time of the last data load.
Time Column From Fact Table drop-down list box | Select a column to use to compare with the date and time shown in the Last Data Load Time Stamp text box.


Time-based Incremental Load - Overview

Time-based Incremental Load – Overview

The time-based incremental load option allows users to load only data that has been added or changed since the last data load or some other specified time. The time-based incremental load option is designed to handle changes to the content of the data source and save time when performing data loads.

You may want to use the time-based incremental load option in the following situations:

  • If you frequently update data in your relational data source, but rarely modify the metaoutline you are using to perform data loads

When the metaoutline or underlying OLAP model is changed, you must perform a full member and data load.

  • If you have a very large source database, but a relatively small outline

An incremental data load can result in very large SQL statements if the underling Essbase outline is also large, and the RDBMS may have problems executing the SQL in this case.

If new members are added to the metaoutline between data loads and those members contain data, the new members are added to the Essbase outline.

Notes:

  • You cannot use user-defined data load SQL with the time-based incremental load option.

  • Integration Server only retains information on the last, or most recent, data load. You can only perform time-based incremental data loads on the last Essbase database that was loaded (that is, the most current Essbase database).

Workaround: To reset the Essbase database, perform a full data load to the database that you want to be the most recent. You can then perform time-based incremental data loads to this Essbase database.


Creating an Interactive or Manual Filter

You can create a member or measure filter interactively or manually. Either you can select the parts of the filter from list boxes and dialog boxes, that is interactively, or you can enter the member or measure filter directly into a list box, that is, manually. See the Measure Properties dialog box or Edit Filter dialog box.


Filters

You can filter members and data values when you load the members and data values into the Essbase outline. For example, assume that an OLAP model contains data for 2000 and 2001.

If you want to create an Essbase outline that tracks the 2000 data, you create a filter that loads only the members related to 2000. See the Edit Filter dialog box or the Measure Properties dialog box.

Any filter that you create becomes part of an automatically–generated SQL WHERE clause. For example, if you create the 2000 filter (described in the previous paragraph) on TBC Metaoutline, the filter produces the following WHERE clause:

SELECT DISTINCT a.YEAR
FROM hyperion.TIMESEASONS a
WHERE (a.YEAR IN ('2000'))

Note: You can also filter data in the OLAP model.

You can create filters on one or more member levels or measures in the metaoutline. All filters defined on member levels and measures in a metaoutline are stored in one or more metaoutline filters.


OLAP Metaoutline Validation Errors Dialog Box

The OLAP Metaoutline Validation Errors dialog box is displayed if Essbase Integration Server finds errors in the metaoutline when performing a File > Verify, or during a save or save as operation. If the metaoutline is invalid, check the following possible causes:

  • Does it pass all validation requirements specified in Rules for Validating a Metaoutline?

  • If the data storage property of the metaoutline is set to Aggregate Storage, does it pass all validation requirements specified in Aggregate Storage Guidelines and Limitations?

  • View each invalid dimension separately to see if its structure looks appropriate. See the View > Sample command.

You can save a metaoutline even if it does not pass validation, but you cannot use it to load members or data into an Essbase database. See About Saving Metaoutlines.

The illustration below shows the OLAP Metaoutline Validation Errors dialog box for a metaoutline that contains aggregate storage errors:

Related Topics


About Saving Metaoutlines

Related Topics

When you save a metaoutline, Essbase Integration Server automatically validates it and writes it to OLAP Metadata Catalog. You must store the metaoutline in the OLAP Metadata Catalog that stores the OLAP model on which the metaoutline is based.

You can save a metaoutline even if it does not pass validation, but you cannot use an invalid metaoutline to load member levels or data into an Essbase database.

You can save a metaoutline even if multiple users are reading it by selecting the Exclusive Access check box on the Existing tab or the Recent tab of the Welcome dialog box. Opening an existing metaoutline with Exclusive Access guarantees that no other user can modify the metaoutline.

If you want to modify and save a metaoutline, but have read-only privileges, use File > Save As to save the metaoutline to a different name. The Save New Metaoutline dialog box is displayed.


Attribute Dimension Properties Dialog Box - General Tab

Attribute Dimension Properties Dialog Box – General Tab

Use the General tab of the Attribute Dimension Properties dialog box to choose a name and dimension type (such as string or Boolean attribute.

To display this dialog box, right-click an attribute dimension in the metaoutline and select Properties. An attribute dimension is indicated by the [image] icon next to a dimension name in the metaoutline.

Select one of the following tabs for more help:

Dialog Box Items

Name text box | Type a new name for the attribute in this box.
Attribute Dimension Type drop-down list box | Select the dimension type from this list. Attribute dimension types are Text, Numeric, Date, and Boolean. The list displays the types that are applicable to the members of this attribute dimension.
Description text box | Type an optional description for the attribute in this text box.

Related Topics


Attribute Member Names Dialog Box

The Attribute Member Names dialog box enables you to define names and properties for attributes. You can set calculations, numeric ranges, dates, and Boolean values. The dialog box contains the following tabs:

To display this dialog box, right-click the metaoutline name in the OLAP Metaoutline main window and select Attribute Member Names.

Member Name Format Tab

Calculations Tab

Boolean and Date Tab

Numeric Ranges Tab

Related Topics


Attribute Member Names Dialog Box- Boolean and Date Tab

Attribute Member Names Dialog Box – Boolean and Date Tab

This tab enables you to set unique names for Boolean attributes, and specify the format for date attributes. You must have unique member names in the OLAP model. If you have another member named True, you must rename the Boolean attributes in this tab.

To display this dialog box, right-click the metaoutline name in the OLAP Metaoutline main window and select Attribute Member Names, and then select the Boolean and Date tab.

Select one of the following tabs for more help:

Dialog Box Items

True Member Name text box | Type a unique True attribute member name. You can rename the value as Yes, Allowed, or another appropriate name. The default member name is True.
False Member Name text box | Type a False attribute member name. You can rename the value as No, Not Allowed, or another appropriate name. The default member name is False.
Date Member Names options | Select one of two date formats: mm-dd-yyyy displays the month before the day: October 18,1999 is displayed as 10-18-1999. dd-mm-yyyy displays the day before the month: October 18,1999 is displayed as 18-10-1999.

Related Topics


Attribute Member Names Dialog Box-Calculations Tab

Attribute Member Names Dialog Box – Calculations Tab

This tab enables you to set member names for calculations on attribute dimension members. Each calculation must have a unique name. For example, if another member name is Sum, then you must enter a new name for the Sum Member Name in an attribute. For example, you can change the name from Sum to Total. Min can be renamed Minimum, and so forth. The default calculation is Sum.

Sum does not always calculate a simple sum. Sum totals members based on their consolidation property or formula. For example, you can Sum the Profit% for 12 Ounce drinks, and the Sum will be based on the Profit% formula, which is profit divided by sales, with the resulting ratio multiplied by 100.

The Sum of Profit% uses the same formula. The Sum of Profit% for base members with Ounces attribute 12 is found by summing the profits for those members and dividing by the sum of the sales for those members. The resulting ratio is multiplied by 100 for the final Profit%. Note that this calculation is not the sum of all percentages for all base members with the Ounces attribute 12.

To display this dialog box, right-click the metaoutline name in the OLAP Metaoutline main window and select Attribute Member Names, and then select the Calculations tab.

Select one of the following tabs for more help:

Dialog Box Items

Dimension Name text box | Rename the Attribute Calculations Dimension in this text box.
Sum Member Name text box | Rename Sum in this text box. Sums members based on their consolidation property or formula.
Count Member Name text box | Rename Count in this text box. Calculates the number of members with the specified attribute or combination of attributes. Count includes only those members that have data blocks in existence.
Min Member Name text box | Rename Min in this text box. Calculates the minimum data value for a specified attribute or combination of attributes.
Max Member Name text box | Rename Max in this text box. Calculates the maximum data value for a specified attribute or combination of attributes.
Average Member Name text box | Rename Average in this text box. Calculates a mechanical mean (average) of the values for a specified attribute or combination of attributes. The average includes only those members that have data blocks in existence (sum divided by count).

Related Topics


Attribute Member Names Dialog Box-Member Name Format Tab

Attribute Member Names Dialog Box – Member Name Format Tab

This tab enables you to assure that a Boolean, date, or numeric attribute name is unique by assigning a prefix or suffix. Note that a metaoutline does not display the full attribute member name after you have assigned a prefix or suffix identifier. You can view the full attribute names when you retrieve information. For example, full attribute names are displayed when you view a spreadsheet.

To display this dialog box, right-click the metaoutline name in the OLAP Metaoutline main window and select Attribute Member Names. The Member Name Format tab is displayed by default.

Select one of the following tabs for more help:

Dialog Box Items

Value options | Select a value such as Parent for the Prefix or Suffix. You can indicate that no prefix or suffix will be used by selecting None. If you select a value option other than None, Integration Services displays the selected value and an underscore separator ( _ ) as the default.
Separator options | Select a Separator to be used with the member name prefix or suffix. The default separator is an underscore ( _ ).
Prefix/Suffix options | Select the Prefix or Suffix option. The default is Prefix.
Sample options | Displays an example attribute name based on the selections made in this dialog box.

Related Topics


Attribute Member Names Dialog Box - Numeric Ranges Tab

Attribute Member Names Dialog Box – Numeric Ranges Tab

Members of numeric attribute dimensions can represent ranges of values. This tab enables you to set the numeric attribute name as the top (highest number) or bottom (lowest number) in a numeric range.

To display this dialog box, right-click the metaoutline name in the OLAP Metaoutline main window and select Attribute Member Names, and then select the Numeric Ranges tab.

Select one of the following tabs for more help:

Dialog Box Items

Tops of ranges option | Click to set the name of an attribute to the value at the top of the numeric range. If the range is 3,000,001 to 6,000,000, selecting this option sets the name as 6,000,000. The default setting is Tops of ranges.
Bottoms of ranges option | Click to set the name of an attribute to the value at the bottom of the numeric range. If the range is 3,000,000 to 5,999,999, selecting this option sets the name as 3,000,000.

Related Topics


Attribute Member Properties Dialog Box-Boolean Value Tab

Attribute Member Properties Dialog Box – Boolean Value Tab

The Boolean Value tab of the Attribute Member Properties dialog box enables you to set Boolean parameters for the attribute member.

Additions, deletions, and other selections take effect after you click OK.

To display this dialog box, right-click an attribute member in the metaoutline and select Properties, and then select the Boolean Value tab. An attribute member is indicated by the [image] icon next to the attribute member name in the metaoutline.

Select one of the following tabs for more help:

Related Procedures

Specifying Attribute Boolean Names and Date Formats

Dialog Box Items

Apply Values As | Select True or False, and then specify the criteria for the attribute. For example, you might choose to set True to a criteria that population is equal to 3,000,000, or that package type is equal to can.
Delete | Click this box to delete this line.
AND/OR | Select And or Or from the drop-down list. You make this choice after adding a new line. The And/Or selection sets the logical link between the separate lines.
Case | Click this box to set case-sensitive criteria.
Operator | Select = (equal) or != (not equal) from the drop-down list.
Value | Select a value from the valid choices in this drop-down list. Value options are: NULL BLANKS FALSE TRUE
Add | Adds a line to increase the number of Boolean criteria you can use. After clicking Add, you determine how the new line with be used with existing lines by choosing And or Or.


Attribute Member Properties Dialog Box- General Tab

Attribute Member Properties Dialog Box – General Tab

The General tab of the Attribute Member Properties dialog box enables you to set the base dimension level with which a previously-defined attribute member should be associated. All base dimension members associated with members of a particular attribute dimension must be at the same level.

To display this dialog box, right-click an attribute member in the metaoutline and select Properties. The General tab is displayed by default. An attribute member is indicated by the [image] icon next to the attribute member name in the metaoutline.

Select one of the following tabs for more help:

Dialog Box Items

Name text box

Displays the name, including dimension, of the attribute member you selected.

Association

Select an option to associate the attribute member with a base dimension member.

  • By Level - use to associate the attribute with a base dimension level. Type the base dimension level or select a level from the drop-down list.

  • By Metaoutline Member - select to associate the attribute with a base dimension name from the drop-down list.

The drop-down list does not display member names that are self-joined.

  • None - the default setting when an attribute cannot be associated with a base dimension. Only the lowest (leaf member) can be associated with a base dimension.

Note: For aggregate storage metaoutlines, you cannot associate an attribute-enabled column with the Accounts dimension.

Description text box

Enter optional information describing the attribute level association.

Related Topics


Attribute Member Properties Dialog Box-Numeric Range Tab

Attribute Member Properties Dialog Box – Numeric Range Tab

The Numeric Range tab of the Attribute Member Properties dialog box enables you to enter the starting point and size for each attribute member numeric range. Numeric ranges can be integers or float variables.

To enter a range, you enter the lowest number in the Start text box, and an incremental number in the Size text box. The Size number defines a series of ranges until the next-highest start. For example, a Start of 100, with a Size of 50, would define a set of ranges. The first range would be 100 to 150, the second would be 151 to 200, the third would be 201 to 250 and so forth. The ranges continue to increment in this way until they reach the next Start value that you enter.

For the lowest and highest ranges, Size provides a drop-down list. For the low range (first range) select <below> from the Size drop-down list. For the high range (last range) select <above> from the Size drop-down list. For example:

  • To set the first range as "numbers below 2500," type 2500 in the Start text box, and select <below> from the Size drop-down list.

  • To set the last range as "numbers above 5000," type 5000 in the Start text box, and select <above> from the Size drop-down list.

To display this dialog box, right-click an attribute member in the metaoutline and select Properties, and then select the Numeric Range tab. An attribute member is indicated by the [image] icon next to the attribute member name in the metaoutline.

Select one of the following tabs for more help:

Related Procedures

Specifying Numeric Ranges for Attributes

Setting Numeric Ranges for Attribute Members

Dialog Box Items

Delete check box | Click this box to delete this line.
Start text box | Enter the lowest number in the range in this text box.
Size text box | Enter the size of the range. You can choose <below> or <above> from the drop-down list for the first and last ranges, respectively.
Add button | Click to add another line for a range.


Column

A column is a vertical list of fields within an OLAP model.


Creating Dimensions, Member Levels, and Measures

Related Topics

The OLAP model in the left frame of the OLAP Metaoutline main window can contain dimensions, hierarchies, columns, and measures. These are the OLAP model objects that you can drag to the right frame of the OLAP Metaoutline main window to create dimensions, member levels, and measures in the metaoutline.

Object Dragged | Object Created | Example
Dimension, | New dimension. | The Product dimension of the left frame creates a Product dimension in the right frame.
Hierarchy, | New dimension that contains the hierarchy. | The Quarter, Month hierarchy of the left frame creates a Year dimension in the right frame. The Year dimension contains the Quarter and Month member levels arranged hierarchically.
Text Column, | New dimension that contains a member level based on the text column. | The FAMILY_ID column of the left frame creates a Product dimension in the right frame. The Product dimension contains the FAMILY_ID member level.
Numeric Column, | New dimension that contains a member level that is based on the numeric column. | The REGION column of the left frame creates a Market dimension in the right frame. The Market dimension contains a REGION member level.
Measure, | New dimension that is tagged as Accounts and that contains a measure based on the Accounts value. | The ADDITIONS column of the left frame creates an Accounts dimension in the right frame. The Accounts dimension contains the ADDITIONS member level.
Attribute Dimension | New Attribute dimension containing new Attribute member. | The POPULATION.POPGROUP attribute member creates the new attribute dimension POPGROUP with the member POPULATION.POPGROUP.
Time column | New dimension that is tagged as Time and that contains a member level based on the Time column. | The Month column of the left frame creates a Year dimension in the right frame. The Year dimension contains the Month member level.

When you drag an object to the right frame, the object creates a new dimension at the bottom of the metaoutline. Essbase Integration Server assigns the new dimension its corresponding OLAP model object name.

For example, if you drag the POPULATION measure to the right frame, the POPULATION measure creates a MARKET dimension with the POPULATION measure inserted under it.


OLAP Metaoutline Properties Dialog Box - Database Measures Tab

OLAP Metaoutline Properties Dialog Box – Database Measures Tab

Select the Database Measures tab to view all measures defined in the metaoutline. You can add, edit, or delete one or more measures from this tab.

To display this dialog box, open a metaoutline. Right-click the metaoutline name and select Properties, and then select the Database Measures tab.

Select one of the following tabs for more help:

Related Procedures

Setting OLAP Metaoutline Properties

Creating a Measure Dimension

Dialog Box Items

Measures list box

Displays a list of the measures defined in the metaoutline. You can select a measure to edit or delete it. The Name column lists the name of every defined measure. The Relational Column lists every OLAP model member that is associated with a defined member. The Member column lists the metaoutline member levels.

Edit button

Click to rename a measure. If you edit a measure, you can change the following properties:

  • The name of the selected measure

  • The column on which the selected measure is based

  • Filters defined on the selected measure

  • Transformations to perform on the selected measure

Add button

Click to create a measure. Use a measure in a metaoutline to track only one measure, such as SALES.

You can create a measure if there are no other measures defined in the metaoutline. If there are other measures defined, their names are displayed in the list box, and the Add button is disabled.

Delete button

Click to delete a selected database measure dimension from the Dimensions list box.

If no database measure dimension is selected in the Dimension list box, the Delete button is disabled.


Delete an OLAP Model/Metaoutline Dialog Box

The Delete an OLAP Model/Metaoutline dialog box lists all metaoutlines stored in the OLAP Metadata Catalog to which you are connected. When you delete a metaoutline, Essbase Integration Server removes the metaoutline from the OLAP Metadata Catalog.

If you attempt to delete a metaoutline that you or another user currently has open, a dialog box informs you that the metaoutline is currently locked. If you have the metaoutline open, close the metaoutline and select Connections > OLAP Metadata Catalog > Delete Locks. If other users have the metaoutline open, you must wait until they close it.

Caution You cannot undo the deletion of a metaoutline.

To display this dialog box, select File > Delete. It is not necessary to have an OLAP model or metaoutline open to access this dialog box.

Related Procedures

Deleting Metaoutlines

Dialog Box Items

Delete an OLAP Model/Metaoutline list box

Select the metaoutline to delete and click Delete.

To select multiple metaoutlines to delete, select one metaoutline, hold down the Ctrl key, and select additional metaoutlines.

Integration Services displays a dialog box prompting you to confirm that you want to delete the metaoutlines.

Description list box

Contains the description entered by the user who originally saved the metaoutline. The description can include 255 characters. You can use File > Save As to change the description.

Related Topics


Dimension Properties Dialog Box - General Tab

Dimension Properties Dialog Box – General Tab

Select the General tab to rename a dimension or measure. This dialog box also provides information on the type of dimension and on the associated OLAP model dimension.

To display this dialog box, right-click a dimension in the metaoutline and select Properties. The General tab is displayed by default.

Select one of the following tabs for more help:

Dialog Box Items

Name text box | Enter the new name in the Name text box. See Naming Conventions.
Type text box | Displays the data source as either dimension or measure.
OLAP Model Dimension text box | Displays the name of the corresponding dimension in the related OLAP model.

Related Topics


Dimension Properties Dialog Box - Outline Build Tab

Dimension Properties Dialog Box – Outline Build Tab

Select the Outline Build tab to handle duplicate names in the Essbase outline. You also use the Outline Build tab to specify storage properties for alternate hierarchies in Essbase outlines built from aggregate storage metaoutlines.

To display this dialog box, right-click a dimension in the metaoutline and select Properties. Then select the Outline Build tab.

Related Procedures

Handling Duplicate Member Names

About Handling New Members During a Data Load

Handling Outline Alternate Hierarchies in Aggregate Storage Databases

Select one of the following tabs for more help:

Dialog Box Items

Enabled check box

Select to add new members to a miscellaneous member in the Essbase outline. If Enabled is not selected, all other controls are not selectable.

Name text box

Enter the name of the miscellaneous member; for example, Misc.
See Naming Conventions.

Prefixed with Dimension Name option

Select to include the dimension name as a prefix to the new miscellaneous member name. For example, Product is the dimension that contains the members 100 and 200. If the new member name 300 is added to the miscellaneous dimension, the new member name is Product300.

If the Enabled check box is not selected, this option is not selectable.

Suffixed with Dimension Name option

Select to include the dimension name as a suffix to the new miscellaneous member name. For example, Product is the dimension that contains the members 100 and 200. If the new member name 300 is added to the miscellaneous dimension, the new member name is 300Product.

If the Enabled check box is not checked, this option is not selectable.

No Prefix or Suffix option

Select if you do not want to add a prefix or suffix to the name of the miscellaneous member.

For example, Product is the dimension that contains the members 100 and 200. If the new member name 300 is added to the miscellaneous dimension, the new member name is 300.

If the Enabled check box is not selected, this option is not selectable.

Duplicate Member Names options

Select one of the following options:

  • Ignore

  • Add as shared members

  • Move members

  • Share members/move if no parent (Gen2)

See Duplicate Member Names Options for a complete description of these options.

Outline Hierarchy Information options

For aggregate storage metaoutlines, select one of the following options:

  • Stored at Dimension Level

Note: This is the default for regular dimensions.

  • Dynamic at Dimension Level

Note: This setting is required for the Accounts dimension.

  • Stored for All Alternate Hierarchies

  • Specify Stored Hierarchy Names Separated with Comma

See Outline Hierarchy Information Options for a complete description of these options.

Notes:

  • The Outline Hierarchy Information options are ignored by Integration Server when the data storage model property for the metaoutline is set to Block Storage.

  • If you tag a compression dimension with any option other than Dynamic at Dimension Level, that dimension will be tagged as a dynamic dimension when it is loaded into Essbase.


Duplicate Member Names Options

The options in the Duplicate Member Names group apply to metaoutlines that support both unique and duplicate names. In the Duplicate Member Names group, select one of the following options:

  • Select Ignore to ignore duplicate member names while building the Essbase outline. Integration Server does not load the members into the Essbase outline.

  • Select Add as shared members to create the duplicate member names as shared members in the Essbase outline. The data associated with a shared member is stored in the real member. For example, the data for the second 300-30 member (under Diet) is stored in the first 300-30 member (under 300).

Note: In order to have shared members in a duplicate member names metaoutline, the member key column must be specified, as described in Specifying Key Columns for Duplicate Members. Integration Server uses the assigned key to uniquely identify the base member. For recursive hierarchies in a duplicate member name metaoutline, the member column acts as the key column by default.

  • Select Move members to move duplicate members within recursive hierarchies. This option is the default when the hierarchy is recursive.

  • Select Share members/move if no parent (Gen2) to move generation 2 members within recursive hierarchies. See the example on generation 2 members. This option is available when the hierarchy is recursive.

If you are not sure which option to select, see About Duplicate Member Names.


Dimensions

In a metaoutline, the categories that represent the highest level of organization are called dimensions. A metaoutline dimension can have one or more member levels. Each dimension in a metaoutline corresponds exactly to a dimension in a related Essbase outline. For example, if a metaoutline has a Product dimension, the Essbase outline has a Product dimension. Every dimension that you create in a metaoutline becomes a dimension in the Essbase outline.

TBC Metaoutline, a sample metaoutline provided with Essbase Integration Services, contains the following dimensions: Year, Measures, Product, Market, and Scenario.


Distinct Clause - Overview

Distinct Clause – Overview

If the leaf node of a given dimension should be distinct, you can choose to add the DISTINCT clause to the Select statement. During a member load, only the distinct combination of columns in the Select statement is returned, resulting in a quicker member load. You might want to use this option, for example, if you have created a Time dimension from the fact table.


Enter the New Dimension's Name Dialog Box

Create a user-defined dimension or member when you want to add more dimensions or member levels to the metaoutline than are provided in the OLAP model.

To display this dialog box, open a metaoutline and select the metaoutline name in the right frame, and then select Edit > Add Member as Child. Alternatively, select a dimension in the metaoutline, and then select Edit > Add Member as Sibling. The Enter the new dimension’s name dialog box is displayed.

Type the name of the new dimension as you want it to appear on the metaoutline; for example, Scenario. (See Naming Conventions.)

If necessary, drag the newly created dimension to the appropriate location in the metaoutline. See Creating Dimensions, Member Levels, and Measures.

Related Topics


Enter the New Member's Name Dialog Box

Create a user-defined dimension or member when you want to add more dimensions or member levels to the metaoutline than are provided in the OLAP model.

To display this dialog box, open a metaoutline and select a dimension name in the right frame, and then select Edit > Add Member as Child. Alternatively, select a member name in the metaoutline, and then select Edit > Add Member as Sibling. The Enter the new member’s name dialog box is displayed.

Type the name of the new member level as you want it to appear on the metaoutline; for example, Scenario. See Naming Conventions.

If necessary, drag the newly created member level to the appropriate location in the metaoutline. See Creating Dimensions, Member Levels, and Measures.

Related Topics


Extra Joins - Overview

Extra Joins – Overview

If you select Remove Extra Joins to optimize data loads, extra joins are removed when Essbase Integration Services determines that the fact table has sufficient information to obtain information about level zero dimension members for a data load. If a surrogate key is used in a join, the surrogate key is loaded into Essbase as an alias, and the join is eliminated in the data load.


OLAP Metaoutline Properties Dialog Box - General Tab

OLAP Metaoutline Properties Dialog Box – General Tab

Select the General tab to view descriptive information about the selected metaoutline.

To display this dialog box, open a metaoutline. Right-click the metaoutline name and select Properties. The General tab is displayed by default.

Select one of the following tabs for more help:

Related Procedures

Setting OLAP Metaoutline Properties

Dialog Box Items

Name text box | Displays the name of the metaoutline.
Description list box | Contains the metaoutline description entered by the user who originally saved the OLAP model. The description can include 255 characters. You can change the metaoutline description at any time.
OLAP Model text box | Displays the name of the OLAP model on which the selected metaoutline is based.
Last Saved text box | Displays the date and time on which the selected metaoutline was last saved.
Last Data Load text box | Displays the date and time on which the last data load was performed, the Essbase Server name, and the application and database names that were designated at the time of the load.


OLAP Metaoutline Properties Dialog Box - Governors Tab

OLAP Metaoutline Properties Dialog Box – Governors Tab

Select the Governors tab to set a query governor.

To display this dialog box, open a metaoutline. Right-click the metaoutline name and select Properties, and then select the Governors tab.

Select one of the following tabs for more help:

Related Procedures

Setting OLAP Metaoutline Properties

Dialog Box Items

Maximum Time per Query text box

Enter the maximum query time in seconds; for example, 100. After 100 seconds, Integration Server stops retrieving rows.

Maximum Rows per Query text box

Enter the maximum number of rows to retrieve; for example, 200. After 200 rows, Integration Server stops retrieving rows.

Warning: Whether or not Integration Server loads the retrieved rows before stopping the query depends on the Isolation Level setting in the Essbase database. For more information, see the Oracle Essbase Database Administrator’s Guide.

View Sample options

If you are setting a query governor to view a sample outline or dimension, select one of the following options:

  • Stop at first level 0 member for each dimension to see the structure of an Essbase outline or the structure of a dimension without including all members. A level 0 member is a leaf level member—a member with no members below it in the hierarchy.

  • Build entire branch to view the dimension as it is displayed in the Essbase outline. If the number that you enter for the duration or the size of the query is smaller than the entire branch, Integration Server stops when it reaches the duration or size limit.

Notes:

  • If there is a shared member in the dimension, set the query governor to Build entire branch.

  • Integration Server truncates sample outlines if they contain more than 32,767 members.


Hierarchy

A hierarchy defines the organizational structure of a group of member levels or a group of members. For example, a standard time hierarchy in a metaoutline might contain the member levels Quarter and Month and thus create, in the associated Essbase outline, members such as 1996, Quarter1, and January members.


Hybrid Analysis

Related Topics

Because relational databases can store several terabytes of data, they offer nearly unlimited scalability. Multidimensional databases are generally smaller than relational databases but offer sophisticated analytical capabilities. With Hybrid Analysis, you can integrate a relational database with an Essbase database and thereby leverage the scalability of the relational database with the conceptual power of the multidimensional database.

Hybrid Analysis eliminates the need to load and store lower-level members and their data within the Essbase database. Instead, lower-level members and their data remain in the relational database and are mapped to the Hybrid Analysis-defined outline residing in the Essbase database. This feature gives Essbase the ability to operate with almost no limitation on outline sizes and provides for rapid transfer of data between Essbase databases and relational databases.

Hybrid Analysis integrates a relational database with an Essbase multidimensional database so that applications and reporting tools can directly retrieve data from both databases. The graphic below illustrates the Hybrid Analysis architecture:

Hybrid Analysis Relational Source

The initial step in setting up Hybrid Analysis is to define the relational database as a Hybrid Analysis relational source (1 in the graphic shown).

You first specify the relational data source for the OLAP model. To build the model, Integration Services accesses the star schema of the relational database (a in the graphic shown).

Using the model, you define hierarchies and tag level members to be Hybrid Analysis-enabled. You then build the metaoutline down to the desired Hybrid Analysis level.

Next, you perform a member load which adds dimensions and members to the outline (b in the graphic shown). When the member load is complete, you run a data load to populate the Essbase database with data (c in the graphic shown). At this point, the Hybrid Analysis architecture is in place:

  • The lower level members and their associated data remain in the relational database.

  • The data in the relational database is mapped to the Hybrid Analysis-defined outline.

  • The outline resides in the Essbase database.

  • The upper level members and their associated data reside in the Essbase database.

Data Retrieval

Applications and reporting tools, such as spreadsheets and Report Writer interfaces, can directly retrieve data from both databases (2 in the graphic shown). Using the dimension and member structure defined in the outline, Essbase determines the location of a member and then retrieves data from either the Essbase database or the Hybrid Analysis relational source. If the data resides in the Hybrid Analysis relational source, Essbase retrieves the data through SQL commands.

If you want to modify the outline, you can use the Administration Services Console Outline Editor to enable or disable dimensions for Hybrid Analysis on an as-needed basis. (3 in the graphic shown).

Defining the Hybrid Analysis Relational Source

To define the Hybrid Analysis relational source, perform the following steps:

1 Specify the relational data source.

The OLAP model is created from tables and columns in the relational database. To build the model, Integration Services accesses the star schema of the relational database.

2 In the OLAP model, define the hierarchies that you will use for Hybrid Analysis .

3 Use the Build Multidimensional Down to Here command to select the level members that will reside in the Essbase multidimensional database.

4 Use the Enable Hybrid Analysis Down to Here command to select the member levels that will remain in the relational database.

5 Run a member load to add dimensions and members to the outline.

6 Run a data load to populate the Essbase database with data.

Note: You can define dimensions as Hybrid Analysis-enabled except the accounts dimension. This restriction is necessary because all members of an accounts dimension, including lower-level members, must remain in the Essbase database.

Also, a metaoutline with a recursive dimension cannot be used with Hybrid Analysis.

Please see Hybrid Analysis Guidelines for more information on enabling Hybrid Analysis in metaoutines.


Limitations on Transformation Rules with Hybrid Analysis

Related Topics

Overview

Hybrid Analysis sets the following limitations on transformation rules:

  • A database value cannot have a separator character that is the same as used for the prefix or suffix.

  • A member name cannot be more than 80 characters in length (excluding blanks).

  • A prefix or suffix must have a separator associated with it.

  • The relational database value cannot have trailing blanks.

  • If spaces are converted to underscores during a transformation, then the Hybrid Analysis Manager assumes there are no underscores present in the database value.

  • The use of all ancestors as a prefix or as a suffix is not supported.


Managing Data Consistency in Hybrid Analysis

Related Topics

When you create a Hybrid Analysis relational source, your data and metadata are stored and managed in the relational database and the Essbase database:

  • The lower-level members and their associated data remain in the relational database.

  • The data in the relational database is mapped to the outline that is Hybrid Analysis defined.

  • The outline resides in the Essbase database.

  • The upper-level members and their associated data reside in the Essbase database.

Because the data and metadata exist in different locations, information may become out of sync.

Essbase depends upon the OLAP Metadata Catalog in Integration Services to access the Hybrid Analysis relational source. At Essbase database startup time, Essbase Server checks the number of dimensions and members of the Essbase outline with the related metaoutline. Changes made to the associated OLAP model or metaoutline during an Integration Services session are not detected by Essbase Server until the Essbase database is started again. Undetected changes can cause data inconsistency between the Essbase database and the Hybrid Analysis relational source.

If changes are made in the Hybrid Analysis relational source and members are added or deleted in an OLAP model or metaoutline, such changes can cause the Essbase outline to be out of sync with the metaoutline on which it is based. These types of changes and their effect on the hierarchical structure of a dimension are not reflected in the Essbase database until the outline build and data load process is completed through Integration Services Console.

In Application Manager, the Restructure Database dialog box has a check box that enables a warning whenever a restructuring affects an outline containing a Hybrid Analysis relational source. Such a problem occurs, for example, if members with relational children are moved or deleted. Warnings are listed in the application log file. You should decide if these warnings reflect a threat to your data consistency.

The Essbase administrator has the responsibility to ensure that the Essbase multidimensional database, the relational database, and the Integration Services OLAP model and metaoutline remain in sync. Both Essbase Administration Services Console and Integration Services Console provide commands that enable the administrator to perform consistency checks and make the appropriate updates.


Measures

The Essbase database calculates data values (measures) for each dimension intersection. Measures include items such as SALES and COGS (cost of goods sold). If you do not define at least one measure in a metaoutline, Essbase Integration Server cannot validate the metaoutline or use the metaoutline to build an Essbase outline.


Member and Data Load Optimization - Overview

To optimize performance of Essbase Integration Services provides a fast and efficient way of creating an Essbase cube. This includes the following load optimization options for improving member and data load performance:

  • Use Distinct Clause: If the leaf member of a given dimension should be distinct, you can choose to add the distinct clause to the Select statement. During a member load, only the distinct combination of columns in the Select statement is returned, resulting in a quicker member load. You might want to use this option, for example, if you have created a Time dimension from the fact table.

  • Use Outer Join: Use of this feature enables you to view all columns in your Essbase cube, whether or not the columns between two joined tables are identical.

  • Allow Duplicate Shared Members: This feature allows the same member to be shared multiple times under the same parent. This option speeds up the creation of the Essbase outline.

  • Remove Extra Joins: This feature removes extra joins whether or not a surrogate key is used for a data load. If a surrogate key is used in a join, the surrogate key is loaded into Essbase as an alias, and the join is eliminated in the data load. This can result in significantly faster data load SQL.

  • Use User-defined SQL: This option enables you to use an edited version of the standard SQL generated by Integration Server.


Member Properties Dialog Box - General Tab

Member Properties Dialog Box – General Tab

Select the General tab to rename a dimension, member level, or measure. This tab also provides information on the type of member level, the name of the physical table and the physical column, and the key column associated with each generation name.

If you plan to create an Essbase outline with duplicate member names, you specify in this tab the key column from the data source that contains the unique identifying information for the member.

To display this dialog box, open a metaoutline. Right-click a member name and select Properties. The General tab is displayed by default.

Related Procedures

Setting Dimension or Member Level Properties

Specifying Key Columns for Duplicate Members

Specifying the Member Name Column for Recursive Hierarchies

Select one of the following tabs for more help:

Note: The Dynamic Time Series tab is not accessible from the Member Properties dialog box. Access the Dynamic Time Series tab on the Dimension Properties dialog box.

Dialog Box Items

Name text box

Type a name for a dimension, member level, or measure.

See Naming Conventions.

Type text box

Displays the data source as database member or measure or as non-database member (for user-defined members).

Physical Table text box

Displays the name of the physical table in the relational data source that contains the column on which the new column is based. User-defined members are displayed as n/a.

Member Key Column drop-down list box

Select the name of the column in the data source that contains the member key to apply to shared members from a duplicate base member.

The Member Key Column is used to support shared and duplicate members in Essbase outlines that support duplicate member names. It is the column in the data source that contains the unique identifying information for duplicate or shared members.

Note: In metaoutlines specified to create outlines that only support unique member names, this option is ignored for generation-based members; but used by recursive hierarchies to provide member names.

In metaoutlines specified to create outlines that support duplicate member names, this option is used by both generation-based members and recursive hierarchies.

Parent Key Column text box

Displays the parent column name of the Member Key Column.

Note: This text box is displayed for metaoutlines specified to create outlines that support unique or duplicate member names, but only if the child column in a recursive hierarchy is selected in the metaoutline.

This text box is not displayed for generation-based members in metaoutlines specified to create outlines that support either unique or duplicate member names.

Member Name Column drop-down list box

Optional. When the metaoutline has been specified to create an Essbase outline that supports duplicate member names, select the column in a recursive hierarchy that contains the names you want to display to the end user at the outline or spreadsheet level.

Note: This option is ignored in metaoutlines specified to create outlines that support only unique member names.

This option is not available for generation-based members in metaoutlines specified to create outlines that support either unique or duplicate member names.

Unique Key Column check box

If you select a member within a dimension that is specified for Advanced Relational Access, select this check box to specify if the Key Column is unique for the selected generation level.


Member Levels and Members

A member level in a metaoutline is representative of the levels of members that will be included in a hierarchy of the associated Essbase outline. A member is a data value. For example, in the Market dimension, Region, State, and City are columns in the OLAP model and member levels in the metaoutline. Members of REGION (Central, East, South, and West) are data values in the relational database or flat file data source, and members in the metaoutline and the Essbase outline.


Metaoutline

A metaoutline is a template containing the structure and rules for creating an Essbase outline from an OLAP model.

A metaoutline is made up of dimensions and member levels and is organized hierarchically. Essbase Integration Services provides a graphical representation of metaoutline hierarchy. Each dimension and member level of the displayed metaoutline is represented in a collapsible tree diagram. The branches immediately below the metaoutline name are dimensions, and the branches below the dimension names are member levels.

A metaoutline is based on one existing OLAP model. You can base multiple metaoutlines on the same OLAP model.


OLAP Metaoutline Properties Dialog Box - Drill-Through Reports Tab

OLAP Metaoutline Properties Dialog Box – Drill-Through Reports Tab

Select the Drill-Through tab to specify the actions that spreadsheet client users can perform after they open a drill-through report. You can determine whether users must enter a specific Integration Server name and whether users must enter a database user name and password.

To display this dialog box, open a metaoutline. Right-click the metaoutline name and select Properties, and then select the Drill-Through Reports tab.

Select one of the following tabs for more help:

Related Procedures

Specifying the Essbase Integration Server Name

Specifying a Database User Name and Password

Specifying an Alternate Integration Server for Drill-Through Reports

Dialog Box Items

Always prompt for Essbase Integration Server name check box

Forces spreadsheet users to enter the name of the Essbase Integration Server computer to which they want to connect.

Always prompt for database user name and password check box

Forces spreadsheet users to enter a database user name and password the first time they log on to the data source.

Alternate Integration Server

Displays the name of the Integration Server to which you are currently connected. The default display is:

<Integration Server Name>:3388

To access a different Integration Server instance for executing drill-through reports, type the computer name on which the alternate Integration Server is running and the port number (separated by a colon).

For example,

cypress:3390

Note that until you change it, the Integration Server name that you just entered will remain in the Alternate Integration Server text box, even upon subsequent logins to Integration Services.


Specifying the Essbase Integration Server Name - Overview

You can determine whether spreadsheet client users must enter the name of the Integration Server to which they want to connect. If spreadsheet users do not enter the Integration Server name, Essbase Spreadsheet Add-in or Smart View connects to the Integration Server that was used to create the drill-through report. If you have many users, connecting them to different Integration Servers enables you to balance the load across multiple Integration Servers and to increase performance.

If you use multiple Integration Servers, each Integration Server must use the open database connectivity (ODBC) data source name for the external data source and the ODBC data source name for the OLAP Metadata Catalog that are specified in the OLAP model.

For example, suppose that you create the OLAP model on Integration Server1 and use OLAP TBC as the ODBC data source name for the external data source and OLAP_MD as the ODBC data source name for the OLAP Metadata Catalog. On Integration Server2, the external data source must also use OLAP TBC and the OLAP Metadata Catalog should also use OLAP_MD as the ODBC data source names.

To have spreadsheet client users connect to the default Integration Server, clear Always prompt for Essbase Integration Server name.


Specifying a Database User Name and Password - Overview

Specifying a Database User Name and Password – Overview

You can determine whether spreadsheet users must enter a user name and password to log on to the data source. This requirement can provide a layer of security by determining who can access the data source for drill-through reports.

By selecting to always prompt for database user name and password, spreadsheet users are required to enter a user name and password to log on to the data source for the first drill-through report accessed in the current session. After the initial logon, users can access subsequent drill-through reports from the same data source during the current session.

If you do not always prompt for the database user name and password, spreadsheet users who connect to the source database use the same user name and password of the user who created the drill-through report. The user who created the report may have higher privileges than is appropriate for spreadsheet users.

To allow spreadsheet client users to connect using the same database user name and password as the user who created the drill-through report, clear Always prompt for database user name and password.


Menu Bar

You use the menu bar to perform commonly used commands.

You use the pop-up menu that is displayed when you right-click an object to perform operations on the selected object.


OLAP Metaoutline Properties Dialog Box - Data Storage Model Tab

OLAP Metaoutline Properties Dialog Box – Data Storage Model Tab

Select the Data Storage Model tab to set the data storage properties for an Essbase database. You can also specify whether the metaoutline creates an Essbase outline with duplicate member names.

To display this dialog box, open a metaoutline. Right-click the metaoutline name and select Properties, and then select the Data Storage Model tab.

Select one of the following tabs for more help:

Related Procedures

Specifying Data Storage Properties in a Metaoutline

Setting the Data Storage Model Property in a Metaoutline

Creating an Essbase Outline with Duplicate Member Names

Dialog Box Items

Data Storage Options

Select one of the following options to define the data storage model that will be used by Integration Server to create the Essbase database:

Automatically determined by Integration Server. Select this option and Integration Server determines the best storage option for the metaoutline. This is the default.

Block Storage. Select this option to store data in block storage format. Use this option when you require one or more dense dimensions in the metaoutline and Essbase outline.

Aggregate Storage. Select this option to store data in aggregate storage format. Use this option when the metaoutline and Essbase outline contains a large number of sparse dimensions and one or no dense dimensions.

Show Aggregate Storage Option Validation Errors/ Warnings check box

Select this check box to display all aggregate storage validation errors and warnings in the OLAP Metaoutline Validation Errors dialog box when verifying the metaoutline (File > Verify) or performing a save operation.

This check box is only selectable when the Aggregate Storage option is selected.

Create Outline with Unique Member Names check box

Selected by default to create an Essbase outline with unique member names.

To create an outline with that supports duplicate member names, clear this check box.


OLAP Metaoutline Properties Dialog Box - Hybrid Analysis Tab

OLAP Metaoutline Properties Dialog Box – Hybrid Analysis Tab

Select the Hybrid Analysis tab to set security options for accessing source data at the spreadsheet level.

Note: If the metaoutline you are working with is connected to multiple data sources, this tab is not accessible.

To display this dialog box, open a metaoutline. Right-click the metaoutline name and select Properties, and then select the Hybrid Analysis tab.

Select one of the following tabs for more help:

Related Procedures

Enabling Hybrid Analysis

Setting Security Options for Hybrid Analysis

Dialog Box Items

Use Essbase user name and password to connect to data source option

Select this option to use a common Essbase user name and password to connect to the data source.

Use user-defined user name and password to connect to catalog and server option

Select this option to use a user-defined user name and password to connect to the OLAP Metadata Catalog and data source.

Catalog

Data Source Name text box

Displays the data source name used to connect to the OLAP Metadata Catalog when you first opened the metaoutline.

You can change the data source name that is displayed by selecting the text and typing another data source name.

User Name text box

Displays the user name used to connect to the OLAP Metadata Catalog when you first opened the metaoutline.

Password text box

Displays the password (shown with asterisks) used to connect to the OLAP Metadata Catalog when you first opened the metaoutline.

Data Source

Data Source Name text box

Displays the data source name used to connect to the data source when you first opened the metaoutline.

You can change the data source name that is displayed by selecting the text and typing another data source name.

User Name text box

Displays the user name used to connect to data source when you first opened the metaoutline.

If the Use Essbase user name and password option is selected, this text box is disabled.

Password text box

Displays the password (shown with asterisks) used to connect to the data source(s) when you first opened the metaoutline.

If the Use Essbase user name and password option is selected, this text box is disabled.


OLAP Metaoutline Properties Dialog Box - Load Optimization Tab

OLAP Metaoutline Properties Dialog Box – Load Optimization Tab

Select the Load Optimization tab to specify options for improving member and data load performance.

To display this dialog box, open a metaoutline. Right-click the metaoutline name and select Properties. Then select the Load Optimization tab.

Select one of the following tabs for more help:

Related Procedures

Setting OLAP Metaoutline Properties

Setting Member and Data Load Optimization

Dialog Box Items

Member load settings

Use distinct clause in member load SQL check
box

Select to invoke the DISTINCT restriction against the entire build record.

For example, if you retrieve two member names from the database that are the same, but retrieve different values for the consolidation flag from a column in the database, those two records would not be seen as the same, and both would be loaded, with the second instance as a shared member. The performance differences from using this option are a function of the external database structure and indexing.

Use outer join for member load check box

Select to view all columns in your Essbase outline, whether or not the columns between the two joined tables are identical; that is, by using an outer join, unmatched rows are included in the results. (This setting is recommended if there are members with no aliases.)

Allow Duplicate Shared Members

Select to allow multiple instances of the same shared member name under a parent. Multiple instances of the same shared member name under different parents are not affected. Selecting this option disables the check for multiple instances of the same member name under one parent and can result in substantial performance improvement for member loads. This option is selected by default.

Note: This option allows duplicate shared members under the same parent. If you are working with a metaoutline that supports duplicate members, this option is ignored.

Data load settings

None

Select to perform a normal data load.

Remove extra joins from data load SQL

Select to remove extra joins whether or not a surrogate key is used for a data load. If a surrogate key is used in a join, the surrogate key is loaded into Essbase as an alias, and the join is eliminated in the data load. This can result in significantly faster data load SQL.

Use user-defined SQL for data load

Select to enable the use of an edited version of the standard SQL generated by Integration Server.


Outer Join - Overview

Outer Join – Overview

Selecting to use outer joins in the Load Optimization tab of the OLAP Metaoutline Properties dialog box enables you to view all columns in the Essbase database, whether or not the columns between two joined tables are identical. The result of a natural (inner) join between two tables includes records where the joined columns match. In any row from Table A in which a join column does not exist in Table B, that row is dropped when data is loaded. In an outer join, however, when an unmatched column is encountered during a data load, the unmatched row is included in the results. The column data of the unmatched portion is replaced with a <NULL> value.

Note: If you are enabling relational storage for Hybrid Analysis in your metaoutline, use outer joins with care. Outer joins can cause discrepancies in the Hybrid Analysis data after performing a member load, data load, or both. For example, if the fact table contains data for any dimension members implicitly removed during a member load, then the Hybrid Analysis data may contain incorrect results.


Outer Join Result Sample

The following sample illustrates outer and inner joins:


Outline Hierarchy Information Options

If the data storage model property for the metaoutline is set to the Aggregate Storage and the resulting Essbase outline could contain alternate hierarchies, select one of the following options for each dimension:

  • Stored at Dimension Level. In the Essbase outline, all data for all members of the dimension is calculated and stored for the dimension. Stored dimensions cannot contain shared members.

Note: This setting is the default for regular dimensions.

  • Dynamic at Dimension Level. In the Essbase outline, all data for all members of the dimension is dynamically calculated upon retrieval. Dynamic dimensions can contain shared members. All hierarchies in a dynamic dimension are dynamic.

Note: This setting is the default and is required for the Accounts dimension.

  • Stored for All Alternate Hierarchies. In the Essbase outline, data is calculated and stored for each alternate hierarchy within the dimension. When you select this option, all Gen 2 members are stored, and the primary hierarchy of the dimension can contain shared members.

  • Specify Stored Hierarchy Names Separated with Comma. In the Essbase outline, data is calculated and stored only for the specified Gen 2 outline alternate hierarchies, which you specify in the text box, separated by a comma. For example, for the TBC Metaoutline, specify the outline alternate hierarchies in the Market dimension in the following format:

West,South

If a member name contains a comma, insert double quotation marks before and after the member name; for example:

"We,st","So,uth"

Notes:

  • The Outline Hierarchy Information options are ignored by Integration Server when the data storage model property for the metaoutline is set to Block Storage.

  • In the Dimension Properties dialog box, Outline Build tab, if you tag a compression dimension with an Outline Hierarchy Information option other than Dynamic at Dimension Level, that dimension will be tagged as a dynamic dimension when it is loaded into Essbase.


Recursive Dimensions - Overview

Recursive Dimensions – Overview

You can create dimensions that contain member levels that are based on the contents of the two columns of a parent-child relationship. These dimensions are called recursive dimensions.

Note: A metaoutline containing a recursive dimension cannot be used with Hybrid Analysis.

For example, consider the following parent-child data source:

CHILD PARENT
Murphy Avenue Sunnyvale
Crossman Avenue Sunnyvale
Fremont Drive Mountain View
Java Drive Sunnyvale

You can use the data source to create the following Essbase outline:

Note: Do not set transformations on members in recursive dimensions.

If you want to assign aliases or UDAs to recursive member levels, you must know whether the alias column or UDA column, as appropriate, applies to the parent column or the child column.


Generation 2 Example

Suppose that you have the following manager-employee organizational chart under the dimension, People:

Record

Manager

Employee

1

Dotty

Donna

2

Nancy

Dotty

3

Dotty

Linda

4

Nancy

Jack

5

ABC Project

Dotty

6

ABC Project

Donna

7

XYZ Project

Jack

If you selected the "Share members/move if no parent (Gen2)" option, the hierarchy created by loading the first record is as follows:

Because Dotty is a Generation 2 member, the first hierarchy is moved down a level when the second record is loaded, as shown in the following example:

When processing record 5, Dotty is no longer a Generation 2 member. The new member Dotty is tagged as a shared member. The following Essbase outline is generated from the recursive hierarchy:

Notes About Relational Table Structure

The table in Example A produces the outline pictured above, without selecting the "Share members/move if no parent (Gen2)" option. Notice that only the order of the records in the relational table has changed.

Example A

Record

Manager

Employee

1

Nancy

Dotty

2

Nancy

Jack

3

Dotty

Donna

4

Dotty

Linda

5

ABC Project

Dotty

6

ABC Project

Donna

7

XYZ Project

Jack

The table in Example B produces an aggregate storage error during the member load. Notice that only the order of the records in the relational table has changed. The reason for the load failure is due to restrictions in building aggregate storage outlines. Changing the order of the rows in the relational table to mimic Example A or using the structure of the original example in combination with using the "Share members/move if not parent (Gen2)" option will result in a successful member load.

Example B

Record

Manager

Employee

1

Dotty

Donna

2

XYZ Project

Jack

3

Nancy

Dotty

4

Nancy

Jack

5

ABC Project

Donna

6

Dotty

Linda

7

ABC Project

Dotty


Naming Conventions - OLAP Metaoutline

Naming Conventions – OLAP Metaoutline

Related Topics

This topic describes naming conventions and limitations for metaoutlines and the dimensions, member levels, aliases, UDAs, and metaoutline filters it contains. It also describes the naming limitations for Essbase applications and databases. Finally, it describes conventions for using dimension and member names in calculations scripts, reports scripts, formulas, and filters.

Naming Restrictions for Metaoutlines, Dimensions, Members and Aliases

When naming a metaoutline, or the dimensions, member levels, aliases, UDAs, and metaoutline filters that it contains, follow these rules:

  • Use no more than 80 bytes when naming non-Unicode-mode metaoutlines, dimensions, members, or aliases; use no more than 80 characters when naming Unicode-mode metaoutlines, dimensions, members, or aliases.

  • Names are not case-sensitive unless case-sensitivity is enabled. See "Setting Outline Properties" in Oracle Essbase Administration Services Online Help.

  • At the beginning of a dimension or member name, do not use the following characters:

    • @ at signs | () parentheses
\ backslashes | . periods
{ } braces | + plus signs
, commas | ' single quotation marks
- dashes, hyphens, or minus | _ underscores
= equal signs | | vertical bars
< less than signs |

    • Do not place spaces at the beginning or end of a name. Essbase ignores spaces at the beginning or end of a name.

    • Do not use the following special characters in a name:

      • * asterisks | ; semicolons
\ backslashes | ‘ single quotation marks
[] brackets | / slashes
. periods | tabs
" quotation marks |

      Note: Brackets ([]) are supported in block storage outlines, but are not recommended because their use causes errors when converting to an aggregate storage outline.

      • You cannot, in most cases, use the ampersand character (&).

      Note: For information about using an ampersand (&) in dimension table names or column names, click the Help button in the Member Name dialog box in Administration Services Console.

      • Do not use the following words as dimension or member names:

      • Calculation script commands, operators, and keywords. For a list of commands, see the Essbase Technical Reference.

      • Report writer commands. For a list of commands, see the Essbase Technical Reference.

      • Function names and function arguments. For a list of functions, see the Essbase Technical Reference.

      • Names of other dimensions and members (unless the member is shared), and generation names, level names, and aliases in the database.

      • Any of the following words:

        • ALL | GENRANGE | OTHER
AND | GROUP | PAREN
ASSIGN | GT | PARENPARM
CALC | ID | PERCENT
CALCMBR | IDERROR | PLUS
COPYFORWARD | INTEGER | RELOP
CROSSDIM | LE | SET
CURMBRNAME | LEVELRANGE | SKIPBOTH
DIM | LOOPBLOCK | SKIPMISSING
DIMNAME | LOOPPARMS | SKIPNONE
DIV | LT | SKIPZERO
DYNAMIC | MBR | TO
EMPTYPARM | MBRNAME | TOLOCALRATE
EQ | MBRONLY | TRAILMISSING
EQOP | MINUS | TRAILSUM
EXCEPT | MISSING | UMINUS
EXP | MUL | UPPER
EXPERROR | MULOP | VARORXMBR
FLOAT | ME | XMBRONLY
FUNCTION | NON | $$$UNIVERSE$$$
GE | NONINPUT | #MISSING
GEN | NOT | #MI
 | OR |

        Note: If you enable Dynamic Time Series members, do not use the associated generation names—History, Year, Season, Period, Quarter, Month, Week, or Day. See the Oracle Essbase Database Administrator's Guide for more information.

        Caution Integration Server does not verify that you do not use these text strings. Using them can cause errors during member load.

        • When using a prefix, follow the naming conventions above. Suffixes may begin with characters prohibited at the beginning of a name.

        Using Dimension and Member Names in Calculation Scripts, Report Scripts, Formulas, and Filters

        In calculation scripts, report scripts, filter definitions, partition definitions, or formulas, you must enclose member names in quotation marks ("") for block storage databases, and in brackets ([]) for aggregate storage databases, in the following situations:

        • The name contains one or more numerals (for example, 100-Blue)

        • The name contains spaces or the following characters:

          • & ampersand | > greater than sign
* asterisk | < less than sign
@ at sign | ( ) parentheses
\ backslash | % percent sign
{ } braces | . period
: colon | + plus sign
, comma | ; semicolon
- dash, hyphen, minus sign | / slash
! exclamation point |
= equal sign | ~ tilde

          • In calculation scripts and formulas, if you use following reserved words as member names, you must enclose them in quotation marks ("") for block storage databases, and in brackets ([]) for aggregate storage databases:

          AND | IF
BEGIN | MACRO
DOUBLE | MBR
DYNAMIC | MEMBER
ELSE | NOT
ELSEIF | OR
END | RANGE
ENDIF | STRING
FUNCTION | THEN

          Naming Restrictions for Applications and Databases

          When naming applications and databases, follow these rules:

          • Use no more than 8 bytes when naming non-Unicode-mode applications and databases; use no more than 30 characters when naming Unicode-mode applications and databases.

          • Do not use the string, DRXXXXXX (actual x’s, not a variable). This string is invalid in any combination of uppercase or lowercase letters.

          • Do not use spaces anywhere in the name.

          • Do not use the following special characters anywhere in the name:

            • * asterisk | + plus sign
\ backslash | ? question mark
[] bracket | " double quotation mark
: colon | ; semicolon
, comma | ‘ single quotation mark
= equal sign | / slash
> greater than sign | tabs
< less than sign | | vertical bars
. period |

            • For aggregate storage databases only, do not use any of the following words as application or database names:

            DEFAULT

            LOG

            METADATA

            TEMP

            Enter the application or database name in the case in which you want the word displayed. The application or database name is created exactly as you enter it. If you enter the name as all capital letters (for instance, NEWAPP), Essbase does not automatically convert it to upper- and lowercase (for instance, Newapp).


Rules for Validating a Metaoutline

Related Topics

When you save an OLAP metaoutline, Essbase Integration Server automatically validates it and writes it to OLAP Metadata Catalog. You can save a metaoutline that does not pass validation, but you cannot use it to load member levels or data into an Essbase database.

If the OLAP metaoutline is invalid, check to make sure that the following conditions are met:

  • The metaoutline contains at least one dimension.

  • The metaoutline contains at least one measure.

  • The metaoutline contains only one dimension or no dimension tagged as measure.

  • The metaoutline does not contain more measures than are allowed.

  • If you do not have a dimension tagged as measure in the OLAP metaoutline, the OLAP metaoutline can contain only one measure.

  • If you have a dimension tagged as measure in the OLAP metaoutline, the metaoutline can contain a measure for each level 0 (leaf level) member in the measure dimension.

  • Each dimension or user-defined dimension contains one or more member levels.

  • Each user-defined dimension has a default load member.

If the metaoutline does not pass validation, the OLAP Metaoutline Validation Error dialog box is displayed. The dialog box lists error messages. You can save a metaoutline even if it does not pass validation, but you cannot use it to load data into an Essbase database.


Save New Metaoutline Dialog Box

When you save a metaoutline, Essbase Integration Server automatically validates it and writes changes to the OLAP Metadata Catalog.

To display this dialog box, create a new metaoutline and select File > Save.

Related Procedures

Saving a Metaoutline Manually

Saving While Closing

Saving a Metaoutline to a Different Name

Dialog Box Items

Metaoutline Name text box

Enter the name of the metaoutline. The default metaoutline name is Metaoutline1, which is incremented with each new metaoutline. See Naming Conventions.

Existing Metaoutlines

The names of existing metaoutlines are displayed.

Security drop-down list box

Select who can access the metaoutline. Three options are available:

  • Allow read/write access for other users. Allows all other users to both read and write to the metaoutline. This option is the default.

  • Allow read access for
    other users    . Allows all other users to read the metaoutline, and allows no other user to write to the metaoutline. Thus, another user cannot save changes to the metaoutline.

  • Disallow all access for other users. Allows no other user to read or to write to the metaoutline. Only you can read or write to the metaoutline.

Note To change the permissions of a metaoutline after you create it, you must use the tools provided with the relational database that contains the OLAP Metadata Catalog or use File > Save As to save the metaoutline to a different name.

Description text box

Enter a brief description of the metaoutline. The description can include up to 255 characters. The description is displayed in the following places:

  • Save New Metaoutline dialog box

  • OLAP Metaoutine Properties dialog box, General tab

  • Welcome dialog box, Existing tab

Related Topics


Security Drop-Down List Box

The Security drop-down list box enables you to select who can access the metaoutline. Three options are available:

  • Allow read/write access for other users. Allows all other users to both read and write to the metaoutline. This option is the default.

  • Allow read access for other users. Allows all other users to read the metaoutline, and allows no other user to write to the metaoutline. Thus, another user cannot save changes to the metaoutline.

  • Disallow all access for other users. Allows no other user to read or to write to the metaoutline. Only you can read or write to the metaoutline.

Note: To change the permissions on a metaoutline after you create it, you must use the tools provided with the relational database that contains the OLAP Metadata Catalog or use File > Save As to save the metaoutline to a different name.


Setting the Data Storage Model Property in a Metaoutline - Overview

Setting the Data Storage Model Property in a Metaoutline – Overview

You can select one of two data storage model properties for each metaoutline: block storage or aggregate storage. The selection that you make depends on the structure and characteristics of the Essbase database you are creating.

Block storage. Use the block storage property when you want to create an Essbase database that uses complex analyses such as dynamic calc, dense and sparse settings, formulas, calc scripts, or multiple Essbase database in one application. For example, if you are using formulas on members other than the level 0 member of the Accounts dimension, the data storage property for the metaoutline should be set to block storage.

Aggregate storage. Use the aggregate storage property when the metaoutline is being used to address read-only, "rack and stack" applications that have large dimensionality, such as the following applications:

  • Customer analysis: data is analyzed from any dimension and there are potentially millions of customers

  • Procurement analysis: many products are tracked across many vendors

  • Logistics analysis: near real-time updates of product shipments.

For a list of the requirements for aggregate storage, see Aggregate Storage Guidelines.

You can also choose to let Integration Server determine the storage properties for you. This is helpful when you are not sure whether the metaoutline meets the requirements of aggregate storage. In all cases, a valid metaoutline qualifies for block storage; however, if a metaoutline qualifies for both aggregate storage and block storage, the aggregate storage property will be used during loads. For a list of the requirements for aggregate storage, see Aggregate Storage Guidelines.

Additionally, see the Oracle Essbase Administration Services Online Help and Oracle Essbase Database Administrator’s Guide for more information on working with aggregate storage applications and databases.


Transformation Support in Hybrid Analysis

Related Topics

Overview

Transformations Supported by Hybrid Analysis

Hybrid Analysis supports the following transformations:

  • Converting spaces to underscores

  • Changing cases

  • Performing replace operations in the order the operations are created

  • Applying prefix operations:

  • Parent name with separator

  • Grandparent name with separator

  • Dimension name with separator

  • Custom prefix

  • Applying suffix operations:

  • Parent name with separator

  • Grandparent name with separator

  • Dimension name with separator

  • Custom suffix

Transformations Not Supported by Hybrid Analysis

Hybrid Analysis does not support the following transformations:

  • Dropping spaces from around a member name

  • Applying a prefix without a separator

  • Applying all parents’ names prefixes with or without separator

  • Applying suffix without separator

  • Applying all parents’ names suffixes with or without separator

  • Applying scaling to measures


Transformations in Hybrid Analysis - Overview

Transformations in Hybrid Analysis – Overview

Essbase Integration Services metaoutlines include member transformations that are used to create outline member names. A transformation is a set of rules for changing a database value into a member name. Each member created by Integration Services during a member load into the Hybrid Analysis storage has an associated database value from which the member was derived. For example, outline member "CA_SAN_JOSE" could have the database value "San Jose," or outline member "July" could have the database value "7."


User-Defined Dimensions and Members

Related Topics

You can create user-defined dimensions or members in a metaoutline. User-defined dimensions and members correspond exactly to dimensions and members in the associated Essbase outline. For example, if you have a user-defined ACTUAL member in the metaoutline, you have an Actual member in the Essbase outline.

Note: Hybrid Analysis is not supported on user-defined dimensions.

User-defined dimensions and members, however, are not associated with an OLAP model. Create a user-defined dimension or member when you want to add dimensions or members that are not provided in the relevant OLAP model.

For example, an Essbase database enables you to create a Scenario dimension. The Scenario dimension contains both actual data, to track measures such as revenue, and forecast data, to project values for revenue and profit. The external data source contains the actual data. A worksheet created by the budgeting department contains the forecast data.

So how do you combine the actual and forecast data in one dimension in the Essbase database? Because there is no ACTUAL or FORECAST member in the OLAP model, you must create Actual and Forecast as user-defined members.

To create Actual and Forecast as user-defined members:

1 In the metaoutline, create a Scenario dimension.

2 To the Scenario dimension, add the Actual and Forecast user-defined members.

3 To the Actual member, add the 1996 and 1997 members from the OLAP model.

When Essbase Integration Server builds the Essbase outline, it creates the Scenario dimension:

4 Because Actual receives its data from the data source, tag Actual as the default load member.

5 Load the members and data from the forecasting worksheet into the Forecast member of the Essbase outline.

Thus, the Forecast member and the 1998 member are added to the Scenario dimension in the Essbase outline.

See the Oracle Essbase Database Administrator’s Guide for more information about loading worksheets.


OLAP Metaoutline Properties Dialog Box - User-Defined Dimensions Tab

OLAP Metaoutline Properties Dialog Box – User-Defined Dimensions Tab

Select the User-Defined Dimensions tab to set the load member for a user-defined dimension. The load member can be a level 0 member or a non-level 0 member.

To display this dialog box, open a metaoutline. Right-click the metaoutline name and select Properties, and then select the User-Defined Dimensions tab.

Select one of the following tabs for more help:

Related Procedures

Setting OLAP Metaoutline Properties

Dialog Box Items

Dimension and Load Member list box

Displays lists of all currently defined load members and all user-defined dimensions. Select the user-defined dimension for which you want the default load member defined (for example, Scenario) and click Edit.

Edit button

Click to open the Select Default Load Member dialog box. The dialog box lists all user-defined members of the selected dimension. Select the member to use as the default load member; for example, Actual.

Integration Server loads data from the external data source into the default load member the next time you perform a data load.


User-Defined SQL - Overview

User-Defined SQL – Overview

Standard data load SELECT statements are displayed in the SQL Override dialog box. In this dialog box, you select the standard SQL statements that you want to override with your own SQL.

After you have completed editing standard SQL statements, you can choose to use the your own user-defined SQL for data loads by checking the Use User-defined SQL for Data Load option in the OLAP Metaoutline Properties dialog box, Load Optimization tab.


Sample Outline Dialog Box

After you create a metaoutline, you can preview what the dimensions and members (including relationally-stored members) will look like in the Essbase outline. Before you load the outline, you can view the metaoutline in Essbase outline format to ensure that you have defined the dimensions and the member levels correctly, set filters or transformations correctly, and optimized the SQL generated by Essbase Integration Server.

Warning: Integration Server truncates sample outlines if they contain more than 32,767 members.

To display this dialog box, open a metaoutline and, in the right frame of the OLAP Metaoutline main window, right-click the metaoutline name, and select Sample.

Dialog Box Items

Sample Outline list box

The sample outline contains sample dimensions and members, including relationally-stored members. In the Sample Outline list box, you can select member names to expand members and examine the structure of the Essbase outline.

Sample Build SQL list box

Displays the SQL statements that Integration Server generated to create the sample Essbase outline. Use the sample SQL to perform the following tasks:

  • Make sure that the metaoutline refers to the intended data in the external data source.

  • Tune the external data source to speed the process of building and loading data into an Essbase outline.

  • Cut and paste the SQL statement to an external file to view or print.

When you finish viewing the sample dimensions and the sample SQL, click Close.

Related Topics


Isolation Level

A Transactions tab setting of the Database Properties window in Administration Services Console. This setting determines the commit behavior of the database operations. Choices are committed access and uncommitted access.


Metaoutline Filters

Essbase Integration Server automatically stores all member level and all measure filters in a metaoutline filter named *Default. You can, however, create one or more additional metaoutline filters and define a specific set of member level and measure filters to each. Then you can select a particular metaoutline filter to determine what Integration Server loads into the Essbase database.

The name of the selected metaoutline filter is displayed in the metaoutline filter drop-down list box.

The metaoutline filter drop-down list box contains the *Default filter, plus new metaoutline filters that you have created. If you have not created new metaoutline filters, the only filter that you can select is *Default.

Defining multiple metaoutline filters enables you to create multiple Essbase databases from one metaoutline—just select a different metaoutline filter before performing the member and data load.

Integration Server loads into the Essbase database only the members and the data values that are specified by the metaoutline filter. For example, you can create a metaoutline filter for each year—a 99 DATALOAD filter and a 00 DATALOAD filter. Then you can select the 99 DATALOAD filter and build an Essbase database that tracks only information for 1999. Likewise, you can select the 00 DATALOAD filter and build an Essbase database that tracks only information for 2000.


welcome

Welcome to Oracle
Essbase Integration Services

Oracle Essbase Integration Services enables you to transfer the relevant data in data sources (relational or flat file) to an Oracle Essbase database quickly and easily.

By using Essbase Integration Services Console (and for relational and flat file data sources, the companion Intelligent Help), you can automate the major operations necessary for moving from a database to online analytical processing (OLAP). Use the console to perform the following tasks:

  • Create an OLAP Metadata Catalog

  • Create a logical OLAP model from tables, views, and columns in your databases

  • Access the OLAP model to create a metaoutline containing the structure and rules required to generate an Essbase outline

  • Access the metaoutline to create and populate an Essbase multidimensional database